﻿/*
    This file is part of the The OpenFKG PostgreSQL implementation of the FKG datamodel
    Copyright (C) 2013 Septima P/S 

    The OpenFKG PostgreSQL implementation of the FKG datamodel is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The OpenFKG PostgreSQL implementation of the FKG datamodel is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with The OpenFKG PostgreSQL implementation of the FKG datamodel.  If not, see <http://www.gnu.org/licenses/>.



    See more about the OpenFKG project at http://github.com/OpenFKG
*/
/*
     This file is part of the The OpenFKG PostgreSQL implementation of the FKG datamodel
    Copyright (C) 2013 Septima P/S 

    The OpenFKG PostgreSQL implementation of the FKG datamodel is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The OpenFKG PostgreSQL implementation of the FKG datamodel is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with The OpenFKG PostgreSQL implementation of the FKG datamodel.  If not, see <http://www.gnu.org/licenses/>.



    See more about the OpenFKG project at http://github.com/OpenFKG
*/

CREATE EXTENSION IF NOT EXISTS "uuid-ossp";
/* 
    This file is part of the The OpenFKG PostgreSQL implementation of the FKG datamodel
    Copyright (C) 2013 Septima P/S 

    The OpenFKG PostgreSQL implementation of the FKG datamodel is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The OpenFKG PostgreSQL implementation of the FKG datamodel is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with The OpenFKG PostgreSQL implementation of the FKG datamodel.  If not, see <http://www.gnu.org/licenses/>.

    See more about the OpenFKG project at http://github.com/OpenFKG
*/
CREATE EXTENSION IF NOT EXISTS "postgis";
-- Database generated with pgModeler (PostgreSQL Database Modeler).
-- pgModeler  version: 0.7.1
-- PostgreSQL version: 9.3
-- Project Site: pgmodeler.com.br
-- Model Author: Septima - see license in LICENSE.txt

SET check_function_bodies = false;
-- ddl-end --


-- Database creation must be done outside an multicommand file.
-- These commands were put in this file only for convenience.
-- -- object: data | type: DATABASE --
-- -- DROP DATABASE data;
-- CREATE DATABASE data
-- 	ENCODING = 'UTF8'
-- ;
-- -- ddl-end --
-- 

-- object: fkg | type: SCHEMA --
-- DROP SCHEMA fkg;
CREATE SCHEMA fkg;
-- ddl-end --

SET search_path TO pg_catalog,public,fkg;
-- ddl-end --

-- object: fkg.d_basis_oprindelse | type: TABLE --
-- DROP TABLE fkg.d_basis_oprindelse;
CREATE TABLE fkg.d_basis_oprindelse(
	oprindkode integer NOT NULL,
	oprindelse character varying(35) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	bemaerkning character varying,
	CONSTRAINT d_basis_oprindelse_pk PRIMARY KEY (oprindkode)

);
-- ddl-end --
-- object: fkg.d_basis_status | type: TABLE --
-- DROP TABLE fkg.d_basis_status;
CREATE TABLE fkg.d_basis_status(
	statuskode integer NOT NULL,
	status character varying(30) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	CONSTRAINT d_basis_status_pk PRIMARY KEY (statuskode)

);
-- ddl-end --
-- object: fkg.d_basis_ansvarlig_myndighed | type: TABLE --
-- DROP TABLE fkg.d_basis_ansvarlig_myndighed;
CREATE TABLE fkg.d_basis_ansvarlig_myndighed(
	cvr_kode integer NOT NULL,
	cvr_navn character varying(128) NOT NULL,
	kommunekode integer,
	aktiv integer NOT NULL DEFAULT 1,
	CONSTRAINT d_basis_ansvarlig_myndighed_pk PRIMARY KEY (cvr_kode)

);
-- ddl-end --
-- object: fkg.generel | type: TABLE --
-- DROP TABLE fkg.generel;
CREATE TABLE fkg.generel(
	versions_id uuid NOT NULL,
	objekt_id uuid NOT NULL,
	systid_fra timestamptz NOT NULL,
	systid_til timestamptz,
	oprettet timestamptz NOT NULL,
	cvr_kode integer NOT NULL,
	bruger_id character varying(128) NOT NULL,
	oprindkode integer NOT NULL,
	statuskode integer NOT NULL,
	off_kode integer NOT NULL,
	CONSTRAINT generel_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
COMMENT ON COLUMN fkg.generel.versions_id IS 'Unik versions-id databasenøgle';
COMMENT ON COLUMN fkg.generel.objekt_id IS 'Entydig databasenøgle over tid';
COMMENT ON COLUMN fkg.generel.systid_fra IS 'Start systemtid';
COMMENT ON COLUMN fkg.generel.systid_til IS 'Slut systemtid';
-- ddl-end --

-- object: fkg.d_basis_ja_nej | type: TABLE --
-- DROP TABLE fkg.d_basis_ja_nej;
CREATE TABLE fkg.d_basis_ja_nej(
	ja_nej_kode integer NOT NULL,
	ja_nej character varying(7) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_ja_nej_pk PRIMARY KEY (ja_nej_kode)

);
-- ddl-end --
-- object: fkg.d_basis_ejerstatus | type: TABLE --
-- DROP TABLE fkg.d_basis_ejerstatus;
CREATE TABLE fkg.d_basis_ejerstatus(
	ejerstatus_kode integer NOT NULL,
	ejerstatus character varying(50) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_ejerstatus_pk PRIMARY KEY (ejerstatus_kode)

);
-- ddl-end --
-- object: fkg.d_vejnavn | type: TABLE --
-- DROP TABLE fkg.d_vejnavn;
CREATE TABLE fkg.d_vejnavn(
	vejkode integer NOT NULL,
	vejnavn character varying(40) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	cvf_vejkode character varying(7),
	postnr integer,
	kommunekode integer,
	CONSTRAINT d_vejnavn_pk PRIMARY KEY (vejkode)

);
-- ddl-end --
-- object: fkg.d_basis_sag_status | type: TABLE --
-- DROP TABLE fkg.d_basis_sag_status;
CREATE TABLE fkg.d_basis_sag_status(
	sag_status_kode integer NOT NULL,
	sag_status character varying(18) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_sag_status_pk PRIMARY KEY (sag_status_kode)

);
-- ddl-end --
-- object: fkg.d_basis_dvfi_bedoemmelse | type: TABLE --
-- DROP TABLE fkg.d_basis_dvfi_bedoemmelse;
CREATE TABLE fkg.d_basis_dvfi_bedoemmelse(
	dvfi_bedoemmelse_kode integer NOT NULL,
	dvfi_bedoemmelse character varying(25) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_dvfi_bedoemmelse_pk PRIMARY KEY (dvfi_bedoemmelse_kode)

);
-- ddl-end --
-- object: fkg.d_basis_trussel_vand | type: TABLE --
-- DROP TABLE fkg.d_basis_trussel_vand;
CREATE TABLE fkg.d_basis_trussel_vand(
	trussel_vand_kode integer NOT NULL,
	trussel_vand character varying(30) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_trussel_vand_pk PRIMARY KEY (trussel_vand_kode)

);
-- ddl-end --
-- object: fkg.d_basis_planstatus | type: TABLE --
-- DROP TABLE fkg.d_basis_planstatus;
CREATE TABLE fkg.d_basis_planstatus(
	planstatus_kode integer NOT NULL,
	planstatus character varying(25) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_planstatus_pk PRIMARY KEY (planstatus_kode)

);
-- ddl-end --
-- object: fkg.d_basis_afstemningsomraade | type: TABLE --
-- DROP TABLE fkg.d_basis_afstemningsomraade;
CREATE TABLE fkg.d_basis_afstemningsomraade(
	afstemningsomraade_nr character varying(128) NOT NULL,
	afstemningsomraade_navn character varying(128) NOT NULL,
	cvr character varying,
	CONSTRAINT d_basis_afstemningsomraade_pk PRIMARY KEY (afstemningsomraade_nr)

);
-- ddl-end --
-- object: fkg.d_basis_kloak | type: TABLE --
-- DROP TABLE fkg.d_basis_kloak;
CREATE TABLE fkg.d_basis_kloak(
	kloak_kode integer NOT NULL,
	kloak character varying(45) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_kloak_pk PRIMARY KEY (kloak_kode)

);
-- ddl-end --
-- object: fkg.d_basis_postnr | type: TABLE --
-- DROP TABLE fkg.d_basis_postnr;
CREATE TABLE fkg.d_basis_postnr(
	postnr integer NOT NULL,
	postnr_by character varying(128) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	CONSTRAINT d_basis_postnr_pk PRIMARY KEY (postnr)

);
-- ddl-end --
-- object: fkg.d_basis_funktionsstatus | type: TABLE --
-- DROP TABLE fkg.d_basis_funktionsstatus;
CREATE TABLE fkg.d_basis_funktionsstatus(
	funktionsstatus_kode integer NOT NULL,
	funktionsstatus character varying(128) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_funktionsstatus_pk PRIMARY KEY (funktionsstatus_kode)

);
-- ddl-end --
-- object: fkg.d_basis_magasin | type: TABLE --
-- DROP TABLE fkg.d_basis_magasin;
CREATE TABLE fkg.d_basis_magasin(
	magasin_kode integer NOT NULL,
	magasin character varying(50) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_magasin_pk PRIMARY KEY (magasin_kode)

);
-- ddl-end --
-- object: fkg.d_basis_fors_omr_type | type: TABLE --
-- DROP TABLE fkg.d_basis_fors_omr_type;
CREATE TABLE fkg.d_basis_fors_omr_type(
	fors_omr_type_kode integer NOT NULL,
	fors_omr_type character varying(50) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_fors_omr_type_pk PRIMARY KEY (fors_omr_type_kode)

);
-- ddl-end --
-- object: fkg.d_basis_omraade | type: TABLE --
-- DROP TABLE fkg.d_basis_omraade;
CREATE TABLE fkg.d_basis_omraade(
	omraade_nr integer NOT NULL,
	omraade character varying(128) NOT NULL,
	cvr_kode character varying,
	CONSTRAINT d_basis_omraade_pk PRIMARY KEY (omraade_nr)

);
-- ddl-end --
-- object: fkg.d_5000_vandl_type | type: TABLE --
-- DROP TABLE fkg.d_5000_vandl_type;
CREATE TABLE fkg.d_5000_vandl_type(
	vandl_type_kode integer NOT NULL,
	vandl_type character varying(10) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_5000_vandl_type_pk PRIMARY KEY (vandl_type_kode)

);
-- ddl-end --
-- object: fkg.d_5000_maalsaetning | type: TABLE --
-- DROP TABLE fkg.d_5000_maalsaetning;
CREATE TABLE fkg.d_5000_maalsaetning(
	maalsaetning_kode integer NOT NULL,
	maalsaetning character varying(60) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_5000_maalsaetning_pk PRIMARY KEY (maalsaetning_kode)

);
-- ddl-end --
-- object: fkg.d_5000_klasse | type: TABLE --
-- DROP TABLE fkg.d_5000_klasse;
CREATE TABLE fkg.d_5000_klasse(
	klasse_kode integer,
	klasse character varying(10) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_5000_klasse_pk PRIMARY KEY (klasse_kode)

);
-- ddl-end --
-- object: fkg.t_5000_vandl | type: TABLE --
-- DROP TABLE fkg.t_5000_vandl;
CREATE TABLE fkg.t_5000_vandl(
	versions_id uuid NOT NULL,
	navn character varying(128) NOT NULL,
	dmu_ref character varying(128),
	vandloeb_nr character varying(128),
	maalsaetning_kode integer,
	vandl_type_kode integer NOT NULL,
	ejerstatus_kode integer,
	klasse_kode integer,
	tidl_amt_kode integer,
	vedligehold character varying(100),
	ansvar_vedligehold character varying(254),
	p3vandloeb_kode integer,
	sejlads character varying(100),
	dvfi_bedoemmelse_kode integer,
	station_fra double precision,
	station_til double precision,
	vandloebs_bredde double precision,
	vandfoeringsforhold integer,
	maalsaetning_opfyldt_kode integer,
	fot_id integer,
	trussel_vand_kode integer,
	link character varying(1024),
	geometri geometry(MULTILINESTRING, 25832) NOT NULL,
	CONSTRAINT t_5000_vandl_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5000_vandl_station_fra_ck CHECK (station_fra >= 0.0 AND station_fra <= 200000.0),
	CONSTRAINT t_5000_vandl_station_til_ck CHECK (station_til >= 0.0 AND station_til <= 200000.0),
	CONSTRAINT t_5000_vandl_vandloebs_bredde_ck CHECK (vandloebs_bredde >= 0.1 AND vandloebs_bredde <=99.9),
	CONSTRAINT t_5000_vandl_vandfoeringsforhold_ck CHECK (vandfoeringsforhold >= 9 AND vandfoeringsforhold <= 45),
	CONSTRAINT t_5000_vandl_fot_id_ck CHECK (fot_id >=0 AND fot_id <= 2147483648)

);
-- ddl-end --
-- object: fkg.temagruppe | type: TABLE --
-- DROP TABLE fkg.temagruppe;
CREATE TABLE fkg.temagruppe(
	temagruppe_id character varying NOT NULL,
	vaerdiomraade_min integer NOT NULL,
	vaerdiomraade_max integer NOT NULL,
	tema_gruppe character varying NOT NULL,
	CONSTRAINT temagruppe_pk PRIMARY KEY (temagruppe_id),
	CONSTRAINT temagruppe_vaerdiomraade_min_uc UNIQUE (vaerdiomraade_min)

);
-- ddl-end --
-- object: fkg.tema | type: TABLE --
-- DROP TABLE fkg.tema;
CREATE TABLE fkg.tema(
	tema_kode integer NOT NULL,
	tema_navn character varying NOT NULL,
	geo character NOT NULL,
	udvekslingsnavn character varying NOT NULL,
	temagruppe_id character varying NOT NULL,
	CONSTRAINT tema_pk PRIMARY KEY (tema_kode),
	CONSTRAINT geo_ck CHECK (geo IN ('P', 'L', 'F')),
	CONSTRAINT tema_udvekslingsnavn_uc UNIQUE (udvekslingsnavn),
	CONSTRAINT tema_temanavn_uc UNIQUE (tema_navn)

);
-- ddl-end --
-- object: fkg.d_basis_tilstand | type: TABLE --
-- DROP TABLE fkg.d_basis_tilstand;
CREATE TABLE fkg.d_basis_tilstand(
	tilstand_kode integer NOT NULL,
	tilstand character varying(25) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_tilstand_pk PRIMARY KEY (tilstand_kode)

);
-- ddl-end --
-- object: fkg.d_basis_hastighed | type: TABLE --
-- DROP TABLE fkg.d_basis_hastighed;
CREATE TABLE fkg.d_basis_hastighed(
	hastighed_kode integer NOT NULL,
	hastighed character varying(6) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_hastighed_pk PRIMARY KEY (hastighed_kode)

);
-- ddl-end --
-- object: fkg.d_basis_driftniv | type: TABLE --
-- DROP TABLE fkg.d_basis_driftniv;
CREATE TABLE fkg.d_basis_driftniv(
	driftniv_kode integer NOT NULL,
	driftniv character varying(10) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_driftniv_pk PRIMARY KEY (driftniv_kode)

);
-- ddl-end --
-- object: fkg.d_basis_ukrudtsbek | type: TABLE --
-- DROP TABLE fkg.d_basis_ukrudtsbek;
CREATE TABLE fkg.d_basis_ukrudtsbek(
	ukrudtsbek_kode integer NOT NULL,
	ukrudtsbek character varying(20) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_ukrudtsbek_pk PRIMARY KEY (ukrudtsbek_kode)

);
-- ddl-end --
-- object: fkg.d_basis_antal | type: TABLE --
-- DROP TABLE fkg.d_basis_antal;
CREATE TABLE fkg.d_basis_antal(
	antal_kode integer NOT NULL,
	antal character varying(25) NOT NULL,
	aktiv integer NOT NULL DEFAULT 1,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_antal_pk PRIMARY KEY (antal_kode)

);
-- ddl-end --
-- object: fkg.d_6100_brandhane | type: TABLE --
-- DROP TABLE fkg.d_6100_brandhane;
CREATE TABLE fkg.d_6100_brandhane(
	brandhane_type_kode integer NOT NULL,
	brandhane_type character varying(10) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6100_brandhane_pk PRIMARY KEY (brandhane_type_kode)

);
-- ddl-end --
-- object: fkg.d_6100_placering | type: TABLE --
-- DROP TABLE fkg.d_6100_placering;
CREATE TABLE fkg.d_6100_placering(
	placering_kode integer NOT NULL,
	placering character varying(12) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6100_placering_pk PRIMARY KEY (placering_kode)

);
-- ddl-end --
-- object: fkg.t_6100_brandhane | type: TABLE --
-- DROP TABLE fkg.t_6100_brandhane;
CREATE TABLE fkg.t_6100_brandhane(
	versions_id uuid NOT NULL,
	brandhane_id integer,
	brandhane_type_kode integer NOT NULL,
	modeltype character varying(256),
	ydelse integer,
	senest_maalte_ydelse integer,
	placering_kode integer NOT NULL,
	lokalitet character varying(128),
	vejkode integer,
	cvf_vejkode character varying(7),
	husnr character varying(4),
	postnr integer,
	funktionsstatus_kode integer,
	aktiv_kode integer,
	senest_tilsyn date,
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_6100_brandhane_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6100_brandhane_brandhane_id_ck CHECK (brandhane_id BETWEEN 1 AND 99999),
	CONSTRAINT brandhane_id_ydelse_ck CHECK (ydelse BETWEEN 1 AND 9999),
	CONSTRAINT brandhane_id_senest_maalte_ydelse_ck CHECK (senest_maalte_ydelse BETWEEN 1 AND 9999),
	CONSTRAINT senest_maalte_ydelse_senest_tilsyn_ck CHECK (senest_tilsyn BETWEEN '2006-12-31' AND '2999-12-31')

);
-- ddl-end --
-- object: fkg.d_6102_redvej_type | type: TABLE --
-- DROP TABLE fkg.d_6102_redvej_type;
CREATE TABLE fkg.d_6102_redvej_type(
	redvej_type_kode integer NOT NULL,
	redvej_type character varying(15) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6102_redvej_type_pk PRIMARY KEY (redvej_type_kode)

);
-- ddl-end --
-- object: fkg.t_6102_redn_vej | type: TABLE --
-- DROP TABLE fkg.t_6102_redn_vej;
CREATE TABLE fkg.t_6102_redn_vej(
	versions_id uuid NOT NULL,
	redvej_type_kode integer NOT NULL,
	redn_underomr character varying(20),
	noter character varying(254),
	bygn_kompleks character varying(128),
	byg_sag_nr character varying(50) NOT NULL,
	vejkode integer,
	cvf_vejkode character varying(7),
	husnr character varying(4),
	postnr integer,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6102_redningsvej_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.d_5001_maalest_type | type: TABLE --
-- DROP TABLE fkg.d_5001_maalest_type;
CREATE TABLE fkg.d_5001_maalest_type(
	maalest_type_kode integer NOT NULL,
	maalest_type varchar(20) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition varchar,
	CONSTRAINT d_5001_maalest_type_pk PRIMARY KEY (maalest_type_kode)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.t_5001_maalest | type: TABLE --
-- DROP TABLE fkg.t_5001_maalest;
CREATE TABLE fkg.t_5001_maalest(
	versions_id uuid NOT NULL,
	stationsnr character varying(20) NOT NULL,
	lokalitet character varying(128),
	maalest_type_kode integer,
	ejerstatus_kode integer,
	dvfi_bedoemmelse_kode integer,
	dmu_nr character varying(20),
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5001_maalest_pk PRIMARY KEY (versions_id)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5002_spaerring | type: TABLE --
-- DROP TABLE fkg.d_5002_spaerring;
CREATE TABLE fkg.d_5002_spaerring(
	spaerring_type_kode integer NOT NULL,
	spaerring_type character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5002_spaerring_pk PRIMARY KEY (spaerring_type_kode)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5002_passage | type: TABLE --
-- DROP TABLE fkg.d_5002_passage;
CREATE TABLE fkg.d_5002_passage(
	passage_kode integer NOT NULL,
	passage character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5002_passage_pk PRIMARY KEY (passage_kode)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.t_5002_faunasp | type: TABLE --
-- DROP TABLE fkg.t_5002_faunasp;
CREATE TABLE fkg.t_5002_faunasp(
	versions_id uuid NOT NULL,
	spaerring_nr character varying(20),
	spaerring_type_kode integer NOT NULL,
	passage_kode integer NOT NULL,
	lokalitet character varying(128),
	vandloebsystem character varying(128),
	saneret_aar integer,
	prioritet integer,
	passage_ansvarlig character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5002_faunasp_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5002_faunasp_saneret_aar_ck CHECK (saneret_aar >= 1800 AND saneret_aar <= 2999),
	CONSTRAINT t_5002_faunasp_prioritet_ck CHECK (prioritet >= 1 AND prioritet <= 9)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5003_ledn_type | type: TABLE --
-- DROP TABLE fkg.d_5003_ledn_type;
CREATE TABLE fkg.d_5003_ledn_type(
	ledn_type_kode integer NOT NULL,
	ledn_type character varying(10) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5003_ledn_type_pk PRIMARY KEY (ledn_type_kode)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5003_klasse | type: TABLE --
-- DROP TABLE fkg.d_5003_klasse;
CREATE TABLE fkg.d_5003_klasse(
	klasse_kode integer NOT NULL,
	klasse character varying(20) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5003_klasse_pk PRIMARY KEY (klasse_kode)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.t_5003_draenledn | type: TABLE --
-- DROP TABLE fkg.t_5003_draenledn;
CREATE TABLE fkg.t_5003_draenledn(
	versions_id uuid NOT NULL,
	ledn_nr character varying(20),
	ledn_type_kode integer,
	klasse_kode integer NOT NULL,
	noegle character varying(128),
	anlaeg_aar integer,
	dybde double precision,
	dimension integer,
	sagsnr character varying(128),
	link character varying(1024),
	geometri geometry(MULTILINESTRING, 25832),
	CONSTRAINT t_5003_draenledn_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5003_draenledn_anlaeg_aar_ck CHECK (anlaeg_aar >= 1800 AND anlaeg_aar <= 2999),
	CONSTRAINT t_5003_draenledn_dybde_ck CHECK (dybde >= 0.1 AND dybde <= 99.9),
	CONSTRAINT t_5003_draenledn_dimension_ck CHECK (dimension >= 1 AND dimension <= 99)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5004_omr_type | type: TABLE --
-- DROP TABLE fkg.d_5004_omr_type;
CREATE TABLE fkg.d_5004_omr_type(
	omr_type_kode integer NOT NULL,
	omr_type character varying(20) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5004_omr_type_pk PRIMARY KEY (omr_type_kode)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.t_5004_draenomr | type: TABLE --
-- DROP TABLE fkg.t_5004_draenomr;
CREATE TABLE fkg.t_5004_draenomr(
	versions_id uuid NOT NULL,
	omr_navn character varying(128),
	omr_type_kode integer NOT NULL,
	anlaeg_aar integer,
	projnr character varying(128),
	noegle character varying(128),
	sagsnr character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5004_draenomr_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5004_draenomr_anlaeg_aar_ck CHECK (anlaeg_aar >= 1700 AND anlaeg_aar <= 2999)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5005_maalsaetning | type: TABLE --
-- DROP TABLE fkg.d_5005_maalsaetning;
CREATE TABLE fkg.d_5005_maalsaetning(
	maalsaetning_kode integer NOT NULL,
	maalsaetning character varying(60) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5005_maalsaetning_pk PRIMARY KEY (maalsaetning_kode)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5005_soe_type | type: TABLE --
-- DROP TABLE fkg.d_5005_soe_type;
CREATE TABLE fkg.d_5005_soe_type(
	soe_type_kode integer NOT NULL,
	soe_type character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5005_soe_type_pk PRIMARY KEY (soe_type_kode)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5005_habitat_type | type: TABLE --
-- DROP TABLE fkg.d_5005_habitat_type;
CREATE TABLE fkg.d_5005_habitat_type(
	habitat_type_kode integer NOT NULL,
	habitat_type character varying(100) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5005_habitat_type_pk PRIMARY KEY (habitat_type_kode)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.t_5005_soe | type: TABLE --
-- DROP TABLE fkg.t_5005_soe;
CREATE TABLE fkg.t_5005_soe(
	versions_id uuid NOT NULL,
	soe_navn character varying(50) NOT NULL,
	dmu_ref character varying(50),
	soe_nr character varying(50),
	maalsaetning_kode integer NOT NULL,
	soe_type_kode integer NOT NULL,
	habitat_type_kode integer,
	trussel_vand_kode integer,
	sejlads character varying(150),
	tilstand character varying(250),
	opholdstid double precision,
	volumen double precision,
	fot_id integer,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5005_soe_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5005_soe_opholdstid_ck CHECK (opholdstid >= 0.1 AND opholdstid <= 99.9),
	CONSTRAINT t_5005_soe_volumen_ck CHECK (volumen >= 0.1 AND volumen <= 999.9),
	CONSTRAINT t_5005_soe_fot_id_ck CHECK (fot_id >= 0 AND fot_id <= 2147483648)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.t_5006_dybdekurv | type: TABLE --
-- DROP TABLE fkg.t_5006_dybdekurv;
CREATE TABLE fkg.t_5006_dybdekurv(
	versions_id uuid NOT NULL,
	soe_navn character varying(128),
	dmu_ref character varying(50),
	soe_nr character varying(50),
	dybde double precision NOT NULL,
	lower double precision NOT NULL,
	upper double precision NOT NULL,
	maalt_aar integer,
	opm_metode character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5006_dybdekurv_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5006_dybdekurv_dybde_ck CHECK (dybde >= 0.0 AND dybde <= 999.9),
	CONSTRAINT t_5006_dybdekurv_lower_ck CHECK (lower >= 0.0 AND lower <= 999.9),
	CONSTRAINT t_5006_dybdekurv_upper_ck CHECK (upper >= 0.0 AND upper <= 999.9),
	CONSTRAINT t_5006_dybdekurv_maalt_aar_ck CHECK (maalt_aar >= 1900 AND maalt_aar <= 2999)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5007_opl | type: TABLE --
-- DROP TABLE fkg.d_5007_opl;
CREATE TABLE fkg.d_5007_opl(
	opl_nr integer NOT NULL,
	opl_navn varchar(128) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition varchar,
	CONSTRAINT d_5007_opl_pk PRIMARY KEY (opl_nr)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5007_opl_type | type: TABLE --
-- DROP TABLE fkg.d_5007_opl_type;
CREATE TABLE fkg.d_5007_opl_type(
	vandl_opl_type_kode integer NOT NULL,
	vandl_opl_type character varying(25) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5007_opl_type_pk PRIMARY KEY (vandl_opl_type_kode)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.t_5007_vandl_opl | type: TABLE --
-- DROP TABLE fkg.t_5007_vandl_opl;
CREATE TABLE fkg.t_5007_vandl_opl(
	versions_id uuid NOT NULL,
	vandloeb_nr character varying(128),
	dmu_ref character varying(128),
	vandl_opl_nr integer,
	opl_type_kode integer NOT NULL,
	hydro_ref character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5007_vandl_opl_pk PRIMARY KEY (versions_id)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5008_opl | type: TABLE --
-- DROP TABLE fkg.d_5008_opl;
CREATE TABLE fkg.d_5008_opl(
	soe_opl_nr integer NOT NULL,
	soeopl_navn character varying(128) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5008_opl_pk PRIMARY KEY (soe_opl_nr)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.t_5008_soe_opl | type: TABLE --
-- DROP TABLE fkg.t_5008_soe_opl;
CREATE TABLE fkg.t_5008_soe_opl(
	versions_id uuid NOT NULL,
	dmu_ref character varying(128),
	soe_opl_nr integer NOT NULL,
	soe_nr character varying(50),
	hydro_ref character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5008_soe_opl_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5008_soe_opl_soe_opl_nr_ck CHECK (soe_opl_nr >= 1 AND soe_opl_nr <= 9999)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5009_lag_type | type: TABLE --
-- DROP TABLE fkg.d_5009_lag_type;
CREATE TABLE fkg.d_5009_lag_type(
	lag_type_kode integer NOT NULL,
	lag_type character varying(25) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5009_lag_type_pk PRIMARY KEY (lag_type_kode)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.t_5009_pumpelag | type: TABLE --
-- DROP TABLE fkg.t_5009_pumpelag;
CREATE TABLE fkg.t_5009_pumpelag(
	versions_id uuid NOT NULL,
	lag_navn character varying(128),
	lag_type_kode integer NOT NULL,
	ejerstatus_kode integer,
	vandloebsystem character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5009_pumpelag_pk PRIMARY KEY (versions_id)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5010_element_type | type: TABLE --
-- DROP TABLE fkg.d_5010_element_type;
CREATE TABLE fkg.d_5010_element_type(
	element_kode integer NOT NULL,
	element character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5010_element_type_pk PRIMARY KEY (element_kode)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.t_5010_vandl_elm | type: TABLE --
-- DROP TABLE fkg.t_5010_vandl_elm;
CREATE TABLE fkg.t_5010_vandl_elm(
	versions_id uuid NOT NULL,
	element_nr character varying(20),
	element_kode integer NOT NULL,
	lokalitet character varying(128),
	vstation double precision,
	vandloebsystem character varying(128) NOT NULL,
	anlagt_aar integer,
	saneret_aar integer,
	tilstand_kode integer,
	broend_data character varying(100),
	toemningsfrekvens character varying(20),
	adgangsforhold character varying(100),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5010_vandl_elm_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5010_vandl_elm_vstation_ck CHECK (vstation >= 0.0 AND vstation <= 200000),
	CONSTRAINT t_5010_vandl_elm_anlagt_aar_ck CHECK (anlagt_aar >= 1800 AND anlagt_aar <= 2999),
	CONSTRAINT t_5010_vandl_elm_saneret_aar_ck CHECK (anlagt_aar >= 1800 AND anlagt_aar <= 2999)

)WITH ( OIDS = TRUE );
-- ddl-end --
-- object: fkg.d_5105_kaer_type | type: TABLE --
-- DROP TABLE fkg.d_5105_kaer_type;
CREATE TABLE fkg.d_5105_kaer_type(
	kaer_type_kode integer NOT NULL,
	kaer_type character varying(25) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5105_kaer_type_pk PRIMARY KEY (kaer_type_kode)

);
-- ddl-end --
-- object: fkg.t_5105_rig_fattig | type: TABLE --
-- DROP TABLE fkg.t_5105_rig_fattig;
CREATE TABLE fkg.t_5105_rig_fattig(
	versions_id uuid NOT NULL,
	stedid integer,
	natura_2000 integer,
	kaer_type_kode integer NOT NULL,
	noegle character varying(128),
	noter character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25835) NOT NULL,
	CONSTRAINT t_5105_rig_fattig_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5105_rig_fattig_stedid_ck CHECK (stedid BETWEEN 100000 AND 999999),
	CONSTRAINT t_5105_rig_fattig_natura_2000_ck CHECK (natura_2000 BETWEEN 1 AND 9999)

);
-- ddl-end --
-- object: fkg.d_5106_pleje_type | type: TABLE --
-- DROP TABLE fkg.d_5106_pleje_type;
CREATE TABLE fkg.d_5106_pleje_type(
	pleje_type_kode integer NOT NULL,
	pleje_type character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT pleje_type_kode_pk PRIMARY KEY (pleje_type_kode)

);
-- ddl-end --
-- object: fkg.d_5106_faciliteter | type: TABLE --
-- DROP TABLE fkg.d_5106_faciliteter;
CREATE TABLE fkg.d_5106_faciliteter(
	faciliteter_kode integer NOT NULL,
	faciliteter character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5106_faciliteter_pk PRIMARY KEY (faciliteter_kode)

);
-- ddl-end --
-- object: fkg.t_5106_nat_pl | type: TABLE --
-- DROP TABLE fkg.t_5106_nat_pl;
CREATE TABLE fkg.t_5106_nat_pl(
	versions_id uuid NOT NULL,
	pleje_type_kode integer NOT NULL,
	omr_nr integer,
	omr_navn character varying(128),
	fortidsmindenr character varying(50),
	faciliteter_kode integer,
	aftale_type character varying(128),
	aftale_nr character varying(50),
	gyldig_fra date NOT NULL,
	gyldig_til date,
	ejerstatus_kode integer,
	sagsnr character varying(128),
	projekt_type character varying(50),
	dyrehold character varying(250) NOT NULL,
	antal_moder integer,
	chr integer,
	navn character varying(50),
	telefon integer,
	mobil integer,
	mail character varying(250),
	ajour date,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5106_nat_pl_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5106_nat_pl_omr_nr_ck CHECK (omr_nr BETWEEN 1 AND 99999),
	CONSTRAINT t_5106_nat_pl_antal_moder_ck CHECK (antal_moder BETWEEN 0 AND 999),
	CONSTRAINT t_5106_nat_pl_chr_ck CHECK (chr BETWEEN 0 AND 9999999),
	CONSTRAINT t_5106_nat_pl_telefon_ck CHECK (telefon BETWEEN 10000000 AND 99999999),
	CONSTRAINT t_5106_nat_pl_mobil_ck CHECK (mobil BETWEEN 10000000 AND 99999999),
	CONSTRAINT t_5106_nat_pl_ajour_ck CHECK (ajour BETWEEN '2006-12-31' AND '2999-12-31'
)

);
-- ddl-end --
-- object: fkg.t_5108_groent_part | type: TABLE --
-- DROP TABLE fkg.t_5108_groent_part;
CREATE TABLE fkg.t_5108_groent_part(
	versions_id uuid NOT NULL,
	navn character varying(150) NOT NULL,
	kontakt_navn character varying(150),
	kontakt_opl character varying(250),
	deltager character varying(250) NOT NULL,
	formaal character varying(250),
	gyldig_fra date NOT NULL,
	gyldig_til date,
	sagsnr character varying(128),
	note character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5108_groent_part_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5300_genopd_ret | type: TABLE --
-- DROP TABLE fkg.t_5300_genopd_ret;
CREATE TABLE fkg.t_5300_genopd_ret(
	versions_id uuid NOT NULL,
	gyldig_fra date NOT NULL,
	gyldig_til date,
	funktion character varying(128) NOT NULL,
	planlagt_aktivitet character varying(128) NOT NULL,
	genoptaget integer NOT NULL,
	sagsnr character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT versions_id_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5300_genopd_ret_genoptaget_ck CHECK (genoptaget BETWEEN 1999 AND 2999)

);
-- ddl-end --
-- object: fkg.d_5400_affalds_type | type: TABLE --
-- DROP TABLE fkg.d_5400_affalds_type;
CREATE TABLE fkg.d_5400_affalds_type(
	affaldstype_kode integer NOT NULL,
	affaldstype character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5400_affalds_type_pk PRIMARY KEY (affaldstype_kode)

);
-- ddl-end --
-- object: fkg.t_5400_affalds_dis | type: TABLE --
-- DROP TABLE fkg.t_5400_affalds_dis;
CREATE TABLE fkg.t_5400_affalds_dis(
	versions_id uuid NOT NULL,
	gyldig_fra date NOT NULL,
	gyldig_til date,
	affalddistrikt_nr integer,
	affalddistrikt_navn character varying(128),
	affaldstype_kode integer,
	afh_frekvens character varying(128),
	afh_dag character varying(8),
	renovatoer_cvr integer,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5400_affalds_dis_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5400_affalds_dis_affalddistrikt_nr_ck CHECK (affalddistrikt_nr BETWEEN 1 AND 99999),
	CONSTRAINT t_5400_affalds_dis_renovatoer_cvr_ck CHECK (renovatoer_cvr BETWEEN 10000000 AND 99999999)

);
-- ddl-end --
-- object: fkg.d_5200_affald | type: TABLE --
-- DROP TABLE fkg.d_5200_affald;
CREATE TABLE fkg.d_5200_affald(
	affald_prod_kode integer NOT NULL,
	affald_prod character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5200_affald_pk PRIMARY KEY (affald_prod_kode)

);
-- ddl-end --
-- object: fkg.d_5401_gs_type | type: TABLE --
-- DROP TABLE fkg.d_5401_gs_type;
CREATE TABLE fkg.d_5401_gs_type(
	gs_type_kode integer NOT NULL,
	gs_type character varying(128) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5401_gs_type_pk PRIMARY KEY (gs_type_kode)

);
-- ddl-end --
-- object: fkg.d_5402_gc_type | type: TABLE --
-- DROP TABLE fkg.d_5402_gc_type;
CREATE TABLE fkg.d_5402_gc_type(
	gc_type_kode integer NOT NULL,
	gc_type character varying(128) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5402_gc_type_pk PRIMARY KEY (gc_type_kode)

);
-- ddl-end --
-- object: fkg.d_5506_anlaegtype | type: TABLE --
-- DROP TABLE fkg.d_5506_anlaegtype;
CREATE TABLE fkg.d_5506_anlaegtype(
	anlaeg_type_kode integer NOT NULL,
	anlaeg_type character varying(25) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5506_anlaegtype_pk PRIMARY KEY (anlaeg_type_kode)

);
-- ddl-end --
-- object: fkg.d_5600_rute | type: TABLE --
-- DROP TABLE fkg.d_5600_rute;
CREATE TABLE fkg.d_5600_rute(
	rute_kode integer NOT NULL,
	rute character varying(20) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5600_rute_pk PRIMARY KEY (rute_kode)

);
-- ddl-end --
-- object: fkg.d_5601_hasti_type | type: TABLE --
-- DROP TABLE fkg.d_5601_hasti_type;
CREATE TABLE fkg.d_5601_hasti_type(
	hasti_type_kode integer NOT NULL,
	hasti_type character varying(55) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5601_hasti_type_pk PRIMARY KEY (hasti_type_kode)

);
-- ddl-end --
-- object: fkg.d_5602_p_tid | type: TABLE --
-- DROP TABLE fkg.d_5602_p_tid;
CREATE TABLE fkg.d_5602_p_tid(
	p_tid_kode integer NOT NULL,
	p_tid character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5602_p_tid_pk PRIMARY KEY (p_tid_kode)

);
-- ddl-end --
-- object: fkg.d_5602_p_type | type: TABLE --
-- DROP TABLE fkg.d_5602_p_type;
CREATE TABLE fkg.d_5602_p_type(
	p_type_kode integer NOT NULL,
	p_type character varying(20) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5602_p_type_pk PRIMARY KEY (p_type_kode)

);
-- ddl-end --
-- object: fkg.d_5604_begr_type | type: TABLE --
-- DROP TABLE fkg.d_5604_begr_type;
CREATE TABLE fkg.d_5604_begr_type(
	begr_type_kode integer NOT NULL,
	begr_type character varying(20) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5604_begr_type_pk PRIMARY KEY (begr_type_kode)

);
-- ddl-end --
-- object: fkg.d_5605_dekl_type | type: TABLE --
-- DROP TABLE fkg.d_5605_dekl_type;
CREATE TABLE fkg.d_5605_dekl_type(
	dekl_type_kode integer NOT NULL,
	dekl_type character varying(25) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5605_dekl_type_pk PRIMARY KEY (dekl_type_kode)

);
-- ddl-end --
-- object: fkg.d_5606_inventar_type | type: TABLE --
-- DROP TABLE fkg.d_5606_inventar_type;
CREATE TABLE fkg.d_5606_inventar_type(
	inventar_type_kode integer NOT NULL,
	inventar_type character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5606_inventar_type_pk PRIMARY KEY (inventar_type_kode)

);
-- ddl-end --
-- object: fkg.d_5700_forening_type | type: TABLE --
-- DROP TABLE fkg.d_5700_forening_type;
CREATE TABLE fkg.d_5700_forening_type(
	forening_type_kode integer NOT NULL,
	forening_type character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5700_forening_type_pk PRIMARY KEY (forening_type_kode)

);
-- ddl-end --
-- object: fkg.d_5700_adr_beskyt | type: TABLE --
-- DROP TABLE fkg.d_5700_adr_beskyt;
CREATE TABLE fkg.d_5700_adr_beskyt(
	gf_adr_beskyt_kode character NOT NULL,
	gf_adr_beskyt character varying(100) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5700_adr_beskyt_pk PRIMARY KEY (gf_adr_beskyt_kode)

);
-- ddl-end --
-- object: fkg.d_5705_udlejning | type: TABLE --
-- DROP TABLE fkg.d_5705_udlejning;
CREATE TABLE fkg.d_5705_udlejning(
	udlejning_kode integer NOT NULL,
	udlejning character varying(40) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5705_udlejning_pk PRIMARY KEY (udlejning_kode)

);
-- ddl-end --
-- object: fkg.d_5706_havn_type | type: TABLE --
-- DROP TABLE fkg.d_5706_havn_type;
CREATE TABLE fkg.d_5706_havn_type(
	havn_type_kode integer NOT NULL,
	havn_type character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5706_havn_type_pk PRIMARY KEY (havn_type_kode)

);
-- ddl-end --
-- object: fkg.d_5707_grund_type | type: TABLE --
-- DROP TABLE fkg.d_5707_grund_type;
CREATE TABLE fkg.d_5707_grund_type(
	grund_type_kode integer NOT NULL,
	grund_type character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5707_grund_type_pk PRIMARY KEY (grund_type_kode)

);
-- ddl-end --
-- object: fkg.d_5707_salg_status | type: TABLE --
-- DROP TABLE fkg.d_5707_salg_status;
CREATE TABLE fkg.d_5707_salg_status(
	salg_status_kode integer NOT NULL,
	salg_status character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5707_salg_status_pk PRIMARY KEY (salg_status_kode)

);
-- ddl-end --
-- object: fkg.d_5800_facilitet | type: TABLE --
-- DROP TABLE fkg.d_5800_facilitet;
CREATE TABLE fkg.d_5800_facilitet(
	facilitet_type_kode integer NOT NULL,
	facilitet_type character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5800_facilitet_pk PRIMARY KEY (facilitet_type_kode)

);
-- ddl-end --
-- object: fkg.d_5802_facilitet | type: TABLE --
-- DROP TABLE fkg.d_5802_facilitet;
CREATE TABLE fkg.d_5802_facilitet(
	facilitet_type_kode integer NOT NULL,
	facilitet_type character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5802_facilitet_pk PRIMARY KEY (facilitet_type_kode)

);
-- ddl-end --
-- object: fkg.d_5901_gravestatus | type: TABLE --
-- DROP TABLE fkg.d_5901_gravestatus;
CREATE TABLE fkg.d_5901_gravestatus(
	gravstatus_kode integer NOT NULL,
	gravstatus character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5901_gravestatus_pk PRIMARY KEY (gravstatus_kode)

);
-- ddl-end --
-- object: fkg.d_5901_raastof_type | type: TABLE --
-- DROP TABLE fkg.d_5901_raastof_type;
CREATE TABLE fkg.d_5901_raastof_type(
	raastof_type_kode integer NOT NULL,
	raastof_type character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5901_raastof_type_pk PRIMARY KEY (raastof_type_kode)

);
-- ddl-end --
-- object: fkg.d_5902_vaeske_type | type: TABLE --
-- DROP TABLE fkg.d_5902_vaeske_type;
CREATE TABLE fkg.d_5902_vaeske_type(
	vaesketype_kode integer NOT NULL,
	vaesketype character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5902_vaeske_type_pk PRIMARY KEY (vaesketype_kode)

);
-- ddl-end --
-- object: fkg.d_6000_kotesystem | type: TABLE --
-- DROP TABLE fkg.d_6000_kotesystem;
CREATE TABLE fkg.d_6000_kotesystem(
	kotesystem_kode integer NOT NULL,
	kotesystem character varying(250) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6000_kotesystem_pk PRIMARY KEY (kotesystem_kode)

);
-- ddl-end --
-- object: fkg.d_6003_zone_type | type: TABLE --
-- DROP TABLE fkg.d_6003_zone_type;
CREATE TABLE fkg.d_6003_zone_type(
	zone_type_kode integer NOT NULL,
	zone_type character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6003_zone_type_pk PRIMARY KEY (zone_type_kode)

);
-- ddl-end --
-- object: fkg.d_6101_beskyt_rum | type: TABLE --
-- DROP TABLE fkg.d_6101_beskyt_rum;
CREATE TABLE fkg.d_6101_beskyt_rum(
	beskyt_rum_kode integer NOT NULL,
	beskyt_rum character varying(20) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6101_beskyt_rum_pk PRIMARY KEY (beskyt_rum_kode)

);
-- ddl-end --
-- object: fkg.d_6104_risikotype | type: TABLE --
-- DROP TABLE fkg.d_6104_risikotype;
CREATE TABLE fkg.d_6104_risikotype(
	risikotype_kode integer NOT NULL,
	risikotype character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6104_risikotype_pk PRIMARY KEY (risikotype_kode)

);
-- ddl-end --
-- object: fkg.d_6104_brandhaem | type: TABLE --
-- DROP TABLE fkg.d_6104_brandhaem;
CREATE TABLE fkg.d_6104_brandhaem(
	brandhaem_kode integer NOT NULL,
	brandhaem character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6104_brandhaem_pk PRIMARY KEY (brandhaem_kode)

);
-- ddl-end --
-- object: fkg.d_6111_tilladelse | type: TABLE --
-- DROP TABLE fkg.d_6111_tilladelse;
CREATE TABLE fkg.d_6111_tilladelse(
	tilladelse_type_kode integer NOT NULL,
	tilladelse_type character varying(20) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6111_tilladelse_pk PRIMARY KEY (tilladelse_type_kode)

);
-- ddl-end --
-- object: fkg.d_6112_depottype | type: TABLE --
-- DROP TABLE fkg.d_6112_depottype;
CREATE TABLE fkg.d_6112_depottype(
	depottype_kode integer NOT NULL,
	depottype character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6112_depottype_pk PRIMARY KEY (depottype_kode)

);
-- ddl-end --
-- object: fkg.d_6115_afbr_type | type: TABLE --
-- DROP TABLE fkg.d_6115_afbr_type;
CREATE TABLE fkg.d_6115_afbr_type(
	afbr_type_kode integer NOT NULL,
	afbr_type character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6115_afbr_type_pk PRIMARY KEY (afbr_type_kode)

);
-- ddl-end --
-- object: fkg.d_6116_strandtype | type: TABLE --
-- DROP TABLE fkg.d_6116_strandtype;
CREATE TABLE fkg.d_6116_strandtype(
	strandtype_kode integer NOT NULL,
	strandtype character varying(254) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6116_strandtype_pk PRIMARY KEY (strandtype_kode)

);
-- ddl-end --
-- object: fkg.d_6116_esi_klasse | type: TABLE --
-- DROP TABLE fkg.d_6116_esi_klasse;
CREATE TABLE fkg.d_6116_esi_klasse(
	esi_klasse_kode integer NOT NULL,
	esi_klasse character varying(254) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6116_esi_klasse_pk PRIMARY KEY (esi_klasse_kode)

);
-- ddl-end --
-- object: fkg.d_6117_indsatstype | type: TABLE --
-- DROP TABLE fkg.d_6117_indsatstype;
CREATE TABLE fkg.d_6117_indsatstype(
	indsatstype_kode integer NOT NULL,
	indsatstype character varying(128) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6117_indsatstype_pk PRIMARY KEY (indsatstype_kode)

);
-- ddl-end --
-- object: fkg.d_6200_geologi | type: TABLE --
-- DROP TABLE fkg.d_6200_geologi;
CREATE TABLE fkg.d_6200_geologi(
	geologi_kode integer NOT NULL,
	geologi character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6200_geologi_pk PRIMARY KEY (geologi_kode)

);
-- ddl-end --
-- object: fkg.d_6200_jordtype | type: TABLE --
-- DROP TABLE fkg.d_6200_jordtype;
CREATE TABLE fkg.d_6200_jordtype(
	jordtype_kode integer NOT NULL,
	jordtype character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6200_jordtype_pk PRIMARY KEY (jordtype_kode)

);
-- ddl-end --
-- object: fkg.d_6200_terraen | type: TABLE --
-- DROP TABLE fkg.d_6200_terraen;
CREATE TABLE fkg.d_6200_terraen(
	terraen_kode integer NOT NULL,
	terraen character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6200_terraen_pk PRIMARY KEY (terraen_kode)

);
-- ddl-end --
-- object: fkg.d_6200_kompleksitet | type: TABLE --
-- DROP TABLE fkg.d_6200_kompleksitet;
CREATE TABLE fkg.d_6200_kompleksitet(
	kompleksitet_kode integer NOT NULL,
	kompleksitet character varying(10) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6200_kompleksitet_pk PRIMARY KEY (kompleksitet_kode)

);
-- ddl-end --
-- object: fkg.d_6202_skala | type: TABLE --
-- DROP TABLE fkg.d_6202_skala;
CREATE TABLE fkg.d_6202_skala(
	skala_kode integer NOT NULL,
	skala character varying(10) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6202_skala_pk PRIMARY KEY (skala_kode)

);
-- ddl-end --
-- object: fkg.d_6202_rumlig_afgraensning | type: TABLE --
-- DROP TABLE fkg.d_6202_rumlig_afgraensning;
CREATE TABLE fkg.d_6202_rumlig_afgraensning(
	rumlig_afgraensning_kode integer NOT NULL,
	rumlig_afgraensning character varying(20) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6202_rumlig_afgraensning_pk PRIMARY KEY (rumlig_afgraensning_kode)

);
-- ddl-end --
-- object: fkg.d_6202_kompleksitet | type: TABLE --
-- DROP TABLE fkg.d_6202_kompleksitet;
CREATE TABLE fkg.d_6202_kompleksitet(
	kompleksitet_kode integer NOT NULL,
	kompleksitet character varying(20) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6202_kompleksitet_pk PRIMARY KEY (kompleksitet_kode)

);
-- ddl-end --
-- object: fkg.d_6202_struktur | type: TABLE --
-- DROP TABLE fkg.d_6202_struktur;
CREATE TABLE fkg.d_6202_struktur(
	struktur_kode integer NOT NULL,
	struktur character varying(20) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6202_struktur_pk PRIMARY KEY (struktur_kode)

);
-- ddl-end --
-- object: fkg.d_6202_visuel_uro | type: TABLE --
-- DROP TABLE fkg.d_6202_visuel_uro;
CREATE TABLE fkg.d_6202_visuel_uro(
	visuel_uro_kode integer NOT NULL,
	visuel_uro character varying(10) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6202_visuel_uro_pk PRIMARY KEY (visuel_uro_kode)

);
-- ddl-end --
-- object: fkg.d_6202_tidsdybde | type: TABLE --
-- DROP TABLE fkg.d_6202_tidsdybde;
CREATE TABLE fkg.d_6202_tidsdybde(
	tidsdybde_kode integer NOT NULL,
	tidsdybde character varying(20) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6202_tidsdybde_pk PRIMARY KEY (tidsdybde_kode)

);
-- ddl-end --
-- object: fkg.d_6203_karakterstyrke | type: TABLE --
-- DROP TABLE fkg.d_6203_karakterstyrke;
CREATE TABLE fkg.d_6203_karakterstyrke(
	karakterstyrke_kode integer NOT NULL,
	karakterstyrke character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6203_karakterstyrke_pk PRIMARY KEY (karakterstyrke_kode)

);
-- ddl-end --
-- object: fkg.d_6203_saarbarhed | type: TABLE --
-- DROP TABLE fkg.d_6203_saarbarhed;
CREATE TABLE fkg.d_6203_saarbarhed(
	saarbarhed_kode integer NOT NULL,
	saarbarhed character varying(10) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6203_saarbarhed_pk PRIMARY KEY (saarbarhed_kode)

);
-- ddl-end --
-- object: fkg.d_6800_vedlhold_f_type | type: TABLE --
-- DROP TABLE fkg.d_6800_vedlhold_f_type;
CREATE TABLE fkg.d_6800_vedlhold_f_type(
	vedlhold_f_type_kode integer NOT NULL,
	vedlhold_f_type character varying(150) NOT NULL,
	aktiv integer NOT NULL,
	vedlhold_f_type_lable character varying(6) NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6800_vedlhold_f_type_pk PRIMARY KEY (vedlhold_f_type_kode)

);
-- ddl-end --
-- object: fkg.d_6801_vedlhold_l_type | type: TABLE --
-- DROP TABLE fkg.d_6801_vedlhold_l_type;
CREATE TABLE fkg.d_6801_vedlhold_l_type(
	vedlhold_l_type_kode integer NOT NULL,
	vedlhold_l_type character varying(150) NOT NULL,
	aktiv integer NOT NULL,
	vedlhold_l_type_lable character varying(6) NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6801_vedlhold_l_type_pk PRIMARY KEY (vedlhold_l_type_kode)

);
-- ddl-end --
-- object: fkg.d_6802_groenvedligh_punkt | type: TABLE --
-- DROP TABLE fkg.d_6802_groenvedligh_punkt;
CREATE TABLE fkg.d_6802_groenvedligh_punkt(
	vedlhold_p_type_kode integer NOT NULL,
	vedlhold_p_type character varying(150) NOT NULL,
	aktiv integer NOT NULL,
	vedlhold_p_type_lable character varying(6) NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6802_groenvedligh_punkt_pk PRIMARY KEY (vedlhold_p_type_kode)

);
-- ddl-end --
-- object: fkg.d_6803_pg_distrikt | type: TABLE --
-- DROP TABLE fkg.d_6803_pg_distrikt;
CREATE TABLE fkg.d_6803_pg_distrikt(
	pg_distrikt_kode integer NOT NULL,
	pg_distrikt character varying(50) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6803_pg_distrikt_pk PRIMARY KEY (pg_distrikt_kode)

);
-- ddl-end --
-- object: fkg.t_5401_genbr_st | type: TABLE --
-- DROP TABLE fkg.t_5401_genbr_st;
CREATE TABLE fkg.t_5401_genbr_st(
	versions_id uuid NOT NULL,
	gs_navn character varying(50),
	gs_type_kode integer NOT NULL,
	p_nr integer,
	vejkode integer,
	cvf_vejkode char(7),
	husnr character varying(4),
	postnr integer,
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5401_genbr_st_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5402_genbr_con | type: TABLE --
-- DROP TABLE fkg.t_5402_genbr_con;
CREATE TABLE fkg.t_5402_genbr_con(
	versions_id uuid NOT NULL,
	gc_type_kode integer NOT NULL,
	model character varying(25),
	t_frekvens character varying(50),
	t_dato date,
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5402_genbr_con_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5402_genbr_con_t_dato_ck CHECK (t_dato BETWEEN '1900-01-01' AND '2999-12-31')

);
-- ddl-end --
-- object: fkg.t_5508_husst_moel | type: TABLE --
-- DROP TABLE fkg.t_5508_husst_moel;
CREATE TABLE fkg.t_5508_husst_moel(
	versions_id uuid NOT NULL,
	moelletype character varying(50) NOT NULL,
	hoejde double precision,
	kapacitet double precision,
	stoej_kode integer NOT NULL,
	konsekvenszone double precision,
	sagnr character varying(128),
	vejkode integer,
	husnr character varying(4),
	postnr integer,
	note character varying(254),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5508_husst_moel_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5508_husst_moel_hoejde_ck CHECK (hoejde BETWEEN 0.1 AND 49.9),
	CONSTRAINT t_5508_husst_moel_kapacitet_ck CHECK (kapacitet BETWEEN 0.1 AND 6.0),
	CONSTRAINT t_5508_husst_moel_konsekvenszone_ck CHECK (konsekvenszone BETWEEN 0.1 AND 999.9)

);
-- ddl-end --
-- object: fkg.t_5200_aff_prod_udbr | type: TABLE --
-- DROP TABLE fkg.t_5200_aff_prod_udbr;
CREATE TABLE fkg.t_5200_aff_prod_udbr(
	versions_id uuid NOT NULL,
	affald_prod_kode integer NOT NULL,
	navn character varying(50) NOT NULL,
	ejd_nr integer,
	vejkode integer,
	cvf_vejkode char(7),
	husnr character varying(4),
	postnr integer,
	markblok character varying(25),
	dosering_toerstof double precision,
	dosering_vaadvaegt double precision,
	phosphor_indhold double precision,
	udbringning_aar integer NOT NULL,
	noegle character varying(128),
	sagsnr character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5200_aff_prod_udbr_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5200_aff_prod_udbr_ejd_nr_ck CHECK (ejd_nr BETWEEN 1000000000 AND 9999999999),
	CONSTRAINT t_5200_aff_prod_udbr_dosering_toerstof_ck CHECK (dosering_toerstof BETWEEN 0.01 AND 9999.99),
	CONSTRAINT t_5200_aff_prod_udbr_dosering_vaadvaegt_ck CHECK (dosering_vaadvaegt BETWEEN 0.01 AND 9999.99),
	CONSTRAINT t_5200_aff_prod_udbr_phosphor_indhold_ck CHECK (phosphor_indhold BETWEEN 0.01 AND 9999.99),
	CONSTRAINT t_5200_aff_prod_udbr_udbringning_aar_ck CHECK (udbringning_aar BETWEEN 1900 AND 2999)

);
-- ddl-end --
-- object: fkg.t_5500_elfors_omr | type: TABLE --
-- DROP TABLE fkg.t_5500_elfors_omr;
CREATE TABLE fkg.t_5500_elfors_omr(
	versions_id uuid NOT NULL,
	net_s_nr integer,
	fs_cvr integer NOT NULL,
	fs_navn character varying(128) NOT NULL,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5500_elfors_omr_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5500_elfors_omr_net_s_nr_ck CHECK (net_s_nr BETWEEN 0 AND 99999999),
	CONSTRAINT t_5500_elfors_omr_fs_cvr_ck CHECK (fs_cvr BETWEEN 10000000 AND 99999999)

);
-- ddl-end --
-- object: fkg.t_5506_spildev_pl_pkt | type: TABLE --
-- DROP TABLE fkg.t_5506_spildev_pl_pkt;
CREATE TABLE fkg.t_5506_spildev_pl_pkt(
	versions_id uuid NOT NULL,
	anlaeg_type_kode integer NOT NULL,
	planstatus_kode integer NOT NULL,
	noter character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5506_spildev_pl_pkt_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5507_fiberkabel | type: TABLE --
-- DROP TABLE fkg.t_5507_fiberkabel;
CREATE TABLE fkg.t_5507_fiberkabel(
	versions_id uuid NOT NULL,
	fs_cvr integer,
	fs_navn character varying(128),
	dybde double precision,
	aar_i_jord integer,
	antal_kabler integer,
	link character varying(1024),
	geometri geometry(MULTILINESTRING, 25832) NOT NULL,
	CONSTRAINT t_5507_fiberkabel_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5507_fiberkabel_fs_cvr_ck CHECK (fs_cvr BETWEEN 10000000 AND 99999999),
	CONSTRAINT t_5507_fiberkabel_dybde_ck CHECK (dybde BETWEEN 0.1 AND 9.9),
	CONSTRAINT t_5507_fiberkabel_aar_i_jord_ck CHECK (aar_i_jord BETWEEN 1900 AND 2999),
	CONSTRAINT t_5507_fiberkabel_antal_kabler_ck CHECK (antal_kabler BETWEEN 1 AND 99999)

);
-- ddl-end --
-- object: fkg.t_5800_fac_pkt | type: TABLE --
-- DROP TABLE fkg.t_5800_fac_pkt;
CREATE TABLE fkg.t_5800_fac_pkt(
	versions_id uuid NOT NULL,
	facilitet_type_kode integer NOT NULL,
	ejerstatus_kode integer,
	navn character varying(50),
	noegle character varying(128),
	noter character varying(254),
	vejkode integer,
	cvf_vejkode char(7),
	husnr character varying(4),
	postnr integer,
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5800_fac_pkt_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5802_fac_li | type: TABLE --
-- DROP TABLE fkg.t_5802_fac_li;
CREATE TABLE fkg.t_5802_fac_li(
	versions_id uuid NOT NULL,
	facilitet_type_kode integer NOT NULL,
	ejerstatus_kode integer,
	navn character varying(50),
	noegle character varying(128),
	noter character varying(254),
	vejkode integer,
	cvf_vejkode char(7),
	husnr character varying(4),
	postnr integer,
	link character varying(1024),
	geometri geometry(MULTILINESTRING, 25832) NOT NULL,
	CONSTRAINT t_5802_fac_li_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5900_jordfl | type: TABLE --
-- DROP TABLE fkg.t_5900_jordfl;
CREATE TABLE fkg.t_5900_jordfl(
	versions_id uuid NOT NULL,
	afs_vejkode integer,
	afs_cvf_vejkode char(7),
	afs_husnr character varying(4),
	afs_kommunekode integer,
	afs_postnr integer,
	jordflyt_dato_start date NOT NULL,
	jordflyt_dato_slut date NOT NULL,
	modt_vejkode integer,
	modt_cvf_vejkode char(7),
	modt_husnr character varying(4),
	modt_kommunekode integer,
	modt_postnr integer,
	tillad_dato date NOT NULL,
	jordmaengde_faktisk double precision NOT NULL,
	jordmaengde_anmeldt double precision NOT NULL,
	noegle character varying(128),
	sagsnr character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5900_jordfl_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5900_jordfl_afs_kommunekode_ck CHECK (afs_kommunekode BETWEEN 100 AND 999),
	CONSTRAINT t_5900_jordfl_modt_kommunekode_ck CHECK (modt_kommunekode BETWEEN 100 AND 999),
	CONSTRAINT t_5900_jordfl_jordflyt_dato_start_ck CHECK (jordflyt_dato_start BETWEEN '2006-12-13' AND '2999-12-31'),
	CONSTRAINT t_5900_jordfl_jordflyt_dato_slut_ck CHECK (jordflyt_dato_slut BETWEEN '2006-12-31' AND '2999-12-31'),
	CONSTRAINT t_5900_jordfl_tillad_dato_ck CHECK (tillad_dato BETWEEN '2006-12-31' AND '2999-12-31'),
	CONSTRAINT t_5900_jordfl_jordmaengde_faktisk_ck CHECK (jordmaengde_faktisk BETWEEN 1.0 AND 9999.9),
	CONSTRAINT t_5900_jordfl_jordmaengde_anmeldt_ck CHECK (jordmaengde_anmeldt BETWEEN 1.0 AND 9999.9)

);
-- ddl-end --
-- object: fkg.t_5901_raastof_till | type: TABLE --
-- DROP TABLE fkg.t_5901_raastof_till;
CREATE TABLE fkg.t_5901_raastof_till(
	versions_id uuid NOT NULL,
	indv_navn character varying(128),
	indv_cvr integer NOT NULL,
	raastof_type_kode integer,
	tillad_dato date NOT NULL,
	afslut_aar integer NOT NULL,
	gravstatus_kode integer NOT NULL,
	grusgrav_nr character varying(50),
	sagsnr character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5901_raastof_till_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5901_raastof_till_indv_cvr_ck CHECK (indv_cvr BETWEEN 10000000 AND 99999999),
	CONSTRAINT t_5901_raastof_till_tillad_dato_ck CHECK (tillad_dato BETWEEN '2006-12-31' AND '2999-12-31'),
	CONSTRAINT t_5901_raastof_till_afslut_aar_ck CHECK (afslut_aar BETWEEN 1900 AND 2999)

);
-- ddl-end --
-- object: fkg.t_5902_jordv_anl | type: TABLE --
-- DROP TABLE fkg.t_5902_jordv_anl;
CREATE TABLE fkg.t_5902_jordv_anl(
	versions_id uuid NOT NULL,
	brine character varying(50),
	strenge_antal integer,
	strenge_laengde_samlede integer,
	tilladelses_dato date,
	faerdigmeldingsdato date,
	vaesketype_kode integer,
	gyldig_fra date NOT NULL,
	gyldig_til date,
	sagsnr character varying(128),
	sag_status_kode integer,
	note character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5902_jordv_anl_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5902_jordv_anl_strenge_antal_ck CHECK (strenge_antal BETWEEN 1 AND 999),
	CONSTRAINT t_5902_jordv_anl_strenge_laengde_samlede_ck CHECK (strenge_laengde_samlede BETWEEN 1 AND 9999),
	CONSTRAINT t_5902_jordv_anl_tilladelses_dato_ck CHECK (tilladelses_dato BETWEEN '2006-12-31' AND '2999-12-31'),
	CONSTRAINT t_5902_jordv_anl_faerdigmeldingsdato_ck CHECK (faerdigmeldingsdato BETWEEN '2006-12-31' AND '2999-12-31')

);
-- ddl-end --
-- object: fkg.t_5104_art_invas | type: TABLE --
-- DROP TABLE fkg.t_5104_art_invas;
CREATE TABLE fkg.t_5104_art_invas(
	versions_id uuid NOT NULL,
	dnavn character varying(50) NOT NULL,
	lnavn character varying(50),
	nobanis_invasiv_opt character varying(50),
	rige_dk character varying(50),
	sortlistet_kode integer,
	noegle character varying(128),
	inventoer character varying(30),
	antal_kode integer NOT NULL,
	forekomst character varying(128),
	sagsnr character varying(128),
	noter character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5104_art_invas_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5107_art_invas_p | type: TABLE --
-- DROP TABLE fkg.t_5107_art_invas_p;
CREATE TABLE fkg.t_5107_art_invas_p(
	versions_id uuid NOT NULL,
	dnavn character varying(50) NOT NULL,
	lnavn character varying(50),
	nobanis_invasiv_opt character varying(50),
	rige_dk character varying(50),
	sortlistet_kode integer,
	nogle character varying(128),
	inventoer character varying(30),
	antal_kode integer NOT NULL,
	forekomst character varying(128),
	sagsnr character varying(128),
	noter character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5107_art_invas_p_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.d_5508_stoej | type: TABLE --
-- DROP TABLE fkg.d_5508_stoej;
CREATE TABLE fkg.d_5508_stoej(
	stoej_kode integer NOT NULL,
	stoej character varying(128) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5508_stoej_pk PRIMARY KEY (stoej_kode)

);
-- ddl-end --
-- object: fkg.t_5600_vintervedl | type: TABLE --
-- DROP TABLE fkg.t_5600_vintervedl;
CREATE TABLE fkg.t_5600_vintervedl(
	versions_id uuid NOT NULL,
	rute_kode integer NOT NULL,
	rute_entreprenoer_sne character varying(128),
	rute_nr_sne character varying(50),
	rute_entreprenoer_salt character varying(128),
	rute_nr_salt character varying(50),
	link character varying(1024),
	geometri geometry(MULTILINESTRING, 25832) NOT NULL,
	CONSTRAINT t_5600_vintervedl_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5601_hasti_daemp | type: TABLE --
-- DROP TABLE fkg.t_5601_hasti_daemp;
CREATE TABLE fkg.t_5601_hasti_daemp(
	versions_id uuid NOT NULL,
	hasti_type_kode integer NOT NULL,
	hastighed_kode integer NOT NULL,
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5601_hasti_daemp_pk_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5602_p_zoner | type: TABLE --
-- DROP TABLE fkg.t_5602_p_zoner;
CREATE TABLE fkg.t_5602_p_zoner(
	versions_id uuid NOT NULL,
	p_type_kode integer NOT NULL,
	p_tid_kode integer,
	p_periode character varying(50),
	p_pladser_personbil integer,
	p_pris_time integer,
	p_pladser_handicap integer,
	p_pladser_lastbil integer,
	p_pladser_elbil integer,
	p_pladser_mc integer,
	p_pladser_cykel integer,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5602_p_zoner_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5602_p_zoner_p_pladser_personbil_ck CHECK (p_pladser_personbil BETWEEN 0 AND 9999),
	CONSTRAINT t_5602_p_zoner_p_pris_time_ck CHECK (p_pris_time BETWEEN 0 AND 9999),
	CONSTRAINT t_5602_p_zoner_p_pladser_handicap_ck CHECK (p_pladser_handicap BETWEEN 0 AND 9999),
	CONSTRAINT t_5602_p_zoner_p_pladser_lastbil_ck CHECK (p_pladser_lastbil BETWEEN 0 AND 9999),
	CONSTRAINT t_5602_p_zoner_p_pladser_elbil_ck CHECK (p_pladser_elbil BETWEEN 0 AND 9999),
	CONSTRAINT t_5602_p_zoner_p_pladser_mc_ck CHECK (p_pladser_mc BETWEEN 0 AND 9999),
	CONSTRAINT t_5602_p_zoner_p_pladser_cykel_ck CHECK (p_pladser_cykel BETWEEN 0 AND 9999)

);
-- ddl-end --
-- object: fkg.t_5603_hasti_zone | type: TABLE --
-- DROP TABLE fkg.t_5603_hasti_zone;
CREATE TABLE fkg.t_5603_hasti_zone(
	versions_id uuid NOT NULL,
	hastighed_kode integer NOT NULL,
	anbefalet_hastighed_kode integer NOT NULL,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5603_hasti_zone_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5604_koer_begr | type: TABLE --
-- DROP TABLE fkg.t_5604_koer_begr;
CREATE TABLE fkg.t_5604_koer_begr(
	versions_id uuid,
	begr_type_kode integer NOT NULL,
	periode character varying(50) NOT NULL,
	vaegtbegr_akselt integer,
	vaegtbegr_totalv integer,
	fot_id integer,
	link character varying(1024),
	geometri geometry(MULTILINESTRING, 25832),
	CONSTRAINT t_5604_koer_begr_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5604_koer_begr_vaegtbegr_akselt_ck CHECK (vaegtbegr_akselt BETWEEN 1 AND 999),
	CONSTRAINT t_5604_koer_begr_vaegtbegr_totalv_ck CHECK (vaegtbegr_totalv BETWEEN 1 AND 999),
	CONSTRAINT t_5604_koer_begr_fot_id_ck CHECK (fot_id BETWEEN 0000000000 AND 2147483648)

);
-- ddl-end --
-- object: fkg.t_5605_vejbyggel | type: TABLE --
-- DROP TABLE fkg.t_5605_vejbyggel;
CREATE TABLE fkg.t_5605_vejbyggel(
	versions_id uuid NOT NULL,
	dekl_type_kode integer NOT NULL,
	vejkode integer,
	cvf_vejkode character varying(7),
	dekl_link character varying(254),
	bredde double precision,
	forskydning double precision,
	sagsnr character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5605_vejbyggel_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5605_vejbyggel_bredde_ck CHECK (bredde BETWEEN 0.01 AND 999.99),
	CONSTRAINT t_5605_vejbyggel_forskydning_ck CHECK (forskydning BETWEEN -999.99 AND 999.99)

);
-- ddl-end --
-- object: fkg.t_5606_vejinv | type: TABLE --
-- DROP TABLE fkg.t_5606_vejinv;
CREATE TABLE fkg.t_5606_vejinv(
	versions_id uuid NOT NULL,
	inventar_nr character varying(50),
	inventar_type_kode integer NOT NULL,
	model character varying(50),
	tilstand_kode integer,
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832),
	CONSTRAINT t_5606_vejinv_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5700_grundej | type: TABLE --
-- DROP TABLE fkg.t_5700_grundej;
CREATE TABLE fkg.t_5700_grundej(
	versions_id uuid NOT NULL,
	forening_type_kode integer NOT NULL,
	forening_navn character varying(50) NOT NULL,
	lokalpl_nr character varying(50),
	formand character varying(128) NOT NULL,
	gf_tlf integer,
	gf_adresse character varying(254),
	gf_mail character varying(254),
	gf_adr_beskyt_kode character,
	vedtaegt_kode integer,
	noegle character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832),
	CONSTRAINT t_5700_grundej_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5700_grundej_gf_tlf_ck CHECK (gf_tlf BETWEEN 11111111 AND 99999999)

);
-- ddl-end --
-- object: fkg.t_5701_lok_omr | type: TABLE --
-- DROP TABLE fkg.t_5701_lok_omr;
CREATE TABLE fkg.t_5701_lok_omr(
	versions_id uuid NOT NULL,
	lokalraad_navn character varying(128) NOT NULL,
	noegle character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832),
	CONSTRAINT t_5701_lok_omr_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5702_skorst_fej | type: TABLE --
-- DROP TABLE fkg.t_5702_skorst_fej;
CREATE TABLE fkg.t_5702_skorst_fej(
	versions_id uuid NOT NULL,
	skorstenf_distrikt_nr integer,
	skorstenf_distrikt_navn character varying(128),
	gyldig_fra date NOT NULL,
	gyldig_til date,
	skorstensfejer character varying(128) NOT NULL,
	sf_tlf integer,
	sf_adresse character varying(254),
	sf_mail character varying(254),
	noegle character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5702_skorst_fej_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5702_skorst_fej_skorstenf_distrikt_nr_ck CHECK (skorstenf_distrikt_nr BETWEEN 1 AND 99999),
	CONSTRAINT t_5702_skorst_fej_sf_tlf_ck CHECK (sf_tlf BETWEEN 11111111 AND 99999999)

);
-- ddl-end --
-- object: fkg.t_5703_afstem_sted | type: TABLE --
-- DROP TABLE fkg.t_5703_afstem_sted;
CREATE TABLE fkg.t_5703_afstem_sted(
	versions_id uuid NOT NULL,
	afstemningsomraade_nr character varying(128) NOT NULL,
	lokalitet character varying(128),
	vejkode integer,
	cvf_vejkode character(7),
	husnr character varying(4),
	postnr integer,
	noegle character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832),
	CONSTRAINT t_5703_afstem_sted_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5704_afstem_omr | type: TABLE --
-- DROP TABLE fkg.t_5704_afstem_omr;
CREATE TABLE fkg.t_5704_afstem_omr(
	versions_id uuid NOT NULL,
	afstemningsomraade_nr character varying(128) NOT NULL,
	opstillingskreds_nr integer,
	opstillingskreds_navn character varying(40),
	storkreds_nr integer,
	storkreds_navn character varying(40),
	ansvar_revision character varying(128),
	gyldig_fra date NOT NULL,
	gyldig_til date,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832),
	CONSTRAINT t_5704_afstem_omr_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5704_afstem_omr_opstillingskreds_nr_ck CHECK (opstillingskreds_nr BETWEEN 1 AND 92),
	CONSTRAINT opstillingskreds_nr_storkreds_nr CHECK (storkreds_nr BETWEEN 1 AND 10)

);
-- ddl-end --
-- object: fkg.t_5705_forp_are | type: TABLE --
-- DROP TABLE fkg.t_5705_forp_are;
CREATE TABLE fkg.t_5705_forp_are(
	versions_id uuid NOT NULL,
	forpagter_navn character varying(128) NOT NULL,
	forpagter_formaal character varying(128),
	udlejning_kode integer NOT NULL,
	landbrug_kode integer,
	noter character varying(254),
	sagsnr character varying(128),
	gyldig_fra date NOT NULL,
	gyldig_til date,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5705_forp_are_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5706_havn_are | type: TABLE --
-- DROP TABLE fkg.t_5706_havn_are;
CREATE TABLE fkg.t_5706_havn_are(
	versions_id uuid NOT NULL,
	havn_nr integer,
	havn_navn character varying(128),
	havne_type_kode integer NOT NULL,
	cvr_havn integer,
	ejer_admin character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832),
	CONSTRAINT t_5706_havn_are_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5706_havn_are_havn_nr_ck CHECK (havn_nr BETWEEN 1 AND 99999),
	CONSTRAINT t_5706_havn_are_cvr_havn_ck CHECK (cvr_havn BETWEEN 10000000 AND 99999999)

);
-- ddl-end --
-- object: fkg.t_5707_grunds | type: TABLE --
-- DROP TABLE fkg.t_5707_grunds;
CREATE TABLE fkg.t_5707_grunds(
	versions_id uuid NOT NULL,
	udstyk_navn character varying(50),
	grund_type_kode integer NOT NULL,
	salg_status_kode integer NOT NULL,
	pris integer,
	mindste_pris integer,
	kvm_pris double precision,
	kontakt_oplys character varying(128),
	grundareal integer,
	bygningareal integer,
	budfrist_slut timestamptz,
	sagsnr character varying(128),
	vejkode integer,
	cvf_vejkode character(7),
	husnr character varying(4),
	postnr integer,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5707_grunds_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5707_grunds_pris_ck CHECK (pris BETWEEN 1 AND 99999999),
	CONSTRAINT t_5707_grunds_mindste_pris_ck CHECK (mindste_pris BETWEEN 1 AND 99999999),
	CONSTRAINT t_5707_grunds_grundareal_ck CHECK (grundareal BETWEEN 1 AND 999999),
	CONSTRAINT t_5707_grunds_bygningareal_ck CHECK (bygningareal BETWEEN 1 AND 99999),
	CONSTRAINT t_5707_grunds_budfrist_slut_ck CHECK (budfrist_slut BETWEEN '2006-12-31T23:59:00.000+01:00' AND '2999-12-31T23:59:00.000+01:00')

);
-- ddl-end --
-- object: fkg.t_5710_born_skole_dis | type: TABLE --
-- DROP TABLE fkg.t_5710_born_skole_dis;
CREATE TABLE fkg.t_5710_born_skole_dis(
	versions_id uuid NOT NULL,
	udd_distrikt_nr integer,
	udd_distrikt_navn character varying(128),
	udd_distrikt_type_kode integer NOT NULL,
	starttrin_kode integer NOT NULL,
	sluttrin_kode integer NOT NULL,
	noegle character varying(128),
	sagsnr character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5710_born_skole_dis_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5711_and_dis | type: TABLE --
-- DROP TABLE fkg.t_5711_and_dis;
CREATE TABLE fkg.t_5711_and_dis(
	versions_id uuid NOT NULL,
	an_distrikt_nr integer,
	an_distrikt_navn character varying(128),
	an_distrikt_type_kode integer NOT NULL,
	noegle character varying(128),
	sagsnr character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5711_and_dis_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5711_and_dis_an_distrikt_nr_ck CHECK (an_distrikt_nr BETWEEN 1 AND 99999)

);
-- ddl-end --
-- object: fkg.t_5712_plej_aeldr_dis | type: TABLE --
-- DROP TABLE fkg.t_5712_plej_aeldr_dis;
CREATE TABLE fkg.t_5712_plej_aeldr_dis(
	versions_id uuid NOT NULL,
	plej_distrikt_nr integer,
	plej_distrikt_navn character varying(128),
	plej_distrikt_type_kode integer NOT NULL,
	noegle character varying(128),
	sagsnr character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5712_plej_aeldr_dis_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5712_plej_aeldr_dis_plej_distrikt_nr_ck CHECK (plej_distrikt_nr BETWEEN 1 AND 99999)

);
-- ddl-end --
-- object: fkg.t_5713_prog_stat_dis | type: TABLE --
-- DROP TABLE fkg.t_5713_prog_stat_dis;
CREATE TABLE fkg.t_5713_prog_stat_dis(
	versions_id uuid NOT NULL,
	prog_distrikt_nr integer,
	prog_distrikt_navn character varying(128),
	prog_distrikt_type_kode integer NOT NULL,
	noegle character varying(128),
	sagsnr character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_5713_prog_stat_dis_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_5713_prog_stat_dis_prog_distrikt_nr_ck CHECK (prog_distrikt_nr BETWEEN 1 AND 99999)

);
-- ddl-end --
-- object: fkg.t_5714_laering_udd_inst | type: TABLE --
-- DROP TABLE fkg.t_5714_laering_udd_inst;
CREATE TABLE fkg.t_5714_laering_udd_inst(
	versions_id uuid NOT NULL,
	udd_institution_type_kode integer NOT NULL,
	ejerstatus_kode integer,
	udd_institution_navn character varying(128) NOT NULL,
	starttrin_kode integer NOT NULL,
	sluttrin_kode integer NOT NULL,
	noegle character varying(128),
	vejkode integer,
	cvf_vejkode character(7),
	husnr character varying(4),
	postnr integer,
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5714_laering_udd_inst_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5715_botilbud | type: TABLE --
-- DROP TABLE fkg.t_5715_botilbud;
CREATE TABLE fkg.t_5715_botilbud(
	versions_id uuid NOT NULL,
	botilbud_type_kode integer NOT NULL,
	ejerstatus_kode integer,
	botilbud_navn character varying(128) NOT NULL,
	noegle character varying(128),
	vejkode integer,
	cvf_vejkode character(7),
	husnr character varying(4),
	postnr integer,
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5715_botilbud_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_5716_servicetilbud | type: TABLE --
-- DROP TABLE fkg.t_5716_servicetilbud;
CREATE TABLE fkg.t_5716_servicetilbud(
	versions_id uuid NOT NULL,
	service_type_kode integer NOT NULL,
	ejerstatus_kode integer,
	servicetilbud_navn character varying(128) NOT NULL,
	nogle character varying(128),
	vejkode integer,
	cvf_vejkode character(7),
	husnr character varying(4),
	postnr integer,
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_5716_servicetilbud_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.d_5710_udd_distrikt_type | type: TABLE --
-- DROP TABLE fkg.d_5710_udd_distrikt_type;
CREATE TABLE fkg.d_5710_udd_distrikt_type(
	udd_distrikt_type_kode integer NOT NULL,
	udd_distrikt_type character varying(128) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5710_udd_distrikt_type_pk PRIMARY KEY (udd_distrikt_type_kode)

);
-- ddl-end --
-- object: fkg.d_5711_an_distrikt_type | type: TABLE --
-- DROP TABLE fkg.d_5711_an_distrikt_type;
CREATE TABLE fkg.d_5711_an_distrikt_type(
	an_distrikt_type_kode integer NOT NULL,
	an_distrikt_type character varying(128) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5711_an_distrikt_type_pk PRIMARY KEY (an_distrikt_type_kode)

);
-- ddl-end --
-- object: fkg.d_5712_plej_distrikt_type | type: TABLE --
-- DROP TABLE fkg.d_5712_plej_distrikt_type;
CREATE TABLE fkg.d_5712_plej_distrikt_type(
	plej_distrikt_type_kode integer NOT NULL,
	plej_distrikt_type character varying(128) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5712_plej_distrikt_type_pk PRIMARY KEY (plej_distrikt_type_kode)

);
-- ddl-end --
-- object: fkg.d_5713_prog_distrikt_type | type: TABLE --
-- DROP TABLE fkg.d_5713_prog_distrikt_type;
CREATE TABLE fkg.d_5713_prog_distrikt_type(
	prog_distrikt_type_kode integer NOT NULL,
	prog_distrikt_type character varying(128) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5713_prog_distrikt_type_pk PRIMARY KEY (prog_distrikt_type_kode)

);
-- ddl-end --
-- object: fkg.d_5714_udd_institution_type | type: TABLE --
-- DROP TABLE fkg.d_5714_udd_institution_type;
CREATE TABLE fkg.d_5714_udd_institution_type(
	udd_institution_type_kode integer NOT NULL,
	udd_institution_type character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5714_udd_institution_type_pk PRIMARY KEY (udd_institution_type_kode)

);
-- ddl-end --
-- object: fkg.d_basis_trin | type: TABLE --
-- DROP TABLE fkg.d_basis_trin;
CREATE TABLE fkg.d_basis_trin(
	trin_kode integer NOT NULL,
	trin character varying(25) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_trin_pk PRIMARY KEY (trin_kode)

);
-- ddl-end --
-- object: fkg.d_5715_botilbud_type | type: TABLE --
-- DROP TABLE fkg.d_5715_botilbud_type;
CREATE TABLE fkg.d_5715_botilbud_type(
	botilbud_type_kode integer NOT NULL,
	botilbud_type character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	"Begrebsdefinition" character varying,
	CONSTRAINT d_5715_botilbud_type_pk PRIMARY KEY (botilbud_type_kode)

);
-- ddl-end --
-- object: fkg.d_5716_servicetilbud_type | type: TABLE --
-- DROP TABLE fkg.d_5716_servicetilbud_type;
CREATE TABLE fkg.d_5716_servicetilbud_type(
	service_type_kode integer NOT NULL,
	service_type character varying(30) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_5716_servicetilbud_type_pk PRIMARY KEY (service_type_kode)

);
-- ddl-end --
-- object: fkg.t_6000_pot | type: TABLE --
-- DROP TABLE fkg.t_6000_pot;
CREATE TABLE fkg.t_6000_pot(
	versions_id uuid NOT NULL,
	gyldig_fra date NOT NULL,
	gyldig_til date,
	kote double precision NOT NULL,
	navn character varying(50),
	aekvidistance double precision,
	magasin_kode integer,
	pejling character varying(50),
	oprind_kilde character varying(50),
	metode character varying(250),
	reference character varying(250),
	kotesystem_kode integer,
	usikkerhed character varying(250),
	link character varying(1024),
	geometri geometry(MULTILINESTRING, 25832) NOT NULL,
	CONSTRAINT t_6000_pot_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6000_pot_kote_ck CHECK (kote BETWEEN -999.99 AND 999.99),
	CONSTRAINT t_6000_pot_aekvidistance_ck CHECK (aekvidistance BETWEEN 0.1 AND 999.9)

);
-- ddl-end --
-- object: fkg.t_6001_pot_m | type: TABLE --
-- DROP TABLE fkg.t_6001_pot_m;
CREATE TABLE fkg.t_6001_pot_m(
	versions_id uuid NOT NULL,
	gyldig_fra date NOT NULL,
	gyldig_til date,
	potentialekort character varying(250),
	stoettep_kode integer NOT NULL,
	dgu_nr character varying(50),
	dybde double precision NOT NULL,
	aekvidistance double precision,
	magasin_kode integer,
	pejling character varying(50),
	oprind_kilde character varying(50),
	kotesystem_kode integer,
	usikkerhed character varying(250),
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_6001_pot_m_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6001_pot_m_dybde_ck CHECK (dybde BETWEEN 1 AND 999.99),
	CONSTRAINT t_6001_pot_m_aekvidistance_ck CHECK (aekvidistance BETWEEN 0.1 AND 999.9)

);
-- ddl-end --
-- object: fkg.t_6002_indv | type: TABLE --
-- DROP TABLE fkg.t_6002_indv;
CREATE TABLE fkg.t_6002_indv(
	versions_id uuid NOT NULL,
	vandv_nr character varying(25),
	gyldig_fra date NOT NULL,
	gyldig_til date,
	indsatsomraade character varying(128),
	indv_maengde_aar double precision,
	kildeplads character varying(50),
	reference character varying(50),
	metode character varying(50),
	dgu_nr character varying(50),
	indtag character varying(50),
	dato_beregn date,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832),
	CONSTRAINT t_6002_indv_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6002_indv_indv_maengde_aar_ck CHECK (indv_maengde_aar BETWEEN 0.1 AND 99999.9),
	CONSTRAINT t_6002_indv_dato_beregn_ck CHECK (dato_beregn BETWEEN '2006-12-31' AND '2999-12-31')

);
-- ddl-end --
-- object: fkg.t_6003_besk_zone | type: TABLE --
-- DROP TABLE fkg.t_6003_besk_zone;
CREATE TABLE fkg.t_6003_besk_zone(
	versions_id uuid NOT NULL,
	dgu_nr character varying(10),
	kildeplads character varying(254),
	indsatsomraade character varying(128),
	vandv_nr character varying(25),
	jup_nr character varying(50),
	tilladelse integer,
	tilladelse_gyldig character varying(50),
	beskyt_zone integer,
	beskyt_zone_gyldig character varying(50),
	lokalitet character varying(128),
	zone_type_kode integer NOT NULL,
	gyldig_fra date NOT NULL,
	gyldig_til date,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6003_besk_zone_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6003_besk_zone_tilladelse_ck CHECK (tilladelse BETWEEN 1 AND 999999),
	CONSTRAINT t_6003_besk_zone_beskyt_zone_ck CHECK (beskyt_zone BETWEEN 1 AND 9999)

);
-- ddl-end --
-- object: fkg.t_6004_vandv_fs | type: TABLE --
-- DROP TABLE fkg.t_6004_vandv_fs;
CREATE TABLE fkg.t_6004_vandv_fs(
	versions_id uuid NOT NULL,
	vandv_nr character varying(25),
	fors_omr_type_kode integer,
	gyldig_fra date NOT NULL,
	gyldig_til date,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6004_vandv_fs_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_6006_grundv_opl | type: TABLE --
-- DROP TABLE fkg.t_6006_grundv_opl;
CREATE TABLE fkg.t_6006_grundv_opl(
	versions_id uuid NOT NULL,
	vandv_nr character varying(25),
	oplandtype character varying(128),
	indsatsomraade character varying(128),
	gyldig_fra date NOT NULL,
	gyldig_til date,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6006_grundv_opl_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_6007_inds_omr | type: TABLE --
-- DROP TABLE fkg.t_6007_inds_omr;
CREATE TABLE fkg.t_6007_inds_omr(
	versions_id uuid NOT NULL,
	indsatsomr_navn character varying(50) NOT NULL,
	stoerrelse character varying(50),
	ansvar_myndighed character varying(128) NOT NULL,
	vedtagelse character varying(50),
	note character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6007_inds_omr_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_6008_maks_bor | type: TABLE --
-- DROP TABLE fkg.t_6008_maks_bor;
CREATE TABLE fkg.t_6008_maks_bor(
	versions_id uuid NOT NULL,
	boredybde integer NOT NULL,
	note character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6008_maks_bor_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6008_maks_bor_boredybde_ck CHECK (boredybde BETWEEN 1 AND 99)

);
-- ddl-end --
-- object: fkg.t_6009_indv_ovflv | type: TABLE --
-- DROP TABLE fkg.t_6009_indv_ovflv;
CREATE TABLE fkg.t_6009_indv_ovflv(
	versions_id uuid NOT NULL,
	indv_maengde_aar character varying(50),
	indv_kapacitet double precision,
	indvinder_navn character varying(50) NOT NULL,
	indvinder_kontakt character varying(50),
	note character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_6009_indv_ovflv_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6009_indv_ovflv_indv_kapacitet_ck CHECK (indv_kapacitet BETWEEN 0.01 AND 99999.99)

);
-- ddl-end --
-- object: fkg.d_basis_vandv_nr | type: TABLE --
-- DROP TABLE fkg.d_basis_vandv_nr;
CREATE TABLE fkg.d_basis_vandv_nr(
	vandv_nr character varying(25) NOT NULL,
	vandv character varying(128),
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_basis_vandv_nr_pk PRIMARY KEY (vandv_nr)

);
-- ddl-end --
-- object: fkg.t_6101_beskyt_rum | type: TABLE --
-- DROP TABLE fkg.t_6101_beskyt_rum;
CREATE TABLE fkg.t_6101_beskyt_rum(
	versions_id uuid NOT NULL,
	beskyt_rum_kode integer NOT NULL,
	klargjort_kode integer NOT NULL,
	pladser integer NOT NULL,
	noegle character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_6101_beskyt_rum_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_6103_bered_omr | type: TABLE --
-- DROP TABLE fkg.t_6103_bered_omr;
CREATE TABLE fkg.t_6103_bered_omr(
	versions_id uuid NOT NULL,
	bereds_distrikt_nr integer,
	bereds_distrikt_navn character varying(128),
	udrykker character varying(50) NOT NULL,
	noegle character varying(128),
	gyldig_fra date NOT NULL,
	gyldig_til date,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832),
	CONSTRAINT t_6103_bered_omr_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6103_bered_omr_bereds_distrikt_nr_ck CHECK (bereds_distrikt_nr BETWEEN 1 AND 99999)

);
-- ddl-end --
-- object: fkg.t_6104_risiko_virk | type: TABLE --
-- DROP TABLE fkg.t_6104_risiko_virk;
CREATE TABLE fkg.t_6104_risiko_virk(
	versions_id uuid NOT NULL,
	risikotype_kode integer NOT NULL,
	cvr_risi_virk integer,
	kontakt_tlf integer NOT NULL,
	brandhaem_kode integer NOT NULL,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6104_risiko_virk_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6104_risiko_virk_cvr_risi_virk_ck CHECK (cvr_risi_virk BETWEEN 10000000 AND 99999999),
	CONSTRAINT t_6104_risiko_virk_kontakt_tlf_ck CHECK (kontakt_tlf BETWEEN 11111111 AND 99999999)

);
-- ddl-end --
-- object: fkg.t_6105_sbygn_omr | type: TABLE --
-- DROP TABLE fkg.t_6105_sbygn_omr;
CREATE TABLE fkg.t_6105_sbygn_omr(
	versions_id uuid NOT NULL,
	saer_distrikt_nr integer,
	saer_distrikt_navn character varying(128),
	navn character varying(128) NOT NULL,
	kontakt_info character varying(128) NOT NULL,
	noegle character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6105_sbygn_omr_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6105_sbygn_omr_saer_distrikt_nr_ck CHECK (saer_distrikt_nr BETWEEN 1 AND 99999)

);
-- ddl-end --
-- object: fkg.t_6107_forholds | type: TABLE --
-- DROP TABLE fkg.t_6107_forholds;
CREATE TABLE fkg.t_6107_forholds(
	versions_id uuid NOT NULL,
	gyldig_fra date NOT NULL,
	gyldig_til date,
	bra_kode character varying(50),
	net_adr character varying(50) NOT NULL,
	cvr_firma integer,
	vejkode integer,
	cvf_vejkode character(7),
	husnr character varying(4),
	postnr integer,
	adr_i_tekst character varying(128),
	tlf_arbejde integer,
	tlf_dag integer,
	tlf_nat integer,
	aba_kode integer NOT NULL,
	avs_kode integer NOT NULL,
	ars_kode integer NOT NULL,
	noegleboks_kode integer,
	noeglested character varying(128),
	central_placering character varying(128),
	opgave_ankomst character varying(128) NOT NULL,
	prs_1 character varying(128),
	prs_2 character varying(128),
	prs_3 character varying(128),
	prs_4 character varying(128),
	prs_5 character varying(128),
	system_fkt character varying(128),
	noter character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_6107_forholds_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6107_forholds_cvr_firma_ck CHECK (cvr_firma BETWEEN 10000000 AND 99999999),
	CONSTRAINT t_6107_forholds_tlf_arbejde_ck CHECK (tlf_arbejde BETWEEN 10000000 AND 99999999),
	CONSTRAINT t_6107_forholds_tlf_dag_ck CHECK (tlf_dag BETWEEN 10000000 AND 99999999),
	CONSTRAINT t_6107_forholds_tlf_nat_ck CHECK (tlf_nat BETWEEN 10000000 AND 99999999)

);
-- ddl-end --
-- object: fkg.t_6108_moedepl | type: TABLE --
-- DROP TABLE fkg.t_6108_moedepl;
CREATE TABLE fkg.t_6108_moedepl(
	versions_id uuid NOT NULL,
	navn character varying(128) NOT NULL,
	vejkode integer,
	cvf_vejkode character(7),
	husnr character varying(4),
	postnr integer,
	noter character varying(254),
	bemaerkning character varying(254),
	link_tegn character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6108_moedepl_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_6110_noegle | type: TABLE --
-- DROP TABLE fkg.t_6110_noegle;
CREATE TABLE fkg.t_6110_noegle(
	versions_id uuid NOT NULL,
	bra_kode character varying(50),
	tyv_alarm_kode integer NOT NULL,
	noegleboksnr character varying(256),
	vejkode integer,
	cvf_vejkode character(7),
	husnr character varying(4),
	postnr integer,
	bemaerkning character varying(254),
	noter character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_6110_noegle_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_6111_fyrv_till | type: TABLE --
-- DROP TABLE fkg.t_6111_fyrv_till;
CREATE TABLE fkg.t_6111_fyrv_till(
	versions_id uuid NOT NULL,
	firma character varying(128) NOT NULL,
	vejkode integer,
	cvf_vejkode character(7),
	husnr character varying(4),
	postnr integer,
	tilladelse_type_kode integer NOT NULL,
	gyldig_fra date NOT NULL,
	gyldig_til date,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6111_fyrv_till_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_6112_midl_dep | type: TABLE --
-- DROP TABLE fkg.t_6112_midl_dep;
CREATE TABLE fkg.t_6112_midl_dep(
	versions_id uuid NOT NULL,
	cvr integer NOT NULL,
	virksomhed_navn character varying(128),
	virksomhed_type character varying(50),
	depottype_kode integer NOT NULL,
	gyldig_fra date NOT NULL,
	gyldig_til date,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6112_midl_dep_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6112_midl_dep_cvr_ck CHECK (cvr BETWEEN 11111111 AND 99999999)

);
-- ddl-end --
-- object: fkg.t_6113_besk_nat_b | type: TABLE --
-- DROP TABLE fkg.t_6113_besk_nat_b;
CREATE TABLE fkg.t_6113_besk_nat_b(
	versions_id uuid NOT NULL,
	noegle character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6113_besk_nat_b_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_6114_midl_oph | type: TABLE --
-- DROP TABLE fkg.t_6114_midl_oph;
CREATE TABLE fkg.t_6114_midl_oph(
	versions_id uuid NOT NULL,
	institution_navn character varying(128) NOT NULL,
	vejkode integer,
	cvf_vejkode character(7),
	husnr character varying(4),
	postnr integer,
	adr_i_tekst character varying(128),
	suppl_sted_beskrivelse character varying(128),
	kontaktperson character varying(128) NOT NULL,
	kontakttelefonnr integer,
	antal_personer integer,
	gyldig_fra date NOT NULL,
	gyldig_til date,
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_6114_midl_oph_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_6115_afbr_omr | type: TABLE --
-- DROP TABLE fkg.t_6115_afbr_omr;
CREATE TABLE fkg.t_6115_afbr_omr(
	versions_id uuid NOT NULL,
	afbr_nr integer,
	afbr_navn character varying(128),
	afbr_type_kode integer NOT NULL,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6115_afbr_omr_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6115_afbr_omr_afbr_nr_ck CHECK (afbr_nr BETWEEN 1 AND 99999)

);
-- ddl-end --
-- object: fkg.t_6116_olie_ber_pl | type: TABLE --
-- DROP TABLE fkg.t_6116_olie_ber_pl;
CREATE TABLE fkg.t_6116_olie_ber_pl(
	versions_id uuid NOT NULL,
	navn character varying(128),
	strandtype_kode integer NOT NULL,
	prioritet integer,
	esi_klasse_kode integer,
	baad_kode integer,
	sagsnr character varying(128),
	noter character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6116_olie_ber_pl_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6116_olie_ber_pl_prioritet_ck CHECK (prioritet BETWEEN 1 AND 9)

);
-- ddl-end --
-- object: fkg.t_6117_inds_pkt | type: TABLE --
-- DROP TABLE fkg.t_6117_inds_pkt;
CREATE TABLE fkg.t_6117_inds_pkt(
	versions_id uuid NOT NULL,
	nr_navn character varying(20) NOT NULL,
	beskrivelse character varying(254),
	adgang character varying(254),
	vej_afstand integer,
	ansvar character varying(50),
	indsatstype_kode integer NOT NULL,
	noter character varying(254),
	sagsnr character varying(128),
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_6117_inds_pkt_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6117_inds_pkt_vej_afstand_ck CHECK (vej_afstand BETWEEN 1 AND 9999)

);
-- ddl-end --
-- object: fkg.t_6118_bran_redn | type: TABLE --
-- DROP TABLE fkg.t_6118_bran_redn;
CREATE TABLE fkg.t_6118_bran_redn(
	versions_id uuid NOT NULL,
	redarea_type_kode integer NOT NULL,
	rednarea_underomr character varying(20),
	noter character varying(254),
	bygn_kompleks character varying(128),
	byg_sag_nr character varying(50) NOT NULL,
	vejkode integer,
	cvf_vejkode character(7),
	husnr character varying(4),
	postnr integer,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6118_bran_redn_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.d_6118_brand_redarea_type | type: TABLE --
-- DROP TABLE fkg.d_6118_brand_redarea_type;
CREATE TABLE fkg.d_6118_brand_redarea_type(
	brand_redarea_type_kode integer NOT NULL,
	brand_redarea_type character varying(15) NOT NULL,
	aktiv integer NOT NULL,
	begrebsdefinition character varying,
	CONSTRAINT d_6118_brand_redarea_type_pk PRIMARY KEY (brand_redarea_type_kode)

);
-- ddl-end --
-- object: fkg.t_6200_nat_geo | type: TABLE --
-- DROP TABLE fkg.t_6200_nat_geo;
CREATE TABLE fkg.t_6200_nat_geo(
	versions_id uuid NOT NULL,
	data_oprindelse character varying(128),
	omraade_nr integer,
	geologi_kode integer NOT NULL,
	geo_ref character varying(1024),
	jordtype_kode integer NOT NULL,
	terraen_kode integer NOT NULL,
	terraen_ref character varying(1024),
	kompleksitet_kode integer NOT NULL,
	vandelementer character varying(1024),
	farvandsomraade character varying(1024),
	strandbredden character varying(1024),
	begrund_afgraensning character varying(1024),
	omr_sammenhaeng character varying(1024),
	farvand_strand_ref character varying(1024),
	naturgeo_beskrivelse character varying(1024),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6200_nat_geo_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_6201_kult_geo | type: TABLE --
-- DROP TABLE fkg.t_6201_kult_geo;
CREATE TABLE fkg.t_6201_kult_geo(
	versions_id uuid NOT NULL,
	data_oprindelse character varying(128),
	omraade_nr integer,
	begrund_afgraensning character varying(1024) NOT NULL,
	link_litteratur character varying(1024),
	link_vejledning character varying(1024),
	link_reg_skema character varying(1024),
	kulturgeo_beskrivelse character varying(1024),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6201_kult_geo_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_6202_landk_omr | type: TABLE --
-- DROP TABLE fkg.t_6202_landk_omr;
CREATE TABLE fkg.t_6202_landk_omr(
	versions_id uuid NOT NULL,
	omraade_nr integer,
	dato_besigtig date,
	navn_besigtig character varying(128),
	rev_dato date,
	landskabskarakteren character varying(1024) NOT NULL,
	tidsdybde_kode integer,
	tidsdybde_beskr character varying(1024),
	intakthed_kode integer NOT NULL,
	intakthed_beskr character varying(1024),
	noeglefunktioner character varying(1024),
	afgr_naboomr character varying(1024),
	vejledn_afgr_naboomr character varying(1024),
	skala_kode integer,
	skala_beskrivelse character varying(1024),
	rumlig_afgraensning_kode integer,
	rumlig_beskrivelse character varying(1024),
	kompleksitet_kode integer,
	kompleksitet_beskrivelse character varying(1024),
	struktur_kode integer,
	struktur_beskrivelse character varying(1024),
	visuel_uro_kode integer,
	visuel_uro_beskrivelse character varying(1024),
	kystforhold character varying(1024),
	oplevelser character varying(1024),
	analysekort character varying(1024),
	link_reg_skema character varying(1024),
	link_vejledning character varying(1024),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6202_landk_omr_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6202_landk_omr_dato_besigtig_ck CHECK (dato_besigtig BETWEEN '2006-12-31' AND '2999-12-31'),
	CONSTRAINT t_6202_landk_omr_rev_dato_ck CHECK (rev_dato BETWEEN '2006-12-31' AND '2999-12-31')

);
-- ddl-end --
-- object: fkg.t_6203_landk_vur | type: TABLE --
-- DROP TABLE fkg.t_6203_landk_vur;
CREATE TABLE fkg.t_6203_landk_vur(
	versions_id uuid NOT NULL,
	omraade_nr integer,
	delomraade_nr character varying(4),
	karakterstyrke_kode integer NOT NULL,
	karakterstyrke_notat character varying(1024),
	visuel_notat character varying(1024),
	tilstand_kode integer,
	tilstand_notat character varying(1024),
	udvikling character varying(1024),
	saarbarhed_kode integer,
	saarbarhed_notat character varying(1024),
	tiltag character varying(1024),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6203_landk_vur_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.t_6800_parl_fl | type: TABLE --
-- DROP TABLE fkg.t_6800_parl_fl;
CREATE TABLE fkg.t_6800_parl_fl(
	versions_id uuid NOT NULL,
	vedlhold_f_type_kode integer NOT NULL,
	arbejdssted character varying(150),
	konto_nr character varying(150),
	udfoerer_enterp character varying(50),
	kommunal_kontakt character varying(150),
	anlaegsaar date,
	etabl_pleje_udloeb date,
	udskiftningaar date,
	udtyndaar date,
	klip_hoejde double precision,
	klip_sider integer,
	klip_flade double precision,
	driftniv_kode integer,
	ukrudtsbek_kode integer,
	tilstand_kode integer,
	noegle character varying(128),
	noter character varying(254),
	vejkode integer,
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6800_parl_fl_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6800_parl_fl_anlaegsaar_ck CHECK (anlaegsaar BETWEEN '1600-01-01' AND '2999-12-31'),
	CONSTRAINT t_6800_parl_fl_etabl_pleje_udloeb_ck CHECK (etabl_pleje_udloeb BETWEEN '2007-01-01' AND '2999-12-31'),
	CONSTRAINT t_6800_parl_fl_udskiftningaar_ck CHECK (udskiftningaar BETWEEN '2007-01-01' AND '2999-12-31'),
	CONSTRAINT t_6800_parl_fl_udtyndaar_ck CHECK (udtyndaar BETWEEN '2007-01-01' AND '2999-12-31'),
	CONSTRAINT t_6800_parl_fl_klip_hoejde_ck CHECK (klip_hoejde BETWEEN 0.01 AND 9.99),
	CONSTRAINT t_6800_parl_fl_klip_sider_ck CHECK (klip_sider BETWEEN 0 AND 2),
	CONSTRAINT t_6800_parl_fl_klip_flade_ck CHECK (klip_flade BETWEEN 0.01 AND 99999.99)

);
-- ddl-end --
-- object: fkg.t_6801_parl_li | type: TABLE --
-- DROP TABLE fkg.t_6801_parl_li;
CREATE TABLE fkg.t_6801_parl_li(
	versions_id uuid NOT NULL,
	vedlhold_l_type_kode integer NOT NULL,
	arbejdssted character varying(150),
	konto_nr character varying(150),
	udfoerer_enterp character varying(50),
	kommunal_kontakt character varying(150),
	anlaegsaar date,
	etabl_pleje_udloeb date,
	udskiftningaar date,
	klip_flade double precision,
	klip_hoejde double precision,
	klip_sider integer,
	klip_bredde double precision,
	driftniv_kode integer,
	ukrudtsbek_kode integer,
	tilstand_kode integer,
	noegle character varying(128),
	noter character varying(254),
	vejkode integer,
	link character varying(1024),
	geometri geometry(MULTILINESTRING, 25832) NOT NULL,
	CONSTRAINT t_6801_parl_li_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6801_parl_li_anlaegsaar_ck CHECK (anlaegsaar BETWEEN '1600-01-01' AND '2999-12-31'),
	CONSTRAINT t_6801_parl_li_etabl_pleje_udloeb_ck CHECK (etabl_pleje_udloeb BETWEEN '2007-01-01' AND '2999-12-31'),
	CONSTRAINT t_6801_parl_li_udskiftningaar_ck CHECK (udskiftningaar BETWEEN '2007-01-01' AND '2999-12-31'),
	CONSTRAINT t_6801_parl_li_klip_flade_ck CHECK (klip_flade BETWEEN 0.01 AND 99999.99),
	CONSTRAINT t_6801_parl_li_klip_hoejde_ck CHECK (klip_hoejde BETWEEN 0.01 AND 9.99),
	CONSTRAINT t_6801_parl_li_klip_sider_ck CHECK (klip_sider BETWEEN 0 AND 2),
	CONSTRAINT t_6801_parl_li_klip_bredde_ck CHECK (klip_bredde BETWEEN 0.01 AND 9.99)

);
-- ddl-end --
-- object: fkg.t_6802_parl_pkt | type: TABLE --
-- DROP TABLE fkg.t_6802_parl_pkt;
CREATE TABLE fkg.t_6802_parl_pkt(
	versions_id uuid NOT NULL,
	vedlhold_p_type_kode integer NOT NULL,
	arbejdssted character varying(150),
	konto_nr character varying(150),
	udfoerer_enterp character varying(50),
	kommunal_kontakt character varying(150),
	anlaegsaar date,
	etabl_pleje_udloeb date,
	udskiftningaar date,
	klip_flade double precision,
	driftniv_kode integer,
	ukrudtsbek_kode integer,
	tilstand_kode integer,
	noegle character varying(128),
	noter character varying(254),
	vejkode integer,
	link character varying(1024),
	geometri geometry(MULTIPOINT, 25832) NOT NULL,
	CONSTRAINT t_6802_parl_pkt_pk PRIMARY KEY (versions_id),
	CONSTRAINT t_6802_parl_pkt_anlaegsaar_ck CHECK (anlaegsaar BETWEEN '1600-01-01' AND '2999-12-31'),
	CONSTRAINT t_6802_parl_pkt_etabl_pleje_udloeb_ck CHECK (etabl_pleje_udloeb BETWEEN '2007-01-01' AND '2999-12-31'),
	CONSTRAINT t_6802_parl_pkt_udskiftningaar_ck CHECK (udskiftningaar BETWEEN '2007-01-01' AND '2999-12-31'),
	CONSTRAINT t_6802_parl_pkt_klip_flade_ck CHECK (klip_flade BETWEEN 0.01 AND 99999.99)

);
-- ddl-end --
-- object: fkg.t_6803_parl_omr | type: TABLE --
-- DROP TABLE fkg.t_6803_parl_omr;
CREATE TABLE fkg.t_6803_parl_omr(
	versions_id uuid NOT NULL,
	pg_distrikt_kode integer NOT NULL,
	pg_distrikt_nr character varying(150),
	ansvarlig character varying(50),
	udfoerer character varying(50),
	udfoerer_kontakt1 character varying(50),
	udfoerer_kontakt2 character varying(50),
	kommunal_kontakt character varying(150),
	note character varying(254),
	link character varying(1024),
	geometri geometry(MULTIPOLYGON, 25832) NOT NULL,
	CONSTRAINT t_6803_parl_omr_pk PRIMARY KEY (versions_id)

);
-- ddl-end --
-- object: fkg.d_basis_offentlig | type: TABLE --
-- DROP TABLE fkg.d_basis_offentlig;
CREATE TABLE fkg.d_basis_offentlig(
	off_kode integer NOT NULL,
	offentlig character varying(60) NOT NULL,
	aktiv integer NOT NULL,
	CONSTRAINT d_basis_offentlig_pk PRIMARY KEY (off_kode)

);
-- ddl-end --
-- object: generel_d_basis_oprindelse_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.generel DROP CONSTRAINT generel_d_basis_oprindelse_fk;
ALTER TABLE fkg.generel ADD CONSTRAINT generel_d_basis_oprindelse_fk FOREIGN KEY (oprindkode)
REFERENCES fkg.d_basis_oprindelse (oprindkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: generel_d_basis_status_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.generel DROP CONSTRAINT generel_d_basis_status_fk;
ALTER TABLE fkg.generel ADD CONSTRAINT generel_d_basis_status_fk FOREIGN KEY (statuskode)
REFERENCES fkg.d_basis_status (statuskode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: generel_d_basis_ansvarlig_myndighed_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.generel DROP CONSTRAINT generel_d_basis_ansvarlig_myndighed_fk;
ALTER TABLE fkg.generel ADD CONSTRAINT generel_d_basis_ansvarlig_myndighed_fk FOREIGN KEY (cvr_kode)
REFERENCES fkg.d_basis_ansvarlig_myndighed (cvr_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: generel_d_basis_offentlig_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.generel DROP CONSTRAINT generel_d_basis_offentlig_fk;
ALTER TABLE fkg.generel ADD CONSTRAINT generel_d_basis_offentlig_fk FOREIGN KEY (off_kode)
REFERENCES fkg.d_basis_offentlig (off_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5000_vandl_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5000_vandl DROP CONSTRAINT t_5000_vandl_generel_fk;
ALTER TABLE fkg.t_5000_vandl ADD CONSTRAINT t_5000_vandl_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5000_vandl_d_5000_klasse_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5000_vandl DROP CONSTRAINT t_5000_vandl_d_5000_klasse_fk;
ALTER TABLE fkg.t_5000_vandl ADD CONSTRAINT t_5000_vandl_d_5000_klasse_fk FOREIGN KEY (klasse_kode)
REFERENCES fkg.d_5000_klasse (klasse_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5000_vandl_d_5000_vandl_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5000_vandl DROP CONSTRAINT t_5000_vandl_d_5000_vandl_type_fk;
ALTER TABLE fkg.t_5000_vandl ADD CONSTRAINT t_5000_vandl_d_5000_vandl_type_fk FOREIGN KEY (vandl_type_kode)
REFERENCES fkg.d_5000_vandl_type (vandl_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5000_vandl_d_basis_ejerstatus_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5000_vandl DROP CONSTRAINT t_5000_vandl_d_basis_ejerstatus_fk;
ALTER TABLE fkg.t_5000_vandl ADD CONSTRAINT t_5000_vandl_d_basis_ejerstatus_fk FOREIGN KEY (ejerstatus_kode)
REFERENCES fkg.d_basis_ejerstatus (ejerstatus_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5000_vandl_d_basis_ja_nej_tidl_amt_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5000_vandl DROP CONSTRAINT t_5000_vandl_d_basis_ja_nej_tidl_amt_fk;
ALTER TABLE fkg.t_5000_vandl ADD CONSTRAINT t_5000_vandl_d_basis_ja_nej_tidl_amt_fk FOREIGN KEY (tidl_amt_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5000_vandl_d_basis_ja_nej_p3vandloeb_kode_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5000_vandl DROP CONSTRAINT t_5000_vandl_d_basis_ja_nej_p3vandloeb_kode_fk;
ALTER TABLE fkg.t_5000_vandl ADD CONSTRAINT t_5000_vandl_d_basis_ja_nej_p3vandloeb_kode_fk FOREIGN KEY (p3vandloeb_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5000_vandl_d_basis_dvfi_bedoemmelse_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5000_vandl DROP CONSTRAINT t_5000_vandl_d_basis_dvfi_bedoemmelse_fk;
ALTER TABLE fkg.t_5000_vandl ADD CONSTRAINT t_5000_vandl_d_basis_dvfi_bedoemmelse_fk FOREIGN KEY (dvfi_bedoemmelse_kode)
REFERENCES fkg.d_basis_dvfi_bedoemmelse (dvfi_bedoemmelse_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5000_vandl_d_basis_ja_nej_maalsaetning_opfyldt_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5000_vandl DROP CONSTRAINT t_5000_vandl_d_basis_ja_nej_maalsaetning_opfyldt_fk;
ALTER TABLE fkg.t_5000_vandl ADD CONSTRAINT t_5000_vandl_d_basis_ja_nej_maalsaetning_opfyldt_fk FOREIGN KEY (maalsaetning_opfyldt_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5000_vandl_d_basis_trussel_vand_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5000_vandl DROP CONSTRAINT t_5000_vandl_d_basis_trussel_vand_fk;
ALTER TABLE fkg.t_5000_vandl ADD CONSTRAINT t_5000_vandl_d_basis_trussel_vand_fk FOREIGN KEY (trussel_vand_kode)
REFERENCES fkg.d_basis_trussel_vand (trussel_vand_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5000_vandl_d_5000_maalsaetning_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5000_vandl DROP CONSTRAINT t_5000_vandl_d_5000_maalsaetning_fk;
ALTER TABLE fkg.t_5000_vandl ADD CONSTRAINT t_5000_vandl_d_5000_maalsaetning_fk FOREIGN KEY (maalsaetning_kode)
REFERENCES fkg.d_5000_maalsaetning (maalsaetning_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: tema_temagruppe_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.tema DROP CONSTRAINT tema_temagruppe_fk;
ALTER TABLE fkg.tema ADD CONSTRAINT tema_temagruppe_fk FOREIGN KEY (temagruppe_id)
REFERENCES fkg.temagruppe (temagruppe_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6100_brandhane_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6100_brandhane DROP CONSTRAINT t_6100_brandhane_generel_fk;
ALTER TABLE fkg.t_6100_brandhane ADD CONSTRAINT t_6100_brandhane_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6100_brandhane_d_6100_brandhane_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6100_brandhane DROP CONSTRAINT t_6100_brandhane_d_6100_brandhane_fk;
ALTER TABLE fkg.t_6100_brandhane ADD CONSTRAINT t_6100_brandhane_d_6100_brandhane_fk FOREIGN KEY (brandhane_type_kode)
REFERENCES fkg.d_6100_brandhane (brandhane_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6100_brandhane_d_6100_placering_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6100_brandhane DROP CONSTRAINT t_6100_brandhane_d_6100_placering_fk;
ALTER TABLE fkg.t_6100_brandhane ADD CONSTRAINT t_6100_brandhane_d_6100_placering_fk FOREIGN KEY (placering_kode)
REFERENCES fkg.d_6100_placering (placering_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6100_brandhane_d_basis_funktionsstatus_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6100_brandhane DROP CONSTRAINT t_6100_brandhane_d_basis_funktionsstatus_fk;
ALTER TABLE fkg.t_6100_brandhane ADD CONSTRAINT t_6100_brandhane_d_basis_funktionsstatus_fk FOREIGN KEY (funktionsstatus_kode)
REFERENCES fkg.d_basis_funktionsstatus (funktionsstatus_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6100_brandhane_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6100_brandhane DROP CONSTRAINT t_6100_brandhane_d_vejnavn_fk;
ALTER TABLE fkg.t_6100_brandhane ADD CONSTRAINT t_6100_brandhane_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6100_brandhane_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6100_brandhane DROP CONSTRAINT t_6100_brandhane_d_basis_postnr_fk;
ALTER TABLE fkg.t_6100_brandhane ADD CONSTRAINT t_6100_brandhane_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6100_brandhane_d_basis_ja_nej_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6100_brandhane DROP CONSTRAINT t_6100_brandhane_d_basis_ja_nej_fk;
ALTER TABLE fkg.t_6100_brandhane ADD CONSTRAINT t_6100_brandhane_d_basis_ja_nej_fk FOREIGN KEY (aktiv_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6102_redningsvej_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6102_redn_vej DROP CONSTRAINT t_6102_redningsvej_generel_fk;
ALTER TABLE fkg.t_6102_redn_vej ADD CONSTRAINT t_6102_redningsvej_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6102_redningsvej_d_6102_redvej_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6102_redn_vej DROP CONSTRAINT t_6102_redningsvej_d_6102_redvej_type_fk;
ALTER TABLE fkg.t_6102_redn_vej ADD CONSTRAINT t_6102_redningsvej_d_6102_redvej_type_fk FOREIGN KEY (redvej_type_kode)
REFERENCES fkg.d_6102_redvej_type (redvej_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6102_redn_vej_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6102_redn_vej DROP CONSTRAINT t_6102_redn_vej_d_vejnavn_fk;
ALTER TABLE fkg.t_6102_redn_vej ADD CONSTRAINT t_6102_redn_vej_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6102_redn_vej_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6102_redn_vej DROP CONSTRAINT t_6102_redn_vej_d_basis_postnr_fk;
ALTER TABLE fkg.t_6102_redn_vej ADD CONSTRAINT t_6102_redn_vej_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5001_maalest_d_5001_maalest_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5001_maalest DROP CONSTRAINT t_5001_maalest_d_5001_maalest_type_fk;
ALTER TABLE fkg.t_5001_maalest ADD CONSTRAINT t_5001_maalest_d_5001_maalest_type_fk FOREIGN KEY (maalest_type_kode)
REFERENCES fkg.d_5001_maalest_type (maalest_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5001_maalest_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5001_maalest DROP CONSTRAINT t_5001_maalest_generel_fk;
ALTER TABLE fkg.t_5001_maalest ADD CONSTRAINT t_5001_maalest_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5001_maalest_d_basisdvfi_bedoemmelse_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5001_maalest DROP CONSTRAINT t_5001_maalest_d_basisdvfi_bedoemmelse_fk;
ALTER TABLE fkg.t_5001_maalest ADD CONSTRAINT t_5001_maalest_d_basisdvfi_bedoemmelse_fk FOREIGN KEY (dvfi_bedoemmelse_kode)
REFERENCES fkg.d_basis_dvfi_bedoemmelse (dvfi_bedoemmelse_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5001_maalest_d_basis_ejerstatus_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5001_maalest DROP CONSTRAINT t_5001_maalest_d_basis_ejerstatus_fk;
ALTER TABLE fkg.t_5001_maalest ADD CONSTRAINT t_5001_maalest_d_basis_ejerstatus_fk FOREIGN KEY (ejerstatus_kode)
REFERENCES fkg.d_basis_ejerstatus (ejerstatus_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5002_faunasp_d_5002_spaerring_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5002_faunasp DROP CONSTRAINT t_5002_faunasp_d_5002_spaerring_fk;
ALTER TABLE fkg.t_5002_faunasp ADD CONSTRAINT t_5002_faunasp_d_5002_spaerring_fk FOREIGN KEY (spaerring_type_kode)
REFERENCES fkg.d_5002_spaerring (spaerring_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5002_faunasp_d_5002_passage_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5002_faunasp DROP CONSTRAINT t_5002_faunasp_d_5002_passage_fk;
ALTER TABLE fkg.t_5002_faunasp ADD CONSTRAINT t_5002_faunasp_d_5002_passage_fk FOREIGN KEY (passage_kode)
REFERENCES fkg.d_5002_passage (passage_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5002_faunasp_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5002_faunasp DROP CONSTRAINT t_5002_faunasp_generel_fk;
ALTER TABLE fkg.t_5002_faunasp ADD CONSTRAINT t_5002_faunasp_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5003_draenledn_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5003_draenledn DROP CONSTRAINT t_5003_draenledn_generel_fk;
ALTER TABLE fkg.t_5003_draenledn ADD CONSTRAINT t_5003_draenledn_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5003_draenledn_d_5003_ledn_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5003_draenledn DROP CONSTRAINT t_5003_draenledn_d_5003_ledn_type_fk;
ALTER TABLE fkg.t_5003_draenledn ADD CONSTRAINT t_5003_draenledn_d_5003_ledn_type_fk FOREIGN KEY (ledn_type_kode)
REFERENCES fkg.d_5003_ledn_type (ledn_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5003_draenledn_d_5003_klasse_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5003_draenledn DROP CONSTRAINT t_5003_draenledn_d_5003_klasse_fk;
ALTER TABLE fkg.t_5003_draenledn ADD CONSTRAINT t_5003_draenledn_d_5003_klasse_fk FOREIGN KEY (klasse_kode)
REFERENCES fkg.d_5003_klasse (klasse_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5004_draenomr_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5004_draenomr DROP CONSTRAINT t_5004_draenomr_generel_fk;
ALTER TABLE fkg.t_5004_draenomr ADD CONSTRAINT t_5004_draenomr_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5004_draenomr_d_5004_omr_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5004_draenomr DROP CONSTRAINT t_5004_draenomr_d_5004_omr_type_fk;
ALTER TABLE fkg.t_5004_draenomr ADD CONSTRAINT t_5004_draenomr_d_5004_omr_type_fk FOREIGN KEY (omr_type_kode)
REFERENCES fkg.d_5004_omr_type (omr_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5005_soe_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5005_soe DROP CONSTRAINT t_5005_soe_generel_fk;
ALTER TABLE fkg.t_5005_soe ADD CONSTRAINT t_5005_soe_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5005_soe_d_5005_maalsaetning_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5005_soe DROP CONSTRAINT t_5005_soe_d_5005_maalsaetning_fk;
ALTER TABLE fkg.t_5005_soe ADD CONSTRAINT t_5005_soe_d_5005_maalsaetning_fk FOREIGN KEY (maalsaetning_kode)
REFERENCES fkg.d_5005_maalsaetning (maalsaetning_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5005_soe_d_5005_soe_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5005_soe DROP CONSTRAINT t_5005_soe_d_5005_soe_type_fk;
ALTER TABLE fkg.t_5005_soe ADD CONSTRAINT t_5005_soe_d_5005_soe_type_fk FOREIGN KEY (soe_type_kode)
REFERENCES fkg.d_5005_soe_type (soe_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5005_soe_d_5005_habitat_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5005_soe DROP CONSTRAINT t_5005_soe_d_5005_habitat_type_fk;
ALTER TABLE fkg.t_5005_soe ADD CONSTRAINT t_5005_soe_d_5005_habitat_type_fk FOREIGN KEY (habitat_type_kode)
REFERENCES fkg.d_5005_habitat_type (habitat_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5005_soe_d_basis_trussel_vand_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5005_soe DROP CONSTRAINT t_5005_soe_d_basis_trussel_vand_fk;
ALTER TABLE fkg.t_5005_soe ADD CONSTRAINT t_5005_soe_d_basis_trussel_vand_fk FOREIGN KEY (trussel_vand_kode)
REFERENCES fkg.d_basis_trussel_vand (trussel_vand_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5006_dybdekurv_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5006_dybdekurv DROP CONSTRAINT t_5006_dybdekurv_generel_fk;
ALTER TABLE fkg.t_5006_dybdekurv ADD CONSTRAINT t_5006_dybdekurv_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5007_vandl_opl_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5007_vandl_opl DROP CONSTRAINT t_5007_vandl_opl_generel_fk;
ALTER TABLE fkg.t_5007_vandl_opl ADD CONSTRAINT t_5007_vandl_opl_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5007_vandl_opl_d_5007_opl_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5007_vandl_opl DROP CONSTRAINT t_5007_vandl_opl_d_5007_opl_fk;
ALTER TABLE fkg.t_5007_vandl_opl ADD CONSTRAINT t_5007_vandl_opl_d_5007_opl_fk FOREIGN KEY (vandl_opl_nr)
REFERENCES fkg.d_5007_opl (opl_nr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5007_vandl_opl_d_5007_opl_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5007_vandl_opl DROP CONSTRAINT t_5007_vandl_opl_d_5007_opl_type_fk;
ALTER TABLE fkg.t_5007_vandl_opl ADD CONSTRAINT t_5007_vandl_opl_d_5007_opl_type_fk FOREIGN KEY (opl_type_kode)
REFERENCES fkg.d_5007_opl_type (vandl_opl_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5008_soe_opl_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5008_soe_opl DROP CONSTRAINT t_5008_soe_opl_generel_fk;
ALTER TABLE fkg.t_5008_soe_opl ADD CONSTRAINT t_5008_soe_opl_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5008_soe_opl_d_5008_opl_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5008_soe_opl DROP CONSTRAINT t_5008_soe_opl_d_5008_opl_fk;
ALTER TABLE fkg.t_5008_soe_opl ADD CONSTRAINT t_5008_soe_opl_d_5008_opl_fk FOREIGN KEY (soe_opl_nr)
REFERENCES fkg.d_5008_opl (soe_opl_nr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5009_pumpelag_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5009_pumpelag DROP CONSTRAINT t_5009_pumpelag_generel_fk;
ALTER TABLE fkg.t_5009_pumpelag ADD CONSTRAINT t_5009_pumpelag_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5009_pumpelag_d_5009_lag_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5009_pumpelag DROP CONSTRAINT t_5009_pumpelag_d_5009_lag_type_fk;
ALTER TABLE fkg.t_5009_pumpelag ADD CONSTRAINT t_5009_pumpelag_d_5009_lag_type_fk FOREIGN KEY (lag_type_kode)
REFERENCES fkg.d_5009_lag_type (lag_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5009_pumpelag_d_basis_erjerstatus_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5009_pumpelag DROP CONSTRAINT t_5009_pumpelag_d_basis_erjerstatus_fk;
ALTER TABLE fkg.t_5009_pumpelag ADD CONSTRAINT t_5009_pumpelag_d_basis_erjerstatus_fk FOREIGN KEY (ejerstatus_kode)
REFERENCES fkg.d_basis_ejerstatus (ejerstatus_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5010_vandl_elm_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5010_vandl_elm DROP CONSTRAINT t_5010_vandl_elm_generel_fk;
ALTER TABLE fkg.t_5010_vandl_elm ADD CONSTRAINT t_5010_vandl_elm_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5010_vandl_elm_d_5010_element_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5010_vandl_elm DROP CONSTRAINT t_5010_vandl_elm_d_5010_element_type_fk;
ALTER TABLE fkg.t_5010_vandl_elm ADD CONSTRAINT t_5010_vandl_elm_d_5010_element_type_fk FOREIGN KEY (element_kode)
REFERENCES fkg.d_5010_element_type (element_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5010_vandl_elm_d_basis_tilstand_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5010_vandl_elm DROP CONSTRAINT t_5010_vandl_elm_d_basis_tilstand_fk;
ALTER TABLE fkg.t_5010_vandl_elm ADD CONSTRAINT t_5010_vandl_elm_d_basis_tilstand_fk FOREIGN KEY (tilstand_kode)
REFERENCES fkg.d_basis_tilstand (tilstand_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5105_rig_fattig_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5105_rig_fattig DROP CONSTRAINT t_5105_rig_fattig_generel_fk;
ALTER TABLE fkg.t_5105_rig_fattig ADD CONSTRAINT t_5105_rig_fattig_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5105_rig_fattig_d_5105_kaer_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5105_rig_fattig DROP CONSTRAINT t_5105_rig_fattig_d_5105_kaer_type_fk;
ALTER TABLE fkg.t_5105_rig_fattig ADD CONSTRAINT t_5105_rig_fattig_d_5105_kaer_type_fk FOREIGN KEY (kaer_type_kode)
REFERENCES fkg.d_5105_kaer_type (kaer_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5106_nat_pl_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5106_nat_pl DROP CONSTRAINT t_5106_nat_pl_generel_fk;
ALTER TABLE fkg.t_5106_nat_pl ADD CONSTRAINT t_5106_nat_pl_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5106_nat_pl_d_5106_pleje_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5106_nat_pl DROP CONSTRAINT t_5106_nat_pl_d_5106_pleje_type_fk;
ALTER TABLE fkg.t_5106_nat_pl ADD CONSTRAINT t_5106_nat_pl_d_5106_pleje_type_fk FOREIGN KEY (pleje_type_kode)
REFERENCES fkg.d_5106_pleje_type (pleje_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5106_nat_pl_d_5106_faciliteter_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5106_nat_pl DROP CONSTRAINT t_5106_nat_pl_d_5106_faciliteter_fk;
ALTER TABLE fkg.t_5106_nat_pl ADD CONSTRAINT t_5106_nat_pl_d_5106_faciliteter_fk FOREIGN KEY (faciliteter_kode)
REFERENCES fkg.d_5106_faciliteter (faciliteter_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5106_nat_pl_d_basis_ejerstatus_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5106_nat_pl DROP CONSTRAINT t_5106_nat_pl_d_basis_ejerstatus_fk;
ALTER TABLE fkg.t_5106_nat_pl ADD CONSTRAINT t_5106_nat_pl_d_basis_ejerstatus_fk FOREIGN KEY (ejerstatus_kode)
REFERENCES fkg.d_basis_ejerstatus (ejerstatus_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5108_groent_part_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5108_groent_part DROP CONSTRAINT t_5108_groent_part_generel_fk;
ALTER TABLE fkg.t_5108_groent_part ADD CONSTRAINT t_5108_groent_part_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5300_genopd_ret_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5300_genopd_ret DROP CONSTRAINT t_5300_genopd_ret_generel_fk;
ALTER TABLE fkg.t_5300_genopd_ret ADD CONSTRAINT t_5300_genopd_ret_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5400_affalds_dis_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5400_affalds_dis DROP CONSTRAINT t_5400_affalds_dis_generel_fk;
ALTER TABLE fkg.t_5400_affalds_dis ADD CONSTRAINT t_5400_affalds_dis_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5400_affalds_dis_d_5400_affalds_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5400_affalds_dis DROP CONSTRAINT t_5400_affalds_dis_d_5400_affalds_type_fk;
ALTER TABLE fkg.t_5400_affalds_dis ADD CONSTRAINT t_5400_affalds_dis_d_5400_affalds_type_fk FOREIGN KEY (affaldstype_kode)
REFERENCES fkg.d_5400_affalds_type (affaldstype_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5401_genbr_st_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5401_genbr_st DROP CONSTRAINT t_5401_genbr_st_generel_fk;
ALTER TABLE fkg.t_5401_genbr_st ADD CONSTRAINT t_5401_genbr_st_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5401_genbr_st_d_5401_gs_type | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5401_genbr_st DROP CONSTRAINT t_5401_genbr_st_d_5401_gs_type;
ALTER TABLE fkg.t_5401_genbr_st ADD CONSTRAINT t_5401_genbr_st_d_5401_gs_type FOREIGN KEY (gs_type_kode)
REFERENCES fkg.d_5401_gs_type (gs_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5401_genbr_st_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5401_genbr_st DROP CONSTRAINT t_5401_genbr_st_d_basis_postnr_fk;
ALTER TABLE fkg.t_5401_genbr_st ADD CONSTRAINT t_5401_genbr_st_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5401_genbr_st_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5401_genbr_st DROP CONSTRAINT t_5401_genbr_st_d_vejnavn_fk;
ALTER TABLE fkg.t_5401_genbr_st ADD CONSTRAINT t_5401_genbr_st_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5402_genbr_con_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5402_genbr_con DROP CONSTRAINT t_5402_genbr_con_generel_fk;
ALTER TABLE fkg.t_5402_genbr_con ADD CONSTRAINT t_5402_genbr_con_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5402_genbr_con_d_5402_gc_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5402_genbr_con DROP CONSTRAINT t_5402_genbr_con_d_5402_gc_type_fk;
ALTER TABLE fkg.t_5402_genbr_con ADD CONSTRAINT t_5402_genbr_con_d_5402_gc_type_fk FOREIGN KEY (gc_type_kode)
REFERENCES fkg.d_5402_gc_type (gc_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5508_husst_moel_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5508_husst_moel DROP CONSTRAINT t_5508_husst_moel_generel_fk;
ALTER TABLE fkg.t_5508_husst_moel ADD CONSTRAINT t_5508_husst_moel_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5508_husst_moel_d5508_stoej_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5508_husst_moel DROP CONSTRAINT t_5508_husst_moel_d5508_stoej_fk;
ALTER TABLE fkg.t_5508_husst_moel ADD CONSTRAINT t_5508_husst_moel_d5508_stoej_fk FOREIGN KEY (stoej_kode)
REFERENCES fkg.d_5508_stoej (stoej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5508_husst_moel_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5508_husst_moel DROP CONSTRAINT t_5508_husst_moel_d_vejnavn_fk;
ALTER TABLE fkg.t_5508_husst_moel ADD CONSTRAINT t_5508_husst_moel_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5508_husst_moel_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5508_husst_moel DROP CONSTRAINT t_5508_husst_moel_d_basis_postnr_fk;
ALTER TABLE fkg.t_5508_husst_moel ADD CONSTRAINT t_5508_husst_moel_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5200_aff_prod_udbr_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5200_aff_prod_udbr DROP CONSTRAINT t_5200_aff_prod_udbr_generel_fk;
ALTER TABLE fkg.t_5200_aff_prod_udbr ADD CONSTRAINT t_5200_aff_prod_udbr_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5200_aff_prod_udbr_d_5200_affald_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5200_aff_prod_udbr DROP CONSTRAINT t_5200_aff_prod_udbr_d_5200_affald_fk;
ALTER TABLE fkg.t_5200_aff_prod_udbr ADD CONSTRAINT t_5200_aff_prod_udbr_d_5200_affald_fk FOREIGN KEY (affald_prod_kode)
REFERENCES fkg.d_5200_affald (affald_prod_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5200_aff_prod_udbr_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5200_aff_prod_udbr DROP CONSTRAINT t_5200_aff_prod_udbr_d_basis_postnr_fk;
ALTER TABLE fkg.t_5200_aff_prod_udbr ADD CONSTRAINT t_5200_aff_prod_udbr_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5200_aff_prod_udbr_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5200_aff_prod_udbr DROP CONSTRAINT t_5200_aff_prod_udbr_d_vejnavn_fk;
ALTER TABLE fkg.t_5200_aff_prod_udbr ADD CONSTRAINT t_5200_aff_prod_udbr_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5500_elfors_omr_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5500_elfors_omr DROP CONSTRAINT t_5500_elfors_omr_generel_fk;
ALTER TABLE fkg.t_5500_elfors_omr ADD CONSTRAINT t_5500_elfors_omr_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5506_spildev_pl_pkt_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5506_spildev_pl_pkt DROP CONSTRAINT t_5506_spildev_pl_pkt_generel_fk;
ALTER TABLE fkg.t_5506_spildev_pl_pkt ADD CONSTRAINT t_5506_spildev_pl_pkt_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5506_spildev_pl_pkt_d_5506_anlaegtype_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5506_spildev_pl_pkt DROP CONSTRAINT t_5506_spildev_pl_pkt_d_5506_anlaegtype_fk;
ALTER TABLE fkg.t_5506_spildev_pl_pkt ADD CONSTRAINT t_5506_spildev_pl_pkt_d_5506_anlaegtype_fk FOREIGN KEY (anlaeg_type_kode)
REFERENCES fkg.d_5506_anlaegtype (anlaeg_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5506_spildev_pl_pkt_d_basis_planstatus_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5506_spildev_pl_pkt DROP CONSTRAINT t_5506_spildev_pl_pkt_d_basis_planstatus_fk;
ALTER TABLE fkg.t_5506_spildev_pl_pkt ADD CONSTRAINT t_5506_spildev_pl_pkt_d_basis_planstatus_fk FOREIGN KEY (planstatus_kode)
REFERENCES fkg.d_basis_planstatus (planstatus_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5507_fiberkabel_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5507_fiberkabel DROP CONSTRAINT t_5507_fiberkabel_generel_fk;
ALTER TABLE fkg.t_5507_fiberkabel ADD CONSTRAINT t_5507_fiberkabel_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5800_fac_pkt_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5800_fac_pkt DROP CONSTRAINT t_5800_fac_pkt_generel_fk;
ALTER TABLE fkg.t_5800_fac_pkt ADD CONSTRAINT t_5800_fac_pkt_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5800_fac_pkt_d_5800_facilitet_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5800_fac_pkt DROP CONSTRAINT t_5800_fac_pkt_d_5800_facilitet_fk;
ALTER TABLE fkg.t_5800_fac_pkt ADD CONSTRAINT t_5800_fac_pkt_d_5800_facilitet_fk FOREIGN KEY (facilitet_type_kode)
REFERENCES fkg.d_5800_facilitet (facilitet_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5800_fac_pkt_d_basis_ejerstatus_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5800_fac_pkt DROP CONSTRAINT t_5800_fac_pkt_d_basis_ejerstatus_fk;
ALTER TABLE fkg.t_5800_fac_pkt ADD CONSTRAINT t_5800_fac_pkt_d_basis_ejerstatus_fk FOREIGN KEY (ejerstatus_kode)
REFERENCES fkg.d_basis_ejerstatus (ejerstatus_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5800_fac_pkt_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5800_fac_pkt DROP CONSTRAINT t_5800_fac_pkt_d_vejnavn_fk;
ALTER TABLE fkg.t_5800_fac_pkt ADD CONSTRAINT t_5800_fac_pkt_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5800_fac_pkt_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5800_fac_pkt DROP CONSTRAINT t_5800_fac_pkt_d_basis_postnr_fk;
ALTER TABLE fkg.t_5800_fac_pkt ADD CONSTRAINT t_5800_fac_pkt_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5802_fac_li_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5802_fac_li DROP CONSTRAINT t_5802_fac_li_generel_fk;
ALTER TABLE fkg.t_5802_fac_li ADD CONSTRAINT t_5802_fac_li_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5802_fac_li_d_5802_facilitet_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5802_fac_li DROP CONSTRAINT t_5802_fac_li_d_5802_facilitet_fk;
ALTER TABLE fkg.t_5802_fac_li ADD CONSTRAINT t_5802_fac_li_d_5802_facilitet_fk FOREIGN KEY (facilitet_type_kode)
REFERENCES fkg.d_5802_facilitet (facilitet_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5802_fac_li_d_basis_ejerstatus_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5802_fac_li DROP CONSTRAINT t_5802_fac_li_d_basis_ejerstatus_fk;
ALTER TABLE fkg.t_5802_fac_li ADD CONSTRAINT t_5802_fac_li_d_basis_ejerstatus_fk FOREIGN KEY (ejerstatus_kode)
REFERENCES fkg.d_basis_ejerstatus (ejerstatus_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5802_fac_li_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5802_fac_li DROP CONSTRAINT t_5802_fac_li_d_vejnavn_fk;
ALTER TABLE fkg.t_5802_fac_li ADD CONSTRAINT t_5802_fac_li_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5802_fac_li_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5802_fac_li DROP CONSTRAINT t_5802_fac_li_d_basis_postnr_fk;
ALTER TABLE fkg.t_5802_fac_li ADD CONSTRAINT t_5802_fac_li_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5900_jordfl_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5900_jordfl DROP CONSTRAINT t_5900_jordfl_generel_fk;
ALTER TABLE fkg.t_5900_jordfl ADD CONSTRAINT t_5900_jordfl_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5900_jordfl_d_vejnavn_afs_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5900_jordfl DROP CONSTRAINT t_5900_jordfl_d_vejnavn_afs_fk;
ALTER TABLE fkg.t_5900_jordfl ADD CONSTRAINT t_5900_jordfl_d_vejnavn_afs_fk FOREIGN KEY (afs_vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5900_jordfl_d_basis_postnr_afs_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5900_jordfl DROP CONSTRAINT t_5900_jordfl_d_basis_postnr_afs_fk;
ALTER TABLE fkg.t_5900_jordfl ADD CONSTRAINT t_5900_jordfl_d_basis_postnr_afs_fk FOREIGN KEY (afs_postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5900_jordfl_d_vejnavn_modt_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5900_jordfl DROP CONSTRAINT t_5900_jordfl_d_vejnavn_modt_fk;
ALTER TABLE fkg.t_5900_jordfl ADD CONSTRAINT t_5900_jordfl_d_vejnavn_modt_fk FOREIGN KEY (modt_vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5900_jordfl_d_basis_postnr_modt_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5900_jordfl DROP CONSTRAINT t_5900_jordfl_d_basis_postnr_modt_fk;
ALTER TABLE fkg.t_5900_jordfl ADD CONSTRAINT t_5900_jordfl_d_basis_postnr_modt_fk FOREIGN KEY (modt_postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5901_raastof_till_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5901_raastof_till DROP CONSTRAINT t_5901_raastof_till_generel_fk;
ALTER TABLE fkg.t_5901_raastof_till ADD CONSTRAINT t_5901_raastof_till_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5901_raastof_till_d_5901_raastof_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5901_raastof_till DROP CONSTRAINT t_5901_raastof_till_d_5901_raastof_type_fk;
ALTER TABLE fkg.t_5901_raastof_till ADD CONSTRAINT t_5901_raastof_till_d_5901_raastof_type_fk FOREIGN KEY (raastof_type_kode)
REFERENCES fkg.d_5901_raastof_type (raastof_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5901_raastof_till_d_5901_gravestatus_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5901_raastof_till DROP CONSTRAINT t_5901_raastof_till_d_5901_gravestatus_fk;
ALTER TABLE fkg.t_5901_raastof_till ADD CONSTRAINT t_5901_raastof_till_d_5901_gravestatus_fk FOREIGN KEY (gravstatus_kode)
REFERENCES fkg.d_5901_gravestatus (gravstatus_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5902_jordv_anl_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5902_jordv_anl DROP CONSTRAINT t_5902_jordv_anl_generel_fk;
ALTER TABLE fkg.t_5902_jordv_anl ADD CONSTRAINT t_5902_jordv_anl_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5902_jordv_anl_d_5902_vaeske_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5902_jordv_anl DROP CONSTRAINT t_5902_jordv_anl_d_5902_vaeske_type_fk;
ALTER TABLE fkg.t_5902_jordv_anl ADD CONSTRAINT t_5902_jordv_anl_d_5902_vaeske_type_fk FOREIGN KEY (vaesketype_kode)
REFERENCES fkg.d_5902_vaeske_type (vaesketype_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5902_jordv_anl_d_basis_sag_status_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5902_jordv_anl DROP CONSTRAINT t_5902_jordv_anl_d_basis_sag_status_fk;
ALTER TABLE fkg.t_5902_jordv_anl ADD CONSTRAINT t_5902_jordv_anl_d_basis_sag_status_fk FOREIGN KEY (sag_status_kode)
REFERENCES fkg.d_basis_sag_status (sag_status_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5104_art_invas_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5104_art_invas DROP CONSTRAINT t_5104_art_invas_generel_fk;
ALTER TABLE fkg.t_5104_art_invas ADD CONSTRAINT t_5104_art_invas_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5104_art_invas_d_basis_ja_nej_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5104_art_invas DROP CONSTRAINT t_5104_art_invas_d_basis_ja_nej_fk;
ALTER TABLE fkg.t_5104_art_invas ADD CONSTRAINT t_5104_art_invas_d_basis_ja_nej_fk FOREIGN KEY (sortlistet_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5104_art_invas_d_basis_antal_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5104_art_invas DROP CONSTRAINT t_5104_art_invas_d_basis_antal_fk;
ALTER TABLE fkg.t_5104_art_invas ADD CONSTRAINT t_5104_art_invas_d_basis_antal_fk FOREIGN KEY (antal_kode)
REFERENCES fkg.d_basis_antal (antal_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5107_art_invas_p_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5107_art_invas_p DROP CONSTRAINT t_5107_art_invas_p_generel_fk;
ALTER TABLE fkg.t_5107_art_invas_p ADD CONSTRAINT t_5107_art_invas_p_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5107_art_invas_p_d_basis_ja_nej_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5107_art_invas_p DROP CONSTRAINT t_5107_art_invas_p_d_basis_ja_nej_fk;
ALTER TABLE fkg.t_5107_art_invas_p ADD CONSTRAINT t_5107_art_invas_p_d_basis_ja_nej_fk FOREIGN KEY (sortlistet_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5107_art_invas_p_d_basis_antal_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5107_art_invas_p DROP CONSTRAINT t_5107_art_invas_p_d_basis_antal_fk;
ALTER TABLE fkg.t_5107_art_invas_p ADD CONSTRAINT t_5107_art_invas_p_d_basis_antal_fk FOREIGN KEY (antal_kode)
REFERENCES fkg.d_basis_antal (antal_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5600_vintervedl_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5600_vintervedl DROP CONSTRAINT t_5600_vintervedl_generel_fk;
ALTER TABLE fkg.t_5600_vintervedl ADD CONSTRAINT t_5600_vintervedl_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5600_vintervedl_d_5600_rute_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5600_vintervedl DROP CONSTRAINT t_5600_vintervedl_d_5600_rute_fk;
ALTER TABLE fkg.t_5600_vintervedl ADD CONSTRAINT t_5600_vintervedl_d_5600_rute_fk FOREIGN KEY (rute_kode)
REFERENCES fkg.d_5600_rute (rute_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5601_hasti_daemp_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5601_hasti_daemp DROP CONSTRAINT t_5601_hasti_daemp_generel_fk;
ALTER TABLE fkg.t_5601_hasti_daemp ADD CONSTRAINT t_5601_hasti_daemp_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5601_hasti_daemp_d_5601_hasti_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5601_hasti_daemp DROP CONSTRAINT t_5601_hasti_daemp_d_5601_hasti_type_fk;
ALTER TABLE fkg.t_5601_hasti_daemp ADD CONSTRAINT t_5601_hasti_daemp_d_5601_hasti_type_fk FOREIGN KEY (hasti_type_kode)
REFERENCES fkg.d_5601_hasti_type (hasti_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5601_hasti_daemp_d_basis_hastighed_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5601_hasti_daemp DROP CONSTRAINT t_5601_hasti_daemp_d_basis_hastighed_fk;
ALTER TABLE fkg.t_5601_hasti_daemp ADD CONSTRAINT t_5601_hasti_daemp_d_basis_hastighed_fk FOREIGN KEY (hastighed_kode)
REFERENCES fkg.d_basis_hastighed (hastighed_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5602_p_zoner_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5602_p_zoner DROP CONSTRAINT t_5602_p_zoner_generel_fk;
ALTER TABLE fkg.t_5602_p_zoner ADD CONSTRAINT t_5602_p_zoner_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5602_p_zoner_d_5602_p_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5602_p_zoner DROP CONSTRAINT t_5602_p_zoner_d_5602_p_type_fk;
ALTER TABLE fkg.t_5602_p_zoner ADD CONSTRAINT t_5602_p_zoner_d_5602_p_type_fk FOREIGN KEY (p_type_kode)
REFERENCES fkg.d_5602_p_type (p_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5602_p_zoner_d_5602_p_tid_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5602_p_zoner DROP CONSTRAINT t_5602_p_zoner_d_5602_p_tid_fk;
ALTER TABLE fkg.t_5602_p_zoner ADD CONSTRAINT t_5602_p_zoner_d_5602_p_tid_fk FOREIGN KEY (p_tid_kode)
REFERENCES fkg.d_5602_p_tid (p_tid_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5603_hasti_zone_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5603_hasti_zone DROP CONSTRAINT t_5603_hasti_zone_generel_fk;
ALTER TABLE fkg.t_5603_hasti_zone ADD CONSTRAINT t_5603_hasti_zone_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5603_hasti_zone_d_basis_hastighed_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5603_hasti_zone DROP CONSTRAINT t_5603_hasti_zone_d_basis_hastighed_fk;
ALTER TABLE fkg.t_5603_hasti_zone ADD CONSTRAINT t_5603_hasti_zone_d_basis_hastighed_fk FOREIGN KEY (hastighed_kode)
REFERENCES fkg.d_basis_hastighed (hastighed_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5603_hasti_zone_d_basis_hastighed_anbefalet_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5603_hasti_zone DROP CONSTRAINT t_5603_hasti_zone_d_basis_hastighed_anbefalet_fk;
ALTER TABLE fkg.t_5603_hasti_zone ADD CONSTRAINT t_5603_hasti_zone_d_basis_hastighed_anbefalet_fk FOREIGN KEY (anbefalet_hastighed_kode)
REFERENCES fkg.d_basis_hastighed (hastighed_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5604_koer_begr_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5604_koer_begr DROP CONSTRAINT t_5604_koer_begr_generel_fk;
ALTER TABLE fkg.t_5604_koer_begr ADD CONSTRAINT t_5604_koer_begr_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5604_koer_begr_d_5604_begr_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5604_koer_begr DROP CONSTRAINT t_5604_koer_begr_d_5604_begr_type_fk;
ALTER TABLE fkg.t_5604_koer_begr ADD CONSTRAINT t_5604_koer_begr_d_5604_begr_type_fk FOREIGN KEY (begr_type_kode)
REFERENCES fkg.d_5604_begr_type (begr_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5605_vejbyggel_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5605_vejbyggel DROP CONSTRAINT t_5605_vejbyggel_generel_fk;
ALTER TABLE fkg.t_5605_vejbyggel ADD CONSTRAINT t_5605_vejbyggel_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5605_vejbyggel_d_5605_dekl_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5605_vejbyggel DROP CONSTRAINT t_5605_vejbyggel_d_5605_dekl_type_fk;
ALTER TABLE fkg.t_5605_vejbyggel ADD CONSTRAINT t_5605_vejbyggel_d_5605_dekl_type_fk FOREIGN KEY (dekl_type_kode)
REFERENCES fkg.d_5605_dekl_type (dekl_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5605_vejbyggel_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5605_vejbyggel DROP CONSTRAINT t_5605_vejbyggel_d_vejnavn_fk;
ALTER TABLE fkg.t_5605_vejbyggel ADD CONSTRAINT t_5605_vejbyggel_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5606_vejinv_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5606_vejinv DROP CONSTRAINT t_5606_vejinv_generel_fk;
ALTER TABLE fkg.t_5606_vejinv ADD CONSTRAINT t_5606_vejinv_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5606_vejinv_d_5606_inventar_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5606_vejinv DROP CONSTRAINT t_5606_vejinv_d_5606_inventar_type_fk;
ALTER TABLE fkg.t_5606_vejinv ADD CONSTRAINT t_5606_vejinv_d_5606_inventar_type_fk FOREIGN KEY (inventar_type_kode)
REFERENCES fkg.d_5606_inventar_type (inventar_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5606_vejinv_d_basis_tilstand_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5606_vejinv DROP CONSTRAINT t_5606_vejinv_d_basis_tilstand_fk;
ALTER TABLE fkg.t_5606_vejinv ADD CONSTRAINT t_5606_vejinv_d_basis_tilstand_fk FOREIGN KEY (tilstand_kode)
REFERENCES fkg.d_basis_tilstand (tilstand_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5700_grundej_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5700_grundej DROP CONSTRAINT t_5700_grundej_generel_fk;
ALTER TABLE fkg.t_5700_grundej ADD CONSTRAINT t_5700_grundej_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5700_grundej_d_5700_forening_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5700_grundej DROP CONSTRAINT t_5700_grundej_d_5700_forening_type_fk;
ALTER TABLE fkg.t_5700_grundej ADD CONSTRAINT t_5700_grundej_d_5700_forening_type_fk FOREIGN KEY (forening_type_kode)
REFERENCES fkg.d_5700_forening_type (forening_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5700_grundej_d_5700_adr_beskyt_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5700_grundej DROP CONSTRAINT t_5700_grundej_d_5700_adr_beskyt_fk;
ALTER TABLE fkg.t_5700_grundej ADD CONSTRAINT t_5700_grundej_d_5700_adr_beskyt_fk FOREIGN KEY (gf_adr_beskyt_kode)
REFERENCES fkg.d_5700_adr_beskyt (gf_adr_beskyt_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5700_grundej_d_basis_ja_nej_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5700_grundej DROP CONSTRAINT t_5700_grundej_d_basis_ja_nej_fk;
ALTER TABLE fkg.t_5700_grundej ADD CONSTRAINT t_5700_grundej_d_basis_ja_nej_fk FOREIGN KEY (vedtaegt_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5701_lok_omr_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5701_lok_omr DROP CONSTRAINT t_5701_lok_omr_generel_fk;
ALTER TABLE fkg.t_5701_lok_omr ADD CONSTRAINT t_5701_lok_omr_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5702_skorst_fej_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5702_skorst_fej DROP CONSTRAINT t_5702_skorst_fej_generel_fk;
ALTER TABLE fkg.t_5702_skorst_fej ADD CONSTRAINT t_5702_skorst_fej_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5703_afstem_sted_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5703_afstem_sted DROP CONSTRAINT t_5703_afstem_sted_generel_fk;
ALTER TABLE fkg.t_5703_afstem_sted ADD CONSTRAINT t_5703_afstem_sted_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5703_afstem_sted_d_basis_afstemningsomraade_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5703_afstem_sted DROP CONSTRAINT t_5703_afstem_sted_d_basis_afstemningsomraade_fk;
ALTER TABLE fkg.t_5703_afstem_sted ADD CONSTRAINT t_5703_afstem_sted_d_basis_afstemningsomraade_fk FOREIGN KEY (afstemningsomraade_nr)
REFERENCES fkg.d_basis_afstemningsomraade (afstemningsomraade_nr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5703_afstem_sted_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5703_afstem_sted DROP CONSTRAINT t_5703_afstem_sted_vejnavn_fk;
ALTER TABLE fkg.t_5703_afstem_sted ADD CONSTRAINT t_5703_afstem_sted_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5703_afstem_sted_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5703_afstem_sted DROP CONSTRAINT t_5703_afstem_sted_d_basis_postnr_fk;
ALTER TABLE fkg.t_5703_afstem_sted ADD CONSTRAINT t_5703_afstem_sted_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5704_afstem_omr_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5704_afstem_omr DROP CONSTRAINT t_5704_afstem_omr_generel_fk;
ALTER TABLE fkg.t_5704_afstem_omr ADD CONSTRAINT t_5704_afstem_omr_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5704_afstem_omr_d_basis_afstemningsomraade_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5704_afstem_omr DROP CONSTRAINT t_5704_afstem_omr_d_basis_afstemningsomraade_fk;
ALTER TABLE fkg.t_5704_afstem_omr ADD CONSTRAINT t_5704_afstem_omr_d_basis_afstemningsomraade_fk FOREIGN KEY (afstemningsomraade_nr)
REFERENCES fkg.d_basis_afstemningsomraade (afstemningsomraade_nr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5705_forp_are_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5705_forp_are DROP CONSTRAINT t_5705_forp_are_generel_fk;
ALTER TABLE fkg.t_5705_forp_are ADD CONSTRAINT t_5705_forp_are_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5705_forp_are_d_5705_udlejning_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5705_forp_are DROP CONSTRAINT t_5705_forp_are_d_5705_udlejning_fk;
ALTER TABLE fkg.t_5705_forp_are ADD CONSTRAINT t_5705_forp_are_d_5705_udlejning_fk FOREIGN KEY (udlejning_kode)
REFERENCES fkg.d_5705_udlejning (udlejning_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5705_forp_are_d_basis_ja_nej_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5705_forp_are DROP CONSTRAINT t_5705_forp_are_d_basis_ja_nej_fk;
ALTER TABLE fkg.t_5705_forp_are ADD CONSTRAINT t_5705_forp_are_d_basis_ja_nej_fk FOREIGN KEY (landbrug_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5706_havn_are_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5706_havn_are DROP CONSTRAINT t_5706_havn_are_generel_fk;
ALTER TABLE fkg.t_5706_havn_are ADD CONSTRAINT t_5706_havn_are_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5706_havn_are_d_5706_havn_type | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5706_havn_are DROP CONSTRAINT t_5706_havn_are_d_5706_havn_type;
ALTER TABLE fkg.t_5706_havn_are ADD CONSTRAINT t_5706_havn_are_d_5706_havn_type FOREIGN KEY (havne_type_kode)
REFERENCES fkg.d_5706_havn_type (havn_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5707_grunds_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5707_grunds DROP CONSTRAINT t_5707_grunds_generel_fk;
ALTER TABLE fkg.t_5707_grunds ADD CONSTRAINT t_5707_grunds_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5707_grunds_d5707_grund_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5707_grunds DROP CONSTRAINT t_5707_grunds_d5707_grund_type_fk;
ALTER TABLE fkg.t_5707_grunds ADD CONSTRAINT t_5707_grunds_d5707_grund_type_fk FOREIGN KEY (grund_type_kode)
REFERENCES fkg.d_5707_grund_type (grund_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5707_grunds_d5707_salg_status_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5707_grunds DROP CONSTRAINT t_5707_grunds_d5707_salg_status_fk;
ALTER TABLE fkg.t_5707_grunds ADD CONSTRAINT t_5707_grunds_d5707_salg_status_fk FOREIGN KEY (salg_status_kode)
REFERENCES fkg.d_5707_salg_status (salg_status_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5707_grunds_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5707_grunds DROP CONSTRAINT t_5707_grunds_d_vejnavn_fk;
ALTER TABLE fkg.t_5707_grunds ADD CONSTRAINT t_5707_grunds_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5707_grunds_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5707_grunds DROP CONSTRAINT t_5707_grunds_d_basis_postnr_fk;
ALTER TABLE fkg.t_5707_grunds ADD CONSTRAINT t_5707_grunds_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5710_born_skole_dis_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5710_born_skole_dis DROP CONSTRAINT t_5710_born_skole_dis_generel_fk;
ALTER TABLE fkg.t_5710_born_skole_dis ADD CONSTRAINT t_5710_born_skole_dis_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5710_born_skole_dis_d_5710_udd_distrikt_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5710_born_skole_dis DROP CONSTRAINT t_5710_born_skole_dis_d_5710_udd_distrikt_type_fk;
ALTER TABLE fkg.t_5710_born_skole_dis ADD CONSTRAINT t_5710_born_skole_dis_d_5710_udd_distrikt_type_fk FOREIGN KEY (udd_distrikt_type_kode)
REFERENCES fkg.d_5710_udd_distrikt_type (udd_distrikt_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5710_born_skole_dis_d_basis_trin_starttrin_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5710_born_skole_dis DROP CONSTRAINT t_5710_born_skole_dis_d_basis_trin_starttrin_fk;
ALTER TABLE fkg.t_5710_born_skole_dis ADD CONSTRAINT t_5710_born_skole_dis_d_basis_trin_starttrin_fk FOREIGN KEY (starttrin_kode)
REFERENCES fkg.d_basis_trin (trin_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5710_born_skole_dis_d_basis_trin_sluttrin_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5710_born_skole_dis DROP CONSTRAINT t_5710_born_skole_dis_d_basis_trin_sluttrin_fk;
ALTER TABLE fkg.t_5710_born_skole_dis ADD CONSTRAINT t_5710_born_skole_dis_d_basis_trin_sluttrin_fk FOREIGN KEY (sluttrin_kode)
REFERENCES fkg.d_basis_trin (trin_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5711_and_dis_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5711_and_dis DROP CONSTRAINT t_5711_and_dis_generel_fk;
ALTER TABLE fkg.t_5711_and_dis ADD CONSTRAINT t_5711_and_dis_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5711_and_dis_d_5711_an_distrikt_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5711_and_dis DROP CONSTRAINT t_5711_and_dis_d_5711_an_distrikt_type_fk;
ALTER TABLE fkg.t_5711_and_dis ADD CONSTRAINT t_5711_and_dis_d_5711_an_distrikt_type_fk FOREIGN KEY (an_distrikt_type_kode)
REFERENCES fkg.d_5711_an_distrikt_type (an_distrikt_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5712_plej_aeldr_dis_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5712_plej_aeldr_dis DROP CONSTRAINT t_5712_plej_aeldr_dis_generel_fk;
ALTER TABLE fkg.t_5712_plej_aeldr_dis ADD CONSTRAINT t_5712_plej_aeldr_dis_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5712_plej_aeldr_dis_d_5712_plej_distrikt_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5712_plej_aeldr_dis DROP CONSTRAINT t_5712_plej_aeldr_dis_d_5712_plej_distrikt_type_fk;
ALTER TABLE fkg.t_5712_plej_aeldr_dis ADD CONSTRAINT t_5712_plej_aeldr_dis_d_5712_plej_distrikt_type_fk FOREIGN KEY (plej_distrikt_type_kode)
REFERENCES fkg.d_5712_plej_distrikt_type (plej_distrikt_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5713_prog_stat_dis_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5713_prog_stat_dis DROP CONSTRAINT t_5713_prog_stat_dis_generel_fk;
ALTER TABLE fkg.t_5713_prog_stat_dis ADD CONSTRAINT t_5713_prog_stat_dis_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5713_prog_stat_dis_d_5713_prog_distrikt_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5713_prog_stat_dis DROP CONSTRAINT t_5713_prog_stat_dis_d_5713_prog_distrikt_type_fk;
ALTER TABLE fkg.t_5713_prog_stat_dis ADD CONSTRAINT t_5713_prog_stat_dis_d_5713_prog_distrikt_type_fk FOREIGN KEY (prog_distrikt_type_kode)
REFERENCES fkg.d_5713_prog_distrikt_type (prog_distrikt_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5714_laering_udd_inst_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5714_laering_udd_inst DROP CONSTRAINT t_5714_laering_udd_inst_generel_fk;
ALTER TABLE fkg.t_5714_laering_udd_inst ADD CONSTRAINT t_5714_laering_udd_inst_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5714_laering_udd_inst_d_5714_udd_institution_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5714_laering_udd_inst DROP CONSTRAINT t_5714_laering_udd_inst_d_5714_udd_institution_type_fk;
ALTER TABLE fkg.t_5714_laering_udd_inst ADD CONSTRAINT t_5714_laering_udd_inst_d_5714_udd_institution_type_fk FOREIGN KEY (udd_institution_type_kode)
REFERENCES fkg.d_5714_udd_institution_type (udd_institution_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5714_laering_udd_inst_d_basis_trin_starttrin_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5714_laering_udd_inst DROP CONSTRAINT t_5714_laering_udd_inst_d_basis_trin_starttrin_fk;
ALTER TABLE fkg.t_5714_laering_udd_inst ADD CONSTRAINT t_5714_laering_udd_inst_d_basis_trin_starttrin_fk FOREIGN KEY (starttrin_kode)
REFERENCES fkg.d_basis_trin (trin_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5714_laering_udd_inst_d_basis_trin_sluttrin_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5714_laering_udd_inst DROP CONSTRAINT t_5714_laering_udd_inst_d_basis_trin_sluttrin_fk;
ALTER TABLE fkg.t_5714_laering_udd_inst ADD CONSTRAINT t_5714_laering_udd_inst_d_basis_trin_sluttrin_fk FOREIGN KEY (sluttrin_kode)
REFERENCES fkg.d_basis_trin (trin_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5714_laering_udd_inst_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5714_laering_udd_inst DROP CONSTRAINT t_5714_laering_udd_inst_d_vejnavn_fk;
ALTER TABLE fkg.t_5714_laering_udd_inst ADD CONSTRAINT t_5714_laering_udd_inst_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5714_laering_udd_inst_d_basis_postnr | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5714_laering_udd_inst DROP CONSTRAINT t_5714_laering_udd_inst_d_basis_postnr;
ALTER TABLE fkg.t_5714_laering_udd_inst ADD CONSTRAINT t_5714_laering_udd_inst_d_basis_postnr FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5714_laering_udd_inst_d_basis_ejerstatus_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5714_laering_udd_inst DROP CONSTRAINT t_5714_laering_udd_inst_d_basis_ejerstatus_fk;
ALTER TABLE fkg.t_5714_laering_udd_inst ADD CONSTRAINT t_5714_laering_udd_inst_d_basis_ejerstatus_fk FOREIGN KEY (ejerstatus_kode)
REFERENCES fkg.d_basis_ejerstatus (ejerstatus_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5715_botilbud_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5715_botilbud DROP CONSTRAINT t_5715_botilbud_generel_fk;
ALTER TABLE fkg.t_5715_botilbud ADD CONSTRAINT t_5715_botilbud_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5715_botilbud_d_5715_botilbud_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5715_botilbud DROP CONSTRAINT t_5715_botilbud_d_5715_botilbud_type_fk;
ALTER TABLE fkg.t_5715_botilbud ADD CONSTRAINT t_5715_botilbud_d_5715_botilbud_type_fk FOREIGN KEY (botilbud_type_kode)
REFERENCES fkg.d_5715_botilbud_type (botilbud_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5715_botilbud_d_basis_ejerstatus_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5715_botilbud DROP CONSTRAINT t_5715_botilbud_d_basis_ejerstatus_fk;
ALTER TABLE fkg.t_5715_botilbud ADD CONSTRAINT t_5715_botilbud_d_basis_ejerstatus_fk FOREIGN KEY (ejerstatus_kode)
REFERENCES fkg.d_basis_ejerstatus (ejerstatus_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5715_botilbud_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5715_botilbud DROP CONSTRAINT t_5715_botilbud_d_vejnavn_fk;
ALTER TABLE fkg.t_5715_botilbud ADD CONSTRAINT t_5715_botilbud_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5715_botilbud_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5715_botilbud DROP CONSTRAINT t_5715_botilbud_d_basis_postnr_fk;
ALTER TABLE fkg.t_5715_botilbud ADD CONSTRAINT t_5715_botilbud_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5716_servicetilbud_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5716_servicetilbud DROP CONSTRAINT t_5716_servicetilbud_generel_fk;
ALTER TABLE fkg.t_5716_servicetilbud ADD CONSTRAINT t_5716_servicetilbud_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5716_servicetilbud_d_5716_servicetilbud_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5716_servicetilbud DROP CONSTRAINT t_5716_servicetilbud_d_5716_servicetilbud_type_fk;
ALTER TABLE fkg.t_5716_servicetilbud ADD CONSTRAINT t_5716_servicetilbud_d_5716_servicetilbud_type_fk FOREIGN KEY (service_type_kode)
REFERENCES fkg.d_5716_servicetilbud_type (service_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5716_servicetilbud_d_basis_ejerstatus_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5716_servicetilbud DROP CONSTRAINT t_5716_servicetilbud_d_basis_ejerstatus_fk;
ALTER TABLE fkg.t_5716_servicetilbud ADD CONSTRAINT t_5716_servicetilbud_d_basis_ejerstatus_fk FOREIGN KEY (ejerstatus_kode)
REFERENCES fkg.d_basis_ejerstatus (ejerstatus_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5716_servicetilbud_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5716_servicetilbud DROP CONSTRAINT t_5716_servicetilbud_d_vejnavn_fk;
ALTER TABLE fkg.t_5716_servicetilbud ADD CONSTRAINT t_5716_servicetilbud_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_5716_servicetilbud_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_5716_servicetilbud DROP CONSTRAINT t_5716_servicetilbud_d_basis_postnr_fk;
ALTER TABLE fkg.t_5716_servicetilbud ADD CONSTRAINT t_5716_servicetilbud_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6000_pot_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6000_pot DROP CONSTRAINT t_6000_pot_generel_fk;
ALTER TABLE fkg.t_6000_pot ADD CONSTRAINT t_6000_pot_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6000_pot_d_basis_magasin_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6000_pot DROP CONSTRAINT t_6000_pot_d_basis_magasin_fk;
ALTER TABLE fkg.t_6000_pot ADD CONSTRAINT t_6000_pot_d_basis_magasin_fk FOREIGN KEY (magasin_kode)
REFERENCES fkg.d_basis_magasin (magasin_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6000_pot | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6000_pot DROP CONSTRAINT t_6000_pot;
ALTER TABLE fkg.t_6000_pot ADD CONSTRAINT t_6000_pot FOREIGN KEY (kotesystem_kode)
REFERENCES fkg.d_6000_kotesystem (kotesystem_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6001_pot_m_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6001_pot_m DROP CONSTRAINT t_6001_pot_m_generel_fk;
ALTER TABLE fkg.t_6001_pot_m ADD CONSTRAINT t_6001_pot_m_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6001_pot_m_d_basis_ja_nej_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6001_pot_m DROP CONSTRAINT t_6001_pot_m_d_basis_ja_nej_fk;
ALTER TABLE fkg.t_6001_pot_m ADD CONSTRAINT t_6001_pot_m_d_basis_ja_nej_fk FOREIGN KEY (stoettep_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6001_pot_m_d_basis_magasin_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6001_pot_m DROP CONSTRAINT t_6001_pot_m_d_basis_magasin_fk;
ALTER TABLE fkg.t_6001_pot_m ADD CONSTRAINT t_6001_pot_m_d_basis_magasin_fk FOREIGN KEY (magasin_kode)
REFERENCES fkg.d_basis_magasin (magasin_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6001_pot_m_d_6000_kotesystem_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6001_pot_m DROP CONSTRAINT t_6001_pot_m_d_6000_kotesystem_fk;
ALTER TABLE fkg.t_6001_pot_m ADD CONSTRAINT t_6001_pot_m_d_6000_kotesystem_fk FOREIGN KEY (kotesystem_kode)
REFERENCES fkg.d_6000_kotesystem (kotesystem_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6002_indv_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6002_indv DROP CONSTRAINT t_6002_indv_generel_fk;
ALTER TABLE fkg.t_6002_indv ADD CONSTRAINT t_6002_indv_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6002_indv_d_basis_vandv_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6002_indv DROP CONSTRAINT t_6002_indv_d_basis_vandv_fk;
ALTER TABLE fkg.t_6002_indv ADD CONSTRAINT t_6002_indv_d_basis_vandv_fk FOREIGN KEY (vandv_nr)
REFERENCES fkg.d_basis_vandv_nr (vandv_nr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6003_besk_zone_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6003_besk_zone DROP CONSTRAINT t_6003_besk_zone_generel_fk;
ALTER TABLE fkg.t_6003_besk_zone ADD CONSTRAINT t_6003_besk_zone_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6003_besk_zone_d_basis_vandv_nr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6003_besk_zone DROP CONSTRAINT t_6003_besk_zone_d_basis_vandv_nr_fk;
ALTER TABLE fkg.t_6003_besk_zone ADD CONSTRAINT t_6003_besk_zone_d_basis_vandv_nr_fk FOREIGN KEY (vandv_nr)
REFERENCES fkg.d_basis_vandv_nr (vandv_nr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6003_besk_zone_d_6003_zone_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6003_besk_zone DROP CONSTRAINT t_6003_besk_zone_d_6003_zone_type_fk;
ALTER TABLE fkg.t_6003_besk_zone ADD CONSTRAINT t_6003_besk_zone_d_6003_zone_type_fk FOREIGN KEY (zone_type_kode)
REFERENCES fkg.d_6003_zone_type (zone_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6004_vandv_fs_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6004_vandv_fs DROP CONSTRAINT t_6004_vandv_fs_generel_fk;
ALTER TABLE fkg.t_6004_vandv_fs ADD CONSTRAINT t_6004_vandv_fs_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6004_vandv_fs_d_basis_vandv_nr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6004_vandv_fs DROP CONSTRAINT t_6004_vandv_fs_d_basis_vandv_nr_fk;
ALTER TABLE fkg.t_6004_vandv_fs ADD CONSTRAINT t_6004_vandv_fs_d_basis_vandv_nr_fk FOREIGN KEY (vandv_nr)
REFERENCES fkg.d_basis_vandv_nr (vandv_nr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6004_vandv_fs_d_basis_fors_omr_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6004_vandv_fs DROP CONSTRAINT t_6004_vandv_fs_d_basis_fors_omr_type_fk;
ALTER TABLE fkg.t_6004_vandv_fs ADD CONSTRAINT t_6004_vandv_fs_d_basis_fors_omr_type_fk FOREIGN KEY (fors_omr_type_kode)
REFERENCES fkg.d_basis_fors_omr_type (fors_omr_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6006_grundv_opl_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6006_grundv_opl DROP CONSTRAINT t_6006_grundv_opl_generel_fk;
ALTER TABLE fkg.t_6006_grundv_opl ADD CONSTRAINT t_6006_grundv_opl_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6006_grundv_opl_d_basis_vandv_nr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6006_grundv_opl DROP CONSTRAINT t_6006_grundv_opl_d_basis_vandv_nr_fk;
ALTER TABLE fkg.t_6006_grundv_opl ADD CONSTRAINT t_6006_grundv_opl_d_basis_vandv_nr_fk FOREIGN KEY (vandv_nr)
REFERENCES fkg.d_basis_vandv_nr (vandv_nr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6007_inds_omr_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6007_inds_omr DROP CONSTRAINT t_6007_inds_omr_generel_fk;
ALTER TABLE fkg.t_6007_inds_omr ADD CONSTRAINT t_6007_inds_omr_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6008_maks_bor_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6008_maks_bor DROP CONSTRAINT t_6008_maks_bor_generel_fk;
ALTER TABLE fkg.t_6008_maks_bor ADD CONSTRAINT t_6008_maks_bor_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6009_indv_ovflv_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6009_indv_ovflv DROP CONSTRAINT t_6009_indv_ovflv_generel_fk;
ALTER TABLE fkg.t_6009_indv_ovflv ADD CONSTRAINT t_6009_indv_ovflv_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6101_beskyt_rum_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6101_beskyt_rum DROP CONSTRAINT t_6101_beskyt_rum_generel_fk;
ALTER TABLE fkg.t_6101_beskyt_rum ADD CONSTRAINT t_6101_beskyt_rum_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6101_beskyt_rum_d_6101_beskyt_rum_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6101_beskyt_rum DROP CONSTRAINT t_6101_beskyt_rum_d_6101_beskyt_rum_fk;
ALTER TABLE fkg.t_6101_beskyt_rum ADD CONSTRAINT t_6101_beskyt_rum_d_6101_beskyt_rum_fk FOREIGN KEY (beskyt_rum_kode)
REFERENCES fkg.d_6101_beskyt_rum (beskyt_rum_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6101_beskyt_rum_d_basis_ja_nej_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6101_beskyt_rum DROP CONSTRAINT t_6101_beskyt_rum_d_basis_ja_nej_fk;
ALTER TABLE fkg.t_6101_beskyt_rum ADD CONSTRAINT t_6101_beskyt_rum_d_basis_ja_nej_fk FOREIGN KEY (klargjort_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6103_bered_omr_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6103_bered_omr DROP CONSTRAINT t_6103_bered_omr_generel_fk;
ALTER TABLE fkg.t_6103_bered_omr ADD CONSTRAINT t_6103_bered_omr_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6104_risiko_virk_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6104_risiko_virk DROP CONSTRAINT t_6104_risiko_virk_generel_fk;
ALTER TABLE fkg.t_6104_risiko_virk ADD CONSTRAINT t_6104_risiko_virk_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6104_risiko_virk_d_6104_risikotype_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6104_risiko_virk DROP CONSTRAINT t_6104_risiko_virk_d_6104_risikotype_fk;
ALTER TABLE fkg.t_6104_risiko_virk ADD CONSTRAINT t_6104_risiko_virk_d_6104_risikotype_fk FOREIGN KEY (risikotype_kode)
REFERENCES fkg.d_6104_risikotype (risikotype_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6104_risiko_virk_d_6104_brandhaem_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6104_risiko_virk DROP CONSTRAINT t_6104_risiko_virk_d_6104_brandhaem_fk;
ALTER TABLE fkg.t_6104_risiko_virk ADD CONSTRAINT t_6104_risiko_virk_d_6104_brandhaem_fk FOREIGN KEY (brandhaem_kode)
REFERENCES fkg.d_6104_brandhaem (brandhaem_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6105_sbygn_omr_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6105_sbygn_omr DROP CONSTRAINT t_6105_sbygn_omr_generel_fk;
ALTER TABLE fkg.t_6105_sbygn_omr ADD CONSTRAINT t_6105_sbygn_omr_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6107_forholds_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6107_forholds DROP CONSTRAINT t_6107_forholds_generel_fk;
ALTER TABLE fkg.t_6107_forholds ADD CONSTRAINT t_6107_forholds_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6107_forholds_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6107_forholds DROP CONSTRAINT t_6107_forholds_d_vejnavn_fk;
ALTER TABLE fkg.t_6107_forholds ADD CONSTRAINT t_6107_forholds_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6107_forholds_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6107_forholds DROP CONSTRAINT t_6107_forholds_d_basis_postnr_fk;
ALTER TABLE fkg.t_6107_forholds ADD CONSTRAINT t_6107_forholds_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6107_forholds_d_basis_ja_nej_aba_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6107_forholds DROP CONSTRAINT t_6107_forholds_d_basis_ja_nej_aba_fk;
ALTER TABLE fkg.t_6107_forholds ADD CONSTRAINT t_6107_forholds_d_basis_ja_nej_aba_fk FOREIGN KEY (aba_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6107_forholds_d_basis_ja_nej_avs_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6107_forholds DROP CONSTRAINT t_6107_forholds_d_basis_ja_nej_avs_fk;
ALTER TABLE fkg.t_6107_forholds ADD CONSTRAINT t_6107_forholds_d_basis_ja_nej_avs_fk FOREIGN KEY (avs_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6107_forholds_d_basis_ja_nej_ars_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6107_forholds DROP CONSTRAINT t_6107_forholds_d_basis_ja_nej_ars_fk;
ALTER TABLE fkg.t_6107_forholds ADD CONSTRAINT t_6107_forholds_d_basis_ja_nej_ars_fk FOREIGN KEY (ars_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6107_forholds_d_basis_ja_nej_noegleboks_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6107_forholds DROP CONSTRAINT t_6107_forholds_d_basis_ja_nej_noegleboks_fk;
ALTER TABLE fkg.t_6107_forholds ADD CONSTRAINT t_6107_forholds_d_basis_ja_nej_noegleboks_fk FOREIGN KEY (noegleboks_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6108_moedepl_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6108_moedepl DROP CONSTRAINT t_6108_moedepl_generel_fk;
ALTER TABLE fkg.t_6108_moedepl ADD CONSTRAINT t_6108_moedepl_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6108_moedepl_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6108_moedepl DROP CONSTRAINT t_6108_moedepl_d_vejnavn_fk;
ALTER TABLE fkg.t_6108_moedepl ADD CONSTRAINT t_6108_moedepl_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6108_moedepl_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6108_moedepl DROP CONSTRAINT t_6108_moedepl_d_basis_postnr_fk;
ALTER TABLE fkg.t_6108_moedepl ADD CONSTRAINT t_6108_moedepl_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6110_noegle_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6110_noegle DROP CONSTRAINT t_6110_noegle_generel_fk;
ALTER TABLE fkg.t_6110_noegle ADD CONSTRAINT t_6110_noegle_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6110_noegle_d_basis_ja_nej_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6110_noegle DROP CONSTRAINT t_6110_noegle_d_basis_ja_nej_fk;
ALTER TABLE fkg.t_6110_noegle ADD CONSTRAINT t_6110_noegle_d_basis_ja_nej_fk FOREIGN KEY (tyv_alarm_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6110_noegle_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6110_noegle DROP CONSTRAINT t_6110_noegle_d_vejnavn_fk;
ALTER TABLE fkg.t_6110_noegle ADD CONSTRAINT t_6110_noegle_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6110_noegle_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6110_noegle DROP CONSTRAINT t_6110_noegle_d_basis_postnr_fk;
ALTER TABLE fkg.t_6110_noegle ADD CONSTRAINT t_6110_noegle_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6111_fyrv_till_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6111_fyrv_till DROP CONSTRAINT t_6111_fyrv_till_generel_fk;
ALTER TABLE fkg.t_6111_fyrv_till ADD CONSTRAINT t_6111_fyrv_till_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6111_fyrv_till_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6111_fyrv_till DROP CONSTRAINT t_6111_fyrv_till_d_vejnavn_fk;
ALTER TABLE fkg.t_6111_fyrv_till ADD CONSTRAINT t_6111_fyrv_till_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6111_fyrv_till_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6111_fyrv_till DROP CONSTRAINT t_6111_fyrv_till_d_basis_postnr_fk;
ALTER TABLE fkg.t_6111_fyrv_till ADD CONSTRAINT t_6111_fyrv_till_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6111_fyrv_till_d_6111_tilladelse_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6111_fyrv_till DROP CONSTRAINT t_6111_fyrv_till_d_6111_tilladelse_fk;
ALTER TABLE fkg.t_6111_fyrv_till ADD CONSTRAINT t_6111_fyrv_till_d_6111_tilladelse_fk FOREIGN KEY (tilladelse_type_kode)
REFERENCES fkg.d_6111_tilladelse (tilladelse_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6112_midl_dep_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6112_midl_dep DROP CONSTRAINT t_6112_midl_dep_generel_fk;
ALTER TABLE fkg.t_6112_midl_dep ADD CONSTRAINT t_6112_midl_dep_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6112_midl_dep_d_6112_depottype_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6112_midl_dep DROP CONSTRAINT t_6112_midl_dep_d_6112_depottype_fk;
ALTER TABLE fkg.t_6112_midl_dep ADD CONSTRAINT t_6112_midl_dep_d_6112_depottype_fk FOREIGN KEY (depottype_kode)
REFERENCES fkg.d_6112_depottype (depottype_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6113_besk_nat_b_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6113_besk_nat_b DROP CONSTRAINT t_6113_besk_nat_b_generel_fk;
ALTER TABLE fkg.t_6113_besk_nat_b ADD CONSTRAINT t_6113_besk_nat_b_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6114_midl_oph_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6114_midl_oph DROP CONSTRAINT t_6114_midl_oph_generel_fk;
ALTER TABLE fkg.t_6114_midl_oph ADD CONSTRAINT t_6114_midl_oph_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6114_midl_oph_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6114_midl_oph DROP CONSTRAINT t_6114_midl_oph_d_vejnavn_fk;
ALTER TABLE fkg.t_6114_midl_oph ADD CONSTRAINT t_6114_midl_oph_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6114_midl_oph_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6114_midl_oph DROP CONSTRAINT t_6114_midl_oph_d_basis_postnr_fk;
ALTER TABLE fkg.t_6114_midl_oph ADD CONSTRAINT t_6114_midl_oph_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6115_afbr_omr_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6115_afbr_omr DROP CONSTRAINT t_6115_afbr_omr_generel_fk;
ALTER TABLE fkg.t_6115_afbr_omr ADD CONSTRAINT t_6115_afbr_omr_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6115_afbr_omr_d_6115_afbr_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6115_afbr_omr DROP CONSTRAINT t_6115_afbr_omr_d_6115_afbr_type_fk;
ALTER TABLE fkg.t_6115_afbr_omr ADD CONSTRAINT t_6115_afbr_omr_d_6115_afbr_type_fk FOREIGN KEY (afbr_type_kode)
REFERENCES fkg.d_6115_afbr_type (afbr_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6116_olie_ber_pl_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6116_olie_ber_pl DROP CONSTRAINT t_6116_olie_ber_pl_generel_fk;
ALTER TABLE fkg.t_6116_olie_ber_pl ADD CONSTRAINT t_6116_olie_ber_pl_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6116_olie_ber_pl_d_6116_strandtype_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6116_olie_ber_pl DROP CONSTRAINT t_6116_olie_ber_pl_d_6116_strandtype_fk;
ALTER TABLE fkg.t_6116_olie_ber_pl ADD CONSTRAINT t_6116_olie_ber_pl_d_6116_strandtype_fk FOREIGN KEY (strandtype_kode)
REFERENCES fkg.d_6116_strandtype (strandtype_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6116_olie_ber_pl_d_6116_esi_klasse_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6116_olie_ber_pl DROP CONSTRAINT t_6116_olie_ber_pl_d_6116_esi_klasse_fk;
ALTER TABLE fkg.t_6116_olie_ber_pl ADD CONSTRAINT t_6116_olie_ber_pl_d_6116_esi_klasse_fk FOREIGN KEY (esi_klasse_kode)
REFERENCES fkg.d_6116_esi_klasse (esi_klasse_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6116_olie_ber_pl_d_basis_ja_nej_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6116_olie_ber_pl DROP CONSTRAINT t_6116_olie_ber_pl_d_basis_ja_nej_fk;
ALTER TABLE fkg.t_6116_olie_ber_pl ADD CONSTRAINT t_6116_olie_ber_pl_d_basis_ja_nej_fk FOREIGN KEY (baad_kode)
REFERENCES fkg.d_basis_ja_nej (ja_nej_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6117_inds_pkt_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6117_inds_pkt DROP CONSTRAINT t_6117_inds_pkt_generel_fk;
ALTER TABLE fkg.t_6117_inds_pkt ADD CONSTRAINT t_6117_inds_pkt_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6117_inds_pkt_d_6117_indsatstype_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6117_inds_pkt DROP CONSTRAINT t_6117_inds_pkt_d_6117_indsatstype_fk;
ALTER TABLE fkg.t_6117_inds_pkt ADD CONSTRAINT t_6117_inds_pkt_d_6117_indsatstype_fk FOREIGN KEY (indsatstype_kode)
REFERENCES fkg.d_6117_indsatstype (indsatstype_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6118_bran_redn_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6118_bran_redn DROP CONSTRAINT t_6118_bran_redn_generel_fk;
ALTER TABLE fkg.t_6118_bran_redn ADD CONSTRAINT t_6118_bran_redn_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6118_bran_redn_d_6118_brand_redarea_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6118_bran_redn DROP CONSTRAINT t_6118_bran_redn_d_6118_brand_redarea_type_fk;
ALTER TABLE fkg.t_6118_bran_redn ADD CONSTRAINT t_6118_bran_redn_d_6118_brand_redarea_type_fk FOREIGN KEY (redarea_type_kode)
REFERENCES fkg.d_6118_brand_redarea_type (brand_redarea_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6118_bran_redn_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6118_bran_redn DROP CONSTRAINT t_6118_bran_redn_d_vejnavn_fk;
ALTER TABLE fkg.t_6118_bran_redn ADD CONSTRAINT t_6118_bran_redn_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6118_bran_redn_d_basis_postnr_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6118_bran_redn DROP CONSTRAINT t_6118_bran_redn_d_basis_postnr_fk;
ALTER TABLE fkg.t_6118_bran_redn ADD CONSTRAINT t_6118_bran_redn_d_basis_postnr_fk FOREIGN KEY (postnr)
REFERENCES fkg.d_basis_postnr (postnr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6200_nat_geo_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6200_nat_geo DROP CONSTRAINT t_6200_nat_geo_generel_fk;
ALTER TABLE fkg.t_6200_nat_geo ADD CONSTRAINT t_6200_nat_geo_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6200_nat_geo_d_basis_omraade_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6200_nat_geo DROP CONSTRAINT t_6200_nat_geo_d_basis_omraade_fk;
ALTER TABLE fkg.t_6200_nat_geo ADD CONSTRAINT t_6200_nat_geo_d_basis_omraade_fk FOREIGN KEY (omraade_nr)
REFERENCES fkg.d_basis_omraade (omraade_nr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6200_nat_geo_d_6200_geologi_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6200_nat_geo DROP CONSTRAINT t_6200_nat_geo_d_6200_geologi_fk;
ALTER TABLE fkg.t_6200_nat_geo ADD CONSTRAINT t_6200_nat_geo_d_6200_geologi_fk FOREIGN KEY (geologi_kode)
REFERENCES fkg.d_6200_geologi (geologi_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6200_nat_geo_d_6200_jordtype_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6200_nat_geo DROP CONSTRAINT t_6200_nat_geo_d_6200_jordtype_fk;
ALTER TABLE fkg.t_6200_nat_geo ADD CONSTRAINT t_6200_nat_geo_d_6200_jordtype_fk FOREIGN KEY (jordtype_kode)
REFERENCES fkg.d_6200_jordtype (jordtype_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6200_nat_geo_d_6200_terraen_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6200_nat_geo DROP CONSTRAINT t_6200_nat_geo_d_6200_terraen_fk;
ALTER TABLE fkg.t_6200_nat_geo ADD CONSTRAINT t_6200_nat_geo_d_6200_terraen_fk FOREIGN KEY (terraen_kode)
REFERENCES fkg.d_6200_terraen (terraen_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6200_nat_geo_6200_kompleksitet_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6200_nat_geo DROP CONSTRAINT t_6200_nat_geo_6200_kompleksitet_fk;
ALTER TABLE fkg.t_6200_nat_geo ADD CONSTRAINT t_6200_nat_geo_6200_kompleksitet_fk FOREIGN KEY (kompleksitet_kode)
REFERENCES fkg.d_6200_kompleksitet (kompleksitet_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6201_kult_geo_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6201_kult_geo DROP CONSTRAINT t_6201_kult_geo_generel_fk;
ALTER TABLE fkg.t_6201_kult_geo ADD CONSTRAINT t_6201_kult_geo_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6201_kult_geo_d_basis_omraade_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6201_kult_geo DROP CONSTRAINT t_6201_kult_geo_d_basis_omraade_fk;
ALTER TABLE fkg.t_6201_kult_geo ADD CONSTRAINT t_6201_kult_geo_d_basis_omraade_fk FOREIGN KEY (omraade_nr)
REFERENCES fkg.d_basis_omraade (omraade_nr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6202_landk_omr_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6202_landk_omr DROP CONSTRAINT t_6202_landk_omr_generel_fk;
ALTER TABLE fkg.t_6202_landk_omr ADD CONSTRAINT t_6202_landk_omr_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6202_landk_omr_d_basis_omraade_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6202_landk_omr DROP CONSTRAINT t_6202_landk_omr_d_basis_omraade_fk;
ALTER TABLE fkg.t_6202_landk_omr ADD CONSTRAINT t_6202_landk_omr_d_basis_omraade_fk FOREIGN KEY (omraade_nr)
REFERENCES fkg.d_basis_omraade (omraade_nr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6202_landk_omr_d_6202_tidsdybde_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6202_landk_omr DROP CONSTRAINT t_6202_landk_omr_d_6202_tidsdybde_fk;
ALTER TABLE fkg.t_6202_landk_omr ADD CONSTRAINT t_6202_landk_omr_d_6202_tidsdybde_fk FOREIGN KEY (tidsdybde_kode)
REFERENCES fkg.d_6202_tidsdybde (tidsdybde_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6202_landk_omr_d_basis_tilstand_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6202_landk_omr DROP CONSTRAINT t_6202_landk_omr_d_basis_tilstand_fk;
ALTER TABLE fkg.t_6202_landk_omr ADD CONSTRAINT t_6202_landk_omr_d_basis_tilstand_fk FOREIGN KEY (intakthed_kode)
REFERENCES fkg.d_basis_tilstand (tilstand_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6202_landk_omr_d_6202_skala_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6202_landk_omr DROP CONSTRAINT t_6202_landk_omr_d_6202_skala_fk;
ALTER TABLE fkg.t_6202_landk_omr ADD CONSTRAINT t_6202_landk_omr_d_6202_skala_fk FOREIGN KEY (skala_kode)
REFERENCES fkg.d_6202_skala (skala_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6202_landk_omr_d_6202_rumlig_afgraensning_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6202_landk_omr DROP CONSTRAINT t_6202_landk_omr_d_6202_rumlig_afgraensning_fk;
ALTER TABLE fkg.t_6202_landk_omr ADD CONSTRAINT t_6202_landk_omr_d_6202_rumlig_afgraensning_fk FOREIGN KEY (rumlig_afgraensning_kode)
REFERENCES fkg.d_6202_rumlig_afgraensning (rumlig_afgraensning_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6202_landk_omr_d_6202_kompleksitet_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6202_landk_omr DROP CONSTRAINT t_6202_landk_omr_d_6202_kompleksitet_fk;
ALTER TABLE fkg.t_6202_landk_omr ADD CONSTRAINT t_6202_landk_omr_d_6202_kompleksitet_fk FOREIGN KEY (kompleksitet_kode)
REFERENCES fkg.d_6202_kompleksitet (kompleksitet_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6202_landk_omr_d_6202_struktur_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6202_landk_omr DROP CONSTRAINT t_6202_landk_omr_d_6202_struktur_fk;
ALTER TABLE fkg.t_6202_landk_omr ADD CONSTRAINT t_6202_landk_omr_d_6202_struktur_fk FOREIGN KEY (struktur_kode)
REFERENCES fkg.d_6202_struktur (struktur_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6202_landk_omr_d_6202_visuel_uro_kode_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6202_landk_omr DROP CONSTRAINT t_6202_landk_omr_d_6202_visuel_uro_kode_fk;
ALTER TABLE fkg.t_6202_landk_omr ADD CONSTRAINT t_6202_landk_omr_d_6202_visuel_uro_kode_fk FOREIGN KEY (visuel_uro_kode)
REFERENCES fkg.d_6202_visuel_uro (visuel_uro_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6203_landk_vur_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6203_landk_vur DROP CONSTRAINT t_6203_landk_vur_generel_fk;
ALTER TABLE fkg.t_6203_landk_vur ADD CONSTRAINT t_6203_landk_vur_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6203_landk_vur_d_basis_omraade_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6203_landk_vur DROP CONSTRAINT t_6203_landk_vur_d_basis_omraade_fk;
ALTER TABLE fkg.t_6203_landk_vur ADD CONSTRAINT t_6203_landk_vur_d_basis_omraade_fk FOREIGN KEY (omraade_nr)
REFERENCES fkg.d_basis_omraade (omraade_nr) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6203_landk_vur_d_basis_tilstand_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6203_landk_vur DROP CONSTRAINT t_6203_landk_vur_d_basis_tilstand_fk;
ALTER TABLE fkg.t_6203_landk_vur ADD CONSTRAINT t_6203_landk_vur_d_basis_tilstand_fk FOREIGN KEY (tilstand_kode)
REFERENCES fkg.d_basis_tilstand (tilstand_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6203_landk_vur_d_6203_saarbarhed_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6203_landk_vur DROP CONSTRAINT t_6203_landk_vur_d_6203_saarbarhed_fk;
ALTER TABLE fkg.t_6203_landk_vur ADD CONSTRAINT t_6203_landk_vur_d_6203_saarbarhed_fk FOREIGN KEY (saarbarhed_kode)
REFERENCES fkg.d_6203_saarbarhed (saarbarhed_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6203_landk_vur_d_6203_karakterstyrke_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6203_landk_vur DROP CONSTRAINT t_6203_landk_vur_d_6203_karakterstyrke_fk;
ALTER TABLE fkg.t_6203_landk_vur ADD CONSTRAINT t_6203_landk_vur_d_6203_karakterstyrke_fk FOREIGN KEY (karakterstyrke_kode)
REFERENCES fkg.d_6203_karakterstyrke (karakterstyrke_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6800_parl_fl_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6800_parl_fl DROP CONSTRAINT t_6800_parl_fl_generel_fk;
ALTER TABLE fkg.t_6800_parl_fl ADD CONSTRAINT t_6800_parl_fl_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6800_parl_fl_d_6800_vedlhold_f_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6800_parl_fl DROP CONSTRAINT t_6800_parl_fl_d_6800_vedlhold_f_type_fk;
ALTER TABLE fkg.t_6800_parl_fl ADD CONSTRAINT t_6800_parl_fl_d_6800_vedlhold_f_type_fk FOREIGN KEY (vedlhold_f_type_kode)
REFERENCES fkg.d_6800_vedlhold_f_type (vedlhold_f_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6800_parl_fl_d_basis_driftniv_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6800_parl_fl DROP CONSTRAINT t_6800_parl_fl_d_basis_driftniv_fk;
ALTER TABLE fkg.t_6800_parl_fl ADD CONSTRAINT t_6800_parl_fl_d_basis_driftniv_fk FOREIGN KEY (driftniv_kode)
REFERENCES fkg.d_basis_driftniv (driftniv_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6800_parl_fl_d_basis_ukrudtsbek_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6800_parl_fl DROP CONSTRAINT t_6800_parl_fl_d_basis_ukrudtsbek_fk;
ALTER TABLE fkg.t_6800_parl_fl ADD CONSTRAINT t_6800_parl_fl_d_basis_ukrudtsbek_fk FOREIGN KEY (ukrudtsbek_kode)
REFERENCES fkg.d_basis_ukrudtsbek (ukrudtsbek_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6800_parl_fl_d_basis_tilstand_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6800_parl_fl DROP CONSTRAINT t_6800_parl_fl_d_basis_tilstand_fk;
ALTER TABLE fkg.t_6800_parl_fl ADD CONSTRAINT t_6800_parl_fl_d_basis_tilstand_fk FOREIGN KEY (tilstand_kode)
REFERENCES fkg.d_basis_tilstand (tilstand_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6800_parl_fl_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6800_parl_fl DROP CONSTRAINT t_6800_parl_fl_d_vejnavn_fk;
ALTER TABLE fkg.t_6800_parl_fl ADD CONSTRAINT t_6800_parl_fl_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6801_parl_li_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6801_parl_li DROP CONSTRAINT t_6801_parl_li_generel_fk;
ALTER TABLE fkg.t_6801_parl_li ADD CONSTRAINT t_6801_parl_li_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6801_parl_li_d_6801_vedlhold_l_type_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6801_parl_li DROP CONSTRAINT t_6801_parl_li_d_6801_vedlhold_l_type_fk;
ALTER TABLE fkg.t_6801_parl_li ADD CONSTRAINT t_6801_parl_li_d_6801_vedlhold_l_type_fk FOREIGN KEY (vedlhold_l_type_kode)
REFERENCES fkg.d_6801_vedlhold_l_type (vedlhold_l_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6801_parl_li_d_basis_driftniv_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6801_parl_li DROP CONSTRAINT t_6801_parl_li_d_basis_driftniv_fk;
ALTER TABLE fkg.t_6801_parl_li ADD CONSTRAINT t_6801_parl_li_d_basis_driftniv_fk FOREIGN KEY (driftniv_kode)
REFERENCES fkg.d_basis_driftniv (driftniv_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6801_parl_li_d_basis_ukrudtsbek_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6801_parl_li DROP CONSTRAINT t_6801_parl_li_d_basis_ukrudtsbek_fk;
ALTER TABLE fkg.t_6801_parl_li ADD CONSTRAINT t_6801_parl_li_d_basis_ukrudtsbek_fk FOREIGN KEY (ukrudtsbek_kode)
REFERENCES fkg.d_basis_ukrudtsbek (ukrudtsbek_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6801_parl_li_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6801_parl_li DROP CONSTRAINT t_6801_parl_li_d_vejnavn_fk;
ALTER TABLE fkg.t_6801_parl_li ADD CONSTRAINT t_6801_parl_li_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6801_parl_li_d_basis_tilstand_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6801_parl_li DROP CONSTRAINT t_6801_parl_li_d_basis_tilstand_fk;
ALTER TABLE fkg.t_6801_parl_li ADD CONSTRAINT t_6801_parl_li_d_basis_tilstand_fk FOREIGN KEY (tilstand_kode)
REFERENCES fkg.d_basis_tilstand (tilstand_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6802_parl_pkt_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6802_parl_pkt DROP CONSTRAINT t_6802_parl_pkt_generel_fk;
ALTER TABLE fkg.t_6802_parl_pkt ADD CONSTRAINT t_6802_parl_pkt_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6802_parl_pkt_d_6802_groenvedligh_punkt_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6802_parl_pkt DROP CONSTRAINT t_6802_parl_pkt_d_6802_groenvedligh_punkt_fk;
ALTER TABLE fkg.t_6802_parl_pkt ADD CONSTRAINT t_6802_parl_pkt_d_6802_groenvedligh_punkt_fk FOREIGN KEY (vedlhold_p_type_kode)
REFERENCES fkg.d_6802_groenvedligh_punkt (vedlhold_p_type_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6802_parl_pkt_d_basis_driftniv_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6802_parl_pkt DROP CONSTRAINT t_6802_parl_pkt_d_basis_driftniv_fk;
ALTER TABLE fkg.t_6802_parl_pkt ADD CONSTRAINT t_6802_parl_pkt_d_basis_driftniv_fk FOREIGN KEY (driftniv_kode)
REFERENCES fkg.d_basis_driftniv (driftniv_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6802_parl_pkt_d_basis_ukrudtsbek_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6802_parl_pkt DROP CONSTRAINT t_6802_parl_pkt_d_basis_ukrudtsbek_fk;
ALTER TABLE fkg.t_6802_parl_pkt ADD CONSTRAINT t_6802_parl_pkt_d_basis_ukrudtsbek_fk FOREIGN KEY (ukrudtsbek_kode)
REFERENCES fkg.d_basis_ukrudtsbek (ukrudtsbek_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6802_parl_pkt_d_vejnavn_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6802_parl_pkt DROP CONSTRAINT t_6802_parl_pkt_d_vejnavn_fk;
ALTER TABLE fkg.t_6802_parl_pkt ADD CONSTRAINT t_6802_parl_pkt_d_vejnavn_fk FOREIGN KEY (vejkode)
REFERENCES fkg.d_vejnavn (vejkode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6802_parl_pkt_d_basis_tilstand_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6802_parl_pkt DROP CONSTRAINT t_6802_parl_pkt_d_basis_tilstand_fk;
ALTER TABLE fkg.t_6802_parl_pkt ADD CONSTRAINT t_6802_parl_pkt_d_basis_tilstand_fk FOREIGN KEY (tilstand_kode)
REFERENCES fkg.d_basis_tilstand (tilstand_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6803_parl_omr_generel_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6803_parl_omr DROP CONSTRAINT t_6803_parl_omr_generel_fk;
ALTER TABLE fkg.t_6803_parl_omr ADD CONSTRAINT t_6803_parl_omr_generel_fk FOREIGN KEY (versions_id)
REFERENCES fkg.generel (versions_id) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --


-- object: t_6803_parl_omr_d_6803_pg_distrikt_fk | type: CONSTRAINT --
-- ALTER TABLE fkg.t_6803_parl_omr DROP CONSTRAINT t_6803_parl_omr_d_6803_pg_distrikt_fk;
ALTER TABLE fkg.t_6803_parl_omr ADD CONSTRAINT t_6803_parl_omr_d_6803_pg_distrikt_fk FOREIGN KEY (pg_distrikt_kode)
REFERENCES fkg.d_6803_pg_distrikt (pg_distrikt_kode) MATCH FULL
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --



/* 
    This file is part of the The OpenFKG PostgreSQL implementation of the FKG datamodel
    Copyright (C) 2013 Septima P/S 

    The OpenFKG PostgreSQL implementation of the FKG datamodel is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    The OpenFKG PostgreSQL implementation of the FKG datamodel is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with The OpenFKG PostgreSQL implementation of the FKG datamodel.  If not, see <http://www.gnu.org/licenses/>.

    See more about the OpenFKG project at http://github.com/OpenFKG
*/

-- Core data
-- Script to insert core data (lookup, tables etc.) in FKG Postgres DB

DELETE FROM fkg.tema;
DELETE FROM fkg.temagruppe;

-- Basis lookup-tables
DELETE FROM fkg.d_basis_oprindelse;
DELETE FROM fkg.d_basis_status;
DELETE FROM fkg.d_basis_ansvarlig_myndighed;
DELETE FROM fkg.d_basis_ja_nej;
DELETE FROM fkg.d_basis_ejerstatus;
DELETE FROM fkg.d_basis_tilstand;
DELETE FROM fkg.d_basis_sag_status;
DELETE FROM fkg.d_basis_dvfi_bedoemmelse;
DELETE FROM fkg.d_basis_trussel_vand;
DELETE FROM fkg.d_basis_planstatus;
DELETE FROM fkg.d_basis_hastighed;
DELETE FROM fkg.d_basis_kloak;
DELETE FROM fkg.d_basis_postnr;
DELETE FROM fkg.d_basis_funktionsstatus;
DELETE FROM fkg.d_basis_magasin;
DELETE FROM fkg.d_basis_fors_omr_type;
DELETE FROM fkg.d_basis_driftniv;
DELETE FROM fkg.d_basis_ukrudtsbek;
DELETE FROM fkg.d_basis_antal;
DELETE FROM fkg.d_basis_trin;
DELETE FROM fkg.d_basis_offentlig;

-- Temaspecific lookup-tables
DELETE FROM fkg.d_5000_vandl_type;
DELETE FROM fkg.d_5000_maalsaetning;
DELETE FROM fkg.d_5000_klasse;
DELETE FROM fkg.d_5001_maalest_type;
DELETE FROM fkg.d_5002_spaerring;
DELETE FROM fkg.d_5002_passage;
DELETE FROM fkg.d_5003_ledn_type;
DELETE FROM fkg.d_5003_klasse;
DELETE FROM fkg.d_5004_omr_type;
DELETE FROM fkg.d_5005_maalsaetning;
DELETE FROM fkg.d_5005_soe_type;
DELETE FROM fkg.d_5005_habitat_type;
DELETE FROM fkg.d_5007_opl;
DELETE FROM fkg.d_5007_opl_type;
DELETE FROM fkg.d_5008_opl;
DELETE FROM fkg.d_5009_lag_type;
DELETE FROM fkg.d_5010_element_type;
DELETE FROM fkg.d_5105_kaer_type;
DELETE FROM fkg.d_5106_pleje_type;
DELETE FROM fkg.d_5106_faciliteter;
DELETE FROM fkg.d_5200_affald;
DELETE FROM fkg.d_5400_affalds_type;
DELETE FROM fkg.d_5401_gs_type;
DELETE FROM fkg.d_5402_gc_type;
DELETE FROM fkg.d_5506_anlaegtype;
DELETE FROM fkg.d_5508_stoej;
DELETE FROM fkg.d_5600_rute;
DELETE FROM fkg.d_5601_hasti_type;
DELETE FROM fkg.d_5602_p_tid;
DELETE FROM fkg.d_5602_p_type;
DELETE FROM fkg.d_5604_begr_type;
DELETE FROM fkg.d_5605_dekl_type;
DELETE FROM fkg.d_5606_inventar_type;
DELETE FROM fkg.d_5700_forening_type;
DELETE FROM fkg.d_5700_adr_beskyt;
DELETE FROM fkg.d_5705_udlejning;
DELETE FROM fkg.d_5706_havn_type;
DELETE FROM fkg.d_5707_grund_type;
DELETE FROM fkg.d_5707_salg_status;
-- DELETE FROM fkg.d_5708_institution_type; Udgået ver. 2.4
-- DELETE FROM fkg.d_5709_distrikt_type; Udgået ver. 2.4
DELETE FROM fkg.d_5710_udd_distrikt_type;
DELETE FROM fkg.d_5711_an_distrikt_type;
DELETE FROM fkg.d_5712_plej_distrikt_type;
DELETE FROM fkg.d_5713_prog_distrikt_type;
DELETE FROM fkg.d_5714_udd_institution_type;
DELETE FROM fkg.d_5715_botilbud_type;
DELETE FROM fkg.d_5716_Servicetilbud_type;
DELETE FROM fkg.d_5800_facilitet;
DELETE FROM fkg.d_5802_facilitet;
DELETE FROM fkg.d_5901_gravestatus;
DELETE FROM fkg.d_5901_raastof_type;
DELETE FROM fkg.d_5902_vaeske_type;
DELETE FROM fkg.d_6000_kotesystem;
DELETE FROM fkg.d_6003_zone_type;
DELETE FROM fkg.d_6100_brandhane;
DELETE FROM fkg.d_6100_placering;
DELETE FROM fkg.d_6102_redvej_type;

DELETE FROM fkg.d_6101_beskyt_rum;
DELETE FROM fkg.d_6104_risikotype;
DELETE FROM fkg.d_6104_brandhaem;
DELETE FROM fkg.d_6111_tilladelse;
DELETE FROM fkg.d_6112_depottype;
DELETE FROM fkg.d_6115_afbr_type;
DELETE FROM fkg.d_6116_strandtype;
DELETE FROM fkg.d_6116_esi_klasse;
DELETE FROM fkg.d_6117_indsatstype;
DELETE FROM fkg.d_6118_brand_redarea_type;
DELETE FROM fkg.d_6200_geologi;
DELETE FROM fkg.d_6200_jordtype;
DELETE FROM fkg.d_6200_terraen;
DELETE FROM fkg.d_6200_kompleksitet;
DELETE FROM fkg.d_6202_skala;
DELETE FROM fkg.d_6202_rumlig_afgraensning;
DELETE FROM fkg.d_6202_kompleksitet;
DELETE FROM fkg.d_6202_struktur;
DELETE FROM fkg.d_6202_visuel_uro;
DELETE FROM fkg.d_6202_tidsdybde;
DELETE FROM fkg.d_6203_karakterstyrke;
DELETE FROM fkg.d_6203_saarbarhed;
DELETE FROM fkg.d_6800_vedlhold_f_type;
DELETE FROM fkg.d_6801_vedlhold_l_type;
DELETE FROM fkg.d_6802_groenvedligh_punkt;
DELETE FROM fkg.d_6803_pg_distrikt;


INSERT INTO fkg.temagruppe VALUES ('5.1', 5000, 5099,'Overfladevand');
INSERT INTO fkg.temagruppe VALUES ('5.2', 5100, 5199,'Natur');
INSERT INTO fkg.temagruppe VALUES ('5.3', 5200, 5299,'Miljø');
INSERT INTO fkg.temagruppe VALUES ('5.4', 5300, 5399,'Landbrug');
INSERT INTO fkg.temagruppe VALUES ('5.5', 5400, 5499,'Affald og genbrug');
INSERT INTO fkg.temagruppe VALUES ('5.6', 5500, 5599,'Forsyning');
INSERT INTO fkg.temagruppe VALUES ('5.7', 5600, 5699,'Vej og trafik');
INSERT INTO fkg.temagruppe VALUES ('5.8', 5700, 5799,'Administration');
INSERT INTO fkg.temagruppe VALUES ('5.9', 5800, 5899,'Sport, fritid og friluftsliv');
INSERT INTO fkg.temagruppe VALUES ('5.10', 5900, 5999,'Jord og råstof');
INSERT INTO fkg.temagruppe VALUES ('5.11', 6000, 6099,'Grundvand');
INSERT INTO fkg.temagruppe VALUES ('5.12', 6100, 6199,'Beredskab');
INSERT INTO fkg.temagruppe VALUES ('5.13', 6200, 6299,'Planlægning');
-- Endnu ikke defineret INSERT INTO fkg.temagruppe VALUES ('', 6300, 6399,'Social og sundhed');
-- Endnu ikke defineret INSERT INTO fkg.temagruppe VALUES ('', 6400, 6499,'Børn og unge');
-- Endnu ikke defineret INSERT INTO fkg.temagruppe VALUES ('', 6500, 6599,'Overvågning');
-- Endnu ikke defineret INSERT INTO fkg.temagruppe VALUES ('', 6600, 6699,'Teknik');
-- Endnu ikke defineret INSERT INTO fkg.temagruppe VALUES ('', 6700, 6799,'Naturbeskyttelse');
INSERT INTO fkg.temagruppe VALUES ('5.19', 6800, 6899,'Park og Grønne områder');
-- SELECT * FROM temagruppe

INSERT INTO fkg.tema VALUES (5000,'Vandløb','L','t_5000_vandl','5.1');
INSERT INTO fkg.tema VALUES (5001,'Målestation','P','t_5001_maalest','5.1');
INSERT INTO fkg.tema VALUES (5002,'Faunaspæring','P','t_5002_faunasp','5.1');
INSERT INTO fkg.tema VALUES (5003,'Drænledning','L','t_5003_draenledn','5.1');
INSERT INTO fkg.tema VALUES (5004,'Drænområde','F','t_5004_draenomr','5.1');
INSERT INTO fkg.tema VALUES (5005,'Sø','F','t_5005_soe','5.1');
INSERT INTO fkg.tema VALUES (5006,'Dybdekurver','F','t_5006_dybdekurv','5.1');
INSERT INTO fkg.tema VALUES (5007,'Vandløbsoplande','F','t_5007_vandl_opl','5.1');
INSERT INTO fkg.tema VALUES (5008,'Søoplande','F','t_5008_soe_opl','5.1');
INSERT INTO fkg.tema VALUES (5009,'Pumpelag','F','t_5009_pumpelag','5.1');
INSERT INTO fkg.tema VALUES (5010,'Vandløbselement','P','t_5010_vandl_elm','5.1');
--
-- INSERT INTO fkg.tema VALUES (5100,'Arter Fisk - udgået','P','t_5100_art_fisk','5.2');
-- INSERT INTO fkg.tema VALUES (5101,'Arter Fugl- udgået','P','t_5101_art_fugl','5.2');
-- INSERT INTO fkg.tema VALUES (5102,'Arter Padde- udgået','P','t_5102_art_padde','5.2');
-- INSERT INTO fkg.tema VALUES (5103,'Arter Pattedyr- udgået','P','t_5103_art_pat','5.2');
INSERT INTO fkg.tema VALUES (5104,'Arter Invasive','F','t_5104_art_invas','5.2');
INSERT INTO fkg.tema VALUES (5105,'Rigkær – Fattigkær','P','t_5105_rig_fattig','5.2');
INSERT INTO fkg.tema VALUES (5106,'Naturpleje','F','t_5106_nat_pl','5.2');
INSERT INTO fkg.tema VALUES (5107,'Arter_Invasive_Punkt','P','t_5107_art_invas_p','5.2');
INSERT INTO fkg.tema VALUES (5108,'Grønt partnerskab','F','t_5108_groent_part','5.2');
--
INSERT INTO fkg.tema VALUES (5200,'Affaldprod_udbringning','F','t_5200_aff_prod_udbr','5.3');
--
INSERT INTO fkg.tema VALUES (5300,'Genopdyrkningsret','F','t_5300_genopd_ret','5.4');
--
INSERT INTO fkg.tema VALUES (5400,'Affaldsdistrikt','F','t_5400_affalds_dis','5.5');
INSERT INTO fkg.tema VALUES (5401,'Genbrugsstation','P','t_5401_genbr_st','5.5');
INSERT INTO fkg.tema VALUES (5402,'Genbrugscontainer','P','t_5402_genbr_con','5.5');
--
INSERT INTO fkg.tema VALUES (5500,'Elforsyningsområde','F','t_5500_elfors_omr','5.6');
-- INSERT INTO fkg.tema VALUES (5501,'Forsyningsområde - udgået','F','t_5501_fors_omr','5.6');
-- INSERT INTO fkg.tema VALUES (5502,'Tilslutningsforbudområde - udgået','F','t_5502_tilsl_forb_omr','5.6');
-- INSERT INTO fkg.tema VALUES (5503,'Forsyningsforbudområde - udgået','F','t_5503_fors_forb_omr','5.6');
-- INSERT INTO fkg.tema VALUES (5504,'Kloakopland - udgået','F','t_5504_kloakopl','5.6');
INSERT INTO fkg.tema VALUES (5506,'Spildevandsplanpunkter','P','t_5506_spildev_pl_pkt','5.6');
INSERT INTO fkg.tema VALUES (5507,'Fiberkabel','L','t_5507_fiberkabel','5.6');
INSERT INTO fkg.tema VALUES (5508,'Husstandsmøller','P','t_5508_husst_moel','5.6');
--
INSERT INTO fkg.tema VALUES (5600,'Vintervedligeholdelse','L','t_5600_vintervedl','5.7');
INSERT INTO fkg.tema VALUES (5601,'Hastighedsdæmpning','P','t_5601_hasti_daemp','5.7');
INSERT INTO fkg.tema VALUES (5602,'P-zoner','F','t_5602_p_zoner','5.7');
INSERT INTO fkg.tema VALUES (5603,'Hastighedszone','F','t_5603_hasti_zone','5.7');
INSERT INTO fkg.tema VALUES (5604,'Kørselsregulering','L','t_5604_koer_begr','5.7');
INSERT INTO fkg.tema VALUES (5605,'Vejbyggelinje','F','t_5605_vejbyggel','5.7');
INSERT INTO fkg.tema VALUES (5606,'Vejinventar','P','t_5606_vejinv','5.7');
--
INSERT INTO fkg.tema VALUES (5700,'Grundejerforeninger/ Vejlav','F','t_5700_grundej','5.8');
INSERT INTO fkg.tema VALUES (5701,'Lokalrådsområde','F','t_5701_lok_omr','5.8');
INSERT INTO fkg.tema VALUES (5702,'Skorstensfejerdistrikt','F','t_5702_skorst_fej','5.8');
INSERT INTO fkg.tema VALUES (5703,'Afstemningssted','P','t_5703_afstem_sted','5.8');
INSERT INTO fkg.tema VALUES (5704,'Afstemningsområde','F','t_5704_afstem_omr','5.8');
INSERT INTO fkg.tema VALUES (5705,'Forpagtningsareal','F','t_5705_forp_are','5.8');
INSERT INTO fkg.tema VALUES (5706,'Havneareal','F','t_5706_havn_are','5.8');
INSERT INTO fkg.tema VALUES (5707,'Grundsalg','F','t_5707_grunds','5.8');

-- INSERT INTO fkg.tema VALUES (5708,'Kommunal_service','P','t_5708_kom_serv','5.8'); Udgået i ver. 2.4
INSERT INTO fkg.tema VALUES (5710,'Børn- og skoledistrikter','F','t_5710_born_skole_dis','5.8');
INSERT INTO fkg.tema VALUES (5711,'Andre distrikter','F','t_5711_and_dis','5.8');
INSERT INTO fkg.tema VALUES (5712,'Pleje- og ældredistrikter','F','t_5712_plej_aeldr_dis','5.8');
INSERT INTO fkg.tema VALUES (5713,'Prognose- og statistik distrikter','F','t_5713_prog_stat_dis','5.8');
INSERT INTO fkg.tema VALUES (5714,'Lærings- og uddannelsesinstitution','P','t_5714_laering_udd_inst','5.8');
INSERT INTO fkg.tema VALUES (5715,'Botilbud','P','t_5715_botilbud','5.8');
INSERT INTO fkg.tema VALUES (5716,'Servicetilbud','P','t_5716_servicetilbud','5.8');
--
INSERT INTO fkg.tema VALUES (5800,'Facilitet_punkt','P','t_5800_fac_pkt','5.9');
-- INSERT INTO fkg.tema VALUES (5801,'Facilitet_flade - udgået','F','t_5801_fac_fl','5.9');
INSERT INTO fkg.tema VALUES (5802,'Facilitet_linje','L','t_5802_fac_li','5.9');
--
INSERT INTO fkg.tema VALUES (5900,'Jordflytning','F','t_5900_jordfl','5.10');
INSERT INTO fkg.tema VALUES (5901,'Råstofindvindingstilladelse','F','t_5901_raastof_till','5.10');
INSERT INTO fkg.tema VALUES (5902,'Jordvarmeanlæg','F','t_5902_jordv_anl','5.10');
-- INSERT INTO fkg.tema VALUES (5903,'Jordprøve - udgået','P','t_5903_jordpr','5.10');
-- Ikke dokumenteret INSERT INTO fkg.tema VALUES (5904,'Nyttiggørelse af jord','?','t_5904_nyttig_jord','5.10'); Forventes nedlagt.
--
INSERT INTO fkg.tema VALUES (6000,'Potentialekort','L','t_6000_pot','5.11');
INSERT INTO fkg.tema VALUES (6001,'Potentialekort målepunkter','P','t_6001_pot_m','5.11');
INSERT INTO fkg.tema VALUES (6002,'Indvindingsopland','F','t_6002_indv','5.11');
INSERT INTO fkg.tema VALUES (6003,'Beskyttelseszone','F','t_6003_besk_zone','5.11');
INSERT INTO fkg.tema VALUES (6004,'Vandværksforsyningsomr','F','t_6004_vandv_fs','5.11');
-- INSERT INTO fkg.tema VALUES (6005,'Ledningsnet vandværk - udgået','F','t_6005_ledn_vand','5.11');
INSERT INTO fkg.tema VALUES (6006,'Grundvandsdannende Opland','F','t_6006_grundv_opl','5.11');
INSERT INTO fkg.tema VALUES (6007,'Indsatsområde','F','t_6007_inds_omr','5.11');
INSERT INTO fkg.tema VALUES (6008,'Maksimal Boredybde','F','t_6008_maks_bor','5.11');
INSERT INTO fkg.tema VALUES (6009,'Indvinding af overfladevand','P','t_6009_indv_ovflv','5.11');

INSERT INTO fkg.tema VALUES (6100,'Brandhane','P','t_6100_brandhane','5.12');
INSERT INTO fkg.tema VALUES (6101,'Beskyttelsesrum','P','t_6101_beskyt_rum','5.12');
INSERT INTO fkg.tema VALUES (6102,'Redningsvej','F','t_6102_redn_vej','5.12');
INSERT INTO fkg.tema VALUES (6103,'Beredskabsområde - 112 slukningsdistrikt','F','t_6103_bered_omr','5.12');
INSERT INTO fkg.tema VALUES (6104,'Risiko virksomhed','F','t_6104_risiko_virk','5.12');
INSERT INTO fkg.tema VALUES (6105,'Særlig bygningsområde','F','t_6105_sbygn_omr','5.12');
-- INSERT INTO fkg.tema VALUES (6106,'Særlig bygning','F','t_6106_sbygn','5.12'); Udgået
INSERT INTO fkg.tema VALUES (6107,'Forholdsordre','F','t_6107_forholds','5.12');
INSERT INTO fkg.tema VALUES (6108,'Mødeplan','F','t_6108_moedepl','5.12');
INSERT INTO fkg.tema VALUES (6109,'Sirene, alarm','P','t_6109_sirene','5.12');
INSERT INTO fkg.tema VALUES (6110,'Nøgleboks til beredskab','P','t_6110_noegle','5.12');
INSERT INTO fkg.tema VALUES (6111,'Fyrværkeri tilladelse','F','t_6111_fyrv_till','5.12');
INSERT INTO fkg.tema VALUES (6112,'Midlertidige depot ved forurening m.v.','F','t_6112_midl_dep','5.12');
INSERT INTO fkg.tema VALUES (6113,'Beskyttet natur ved beredskabsindsats','F','t_6113_besk_nat_b','5.12');
INSERT INTO fkg.tema VALUES (6114,'Midlertidig ophold','P','t_6114_midl_oph','5.12');
INSERT INTO fkg.tema VALUES (6115,'Afbrændingsområde','F','t_6115_afbr_omr','5.12');
INSERT INTO fkg.tema VALUES (6116,'Olieberedskabsplan','F','t_6116_olie_ber_pl','5.12');
INSERT INTO fkg.tema VALUES (6117,'Indsatspunkt','P','t_6117_inds_pkt','5.12');
INSERT INTO fkg.tema VALUES (6118,'Brand- og redningsareal','F','t_6118_bran_redn','5.12');
--
INSERT INTO fkg.tema VALUES (6200,'Naturgeografi','F','t_6200_nat_geo','5.13');
INSERT INTO fkg.tema VALUES (6201,'Kulturgeografi','F','t_6201_kult_geo','5.13');
INSERT INTO fkg.tema VALUES (6202,'Landskabkarakterområder','F','t_6202_landk_omr','5.13');
INSERT INTO fkg.tema VALUES (6203,'Landskabskaraktervurderinger','F','t_6203_landk_vur','5.13');
--
INSERT INTO fkg.tema VALUES (6800,'Park og grønne områder flade','F','t_6800_parl_fl','5.19');
INSERT INTO fkg.tema VALUES (6801,'Park og grønne områder linje','L','t_6801_parl_li','5.19');
INSERT INTO fkg.tema VALUES (6802,'Park og grønne områder punkt','P','t_6802_parl_pkt','5.19');
INSERT INTO fkg.tema VALUES (6803,'Park og grønne områders distrikt','F','t_6803_parl_omr','5.19');
--SELECT * FROM tema

INSERT INTO fkg.d_basis_oprindelse VALUES (0,'Ikke udfyldt', 1, NULL);
INSERT INTO fkg.d_basis_oprindelse VALUES (1,'Ortofoto', 1,'Der skelnes ikke mellem forskellige producenter og forskellige årgange');
INSERT INTO fkg.d_basis_oprindelse VALUES (2,'Matrikelkort', 1,'Matrikelkort fra KMS (København og Frederiksberg). Det forudsættes, at der benyttes opdaterede matrikelkort for datoen for planens indberetning');
INSERT INTO fkg.d_basis_oprindelse VALUES (3,'Opmåling', 1,'Kan være med GPS, andet instrument el. lign. Det er ikke et udtryk for præcisi-on, men at det er udført i marken');
INSERT INTO fkg.d_basis_oprindelse VALUES (4,'FOT / Tekniske kort', 1,'FOT, DTK, Danmarks Topografisk kortværk eller andre raster kort samt kommunernes tekniske kort eller andre vektorkort. Indtil FOT er landsdækkende benyttes kort10 (jf. overgangsregler for FOT)');
INSERT INTO fkg.d_basis_oprindelse VALUES (5,'Modelberegning', 1,'GIS analyser eller modellering');
INSERT INTO fkg.d_basis_oprindelse VALUES (6,'Tegning', 1,'Digitaliseret på baggrund af PDF, billede eller andet tegningsmateriale');
INSERT INTO fkg.d_basis_oprindelse VALUES (7,'Felt-/markbesøg', 1,'Registrering på baggrund af tilsyn i marken');
INSERT INTO fkg.d_basis_oprindelse VALUES (8,'Borgeranmeldelse', 1,'Indberetning via diverse borgerløsninger – eks. "Giv et praj"');
INSERT INTO fkg.d_basis_oprindelse VALUES (9,'Luftfoto (historiske 1944-1993)', 1,'Luftfoto er kendetegnet ved ikke at have samme nøjagtighed i georeferingen, men man kan se en del ting, der ikke er på de nuværende ortofoto.');
INSERT INTO fkg.d_basis_oprindelse VALUES (10,'Skråfoto', 1,'Luftfoto tager fra de 4 verdenshjørner');
INSERT INTO fkg.d_basis_oprindelse VALUES (11,'Andre foto', 1,'Foto taget i jordhøjde - "terræn foto" (street-view, sagsbehandlerfotos, borgerfotos m.v.). Her er det meget tydeligt at se de enkelte detaljer, men også her kan man normalt ikke direkte placere et punkt via fotoet, men må over at gøre det via noget andet.');
INSERT INTO fkg.d_basis_oprindelse VALUES (12,'3D', 1,'Laserscanning, Digital terrænmodel (DTM) afledninger, termografiske målinger (bestemmelse af temperaturforskelle) o.lign.');
-- SELECT * FROM d_basis_oprindelse;

INSERT INTO fkg.d_basis_status VALUES (0,'Ukendt',1);
INSERT INTO fkg.d_basis_status VALUES (1,'Kladde',1);
INSERT INTO fkg.d_basis_status VALUES (2,'Forslag',1);
INSERT INTO fkg.d_basis_status VALUES (3,'Gældende /  Vedtaget',1);
INSERT INTO fkg.d_basis_status VALUES (4,'Ikke gældende / Aflyst',1);
-- SELECT * FROM d_basis_status;

INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 66137112,'Albertslund Kommune', 165, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 60183112,'Allerød Kommune', 201, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189692,'Assens Kommune', 420, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 58271713,'Ballerup Kommune', 151, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189765,'Billund Kommune', 530, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 26696348,'Bornholms Regionskommune', 400, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 65113015,'Brøndby Kommune', 153, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189501,'Brønderslev Kommune',  810, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 25775635,'Christiansø', 411, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 12881517,'Dragør Kommune', 155, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188386,'Egedal Kommune', 240, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189803,'Esbjerg Kommune', 561, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 31210917,'Fanø Kommune', 563, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189714,'Favrskov Kommune',  710, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188475,'Faxe Kommune', 320, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188335,'Fredensborg Kommune',     210, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 69116418,'Fredericia Kommune', 607, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 11259979,'Frederiksberg Kommune', 147, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189498,'Frederikshavn Kommune', 813, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189129,'Frederikssund Kommune', 250, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188327,'Furesø Kommune', 190, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188645,'Faaborg-Midtfyn Kommune', 430, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 19438414,'Gentofte Kommune', 157, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 62761113,'Gladsaxe Kommune', 159, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 65120119,'Glostrup Kommune', 161, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 44023911,'Greve Kommune', 253, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188440,'Gribskov Kommune', 270, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188599,'Guldborgsund Kommune', 376, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189757,'Haderslev Kommune', 510, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188416,'Halsnæs Kommune', 260, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189587,'Hedensted Kommune', 766, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 64502018,'Helsingør Kommune', 217, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 63640719,'Herlev Kommune', 163, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189919,'Herning Kommune', 657, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189366,'Hillerød Kommune', 219, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189382,'Hjørring Kommune', 860, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189447,'Holbæk Kommune', 316, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189927,'Holstebro Kommune', 661, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189889,'Horsens Kommune', 615, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 55606617,'Hvidovre Kommune', 167, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 19501817,'Høje-Taastrup Kommune', 169, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 70960516,'Hørsholm Kommune', 223, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189617,'Ikast-Brande Kommune', 756, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 11931316,'Ishøj Kommune', 183, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189439,'Jammerbugt Kommune', 849, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189595,'Kalundborg Kommune', 326, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189706,'Kerteminde Kommune', 440, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189897,'Kolding Kommune', 621, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 64942212,'Københavns Kommune', 101, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189374,'Køge Kommune', 259, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188955,'Langeland Kommune', 482, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188548,'Lejre Kommune', 350, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189935,'Lemvig Kommune', 665, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188572,'Lolland Kommune', 360, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 11715311,'Lyngby-Taarbæk Kommune', 173, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 45973328,'Læsø Kommune', 825, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189455,'Mariagerfjord Kommune', 846, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189684,'Middelfart Kommune', 410, 1);
-- INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 25798376,'Miljøstyrelsen udgår', NULL, 0);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 41333014,'Morsø Kommune', 773, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189986,'Norddjurs Kommune', 707, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188947,'Nordfyns Kommune', 480, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189722,'Nyborg Kommune', 450, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189625,'Næstved Kommune', 370, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 32264328,'Odder Kommune', 727, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 35209115,'Odense Kommune', 461, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188459,'Odsherred Kommune', 306, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189668,'Randers Kommune', 730, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189463,'Rebild Kommune', 840, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189609,'Ringkøbing-Skjern Kommune', 760, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 18957981,'Ringsted Kommune', 329, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189404,'Roskilde Kommune', 265, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188378,'Rudersdal Kommune', 230, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 65307316,'Rødovre Kommune', 175, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 23795515,'Samsø Kommune', 741, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189641,'Silkeborg Kommune', 740, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189633,'Skanderborg Kommune', 746, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189579,'Skive Kommune', 779, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29188505,'Slagelse Kommune', 330, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 68534917,'Solrød Kommune', 269, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189994,'Sorø Kommune', 340, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29208654,'Stevns Kommune', 336, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189951,'Struer Kommune', 671, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189730,'Svendborg Kommune', 479, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189978,'Syddjurs Kommune', 706, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189773,'Sønderborg Kommune', 540, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189560,'Thisted Kommune', 787, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189781,'Tønder Kommune', 550, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 20310413,'Tårnby Kommune', 185, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 19583910,'Vallensbæk Kommune', 187, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189811,'Varde Kommune', 573, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189838,'Vejen Kommune', 575, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189900,'Vejle Kommune', 630, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189471,'Vesthimmerlands Kommune', 820, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189846,'Viborg Kommune', 791, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189676,'Vordingborg Kommune', 390, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 28856075,'Ærø Kommune', 492, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189854,'Aabenraa Kommune', 580, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 29189420,'Aalborg Kommune', 851, 1);
INSERT INTO fkg.d_basis_ansvarlig_myndighed VALUES ( 55133018,'Aarhus Kommune', 751, 1);
-- SELECT * FROM d_basis_ansvarlig_myndighed;

INSERT INTO fkg.d_basis_offentlig VALUES (1,'Synlig for alle',1);
INSERT INTO fkg.d_basis_offentlig VALUES (2,'Synlig for den ansvarlige myndighed',1);
INSERT INTO fkg.d_basis_offentlig VALUES (3,'Synlig for alle myndigheder, men ikke offentligheden',1);
-- SELECT * FROM d_basis_offentlig;

INSERT INTO fkg.d_basis_ja_nej VALUES (0,'Nej',1,'NEJ');
INSERT INTO fkg.d_basis_ja_nej VALUES (1,'Ja',1,'JA');
INSERT INTO fkg.d_basis_ja_nej VALUES (2,'Blandet',1,'Hvor både ja og nej gælder for objektet');
INSERT INTO fkg.d_basis_ja_nej VALUES (3,'Ukendt',1,'Mangler viden til at kunne udfylde værdien med ja eller nej.');
-- SELECT * FROM d_basis_ja_nej;

INSERT INTO fkg.d_basis_ejerstatus VALUES (10,'Privatpersoner, inkl. I/S',1,'Person, firma, forening m.v. Gælder også flere og kombinationer af disse.');
INSERT INTO fkg.d_basis_ejerstatus VALUES (20,'Almen boligorganisation',1,NULL);
INSERT INTO fkg.d_basis_ejerstatus VALUES (30,'A/S, ApS og andre selskaber',1,NULL);
INSERT INTO fkg.d_basis_ejerstatus VALUES (40,'Forening, Legater og Institutioner',1,NULL);
INSERT INTO fkg.d_basis_ejerstatus VALUES (41,'Private andelsboligforeninger',1,NULL);
INSERT INTO fkg.d_basis_ejerstatus VALUES (50,'Beliggenhedskommune',1,'Den kommune, hvor ejendommen er beliggende. Den kommunale forvaltning – ikke private selskaber ejet 100% af Kommune.  F.eks. forsyningsselskaber.');
INSERT INTO fkg.d_basis_ejerstatus VALUES (60,'Anden primærkommune',1,NULL);
INSERT INTO fkg.d_basis_ejerstatus VALUES (70,'Region',1,'Regions forvaltningen.');
INSERT INTO fkg.d_basis_ejerstatus VALUES (80,'Staten',1,'Staten eller en myndighed under staten f.eks. Naturstyrelsen eller KMS');
INSERT INTO fkg.d_basis_ejerstatus VALUES (90,'Andre ejerforhold',1,'Mangler viden til at kunne udfylde værdien.');
-- SELECT * FROM d_basis_ejerstatus;

INSERT INTO fkg.d_basis_tilstand VALUES (1,'Dårlig',1,'Udskiftning eller vedligeholdelse tiltrængt/påkrævet. Fungerer ikke efter hensigten eller i fare for det sker inden for kort tid.');
INSERT INTO fkg.d_basis_tilstand VALUES (2,'Middel',1,'Fungerer efter hensigten, men kunne trænge til vedligeholdelse for at forlænge levetiden/funktionen');
INSERT INTO fkg.d_basis_tilstand VALUES (3,'God',1,'Tæt på lige så god som et nyt.');
INSERT INTO fkg.d_basis_tilstand VALUES (8,'Andet',1,'Anden tilstand end Dårlig, Middel, God eller Ukendt.');
INSERT INTO fkg.d_basis_tilstand VALUES (9,'Ukendt',1,'Mangler viden til at kunne udfylde værdien med Dårlig, Middel eller God.');
-- SELECT * FROM d_basis_tilstand;

INSERT INTO fkg.d_basis_sag_status VALUES (1,'Forespurgt',1,'Forespurgt uden egentlig ansøgning. Typisk mundtligt.');
INSERT INTO fkg.d_basis_sag_status VALUES (2,'Ansøgt',1,'Ansøgt - typisk indsendt skriftligt, men afvent endnu sagsbehandling.');
INSERT INTO fkg.d_basis_sag_status VALUES (3,'Under behandling',1,'Sagsbehandling påbegyndt');
INSERT INTO fkg.d_basis_sag_status VALUES (4,'Standby',1,'Sagsbehandling sat på standby. Afvente yderligere dokumentation til ansøgning eller ansøger har ønsket sagsbehandling sat i stå.');
INSERT INTO fkg.d_basis_sag_status VALUES (5,'Godkendt',1,'Ansøgning godkendt uden forbehold.');
INSERT INTO fkg.d_basis_sag_status VALUES (6,'Betinget godkendt',1,'Ansøgning godkendt med forbehold.');
INSERT INTO fkg.d_basis_sag_status VALUES (7,'Afvist',1,'Ansøgning afvist.');
INSERT INTO fkg.d_basis_sag_status VALUES (8,'Annulleret',1,'Ansøg er trukket tilbage før der truffet en beslutning.');
-- SELECT * FROM d_basis_sag_status;

INSERT INTO fkg.d_basis_dvfi_bedoemmelse VALUES (1,'Særdeles ringe',1,'Se DVFI');
INSERT INTO fkg.d_basis_dvfi_bedoemmelse VALUES (2,'Meget ringe',1,'Se DVFI');
INSERT INTO fkg.d_basis_dvfi_bedoemmelse VALUES (3,'Ringe',1,'Se DVFI');
INSERT INTO fkg.d_basis_dvfi_bedoemmelse VALUES (4,'Noget forringet',1,'Se DVFI');
INSERT INTO fkg.d_basis_dvfi_bedoemmelse VALUES (5,'God',1,'Se DVFI');
INSERT INTO fkg.d_basis_dvfi_bedoemmelse VALUES (6,'Meget god',1,'Se DVFI');
INSERT INTO fkg.d_basis_dvfi_bedoemmelse VALUES (7,'Særdeles god',1,'Se DVFI');
-- SELECT * FROM d_basis_dvfi_bedoemmelse;

INSERT INTO fkg.d_basis_trussel_vand VALUES (1,'Ingen aktuelle',1,'Ingen kendte trusler kendt pt.');
INSERT INTO fkg.d_basis_trussel_vand VALUES (2,'Fiskeri',1,'Fiskeri med gran, ruser eller stang');
INSERT INTO fkg.d_basis_trussel_vand VALUES (3,'Kemisk forurening',1,'Udsivning fra jordforurening, tilløb fra vandløb med kendte kemiske problemer m.v.');
INSERT INTO fkg.d_basis_trussel_vand VALUES (4,'Næringsstoffer',1,'Tilførsel af næringsstoffer fra omkring liggende landbrug/marker.');
INSERT INTO fkg.d_basis_trussel_vand VALUES (5,'Sejlads',1,'Sejlads med kanoer, motorbåde m.v. ødelægger plantelivet m.v.');
INSERT INTO fkg.d_basis_trussel_vand VALUES (6,'Sandvandring/bundfældning',1,'Tilløb aflejrer sand, okker m.v. og fylder dermed søen op over tid.');
INSERT INTO fkg.d_basis_trussel_vand VALUES (7,'Tilgroning',1,'Siv og andre planter er i gang med at dække vandoverfladen og kan på sigt få det frie vandspejl til at forsvinde.');
INSERT INTO fkg.d_basis_trussel_vand VALUES (8,'Udsætning af fisk',1,'Der udsættes/har været udsat fisk og der ændre balancen i søen.');
INSERT INTO fkg.d_basis_trussel_vand VALUES (9,'Udtørring',1,'Vandstanden svinder f.eks. P.g.a. vandindvinding i området/søoplandet.');
INSERT INTO fkg.d_basis_trussel_vand VALUES (10,'Ænder',1,'Udsætning/fodring af ænder giver for meget næring.');
INSERT INTO fkg.d_basis_trussel_vand VALUES (11,'Spildevand',1,'Spildevand fra ejendomme');
INSERT INTO fkg.d_basis_trussel_vand VALUES (97,'Flere trusler',1,'Flere af trusselsmulighederne er relevante i høj grad.');
INSERT INTO fkg.d_basis_trussel_vand VALUES (98,'Andet',1,'En trussel der ikke passer ind på ovenstående.');
-- SELECT * FROM d_basis_trussel_vand;

INSERT INTO fkg.d_basis_planstatus VALUES (1,'Eksisterende',1,'Er anlagt/i drift');
INSERT INTO fkg.d_basis_planstatus VALUES (2,'Planlagt',1,'Fremtid plan');
-- SELECT * FROM d_basis_planstatus;

INSERT INTO fkg.d_basis_hastighed VALUES (15,'15',1,'15 km i timen (opholds- og legeområde)');
INSERT INTO fkg.d_basis_hastighed VALUES (20,'20',1,'20 km i timen');
INSERT INTO fkg.d_basis_hastighed VALUES (25,'25',1,'25 km i timen');
INSERT INTO fkg.d_basis_hastighed VALUES (30,'30',1,'30 km i timen');
INSERT INTO fkg.d_basis_hastighed VALUES (40,'40',1,'40 km i timen');
INSERT INTO fkg.d_basis_hastighed VALUES (45,'45',1,'45 km i timen');
INSERT INTO fkg.d_basis_hastighed VALUES (50,'50',1,'50 km i timen');
INSERT INTO fkg.d_basis_hastighed VALUES (60,'60',1,'60 km i timen');
INSERT INTO fkg.d_basis_hastighed VALUES (70,'70',1,'70 km i timen');
INSERT INTO fkg.d_basis_hastighed VALUES (80,'80',1,'80 km i timen');
INSERT INTO fkg.d_basis_hastighed VALUES (90,'90',1,'90 km i timen');
INSERT INTO fkg.d_basis_hastighed VALUES (98,'Andet',1,'Anden hastighed end muligt at vælge på listen.');
INSERT INTO fkg.d_basis_hastighed VALUES (99,'Ukendt',1,'Ukendt/mangler viden');
INSERT INTO fkg.d_basis_hastighed VALUES (110,'110',1,'110 km i timen');
INSERT INTO fkg.d_basis_hastighed VALUES (130,'130',1,'130 km i timen');
-- SELECT * FROM d_basis_hastighed;

INSERT INTO fkg.d_basis_kloak VALUES (1,'Fælleskloakeret',1,'Spildevand og regnvand er blandet sammen i samme rør/system.');
INSERT INTO fkg.d_basis_kloak VALUES (2,'Seperatkloakeret',1,'Spildevand og regnvand bortledes i hvert sit rør/system.');
INSERT INTO fkg.d_basis_kloak VALUES (3,'Spildevandskloakeret',1,'Kun spildevand bortledes i rør. Regnvand nedsives.');
INSERT INTO fkg.d_basis_kloak VALUES (4,'Ukloakeret',1,'Ej kloakerings system i området.');
INSERT INTO fkg.d_basis_kloak VALUES (5,'Anden',1,'Anden');
INSERT INTO fkg.d_basis_kloak VALUES (7,'Separatkloakeret med nedsivning af tagvand',1,'Spildevand og regnvand fra veje bortledes i hvert sit rør/system. Tagvand nedsives.');
INSERT INTO fkg.d_basis_kloak VALUES (9,'Ukendt',1,'Hvor der mangler viden om kloakeringstype');
-- SELECT * FROM d_basis_kloak;

-- Old-version: postnr lookup table created by SQL: select 'INSERT INTO fkg.d_basis_postnr VALUES (' || CAST(postnr AS character varying) || ',''' || postbynavn || ''',1);' FROM adr_mbbl.postnr WHERE COALESCE (btrim(postnr),'')<>'';
-- New-version (from 2014-08-07): select 'INSERT INTO fkg.d_basis_postnr VALUES (' || CAST(postcodeisdentifier AS character varying) || ',''' || districtname || ''',1);' FROM aws.postcode WHERE COALESCE (btrim(postcodeisdentifier),'')<>'';
INSERT INTO fkg.d_basis_postnr VALUES (2300,'København S',1);
INSERT INTO fkg.d_basis_postnr VALUES (1354,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1156,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (2700,'Brønshøj',1);
INSERT INTO fkg.d_basis_postnr VALUES (1675,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1265,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (2770,'Kastrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (1205,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (2450,'København SV',1);
INSERT INTO fkg.d_basis_postnr VALUES (2400,'København NV',1);
INSERT INTO fkg.d_basis_postnr VALUES (2100,'København Ø',1);
INSERT INTO fkg.d_basis_postnr VALUES (1159,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1105,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1350,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1439,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1437,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1402,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1799,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1619,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (2150,'Nordhavn',1);
INSERT INTO fkg.d_basis_postnr VALUES (1671,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1421,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1623,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1556,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1433,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1152,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1609,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1218,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1104,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1454,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1311,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1569,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1657,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1407,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1699,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1774,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1370,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1434,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1567,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1052,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1172,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1455,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1554,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (2900,'Hellerup',1);
INSERT INTO fkg.d_basis_postnr VALUES (1655,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1424,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1773,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1409,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1650,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1663,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1577,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1735,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1211,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1169,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1553,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1069,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1550,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1732,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1622,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1600,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1369,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1730,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1111,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1316,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1738,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1615,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1673,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1562,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1624,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1436,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1110,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1708,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1760,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1151,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1113,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1466,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1301,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1633,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1570,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1062,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1058,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1120,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (2860,'Søborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (1123,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1074,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1353,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1558,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1221,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1361,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1364,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1635,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1210,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1467,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1071,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1408,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1716,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1704,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1702,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1770,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1458,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1753,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1165,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1610,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1440,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1601,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1168,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1473,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1130,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1662,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1428,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1310,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1326,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1617,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1464,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1432,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1418,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1612,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1726,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1677,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1722,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1257,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1674,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1065,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1441,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1253,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1755,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1403,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1204,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1255,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1654,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1772,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1631,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1314,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1153,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1429,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1652,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1055,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1216,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1460,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1371,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1358,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1107,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1723,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1315,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1170,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1463,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1465,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1207,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1750,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1714,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1070,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1167,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1707,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1161,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1103,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1366,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1576,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1324,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1157,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1607,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1634,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1325,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1560,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1461,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1214,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1100,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1327,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1764,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1611,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1472,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1557,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1200,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1724,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1734,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1777,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1260,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1411,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1737,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1050,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1400,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1066,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1413,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1651,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1352,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1568,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1319,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1329,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1317,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1365,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1307,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1426,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1552,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1712,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1202,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1320,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1751,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1739,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1727,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1056,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1309,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1731,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1603,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1122,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1438,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1112,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1456,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1604,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1101,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1575,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1756,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1263,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1171,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1412,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1419,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1717,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1051,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1416,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1206,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1761,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1450,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1614,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1729,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1209,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1261,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1551,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1219,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1559,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1362,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1174,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1114,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1102,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1256,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1417,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1775,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1116,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1661,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1118,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1303,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1762,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1752,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1425,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1427,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1251,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1451,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1208,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1571,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1672,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1665,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1073,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1054,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1270,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1669,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1323,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1733,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1302,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1422,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1063,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1573,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1126,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1564,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1268,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1765,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1757,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1561,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1355,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1459,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1124,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1608,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1759,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1059,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1749,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1670,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1602,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1158,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1718,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1420,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1064,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1703,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1710,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1068,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1121,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1215,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1127,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1067,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1128,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1606,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1304,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1154,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (2610,'Rødovre',1);
INSERT INTO fkg.d_basis_postnr VALUES (1328,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1115,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1271,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1306,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1300,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1711,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1462,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1155,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1160,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1061,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1660,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1621,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1313,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1666,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1706,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1312,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1359,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1406,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1435,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1410,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1766,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1367,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1131,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1363,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1656,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1705,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1736,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1072,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1620,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1758,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1220,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1264,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1250,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1203,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1175,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1668,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1252,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1676,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1771,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1725,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1356,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1470,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1555,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1763,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1653,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1368,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1357,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1452,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1721,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1471,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1700,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1719,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1053,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1414,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1254,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1715,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1720,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1150,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1117,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1129,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1618,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1415,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1318,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1709,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1457,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1632,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1166,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1658,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1173,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1201,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1616,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1308,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1701,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1430,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1401,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1125,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1754,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1267,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1213,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1659,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1057,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1574,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1605,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1322,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1164,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1259,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1613,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1212,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1060,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1119,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1453,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1468,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1728,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1423,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1563,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1106,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1667,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1321,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1664,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1266,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (1572,'København V',1);
INSERT INTO fkg.d_basis_postnr VALUES (1360,'København K',1);
INSERT INTO fkg.d_basis_postnr VALUES (2000,'Frederiksberg',1);
INSERT INTO fkg.d_basis_postnr VALUES (1828,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1817,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1870,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1815,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1812,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1902,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1803,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1824,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1825,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1850,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1911,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1956,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1954,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1904,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1922,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1960,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1826,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1807,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1875,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1809,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1916,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1900,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1851,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1802,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1865,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1856,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1816,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1921,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1971,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1810,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1871,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1952,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1927,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1912,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1955,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1855,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1853,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1926,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1876,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1857,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1805,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1963,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1961,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1953,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1820,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1965,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1852,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1860,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1908,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1814,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1962,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1903,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1811,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1974,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1913,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1973,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1925,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1923,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1967,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1915,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1906,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1813,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1917,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1801,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1872,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1829,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1878,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1864,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1901,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1879,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1958,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1823,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1914,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1905,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1822,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1862,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (2500,'Valby',1);
INSERT INTO fkg.d_basis_postnr VALUES (1920,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1877,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1964,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1804,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1866,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1910,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1819,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (2200,'København N',1);
INSERT INTO fkg.d_basis_postnr VALUES (1867,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1966,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1854,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1928,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1950,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1970,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (2720,'Vanløse',1);
INSERT INTO fkg.d_basis_postnr VALUES (1972,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1863,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1808,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1806,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1909,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1873,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1861,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1924,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1827,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1957,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1868,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1818,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1800,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1951,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1874,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (1959,'Frederiksberg C',1);
INSERT INTO fkg.d_basis_postnr VALUES (2750,'Ballerup',1);
INSERT INTO fkg.d_basis_postnr VALUES (2740,'Skovlunde',1);
INSERT INTO fkg.d_basis_postnr VALUES (2760,'Måløv',1);
INSERT INTO fkg.d_basis_postnr VALUES (2730,'Herlev',1);
INSERT INTO fkg.d_basis_postnr VALUES (3500,'Værløse',1);
INSERT INTO fkg.d_basis_postnr VALUES (2605,'Brøndby',1);
INSERT INTO fkg.d_basis_postnr VALUES (2660,'Brøndby Strand',1);
INSERT INTO fkg.d_basis_postnr VALUES (2600,'Glostrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (2650,'Hvidovre',1);
INSERT INTO fkg.d_basis_postnr VALUES (2620,'Albertslund',1);
INSERT INTO fkg.d_basis_postnr VALUES (2791,'Dragør',1);
INSERT INTO fkg.d_basis_postnr VALUES (2820,'Gentofte',1);
INSERT INTO fkg.d_basis_postnr VALUES (2870,'Dyssegård',1);
INSERT INTO fkg.d_basis_postnr VALUES (2930,'Klampenborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (2920,'Charlottenlund',1);
INSERT INTO fkg.d_basis_postnr VALUES (2800,'Kgs. Lyngby',1);
INSERT INTO fkg.d_basis_postnr VALUES (2880,'Bagsværd',1);
INSERT INTO fkg.d_basis_postnr VALUES (2640,'Hedehusene',1);
INSERT INTO fkg.d_basis_postnr VALUES (4000,'Roskilde',1);
INSERT INTO fkg.d_basis_postnr VALUES (2630,'Taastrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (2635,'Ishøj',1);
INSERT INTO fkg.d_basis_postnr VALUES (2830,'Virum',1);
INSERT INTO fkg.d_basis_postnr VALUES (2840,'Holte',1);
INSERT INTO fkg.d_basis_postnr VALUES (2665,'Vallensbæk Strand',1);
INSERT INTO fkg.d_basis_postnr VALUES (2625,'Vallensbæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (3520,'Farum',1);
INSERT INTO fkg.d_basis_postnr VALUES (3460,'Birkerød',1);
INSERT INTO fkg.d_basis_postnr VALUES (3540,'Lynge',1);
INSERT INTO fkg.d_basis_postnr VALUES (3450,'Allerød',1);
INSERT INTO fkg.d_basis_postnr VALUES (3400,'Hillerød',1);
INSERT INTO fkg.d_basis_postnr VALUES (3550,'Slangerup',1);
INSERT INTO fkg.d_basis_postnr VALUES (2990,'Nivå',1);
INSERT INTO fkg.d_basis_postnr VALUES (3050,'Humlebæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (2980,'Kokkedal',1);
INSERT INTO fkg.d_basis_postnr VALUES (3480,'Fredensborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (3490,'Kvistgård',1);
INSERT INTO fkg.d_basis_postnr VALUES (3060,'Espergærde',1);
INSERT INTO fkg.d_basis_postnr VALUES (2970,'Hørsholm',1);
INSERT INTO fkg.d_basis_postnr VALUES (3000,'Helsingør',1);
INSERT INTO fkg.d_basis_postnr VALUES (3100,'Hornbæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (3140,'Ålsgårde',1);
INSERT INTO fkg.d_basis_postnr VALUES (3080,'Tikøb',1);
INSERT INTO fkg.d_basis_postnr VALUES (3070,'Snekkersten',1);
INSERT INTO fkg.d_basis_postnr VALUES (3150,'Hellebæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (3230,'Græsted',1);
INSERT INTO fkg.d_basis_postnr VALUES (3320,'Skævinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (3200,'Helsinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (3330,'Gørløse',1);
INSERT INTO fkg.d_basis_postnr VALUES (3600,'Frederikssund',1);
INSERT INTO fkg.d_basis_postnr VALUES (3310,'Ølsted',1);
INSERT INTO fkg.d_basis_postnr VALUES (2960,'Rungsted Kyst',1);
INSERT INTO fkg.d_basis_postnr VALUES (2950,'Vedbæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (2850,'Nærum',1);
INSERT INTO fkg.d_basis_postnr VALUES (2942,'Skodsborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (3650,'Ølstykke',1);
INSERT INTO fkg.d_basis_postnr VALUES (2765,'Smørum',1);
INSERT INTO fkg.d_basis_postnr VALUES (3660,'Stenløse',1);
INSERT INTO fkg.d_basis_postnr VALUES (3670,'Veksø Sjælland',1);
INSERT INTO fkg.d_basis_postnr VALUES (3630,'Jægerspris',1);
INSERT INTO fkg.d_basis_postnr VALUES (4050,'Skibby',1);
INSERT INTO fkg.d_basis_postnr VALUES (2690,'Karlslunde',1);
INSERT INTO fkg.d_basis_postnr VALUES (2670,'Greve',1);
INSERT INTO fkg.d_basis_postnr VALUES (4030,'Tune',1);
INSERT INTO fkg.d_basis_postnr VALUES (4600,'Køge',1);
INSERT INTO fkg.d_basis_postnr VALUES (4100,'Ringsted',1);
INSERT INTO fkg.d_basis_postnr VALUES (4140,'Borup',1);
INSERT INTO fkg.d_basis_postnr VALUES (4632,'Bjæverskov',1);
INSERT INTO fkg.d_basis_postnr VALUES (4623,'Lille Skensved',1);
INSERT INTO fkg.d_basis_postnr VALUES (4681,'Herfølge',1);
INSERT INTO fkg.d_basis_postnr VALUES (4682,'Tureby',1);
INSERT INTO fkg.d_basis_postnr VALUES (4130,'Viby Sjælland',1);
INSERT INTO fkg.d_basis_postnr VALUES (4320,'Lejre',1);
INSERT INTO fkg.d_basis_postnr VALUES (4174,'Jystrup Midtsj',1);
INSERT INTO fkg.d_basis_postnr VALUES (3390,'Hundested',1);
INSERT INTO fkg.d_basis_postnr VALUES (3370,'Melby',1);
INSERT INTO fkg.d_basis_postnr VALUES (3300,'Frederiksværk',1);
INSERT INTO fkg.d_basis_postnr VALUES (3360,'Liseleje',1);
INSERT INTO fkg.d_basis_postnr VALUES (4621,'Gadstrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (4040,'Jyllinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (4622,'Havdrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (2680,'Solrød Strand',1);
INSERT INTO fkg.d_basis_postnr VALUES (3250,'Gilleleje',1);
INSERT INTO fkg.d_basis_postnr VALUES (3220,'Tisvildeleje',1);
INSERT INTO fkg.d_basis_postnr VALUES (3210,'Vejby',1);
INSERT INTO fkg.d_basis_postnr VALUES (3120,'Dronningmølle',1);
INSERT INTO fkg.d_basis_postnr VALUES (4571,'Grevinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (4500,'Nykøbing Sj',1);
INSERT INTO fkg.d_basis_postnr VALUES (4550,'Asnæs',1);
INSERT INTO fkg.d_basis_postnr VALUES (4540,'Fårevejle',1);
INSERT INTO fkg.d_basis_postnr VALUES (4581,'Rørvig',1);
INSERT INTO fkg.d_basis_postnr VALUES (4573,'Højby',1);
INSERT INTO fkg.d_basis_postnr VALUES (4534,'Hørve',1);
INSERT INTO fkg.d_basis_postnr VALUES (4560,'Vig',1);
INSERT INTO fkg.d_basis_postnr VALUES (4583,'Sjællands Odde',1);
INSERT INTO fkg.d_basis_postnr VALUES (4572,'Nørre Asmindrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (4591,'Føllenslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (4300,'Holbæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (4420,'Regstrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (4520,'Svinninge',1);
INSERT INTO fkg.d_basis_postnr VALUES (4390,'Vipperød',1);
INSERT INTO fkg.d_basis_postnr VALUES (4440,'Mørkøv',1);
INSERT INTO fkg.d_basis_postnr VALUES (4532,'Gislinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (4450,'Jyderup',1);
INSERT INTO fkg.d_basis_postnr VALUES (4360,'Kirke Eskilstrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (4370,'Store Merløse',1);
INSERT INTO fkg.d_basis_postnr VALUES (4340,'Tølløse',1);
INSERT INTO fkg.d_basis_postnr VALUES (4350,'Ugerløse',1);
INSERT INTO fkg.d_basis_postnr VALUES (4460,'Snertinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (4330,'Hvalsø',1);
INSERT INTO fkg.d_basis_postnr VALUES (4295,'Stenlille',1);
INSERT INTO fkg.d_basis_postnr VALUES (4296,'Nyrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (4470,'Svebølle',1);
INSERT INTO fkg.d_basis_postnr VALUES (4690,'Haslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (4653,'Karise',1);
INSERT INTO fkg.d_basis_postnr VALUES (4640,'Faxe',1);
INSERT INTO fkg.d_basis_postnr VALUES (4654,'Faxe Ladeplads',1);
INSERT INTO fkg.d_basis_postnr VALUES (4683,'Rønnede',1);
INSERT INTO fkg.d_basis_postnr VALUES (4733,'Tappernøje',1);
INSERT INTO fkg.d_basis_postnr VALUES (4160,'Herlufmagle',1);
INSERT INTO fkg.d_basis_postnr VALUES (4684,'Holmegaard',1);
INSERT INTO fkg.d_basis_postnr VALUES (4652,'Hårlev',1);
INSERT INTO fkg.d_basis_postnr VALUES (4400,'Kalundborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (4480,'Store Fuglede',1);
INSERT INTO fkg.d_basis_postnr VALUES (4281,'Gørlev',1);
INSERT INTO fkg.d_basis_postnr VALUES (4200,'Slagelse',1);
INSERT INTO fkg.d_basis_postnr VALUES (4270,'Høng',1);
INSERT INTO fkg.d_basis_postnr VALUES (4592,'Sejerø',1);
INSERT INTO fkg.d_basis_postnr VALUES (4490,'Jerslev Sjælland',1);
INSERT INTO fkg.d_basis_postnr VALUES (4291,'Ruds Vedby',1);
INSERT INTO fkg.d_basis_postnr VALUES (4593,'Eskebjerg',1);
INSERT INTO fkg.d_basis_postnr VALUES (4293,'Dianalund',1);
INSERT INTO fkg.d_basis_postnr VALUES (4173,'Fjenneslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (4180,'Sorø',1);
INSERT INTO fkg.d_basis_postnr VALUES (4220,'Korsør',1);
INSERT INTO fkg.d_basis_postnr VALUES (4261,'Dalmose',1);
INSERT INTO fkg.d_basis_postnr VALUES (4230,'Skælskør',1);
INSERT INTO fkg.d_basis_postnr VALUES (4241,'Vemmelev',1);
INSERT INTO fkg.d_basis_postnr VALUES (4190,'Munke Bjergby',1);
INSERT INTO fkg.d_basis_postnr VALUES (4242,'Boeslunde',1);
INSERT INTO fkg.d_basis_postnr VALUES (4243,'Rude',1);
INSERT INTO fkg.d_basis_postnr VALUES (4250,'Fuglebjerg',1);
INSERT INTO fkg.d_basis_postnr VALUES (4262,'Sandved',1);
INSERT INTO fkg.d_basis_postnr VALUES (4660,'Store Heddinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (4672,'Klippinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (4673,'Rødvig Stevns',1);
INSERT INTO fkg.d_basis_postnr VALUES (4671,'Strøby',1);
INSERT INTO fkg.d_basis_postnr VALUES (4070,'Kirke Hyllinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (4060,'Kirke Såby',1);
INSERT INTO fkg.d_basis_postnr VALUES (4920,'Søllested',1);
INSERT INTO fkg.d_basis_postnr VALUES (4930,'Maribo',1);
INSERT INTO fkg.d_basis_postnr VALUES (4952,'Stokkemarke',1);
INSERT INTO fkg.d_basis_postnr VALUES (4900,'Nakskov',1);
INSERT INTO fkg.d_basis_postnr VALUES (4913,'Horslunde',1);
INSERT INTO fkg.d_basis_postnr VALUES (4983,'Dannemare',1);
INSERT INTO fkg.d_basis_postnr VALUES (4970,'Rødby',1);
INSERT INTO fkg.d_basis_postnr VALUES (4943,'Torrig L',1);
INSERT INTO fkg.d_basis_postnr VALUES (4941,'Bandholm',1);
INSERT INTO fkg.d_basis_postnr VALUES (4960,'Holeby',1);
INSERT INTO fkg.d_basis_postnr VALUES (4895,'Errindlev',1);
INSERT INTO fkg.d_basis_postnr VALUES (4944,'Fejø',1);
INSERT INTO fkg.d_basis_postnr VALUES (4953,'Vesterborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (4912,'Harpelunde',1);
INSERT INTO fkg.d_basis_postnr VALUES (4894,'Øster Ulslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (4951,'Nørreballe',1);
INSERT INTO fkg.d_basis_postnr VALUES (4171,'Glumsø',1);
INSERT INTO fkg.d_basis_postnr VALUES (4700,'Næstved',1);
INSERT INTO fkg.d_basis_postnr VALUES (4736,'Karrebæksminde',1);
INSERT INTO fkg.d_basis_postnr VALUES (4750,'Lundby',1);
INSERT INTO fkg.d_basis_postnr VALUES (4840,'Nørre Alslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (4873,'Væggerløse',1);
INSERT INTO fkg.d_basis_postnr VALUES (4990,'Sakskøbing',1);
INSERT INTO fkg.d_basis_postnr VALUES (4874,'Gedser',1);
INSERT INTO fkg.d_basis_postnr VALUES (4850,'Stubbekøbing',1);
INSERT INTO fkg.d_basis_postnr VALUES (4800,'Nykøbing F',1);
INSERT INTO fkg.d_basis_postnr VALUES (4863,'Eskilstrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (4880,'Nysted',1);
INSERT INTO fkg.d_basis_postnr VALUES (4872,'Idestrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (4891,'Toreby L',1);
INSERT INTO fkg.d_basis_postnr VALUES (4871,'Horbelev',1);
INSERT INTO fkg.d_basis_postnr VALUES (4892,'Kettinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (4862,'Guldborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (4780,'Stege',1);
INSERT INTO fkg.d_basis_postnr VALUES (4773,'Stensved',1);
INSERT INTO fkg.d_basis_postnr VALUES (4760,'Vordingborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (4791,'Borre',1);
INSERT INTO fkg.d_basis_postnr VALUES (4735,'Mern',1);
INSERT INTO fkg.d_basis_postnr VALUES (4720,'Præstø',1);
INSERT INTO fkg.d_basis_postnr VALUES (4793,'Bogø By',1);
INSERT INTO fkg.d_basis_postnr VALUES (4772,'Langebæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (4792,'Askeby',1);
INSERT INTO fkg.d_basis_postnr VALUES (4771,'Kalvehave',1);
INSERT INTO fkg.d_basis_postnr VALUES (3770,'Allinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (3782,'Klemensker',1);
INSERT INTO fkg.d_basis_postnr VALUES (3720,'Aakirkeby',1);
INSERT INTO fkg.d_basis_postnr VALUES (3740,'Svaneke',1);
INSERT INTO fkg.d_basis_postnr VALUES (3700,'Rønne',1);
INSERT INTO fkg.d_basis_postnr VALUES (3790,'Hasle',1);
INSERT INTO fkg.d_basis_postnr VALUES (3730,'Nexø',1);
INSERT INTO fkg.d_basis_postnr VALUES (3760,'Gudhjem',1);
INSERT INTO fkg.d_basis_postnr VALUES (3751,'Østermarie',1);
INSERT INTO fkg.d_basis_postnr VALUES (5580,'Nørre Aaby',1);
INSERT INTO fkg.d_basis_postnr VALUES (5592,'Ejby',1);
INSERT INTO fkg.d_basis_postnr VALUES (5500,'Middelfart',1);
INSERT INTO fkg.d_basis_postnr VALUES (5464,'Brenderup Fyn',1);
INSERT INTO fkg.d_basis_postnr VALUES (5463,'Harndrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (5466,'Asperup',1);
INSERT INTO fkg.d_basis_postnr VALUES (5591,'Gelsted',1);
INSERT INTO fkg.d_basis_postnr VALUES (5560,'Aarup',1);
INSERT INTO fkg.d_basis_postnr VALUES (5610,'Assens',1);
INSERT INTO fkg.d_basis_postnr VALUES (5492,'Vissenbjerg',1);
INSERT INTO fkg.d_basis_postnr VALUES (5690,'Tommerup',1);
INSERT INTO fkg.d_basis_postnr VALUES (5631,'Ebberup',1);
INSERT INTO fkg.d_basis_postnr VALUES (5620,'Glamsbjerg',1);
INSERT INTO fkg.d_basis_postnr VALUES (5683,'Haarby',1);
INSERT INTO fkg.d_basis_postnr VALUES (5642,'Millinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (5600,'Faaborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (5750,'Ringe',1);
INSERT INTO fkg.d_basis_postnr VALUES (5792,'Årslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (5672,'Broby',1);
INSERT INTO fkg.d_basis_postnr VALUES (5854,'Gislev',1);
INSERT INTO fkg.d_basis_postnr VALUES (5772,'Kværndrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (5863,'Ferritslev Fyn',1);
INSERT INTO fkg.d_basis_postnr VALUES (5762,'Vester Skerninge',1);
INSERT INTO fkg.d_basis_postnr VALUES (5856,'Ryslinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (5550,'Langeskov',1);
INSERT INTO fkg.d_basis_postnr VALUES (5853,'Ørbæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (5771,'Stenstrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (5300,'Kerteminde',1);
INSERT INTO fkg.d_basis_postnr VALUES (5330,'Munkebo',1);
INSERT INTO fkg.d_basis_postnr VALUES (5380,'Dalby',1);
INSERT INTO fkg.d_basis_postnr VALUES (5390,'Martofte',1);
INSERT INTO fkg.d_basis_postnr VALUES (5290,'Marslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (5370,'Mesinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (5350,'Rynkeby',1);
INSERT INTO fkg.d_basis_postnr VALUES (5540,'Ullerslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (5800,'Nyborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (5871,'Frørup',1);
INSERT INTO fkg.d_basis_postnr VALUES (5874,'Hesselager',1);
INSERT INTO fkg.d_basis_postnr VALUES (5230,'Odense M',1);
INSERT INTO fkg.d_basis_postnr VALUES (5270,'Odense N',1);
INSERT INTO fkg.d_basis_postnr VALUES (5000,'Odense C',1);
INSERT INTO fkg.d_basis_postnr VALUES (5320,'Agedrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (5220,'Odense SØ',1);
INSERT INTO fkg.d_basis_postnr VALUES (5250,'Odense SV',1);
INSERT INTO fkg.d_basis_postnr VALUES (5491,'Blommenslyst',1);
INSERT INTO fkg.d_basis_postnr VALUES (5210,'Odense NV',1);
INSERT INTO fkg.d_basis_postnr VALUES (5240,'Odense NØ',1);
INSERT INTO fkg.d_basis_postnr VALUES (5260,'Odense S',1);
INSERT INTO fkg.d_basis_postnr VALUES (5200,'Odense V',1);
INSERT INTO fkg.d_basis_postnr VALUES (5881,'Skårup Fyn',1);
INSERT INTO fkg.d_basis_postnr VALUES (5700,'Svendborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (5884,'Gudme',1);
INSERT INTO fkg.d_basis_postnr VALUES (5892,'Gudbjerg Sydfyn',1);
INSERT INTO fkg.d_basis_postnr VALUES (5883,'Oure',1);
INSERT INTO fkg.d_basis_postnr VALUES (5882,'Vejstrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (5450,'Otterup',1);
INSERT INTO fkg.d_basis_postnr VALUES (5462,'Morud',1);
INSERT INTO fkg.d_basis_postnr VALUES (5471,'Søndersø',1);
INSERT INTO fkg.d_basis_postnr VALUES (5400,'Bogense',1);
INSERT INTO fkg.d_basis_postnr VALUES (5474,'Veflinge',1);
INSERT INTO fkg.d_basis_postnr VALUES (5485,'Skamby',1);
INSERT INTO fkg.d_basis_postnr VALUES (5900,'Rudkøbing',1);
INSERT INTO fkg.d_basis_postnr VALUES (5953,'Tranekær',1);
INSERT INTO fkg.d_basis_postnr VALUES (5932,'Humble',1);
INSERT INTO fkg.d_basis_postnr VALUES (5935,'Bagenkop',1);
INSERT INTO fkg.d_basis_postnr VALUES (5970,'Ærøskøbing',1);
INSERT INTO fkg.d_basis_postnr VALUES (5960,'Marstal',1);
INSERT INTO fkg.d_basis_postnr VALUES (5985,'Søby Ærø',1);
INSERT INTO fkg.d_basis_postnr VALUES (6100,'Haderslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (6500,'Vojens',1);
INSERT INTO fkg.d_basis_postnr VALUES (6541,'Bevtoft',1);
INSERT INTO fkg.d_basis_postnr VALUES (6510,'Gram',1);
INSERT INTO fkg.d_basis_postnr VALUES (6070,'Christiansfeld',1);
INSERT INTO fkg.d_basis_postnr VALUES (6560,'Sommersted',1);
INSERT INTO fkg.d_basis_postnr VALUES (6520,'Toftlund',1);
INSERT INTO fkg.d_basis_postnr VALUES (6534,'Agerskov',1);
INSERT INTO fkg.d_basis_postnr VALUES (6630,'Rødding',1);
INSERT INTO fkg.d_basis_postnr VALUES (6094,'Hejls',1);
INSERT INTO fkg.d_basis_postnr VALUES (7190,'Billund',1);
INSERT INTO fkg.d_basis_postnr VALUES (7200,'Grindsted',1);
INSERT INTO fkg.d_basis_postnr VALUES (7250,'Hejnsvig',1);
INSERT INTO fkg.d_basis_postnr VALUES (7260,'Sønder Omme',1);
INSERT INTO fkg.d_basis_postnr VALUES (6623,'Vorbasse',1);
INSERT INTO fkg.d_basis_postnr VALUES (6823,'Ansager',1);
INSERT INTO fkg.d_basis_postnr VALUES (7270,'Stakroge',1);
INSERT INTO fkg.d_basis_postnr VALUES (6682,'Hovborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (6400,'Sønderborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (6430,'Nordborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (6440,'Augustenborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (6300,'Gråsten',1);
INSERT INTO fkg.d_basis_postnr VALUES (6470,'Sydals',1);
INSERT INTO fkg.d_basis_postnr VALUES (6310,'Broager',1);
INSERT INTO fkg.d_basis_postnr VALUES (6320,'Egernsund',1);
INSERT INTO fkg.d_basis_postnr VALUES (6270,'Tønder',1);
INSERT INTO fkg.d_basis_postnr VALUES (6240,'Løgumkloster',1);
INSERT INTO fkg.d_basis_postnr VALUES (6261,'Bredebro',1);
INSERT INTO fkg.d_basis_postnr VALUES (6280,'Højer',1);
INSERT INTO fkg.d_basis_postnr VALUES (6780,'Skærbæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (6792,'Rømø',1);
INSERT INTO fkg.d_basis_postnr VALUES (6535,'Branderup J',1);
INSERT INTO fkg.d_basis_postnr VALUES (6705,'Esbjerg Ø',1);
INSERT INTO fkg.d_basis_postnr VALUES (6760,'Ribe',1);
INSERT INTO fkg.d_basis_postnr VALUES (6710,'Esbjerg V',1);
INSERT INTO fkg.d_basis_postnr VALUES (6700,'Esbjerg',1);
INSERT INTO fkg.d_basis_postnr VALUES (6771,'Gredstedbro',1);
INSERT INTO fkg.d_basis_postnr VALUES (6740,'Bramming',1);
INSERT INTO fkg.d_basis_postnr VALUES (6715,'Esbjerg N',1);
INSERT INTO fkg.d_basis_postnr VALUES (6690,'Gørding',1);
INSERT INTO fkg.d_basis_postnr VALUES (6731,'Tjæreborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (6818,'Årre',1);
INSERT INTO fkg.d_basis_postnr VALUES (6670,'Holsted',1);
INSERT INTO fkg.d_basis_postnr VALUES (6683,'Føvling',1);
INSERT INTO fkg.d_basis_postnr VALUES (6720,'Fanø',1);
INSERT INTO fkg.d_basis_postnr VALUES (6855,'Outrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (6800,'Varde',1);
INSERT INTO fkg.d_basis_postnr VALUES (6870,'Ølgod',1);
INSERT INTO fkg.d_basis_postnr VALUES (6854,'Henne',1);
INSERT INTO fkg.d_basis_postnr VALUES (6830,'Nørre Nebel',1);
INSERT INTO fkg.d_basis_postnr VALUES (6840,'Oksbøl',1);
INSERT INTO fkg.d_basis_postnr VALUES (6857,'Blåvand',1);
INSERT INTO fkg.d_basis_postnr VALUES (6851,'Janderup Vestj',1);
INSERT INTO fkg.d_basis_postnr VALUES (6853,'Vejers Strand',1);
INSERT INTO fkg.d_basis_postnr VALUES (6852,'Billum',1);
INSERT INTO fkg.d_basis_postnr VALUES (6753,'Agerbæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (6862,'Tistrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (6880,'Tarm',1);
INSERT INTO fkg.d_basis_postnr VALUES (6650,'Brørup',1);
INSERT INTO fkg.d_basis_postnr VALUES (6600,'Vejen',1);
INSERT INTO fkg.d_basis_postnr VALUES (6621,'Gesten',1);
INSERT INTO fkg.d_basis_postnr VALUES (6752,'Glejbjerg',1);
INSERT INTO fkg.d_basis_postnr VALUES (6622,'Bække',1);
INSERT INTO fkg.d_basis_postnr VALUES (6660,'Lintrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (6340,'Kruså',1);
INSERT INTO fkg.d_basis_postnr VALUES (6200,'Aabenraa',1);
INSERT INTO fkg.d_basis_postnr VALUES (6372,'Bylderup-Bov',1);
INSERT INTO fkg.d_basis_postnr VALUES (6230,'Rødekro',1);
INSERT INTO fkg.d_basis_postnr VALUES (6330,'Padborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (6360,'Tinglev',1);
INSERT INTO fkg.d_basis_postnr VALUES (6392,'Bolderslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (7000,'Fredericia',1);
INSERT INTO fkg.d_basis_postnr VALUES (8700,'Horsens',1);
INSERT INTO fkg.d_basis_postnr VALUES (8740,'Brædstrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (8752,'Østbirk',1);
INSERT INTO fkg.d_basis_postnr VALUES (8751,'Gedved',1);
INSERT INTO fkg.d_basis_postnr VALUES (8781,'Stenderup',1);
INSERT INTO fkg.d_basis_postnr VALUES (8732,'Hovedgård',1);
INSERT INTO fkg.d_basis_postnr VALUES (8765,'Klovborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (8660,'Skanderborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (8654,'Bryrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (8762,'Flemming',1);
INSERT INTO fkg.d_basis_postnr VALUES (8783,'Hornsyld',1);
INSERT INTO fkg.d_basis_postnr VALUES (8680,'Ry',1);
INSERT INTO fkg.d_basis_postnr VALUES (6000,'Kolding',1);
INSERT INTO fkg.d_basis_postnr VALUES (6064,'Jordrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (6640,'Lunderskov',1);
INSERT INTO fkg.d_basis_postnr VALUES (6091,'Bjert',1);
INSERT INTO fkg.d_basis_postnr VALUES (6580,'Vamdrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (6040,'Egtved',1);
INSERT INTO fkg.d_basis_postnr VALUES (6051,'Almind',1);
INSERT INTO fkg.d_basis_postnr VALUES (6093,'Sjølund',1);
INSERT INTO fkg.d_basis_postnr VALUES (6092,'Sønder Stenderup',1);
INSERT INTO fkg.d_basis_postnr VALUES (6052,'Viuf',1);
INSERT INTO fkg.d_basis_postnr VALUES (7182,'Bredsten',1);
INSERT INTO fkg.d_basis_postnr VALUES (7120,'Vejle Øst',1);
INSERT INTO fkg.d_basis_postnr VALUES (7080,'Børkop',1);
INSERT INTO fkg.d_basis_postnr VALUES (7183,'Randbøl',1);
INSERT INTO fkg.d_basis_postnr VALUES (7100,'Vejle',1);
INSERT INTO fkg.d_basis_postnr VALUES (7321,'Gadbjerg',1);
INSERT INTO fkg.d_basis_postnr VALUES (7300,'Jelling',1);
INSERT INTO fkg.d_basis_postnr VALUES (7323,'Give',1);
INSERT INTO fkg.d_basis_postnr VALUES (7184,'Vandel',1);
INSERT INTO fkg.d_basis_postnr VALUES (7173,'Vonge',1);
INSERT INTO fkg.d_basis_postnr VALUES (7330,'Brande',1);
INSERT INTO fkg.d_basis_postnr VALUES (7160,'Tørring',1);
INSERT INTO fkg.d_basis_postnr VALUES (8721,'Daugård',1);
INSERT INTO fkg.d_basis_postnr VALUES (7361,'Ejstrupholm',1);
INSERT INTO fkg.d_basis_postnr VALUES (7400,'Herning',1);
INSERT INTO fkg.d_basis_postnr VALUES (6933,'Kibæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (7540,'Haderup',1);
INSERT INTO fkg.d_basis_postnr VALUES (7550,'Sørvad',1);
INSERT INTO fkg.d_basis_postnr VALUES (7490,'Aulum',1);
INSERT INTO fkg.d_basis_postnr VALUES (7480,'Vildbjerg',1);
INSERT INTO fkg.d_basis_postnr VALUES (7500,'Holstebro',1);
INSERT INTO fkg.d_basis_postnr VALUES (7451,'Sunds',1);
INSERT INTO fkg.d_basis_postnr VALUES (7280,'Sønder Felding',1);
INSERT INTO fkg.d_basis_postnr VALUES (6973,'Ørnhøj',1);
INSERT INTO fkg.d_basis_postnr VALUES (7470,'Karup J',1);
INSERT INTO fkg.d_basis_postnr VALUES (6990,'Ulfborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (7830,'Vinderup',1);
INSERT INTO fkg.d_basis_postnr VALUES (7800,'Skive',1);
INSERT INTO fkg.d_basis_postnr VALUES (7570,'Vemb',1);
INSERT INTO fkg.d_basis_postnr VALUES (7600,'Struer',1);
INSERT INTO fkg.d_basis_postnr VALUES (7560,'Hjerm',1);
INSERT INTO fkg.d_basis_postnr VALUES (7673,'Harboøre',1);
INSERT INTO fkg.d_basis_postnr VALUES (7620,'Lemvig',1);
INSERT INTO fkg.d_basis_postnr VALUES (7650,'Bøvlingbjerg',1);
INSERT INTO fkg.d_basis_postnr VALUES (7660,'Bækmarksbro',1);
INSERT INTO fkg.d_basis_postnr VALUES (7680,'Thyborøn',1);
INSERT INTO fkg.d_basis_postnr VALUES (7790,'Thyholm',1);
INSERT INTO fkg.d_basis_postnr VALUES (7760,'Hurup Thy',1);
INSERT INTO fkg.d_basis_postnr VALUES (8420,'Knebel',1);
INSERT INTO fkg.d_basis_postnr VALUES (8400,'Ebeltoft',1);
INSERT INTO fkg.d_basis_postnr VALUES (8444,'Balle',1);
INSERT INTO fkg.d_basis_postnr VALUES (8550,'Ryomgård',1);
INSERT INTO fkg.d_basis_postnr VALUES (8410,'Rønde',1);
INSERT INTO fkg.d_basis_postnr VALUES (8560,'Kolind',1);
INSERT INTO fkg.d_basis_postnr VALUES (8543,'Hornslet',1);
INSERT INTO fkg.d_basis_postnr VALUES (8581,'Nimtofte',1);
INSERT INTO fkg.d_basis_postnr VALUES (8544,'Mørke',1);
INSERT INTO fkg.d_basis_postnr VALUES (8963,'Auning',1);
INSERT INTO fkg.d_basis_postnr VALUES (8570,'Trustrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (8370,'Hadsten',1);
INSERT INTO fkg.d_basis_postnr VALUES (8500,'Grenaa',1);
INSERT INTO fkg.d_basis_postnr VALUES (8585,'Glesborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (8586,'Ørum Djurs',1);
INSERT INTO fkg.d_basis_postnr VALUES (8592,'Anholt',1);
INSERT INTO fkg.d_basis_postnr VALUES (8961,'Allingåbro',1);
INSERT INTO fkg.d_basis_postnr VALUES (8950,'Ørsted',1);
INSERT INTO fkg.d_basis_postnr VALUES (8450,'Hammel',1);
INSERT INTO fkg.d_basis_postnr VALUES (8860,'Ulstrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (8382,'Hinnerup',1);
INSERT INTO fkg.d_basis_postnr VALUES (8881,'Thorsø',1);
INSERT INTO fkg.d_basis_postnr VALUES (8471,'Sabro',1);
INSERT INTO fkg.d_basis_postnr VALUES (8870,'Langå',1);
INSERT INTO fkg.d_basis_postnr VALUES (8472,'Sporup',1);
INSERT INTO fkg.d_basis_postnr VALUES (8641,'Sorring',1);
INSERT INTO fkg.d_basis_postnr VALUES (8850,'Bjerringbro',1);
INSERT INTO fkg.d_basis_postnr VALUES (8882,'Fårvang',1);
INSERT INTO fkg.d_basis_postnr VALUES (8940,'Randers SV',1);
INSERT INTO fkg.d_basis_postnr VALUES (8380,'Trige',1);
INSERT INTO fkg.d_basis_postnr VALUES (8960,'Randers SØ',1);
INSERT INTO fkg.d_basis_postnr VALUES (8300,'Odder',1);
INSERT INTO fkg.d_basis_postnr VALUES (8350,'Hundslund',1);
INSERT INTO fkg.d_basis_postnr VALUES (8340,'Malling',1);
INSERT INTO fkg.d_basis_postnr VALUES (8920,'Randers NV',1);
INSERT INTO fkg.d_basis_postnr VALUES (8990,'Fårup',1);
INSERT INTO fkg.d_basis_postnr VALUES (8930,'Randers NØ',1);
INSERT INTO fkg.d_basis_postnr VALUES (8900,'Randers C',1);
INSERT INTO fkg.d_basis_postnr VALUES (8983,'Gjerlev J',1);
INSERT INTO fkg.d_basis_postnr VALUES (8981,'Spentrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (8970,'Havndal',1);
INSERT INTO fkg.d_basis_postnr VALUES (9550,'Mariager',1);
INSERT INTO fkg.d_basis_postnr VALUES (8653,'Them',1);
INSERT INTO fkg.d_basis_postnr VALUES (8620,'Kjellerup',1);
INSERT INTO fkg.d_basis_postnr VALUES (8600,'Silkeborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (8643,'Ans By',1);
INSERT INTO fkg.d_basis_postnr VALUES (8632,'Lemming',1);
INSERT INTO fkg.d_basis_postnr VALUES (7442,'Engesvang',1);
INSERT INTO fkg.d_basis_postnr VALUES (8883,'Gjern',1);
INSERT INTO fkg.d_basis_postnr VALUES (7441,'Bording',1);
INSERT INTO fkg.d_basis_postnr VALUES (8840,'Rødkærsbro',1);
INSERT INTO fkg.d_basis_postnr VALUES (7362,'Hampen',1);
INSERT INTO fkg.d_basis_postnr VALUES (8670,'Låsby',1);
INSERT INTO fkg.d_basis_postnr VALUES (8800,'Viborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (8305,'Samsø',1);
INSERT INTO fkg.d_basis_postnr VALUES (8464,'Galten',1);
INSERT INTO fkg.d_basis_postnr VALUES (8362,'Hørning',1);
INSERT INTO fkg.d_basis_postnr VALUES (8210,'Aarhus V',1);
INSERT INTO fkg.d_basis_postnr VALUES (8520,'Lystrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (8230,'Åbyhøj',1);
INSERT INTO fkg.d_basis_postnr VALUES (8541,'Skødstrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (8220,'Brabrand',1);
INSERT INTO fkg.d_basis_postnr VALUES (8310,'Tranbjerg J',1);
INSERT INTO fkg.d_basis_postnr VALUES (8270,'Højbjerg',1);
INSERT INTO fkg.d_basis_postnr VALUES (8320,'Mårslet',1);
INSERT INTO fkg.d_basis_postnr VALUES (8462,'Harlev J',1);
INSERT INTO fkg.d_basis_postnr VALUES (8240,'Risskov',1);
INSERT INTO fkg.d_basis_postnr VALUES (8530,'Hjortshøj',1);
INSERT INTO fkg.d_basis_postnr VALUES (8000,'Aarhus C',1);
INSERT INTO fkg.d_basis_postnr VALUES (8381,'Tilst',1);
INSERT INTO fkg.d_basis_postnr VALUES (8200,'Aarhus N',1);
INSERT INTO fkg.d_basis_postnr VALUES (8355,'Solbjerg',1);
INSERT INTO fkg.d_basis_postnr VALUES (8250,'Egå',1);
INSERT INTO fkg.d_basis_postnr VALUES (8260,'Viby J',1);
INSERT INTO fkg.d_basis_postnr VALUES (8361,'Hasselager',1);
INSERT INTO fkg.d_basis_postnr VALUES (8330,'Beder',1);
INSERT INTO fkg.d_basis_postnr VALUES (9999,'Ukendt',1);
INSERT INTO fkg.d_basis_postnr VALUES (7430,'Ikast',1);
INSERT INTO fkg.d_basis_postnr VALUES (8766,'Nørre Snede',1);
INSERT INTO fkg.d_basis_postnr VALUES (6950,'Ringkøbing',1);
INSERT INTO fkg.d_basis_postnr VALUES (6971,'Spjald',1);
INSERT INTO fkg.d_basis_postnr VALUES (6900,'Skjern',1);
INSERT INTO fkg.d_basis_postnr VALUES (6960,'Hvide Sande',1);
INSERT INTO fkg.d_basis_postnr VALUES (6980,'Tim',1);
INSERT INTO fkg.d_basis_postnr VALUES (6920,'Videbæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (6893,'Hemmet',1);
INSERT INTO fkg.d_basis_postnr VALUES (6940,'Lem St',1);
INSERT INTO fkg.d_basis_postnr VALUES (8722,'Hedensted',1);
INSERT INTO fkg.d_basis_postnr VALUES (7171,'Uldum',1);
INSERT INTO fkg.d_basis_postnr VALUES (7130,'Juelsminde',1);
INSERT INTO fkg.d_basis_postnr VALUES (8723,'Løsning',1);
INSERT INTO fkg.d_basis_postnr VALUES (8763,'Rask Mølle',1);
INSERT INTO fkg.d_basis_postnr VALUES (7150,'Barrit',1);
INSERT INTO fkg.d_basis_postnr VALUES (7140,'Stouby',1);
INSERT INTO fkg.d_basis_postnr VALUES (7900,'Nykøbing M',1);
INSERT INTO fkg.d_basis_postnr VALUES (7960,'Karby',1);
INSERT INTO fkg.d_basis_postnr VALUES (7950,'Erslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (7980,'Vils',1);
INSERT INTO fkg.d_basis_postnr VALUES (7990,'Øster Assels',1);
INSERT INTO fkg.d_basis_postnr VALUES (7970,'Redsted M',1);
INSERT INTO fkg.d_basis_postnr VALUES (7870,'Roslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (7840,'Højslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (7860,'Spøttrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (7884,'Fur',1);
INSERT INTO fkg.d_basis_postnr VALUES (7700,'Thisted',1);
INSERT INTO fkg.d_basis_postnr VALUES (7755,'Bedsted Thy',1);
INSERT INTO fkg.d_basis_postnr VALUES (7770,'Vestervig',1);
INSERT INTO fkg.d_basis_postnr VALUES (7741,'Frøstrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (7730,'Hanstholm',1);
INSERT INTO fkg.d_basis_postnr VALUES (7752,'Snedsted',1);
INSERT INTO fkg.d_basis_postnr VALUES (7742,'Vesløs',1);
INSERT INTO fkg.d_basis_postnr VALUES (8830,'Tjele',1);
INSERT INTO fkg.d_basis_postnr VALUES (8831,'Løgstrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (7850,'Stoholm Jyll',1);
INSERT INTO fkg.d_basis_postnr VALUES (8832,'Skals',1);
INSERT INTO fkg.d_basis_postnr VALUES (9620,'Aalestrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (9632,'Møldrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (9500,'Hobro',1);
INSERT INTO fkg.d_basis_postnr VALUES (9631,'Gedsted',1);
INSERT INTO fkg.d_basis_postnr VALUES (9740,'Jerslev J',1);
INSERT INTO fkg.d_basis_postnr VALUES (9330,'Dronninglund',1);
INSERT INTO fkg.d_basis_postnr VALUES (9700,'Brønderslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (9320,'Hjallerup',1);
INSERT INTO fkg.d_basis_postnr VALUES (9340,'Asaa',1);
INSERT INTO fkg.d_basis_postnr VALUES (9750,'Østervrå',1);
INSERT INTO fkg.d_basis_postnr VALUES (9352,'Dybvad',1);
INSERT INTO fkg.d_basis_postnr VALUES (9370,'Hals',1);
INSERT INTO fkg.d_basis_postnr VALUES (9382,'Tylstrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (9440,'Aabybro',1);
INSERT INTO fkg.d_basis_postnr VALUES (9760,'Vrå',1);
INSERT INTO fkg.d_basis_postnr VALUES (9480,'Løkken',1);
INSERT INTO fkg.d_basis_postnr VALUES (9380,'Vestbjerg',1);
INSERT INTO fkg.d_basis_postnr VALUES (9300,'Sæby',1);
INSERT INTO fkg.d_basis_postnr VALUES (9900,'Frederikshavn',1);
INSERT INTO fkg.d_basis_postnr VALUES (9990,'Skagen',1);
INSERT INTO fkg.d_basis_postnr VALUES (9982,'Ålbæk',1);
INSERT INTO fkg.d_basis_postnr VALUES (9970,'Strandby',1);
INSERT INTO fkg.d_basis_postnr VALUES (9981,'Jerup',1);
INSERT INTO fkg.d_basis_postnr VALUES (9830,'Tårs',1);
INSERT INTO fkg.d_basis_postnr VALUES (9870,'Sindal',1);
INSERT INTO fkg.d_basis_postnr VALUES (9881,'Bindslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (9600,'Aars',1);
INSERT INTO fkg.d_basis_postnr VALUES (9640,'Farsø',1);
INSERT INTO fkg.d_basis_postnr VALUES (9670,'Løgstør',1);
INSERT INTO fkg.d_basis_postnr VALUES (9681,'Ranum',1);
INSERT INTO fkg.d_basis_postnr VALUES (9240,'Nibe',1);
INSERT INTO fkg.d_basis_postnr VALUES (9610,'Nørager',1);
INSERT INTO fkg.d_basis_postnr VALUES (9541,'Suldrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (9940,'Læsø',1);
INSERT INTO fkg.d_basis_postnr VALUES (9520,'Skørping',1);
INSERT INTO fkg.d_basis_postnr VALUES (9530,'Støvring',1);
INSERT INTO fkg.d_basis_postnr VALUES (9575,'Terndrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (9574,'Bælum',1);
INSERT INTO fkg.d_basis_postnr VALUES (9560,'Hadsund',1);
INSERT INTO fkg.d_basis_postnr VALUES (9260,'Gistrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (9293,'Kongerslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (9230,'Svenstrup J',1);
INSERT INTO fkg.d_basis_postnr VALUES (9510,'Arden',1);
INSERT INTO fkg.d_basis_postnr VALUES (9690,'Fjerritslev',1);
INSERT INTO fkg.d_basis_postnr VALUES (9460,'Brovst',1);
INSERT INTO fkg.d_basis_postnr VALUES (9490,'Pandrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (9492,'Blokhus',1);
INSERT INTO fkg.d_basis_postnr VALUES (9493,'Saltum',1);
INSERT INTO fkg.d_basis_postnr VALUES (9430,'Vadum',1);
INSERT INTO fkg.d_basis_postnr VALUES (9381,'Sulsted',1);
INSERT INTO fkg.d_basis_postnr VALUES (9210,'Aalborg SØ',1);
INSERT INTO fkg.d_basis_postnr VALUES (9220,'Aalborg Øst',1);
INSERT INTO fkg.d_basis_postnr VALUES (9270,'Klarup',1);
INSERT INTO fkg.d_basis_postnr VALUES (9280,'Storvorde',1);
INSERT INTO fkg.d_basis_postnr VALUES (9000,'Aalborg',1);
INSERT INTO fkg.d_basis_postnr VALUES (9310,'Vodskov',1);
INSERT INTO fkg.d_basis_postnr VALUES (9362,'Gandrup',1);
INSERT INTO fkg.d_basis_postnr VALUES (9400,'Nørresundby',1);
INSERT INTO fkg.d_basis_postnr VALUES (9200,'Aalborg SV',1);
INSERT INTO fkg.d_basis_postnr VALUES (9800,'Hjørring',1);
INSERT INTO fkg.d_basis_postnr VALUES (9850,'Hirtshals',1);
-- SELECT * FROM d_basis_postnr;

INSERT INTO fkg.d_basis_funktionsstatus VALUES (1,'Planlagt',1,'Planlagt etableret');
INSERT INTO fkg.d_basis_funktionsstatus VALUES (2,'Under anlæg',1,'Under anlæg');
INSERT INTO fkg.d_basis_funktionsstatus VALUES (3,'Aktiv',1,'I drift');
INSERT INTO fkg.d_basis_funktionsstatus VALUES (4,'Midlertidig lukket',1,'Midlertidigt lukket/ude af drift');
INSERT INTO fkg.d_basis_funktionsstatus VALUES (5,'Lukket',1,'Lukket');
INSERT INTO fkg.d_basis_funktionsstatus VALUES (6,'Fjernet',1,'Fysisk fjernet');
INSERT INTO fkg.d_basis_funktionsstatus VALUES (8,'Andet',1,'Anden');
INSERT INTO fkg.d_basis_funktionsstatus VALUES (9,'Ukendt',1,'Mangler viden');
-- SELECT * FROM d_basis_funktionsstatus

INSERT INTO fkg.d_basis_magasin VALUES (1,'Primær',1,'Primær magasin');
INSERT INTO fkg.d_basis_magasin VALUES (2,'Sekundær',1,'Sekundær magasin');
INSERT INTO fkg.d_basis_magasin VALUES (9,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_basis_magasin

INSERT INTO fkg.d_basis_fors_omr_type VALUES (1,'Nuværende forsyningsområde',1,'Det område som vandværket forsyner i dag, udgøres af det område hvor der er nedgravet ledningsnet.');
INSERT INTO fkg.d_basis_fors_omr_type VALUES (2,'Naturlig  forsyningsområde',1,'Flade som er dækker det område hvor der er ledningsnet. I begrebet ligger, at det er et område som vandværker med sin nuværende kapacitet forventes umiddelbart at kunne forsyne.');
INSERT INTO fkg.d_basis_fors_omr_type VALUES (3,'Fremtidige forsyningsområde',1,'Det område som et vandværk må påregne at skulle forsyne inden for planperioden, når det er fuldt udbygget');
INSERT INTO fkg.d_basis_fors_omr_type VALUES (8,'Andet',1,'Andet');
INSERT INTO fkg.d_basis_fors_omr_type VALUES (9,'Ukendt',1,'Manglende viden');
-- SELECT * FROM d_basis_fors_omr_type;

INSERT INTO fkg.d_basis_driftniv VALUES (1,'Have',1,'Bedste niveau');
INSERT INTO fkg.d_basis_driftniv VALUES (2,'Park',1,'Mellem niveau');
INSERT INTO fkg.d_basis_driftniv VALUES (3,'Natur',1,'Laveste niveau');
INSERT INTO fkg.d_basis_driftniv VALUES (8,'Andet',1,'Hvor andre driftniveausbetegnelser ikke er dækkende.');
INSERT INTO fkg.d_basis_driftniv VALUES (9,'Ukendt',1,'Mangler viden om niveau/anvender ikke driftniveauer.');
-- SELECT * FROM d_basis_driftniv;

INSERT INTO fkg.d_basis_ukrudtsbek VALUES (1,'Mekanisk',1,'Lugejern, hakke, fræser, radrenser m.v. Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_basis_ukrudtsbek VALUES (2,'Termisk',1,'Varme. Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_basis_ukrudtsbek VALUES (3,'Kemisk',1,'Sprøjtegift m.v. Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_basis_ukrudtsbek VALUES (4,'Mekanisk/termisk',1,'Metodefrihed mellem mekanisk og termisk.');
INSERT INTO fkg.d_basis_ukrudtsbek VALUES (5,'Mekanisk/kemisk',1,'Metodefrihed mellem mekanisk og kemisk.');
INSERT INTO fkg.d_basis_ukrudtsbek VALUES (6,'Termisk/kemisk',1,'Metodefrihed mellem termisk og kemisk.');
INSERT INTO fkg.d_basis_ukrudtsbek VALUES (8,'Andet',1,'Hvor andre ukrudtsbekæmpelsemetoders betegnelser ikke er dækkende.');
INSERT INTO fkg.d_basis_ukrudtsbek VALUES (9,'Ukendt',1,'Mangler viden om ukrudtsbekæmpelsemetoder/anvender ikke ukrudtsbekæmpelsemetoder.');
-- SELECT * FROM d_basis_ukrudtsbek;

INSERT INTO fkg.d_basis_antal VALUES (0,'0',1,'Ingen');
INSERT INTO fkg.d_basis_antal VALUES (1,'1-9',1,'Mellem 1 og 9');
INSERT INTO fkg.d_basis_antal VALUES (2,'10-99',1,'Mellem 10 og 99');
INSERT INTO fkg.d_basis_antal VALUES (3,'100+',1,'Over 100 stk.');
INSERT INTO fkg.d_basis_antal VALUES (8,'Andet',1,'Andet');
INSERT INTO fkg.d_basis_antal VALUES (9,'Ukendt',1,'Mangler viden om antal');
-- SELECT * FROM d_basis_antal;

INSERT INTO fkg.d_basis_trin VALUES (1,'1. klasse',1,'1. klasse');
INSERT INTO fkg.d_basis_trin VALUES (2,'2. klasse',1,'2. klasse');
INSERT INTO fkg.d_basis_trin VALUES (3,'3. klasse',1,'3. klasse');
INSERT INTO fkg.d_basis_trin VALUES (4,'4. klasse',1,'4. klasse');
INSERT INTO fkg.d_basis_trin VALUES (5,'5. klasse',1,'5. klasse');
INSERT INTO fkg.d_basis_trin VALUES (6,'6. klasse',1,'6. klasse');
INSERT INTO fkg.d_basis_trin VALUES (7,'7. klasse',1,'7. klasse');
INSERT INTO fkg.d_basis_trin VALUES (8,'8. klasse',1,'8. klasse');
INSERT INTO fkg.d_basis_trin VALUES (9,'9. klasse',1,'9. klasse');
INSERT INTO fkg.d_basis_trin VALUES (10,'10. klasse',1,'10. klasse');
INSERT INTO fkg.d_basis_trin VALUES (11,'0. klasse',1,'0. klasse');
INSERT INTO fkg.d_basis_trin VALUES (12,'Førskole',1,'Førskole');
INSERT INTO fkg.d_basis_trin VALUES (98,'Andet',1,'Andre distrikter');
INSERT INTO fkg.d_basis_trin VALUES (99,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_basis_trin;

INSERT INTO fkg.d_5000_vandl_type VALUES (1,'Almindelig',1,'Åbent vandløb');
INSERT INTO fkg.d_5000_vandl_type VALUES (2,'Rørlagt',1,'Administrativ registrering af rørlagt forløb. Kan registreres, hvor myndigheden mener, at registreringen har funktionsmæssig betydning for vandløbsnetværket.');
INSERT INTO fkg.d_5000_vandl_type VALUES (3,'Gennem sø',1,'Fiktiv VANDLØBSMIDTE gennem SØ');
INSERT INTO fkg.d_5000_vandl_type VALUES (4,'Link',1,'Fiktiv VANDLØBSMIDTE som forbinder vandløbene i et vandløbsnetværk, hvor vandløbet ikke går gennem sø');
-- SELECT * FROM d_5000_vandl_type;

INSERT INTO fkg.d_5000_maalsaetning VALUES (1,'A målsætning - Særligt naturområde',1,'A: Skærpet målsætning. Vandløb med skærpet målsætning er oftest vandløb, som er upåvirket eller kun svagt påvirket af menneskelig aktivitet, for eksempel skovvandløb og kilder, som er uregulerede, og som ikke er regelmæssigt vedligeholdt. Der kan i enkelte tilfælde også være tale om vandløb, som rummer en speciel fiske- eller insektfauna eller på anden måde er særligt bevaringsværdige, og som derfor udpeges som særligt naturområde, for eksempel vandløb med særlige geologiske, hydrologiske, kulturhistoriske eller landskabelige bevaringsinteresser. Særligt naturområde');
INSERT INTO fkg.d_5000_maalsaetning VALUES (2,'B0 målsætning - Alsidigt dyre- og planteliv',1,'B0 Alsidigt dyre- og planteliv (Denne målsætning var i tidligere planer benævnt B4). B0-målsætningen anvendes for små vandløb, der ikke kan opfylde alle de fysiske krav til en fiskevandsmålsætning. Det er karakteristisk for B0-målsatte vandløb, at de har en god fysisk variation, fordi de er uregulerede, men de er ofte sommerudtørrende, fordi de har et lille opland');
INSERT INTO fkg.d_5000_maalsaetning VALUES (3,'B1 målsætning - Gyde- og yngel opvækstområde for laksefisk',1,'B1 Gyde- og yngelopvækstområde for laksefisk. B1-målsætningen anvendes i små til mellemstore vandløb, som kan anvendes som gyde- og yngelopvækstområde for laksefisk, primært ørred. Det er typisk vandløb med hurtigtstrømmende vand og grusbund og med stor fysisk variation.');
INSERT INTO fkg.d_5000_maalsaetning VALUES (4,'B2 målsætning - Laksefiskvand',1,'B2 Laksefiskvand. B2-målsætningen anvendes oftest i de lidt større vandløb med god fysisk variation, og som kan være levested for de større laksefisk, primært ørred. ');
INSERT INTO fkg.d_5000_maalsaetning VALUES (5,'B3 målsætning - Karpefiskevand',1,'B3 Karpefiskvand. B3-målsætningen (karpefiskvand, f.eks. ål, aborre og gedde) anvendes typisk for vandløbsstrækninger, hvor der er ringe fald og dermed sand- eller mudderbund uden større fysisk variation.'); 
INSERT INTO fkg.d_5000_maalsaetning VALUES (6,'B4',1,'Mangler beskrivelse');
INSERT INTO fkg.d_5000_maalsaetning VALUES (7,'C målsætning - Kun afledning af vand',1,'C: Lempet målsætning. De lempede målsætninger anvendes for vandløbsstrækninger, hvor det accepteres, at den menneskeskabte påvirkning ændrer vandløbskvaliteten og dyre- og plantelivet stærkt, bl.a. således at disse vandløb ikke kan påregnes at være levesteder for fisk. C Kun afledning af vand. C-målsætningen anvendes typisk for gravede pumpekanaler eller afvandingsgrøfter, der ikke er omfattet af naturbeskyttelseslovens § 3.');
INSERT INTO fkg.d_5000_maalsaetning VALUES (8,'D målsætning - Påvirket af spildevand',1,'D Påvirket af spildevand. D-målsætningen anvendes på vandløbsstrækninger, som i væsentlig grad tillades påvirket af spildevand. Det er typisk tilfældet, hvor hovedparten af vandføringen består af spildevand.');
INSERT INTO fkg.d_5000_maalsaetning VALUES (9,'E målsætning - Påvirket af okker',1,'E Påvirket af grundvandsindvinding. E-målsætningen er ikke anvendt for vandløb i Århus Amt. Eksisterende vandindvindinger til byformål påvirker vandføringen især i vandløb i Århus-området. Gennem særlig god spildevandsrensning og accept af, at vandføring og fiskebestand er mindsket, kan disse vandløb opfylde en generel målsætning. I Giber å opnås denne generelle målsætning dog kun ved, i tørre perioder, at udlede opmagasineret overfladevand og at udpumpe grundvand til åen.');
INSERT INTO fkg.d_5000_maalsaetning VALUES (10,'F',1,'Mangler beskrivelse ');
INSERT INTO fkg.d_5000_maalsaetning VALUES (11,'Vandløb uden målsætning',1,'Der er ikke sat en målsætning for vandløbet');
-- SELECT * FROM d_5000_maalsaetning;

INSERT INTO fkg.d_5000_klasse VALUES (1,'Naturligt',1,'Ved naturlige vandløb forstås vandløb, der har eksisteret fra naturens hånd. Det ændrer ikke på vandløbets status som naturligt, at der er foretaget regulering af vandløbet f. eks. uddybning, udretning eller omlægning. Alle vandløb som naturen har skabt også selvom det efterfølgende er blevet udrettet og/eller rørlagt.');
INSERT INTO fkg.d_5000_klasse VALUES (2,'Kunstigt',1,'Alle vandløb, der i modsætning til naturlige vandløb, er kunstigt anlagt (gravede grøfter og kanaler mv.) Kun 100% ren kunstige vandløb. F.eks. fra inddæmning og tørlægning af en fjord.');
INSERT INTO fkg.d_5000_klasse VALUES (3,'Blødbund',1,'Se vandplan');
-- SELECT * FROM d_5000_klasse;

INSERT INTO fkg.d_5001_maalest_type VALUES (1,'Hydrometrisk',1,'Fysisk lokalitet hvor der er opstillet en målestation, hvor der foretages hydrometrisk måling');
INSERT INTO fkg.d_5001_maalest_type VALUES (2,'DVFI',1,'Dansk Vandløbs Fauna Indeks målestation. Fysisk lokalitet hvor der foretages måling');
INSERT INTO fkg.d_5001_maalest_type VALUES (3,'Anden',1,'Andet');
-- SELECT * FROM d_5001_maalest_type;


INSERT INTO fkg.d_5002_spaerring VALUES (1,'Bro',1,'Betonbroer m.fl. som går over åen og forhindre passage af landdyr uden at krydse vejen/jernbanen m.v.');
INSERT INTO fkg.d_5002_spaerring VALUES (2,'Brøndstyrt',1,'Lodret fald i en brønd. Brugt bl.a. til opstemning af mindre sø. Forekommer også ved rørlagte vandløb der f.eks. skal skifte kote for at komme under en vej.');
INSERT INTO fkg.d_5002_spaerring VALUES (3,'Frontmur',1,'Et bygværk på tværs af et vandløb - et afgrænsende bygningselement ud mod et vandløb typisk med indbygget rør til ind-/udløb.');
INSERT INTO fkg.d_5002_spaerring VALUES (4,'Opstemning',1,'Opstemning af vandløb. Typisk ved et dambrug');
INSERT INTO fkg.d_5002_spaerring VALUES (5,'Reguleringsanlæg',1,'Anlæg til at regulere hvor meget vand der løbet videre');
INSERT INTO fkg.d_5002_spaerring VALUES (6,'Rist',1,'Rist til at opfange ting i vandløbet.');
INSERT INTO fkg.d_5002_spaerring VALUES (7,'Rørbro',1,'I stedet for at bygge en bro er der lagt et stort rør. Ofte kun en halvcirkel. Dvs. et rør uden bund.');
INSERT INTO fkg.d_5002_spaerring VALUES (8,'Rørgennemførsel',1,'Der er opbygget en dæmning til vej/jernbane, hvor vandløbet føres igennem med et rør');
INSERT INTO fkg.d_5002_spaerring VALUES (9,'Rørlægning',1,'Rørlægning af et vandløb. Ikke kun under vej/jernbane.');
INSERT INTO fkg.d_5002_spaerring VALUES (10,'Rørstyrt',1,'Hvor der er et fald fra røret til vandløbets overflade ved lav vandføring.');
INSERT INTO fkg.d_5002_spaerring VALUES (11,'Spærring Dambrug',1,'Spærring ved dambrug. Forhindre passage af dyr i vandløbet ved f.eks. periodevis tørlægning');
INSERT INTO fkg.d_5002_spaerring VALUES (12,'Stemmeværk',1,'En konstruktion udført som en dæmning beregnet til at opstemme og kontrollere vandmængder hvor tilløbende vand bliver holdt tilbage indtil værkets overkant/ krone bliver nået og skaber overløb over denne');
INSERT INTO fkg.d_5002_spaerring VALUES (13,'Stenkiste',1,'Bro opbygget af tilhugget kampesten. Typisk gamle broer.');
INSERT INTO fkg.d_5002_spaerring VALUES (14,'Styrt, andet',1,'Hvor der er et lodret fald på vandløbet, som ikke er fra rør eller i en brønd.');
INSERT INTO fkg.d_5002_spaerring VALUES (15,'Vej',1,'Hvor en vej krydser en spredningskorridor.');
INSERT INTO fkg.d_5002_spaerring VALUES (16,'Ålekiste',1,'Et redskab til fangst af ål, og benyttes både i mindre vandløb eller bække i en meget primitiv form som en kasse.');
INSERT INTO fkg.d_5002_spaerring VALUES (17,'Bro på piller',1,'Vej/jernbanebro der er sat på piller gennem del af f.eks. ådalen for at øge muligheden for landdyrs passage.');
INSERT INTO fkg.d_5002_spaerring VALUES (98,'Anden spærring',1,'Spærring hvor andet ikke er dækkende.');
INSERT INTO fkg.d_5002_spaerring VALUES (99,'Ukendt spærring',1,'Fået oplyst der er en spærring, men arten er ukendt. Typisk fra borger eller gammelt register.');
-- SELECT * FROM d_5002_spaerring;

INSERT INTO fkg.d_5002_passage VALUES (1,'Faunabro',1,'Anlægges med en bredde og størrelse med mulighed for beplantning, hvorved vilkårene for dyrene ikke ændres afgørende i forhold til landskabet på begge sider af vejen under passagen');
INSERT INTO fkg.d_5002_passage VALUES (2,'Faunarør',1,'Underføring under vej m.v. Betjener hovedsagligt smådyr. Også kaldt dyretunnel, men omfatter ikke paddetunnel. (Har egen kode.)');
INSERT INTO fkg.d_5002_passage VALUES (3,'Fisketrappe, andet',1,'Kunstigt anlagt vandløbsforløb ved om en spærring f.eks. en dæmning uden det er med kammer, modstrømstrappe eller zigzag.');
INSERT INTO fkg.d_5002_passage VALUES (4,'Fisketrappe, kammer',1,'Kunstigt anlagt vandløbsforløb ved om en spærring f.eks. en dæmning opbygget med kammer/bassiner hvor vand strømmer igennem men der også er ret stille vand/hvilepladser til fisk m.v.');
INSERT INTO fkg.d_5002_passage VALUES (5,'Fisketrappe, modstrøm',1,'Kunstigt anlagt vandløbsforløb ved om en spærring f.eks. en dæmning, hvor der typisk er en lang lige rende med kraftig modstrøm.');
INSERT INTO fkg.d_5002_passage VALUES (6,'Fisketrappe, zigzag',1,'Kunstigt anlagt vandløbsforløb ved om en spærring f.eks. en dæmning, hvor vandet zigzag’er ned og stømhastigheden derved sætte ned og give mulighed for korte hvil under passage.');
INSERT INTO fkg.d_5002_passage VALUES (7,'Odderpassage, andet',1,'Tørpassage langs vandløbet ved vejbroer m.v. hvor det er en anden løsning end flydebro, hængebro eller banket.');
INSERT INTO fkg.d_5002_passage VALUES (8,'Odderpassage, Flydebro',1,'Tørpassage langs vandløbet ved vejbroer m.v. hvor den flyder på vandet.');
INSERT INTO fkg.d_5002_passage VALUES (9,'Odderpassage, Hængebro',1,'Tørpassage langs vandløbet ved vejbroer m.v. hvor den hænger fast på siden af broen.');
INSERT INTO fkg.d_5002_passage VALUES (10,'Odderpassage, Banket',1,'Tørpassage langs vandløbet ved vejbroer m.v. hvor der er en fast banket/kant langs broen.');
INSERT INTO fkg.d_5002_passage VALUES (11,'Omløbsstryg',1,'Kunstigt anlagt vandløbsforløb uden om en spærring med en meget kraftig snoning og stort fald over kort strækning. Typiske med natursten i bunden og sider for at holde opbygning.');
INSERT INTO fkg.d_5002_passage VALUES (12,'Paddetunnel',1,'Underføring under vej til padder - typisk i rør.');
INSERT INTO fkg.d_5002_passage VALUES (13,'Stryg',1,'Stryg er et sted på en å hvor gruset vaskes rent. Her er der ofte også meget lavvandet og med god strøm.');
INSERT INTO fkg.d_5002_passage VALUES (14,'Ålepas',1,'Et rør eller en trækasse med fyldmateriale som giver ålen passage op ad vandløbet ved f.eks. et styrt.');
INSERT INTO fkg.d_5002_passage VALUES (98,'Anden passage',1,'Passagen hvor andet ikke er dækkende.');
INSERT INTO fkg.d_5002_passage VALUES (99,'Ukendt passage',1,'Fået oplyst der er en passage, men arten er ukendt. Typisk fra borger eller gammelt register.');
-- SELECT * FROM d_5002_passage;


INSERT INTO fkg.d_5003_ledn_type VALUES (1,'Ler',1,'Typiske røde lerrør der er meget korte.');
INSERT INTO fkg.d_5003_ledn_type VALUES (2,'Plast',1,'Typisk plastrør med riller/folder og mange små huller, så de er bøjelige.');
INSERT INTO fkg.d_5003_ledn_type VALUES (3,'Beton',1,'Typiske støbte betonrør i 1 - 2 meter længde.');
INSERT INTO fkg.d_5003_ledn_type VALUES (8,'Andet',1,'Materiale hvor andet ikke er dækkende.');
INSERT INTO fkg.d_5003_ledn_type VALUES (9,'Ukendt',1,'Fået oplyst der er et dræn, men materialet er ukendt. Typisk fra borger eller gammelt register.');
-- SELECT * FROM d_5003_ledn_type;


INSERT INTO fkg.d_5003_klasse VALUES (1,'Interne markdræn',1,'Hoveddrænledningen der kun dækker en mark. (Dækkes flere marker er det et rørlagt vandløb!)');
INSERT INTO fkg.d_5003_klasse VALUES (2,'Sidegren markdræn',1,'Sidegrene til et dræn. Ligger ofte lidt som sildeben. Ender typisk blindt eller med en enkelt deling.');
INSERT INTO fkg.d_5003_klasse VALUES (3,'Omfangsdræn',1,'Benyttes typisk ved huse med kældre for at holde fugt ude.');
INSERT INTO fkg.d_5003_klasse VALUES (8,'Andet',1,'Klasse hvor andet ikke er dækkende.');
INSERT INTO fkg.d_5003_klasse VALUES (9,'Ukendt',1,'Fået oplyst der er et dræn, men klassen er ukendt. Typisk fra borger eller gammelt register.');
-- SELECT * FROM d_5003_klasse;


INSERT INTO fkg.d_5004_omr_type VALUES (1,'privat markdræn',1,'Privat anlagte og drevet drænområde.');
INSERT INTO fkg.d_5004_omr_type VALUES (2,'off område',1,'Drænområde, hvor kommune eller stat har stået for anlæggelsen og/eller med i driften af anlægget.');
INSERT INTO fkg.d_5004_omr_type VALUES (8,'Andet',1,'Anden drænområde type.');
INSERT INTO fkg.d_5004_omr_type VALUES (9,'Ukendt',1,'Mangler viden om drænområde type.');
-- SELECT * FROM d_5004_omr_type;


INSERT INTO fkg.d_5005_maalsaetning VALUES (1,'Sø, skærpet målsætning A',1,'');
INSERT INTO fkg.d_5005_maalsaetning VALUES (2,'Sø, skærpet målsætning A, badevand A2',1,'');
INSERT INTO fkg.d_5005_maalsaetning VALUES (3,'Sø, basismålsætning B',1,'');
INSERT INTO fkg.d_5005_maalsaetning VALUES (4,'Sø, basismålsætning B, badevand A2',1,'');
INSERT INTO fkg.d_5005_maalsaetning VALUES (5,'Sø, lempet målsætning C',1,'');
INSERT INTO fkg.d_5005_maalsaetning VALUES (6,'Uden specifik målsætning',1,'');
INSERT INTO fkg.d_5005_maalsaetning VALUES (7,'Ikke særskilt målsat',1,'');
-- SELECT * FROM d_5005_maalsaetning;


INSERT INTO fkg.d_5005_soe_type VALUES (1,'1 - Kalkfattig, klarvandet, fersk og lav',1,'Kalkfattig, klarvandet, fersk og lav');
INSERT INTO fkg.d_5005_soe_type VALUES (2,'2 - Kalkfattig, klarvandet, fersk og dyb',1,'Kalkfattig, klarvandet, fersk og dyb');
INSERT INTO fkg.d_5005_soe_type VALUES (3,'3 - Kalkfattig, klarvandet, brak og lav',1,'Kalkfattig, klarvandet, brak og lav');
INSERT INTO fkg.d_5005_soe_type VALUES (4,'4 - Kalkfattig, klarvandet, brak og dyb',1,'Kalkfattig, klarvandet, brak og dyb');
INSERT INTO fkg.d_5005_soe_type VALUES (5,'5 - Kalkfattig, brunvandet, fersk og lav',1,'Kalkfattig, brunvandet, fersk og lav');
INSERT INTO fkg.d_5005_soe_type VALUES (6,'6 - Kalkfattig, brunvandet, fersk og dyb',1,'Kalkfattig, brunvandet, fersk og dyb');
INSERT INTO fkg.d_5005_soe_type VALUES (7,'7 - Kalkfattig, brunvandet, brak og lav',1,'Kalkfattig, brunvandet, brak og lav');
INSERT INTO fkg.d_5005_soe_type VALUES (8,'8 - Kalkfattig, brunvandet, brak og dyb',1,'Kalkfattig, brunvandet, brak og dyb');
INSERT INTO fkg.d_5005_soe_type VALUES (9,'9 - Kalkrig, klarvandet, fersk og lav',1,'Kalkrig, klarvandet, fersk og lav');
INSERT INTO fkg.d_5005_soe_type VALUES (10,'10 - Kalkrig, klarvandet, fersk og dyb',1,'Kalkrig, klarvandet, fersk og dyb');
INSERT INTO fkg.d_5005_soe_type VALUES (11,'11 - Kalkrig, klarvandet, brak og lav',1,'Kalkrig, klarvandet, brak og lav');
INSERT INTO fkg.d_5005_soe_type VALUES (12,'12 - Kalkrig, klarvandet, brak og dyb',1,'Kalkrig, klarvandet, brak og dyb');
INSERT INTO fkg.d_5005_soe_type VALUES (13,'13 - Kalkrig, brunvandet, fersk og lav',1,'Kalkrig, brunvandet, fersk og lav');
INSERT INTO fkg.d_5005_soe_type VALUES (14,'14 - Kalkrig, brunvandet, fersk og dyb',1,'Kalkrig, brunvandet, fersk og dyb');
INSERT INTO fkg.d_5005_soe_type VALUES (15,'15 - Kalkrig, brunvandet, brak og lav',1,'Kalkrig, brunvandet, brak og lav');
INSERT INTO fkg.d_5005_soe_type VALUES (16,'16 - Kalkrig, brunvandet, brak og dyb',1,'Kalkrig, brunvandet, brak og dyb');
INSERT INTO fkg.d_5005_soe_type VALUES (99,'Ukendt',1,'Mangler viden om søtype');
-- SELECT * FROM d_5005_soe_type;


INSERT INTO fkg.d_5005_habitat_type VALUES (1,'3110 Kalk - og næringsfattige søer og vandhuller (lobeliesøer) (1, 2)',1,'');
INSERT INTO fkg.d_5005_habitat_type VALUES (2,'3130 Ret næringsfattige søer og vandhuller med små amfibiske planter ved bredden (1, 2, 4, 6)',1,'');
INSERT INTO fkg.d_5005_habitat_type VALUES (3,'3140 Kalkrige søer og vandhuller med kransnålalger (6, 7)',1,'');
INSERT INTO fkg.d_5005_habitat_type VALUES (4,'3150 Næringsrige søer og vandhuller med flydeplanter eller store vandaks (6, 7)',1,'');
INSERT INTO fkg.d_5005_habitat_type VALUES (5,'3160 Brunvandede søer og vandhuller (4, 5, 9, 10)',1,'');
INSERT INTO fkg.d_5005_habitat_type VALUES (6,'1150 Kystlaguner og strandsøer (8)',1,'');
INSERT INTO fkg.d_5005_habitat_type VALUES (9,'Ukendt',1,'Mangler viden om habitattype');
-- SELECT * FROM d_5005_habitat_type;


INSERT INTO fkg.d_5007_opl VALUES (1,'Hav/ingen vandløb',1,'Hvor regnvand løber direkte i havet uden at løbe i et vandløb.');
-- SELECT * FROM d_5007_opl;


INSERT INTO fkg.d_5007_opl_type VALUES (1,'1. ordens vandskel',1,'');
INSERT INTO fkg.d_5007_opl_type VALUES (2,'2. ordens vandskel',1,'');
INSERT INTO fkg.d_5007_opl_type VALUES (3,'3. ordens vandskel',1,'');
INSERT INTO fkg.d_5007_opl_type VALUES (4,'4. ordens vandskel',1,'');
INSERT INTO fkg.d_5007_opl_type VALUES (9,'Ukendt',1,'');
-- SELECT * FROM d_5007_opl_type;


INSERT INTO fkg.d_5008_opl VALUES (1,'Hav/ingen sø',1,'');
-- SELECT * FROM d_5008_opl;


INSERT INTO fkg.d_5009_lag_type VALUES (1,'Digelag',1,'Sammenslutning (gruppe) af ejendomme (jordejere), der er fælles om et dige.');
INSERT INTO fkg.d_5009_lag_type VALUES (2,'Landvindingslag',1,'Sammenslutning (gruppe) af ejendomme (jordejere), der er fælles om et dige og pumpeanlæg. I forbindelse med tørlægning af en fjord eller sø. Typiske til landbrugsjord.');
INSERT INTO fkg.d_5009_lag_type VALUES (3,'Pumpelag',1,'Sammenslutning (gruppe) af ejendomme (jordejere), der er fælles om et (afvandings) - pumpeanlæg.');
INSERT INTO fkg.d_5009_lag_type VALUES (8,'Andet',1,'Hvor ovenstående valgmuligheder ikke passer.');
INSERT INTO fkg.d_5009_lag_type VALUES (9,'Ukendt',1,'Mangler viden om lagtype.');
-- SELECT * FROM d_5009_lag_type;


INSERT INTO fkg.d_5010_element_type VALUES (1,'Brønd',1,'Brønd på rørlagt vandløb');
INSERT INTO fkg.d_5010_element_type VALUES (2,'Sandfangsbrønd',1,'Sandfangsbrønd');
INSERT INTO fkg.d_5010_element_type VALUES (3,'Sandfang',1,'Sted på vandløbet hvor der kunstigt er skabt mulighed for sand bundfældes.');
INSERT INTO fkg.d_5010_element_type VALUES (4,'Rist',1,'Rist til at opfange ting i vandløbet.');
INSERT INTO fkg.d_5010_element_type VALUES (5,'Pumpe',1,'Pumpe');
INSERT INTO fkg.d_5010_element_type VALUES (6,'Sluse',1,'Mekanisk anordning til regulering af vandstanden.');
INSERT INTO fkg.d_5010_element_type VALUES (7,'Stemmeværk',1,'En konstruktion udført som en dæmning beregnet til at opstemme og kontrollere vandmængder hvor tilløbende vand bliver holdt tilbage indtil værkets overkant/ krone bliver nået og skaber overløb over denne');
INSERT INTO fkg.d_5010_element_type VALUES (8,'Bro',1,'Bro');
INSERT INTO fkg.d_5010_element_type VALUES (9,'Spang',1,'Lille bro/bræt over vandløb');
INSERT INTO fkg.d_5010_element_type VALUES (10,'Åbent tilløb venstre',1,'Tilløb af åbent vandløb fra venstreside');
INSERT INTO fkg.d_5010_element_type VALUES (11,'Åbent tilløb højre',1,'Tilløb af åbent vandløb fra højreside');
INSERT INTO fkg.d_5010_element_type VALUES (12,'Rørtilløb venstre',1,'Tilløb af rørlagt vandløb fra venstreside');
INSERT INTO fkg.d_5010_element_type VALUES (13,'Rørtilløb højre',1,'Tilløb af rørlagt vandløb fra højreside');
INSERT INTO fkg.d_5010_element_type VALUES (14,'Stationeringspunkt',1,'Punkt til angivelse af stationering i meter');
INSERT INTO fkg.d_5010_element_type VALUES (15,'Styrt',1,'Lodret/frit fald');
INSERT INTO fkg.d_5010_element_type VALUES (16,'Overkørsel',1,'Mindre/smal overdækning af mindre vandløb, der giver mulighed for at køre på tværs');
INSERT INTO fkg.d_5010_element_type VALUES (17,'Rørbro',1,'Bro bygget op af et rør, hvor vandet løber igennem');
INSERT INTO fkg.d_5010_element_type VALUES (18,'Indløb rør/frontmur',1,'Hvor vandløb løber ind i røret');
INSERT INTO fkg.d_5010_element_type VALUES (19,'Udløb rør/frontmur',1,'Hvor vandløb kommer ud af røret');
INSERT INTO fkg.d_5010_element_type VALUES (20,'Kantpæl',1,'Pæl i vandkanten til markering af vandløb');
INSERT INTO fkg.d_5010_element_type VALUES (21,'Skala',1,'Skala til at aflæse vandstanden i vandløbet');
INSERT INTO fkg.d_5010_element_type VALUES (22,'Stryg',1,'Stærkning med stort fald på vandløbet med mange sten');
INSERT INTO fkg.d_5010_element_type VALUES (23,'Udløb/ende på vandløb',1,'Udløb/enden på vandløbet f.eks. i en sø eller andet større vandløb');
INSERT INTO fkg.d_5010_element_type VALUES (24,'Ledning under',1,'Tele-, Gas-, Kloak-, El- eller Vandledninger eller tilsvarende ledninger');
INSERT INTO fkg.d_5010_element_type VALUES (98,'Andet',1,'Andet');
INSERT INTO fkg.d_5010_element_type VALUES (99,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_5010_element_type;


INSERT INTO fkg.d_5105_kaer_type VALUES (1,'Ekstremrigkær',1,'Ekstremrigkær er moser. De er den danske vegetationstype, der kan indeholde flest plantearter. Udviklet bl.a. på kalkholdige moræneaflejringer med et meget højt næringsstof indhold. Artsrig moser og enge med konstant vandmættet jordbund på særligt kalkrig bund, således at den særlige rigkærsvegetation opstår. Med græsning eller slåning er vegetationen åben og lavtvoksende som regel med mange små starer og mosser. Uden græsning eller slåning udvikles mere højtvoksende og tilgroede typer, som efterhånden ændr es til krat eller sumpskov. Ekstremrigkær adskiller sig fra rigkær ved forekomst af særlige plantearter som: Butblomstret siv');
INSERT INTO fkg.d_5105_kaer_type VALUES (2,'Ekstremfattigkær',1,'Moser karakteriseret af en ret ensartet græsagtig vegetation domineret af halvgræsser med tæt bunddække af tørvemosser, som ofte danner en gyngende hængesæk, der komplet dækker det minerogene søvand. Fattigkær er fugtige, næringsfattige områder med sur bund. Jordbundsfoholdene betinger, at fattigkærene også er artsfattige.');
-- SELECT * FROM d_5105_kaer_type;


INSERT INTO fkg.d_5106_pleje_type VALUES (1,'1. gangs rydning + græsning',1,'Rydning af træer og buske for at genoprette lysåben tilstand samt efterfølgende græsning.');
INSERT INTO fkg.d_5106_pleje_type VALUES (2,'1. gangs rydning',1,'Rydning af træer og buske for at genoprette lysåben tilstand.');
INSERT INTO fkg.d_5106_pleje_type VALUES (3,'Græsning',1,'Indhegnet område med dyr, der afgræsser området. F.eks. får, heste eller kreaturer eller en blanding af flere dyrearter.');
INSERT INTO fkg.d_5106_pleje_type VALUES (4,'Slåning',1,'Typisk med en brakpudser eller en stor græsklipper. Slår græs, buske og små træer ned.');
INSERT INTO fkg.d_5106_pleje_type VALUES (5,'Slåning af gyrvel',1,'Slåning af gyrvel med brakpudser hvert 2. år.');
INSERT INTO fkg.d_5106_pleje_type VALUES (6,'Nedskæring af vedplanter',1,'Træer og buske fældes/skæres ned');
INSERT INTO fkg.d_5106_pleje_type VALUES (7,'Plukhugst og stævning',1,'Fældning af større eller mindre træer, hvorefter området forynges ved genopvækst og selvsåede planter');
INSERT INTO fkg.d_5106_pleje_type VALUES (8,'Afbrænding',1,'Typisk afbrænding af lyng på heder for at forynge/bibeholde lyngdækket på sigt.');
INSERT INTO fkg.d_5106_pleje_type VALUES (9,'Vedligehold',1,'Vedligeholdelse af diverse publikumsfaciliteter. F.eks. toiletter, shelters, borde/bænke og stier i området');
INSERT INTO fkg.d_5106_pleje_type VALUES (11,'Pleje af fortidsminder, sommer',1,'Slåning af græs, urter og vedplanter 2 gange i vækstsæsonen');
INSERT INTO fkg.d_5106_pleje_type VALUES (12,'Pleje af fortidsminder, vinter',1,'Slåning af høje urter og vedplanter i vinterhalvåret.');
INSERT INTO fkg.d_5106_pleje_type VALUES (13,'Vandstandshævning',1,'Hævning af vandstand for at genoprette oprindelig tilstand');
INSERT INTO fkg.d_5106_pleje_type VALUES (14,'Græsningsaftaler',1,'Aftale med landmand m.v. om at området bliver afgræsset');
INSERT INTO fkg.d_5106_pleje_type VALUES (15,'Vedligehold rydning',1,'Den efterfølgende vedligeholdelse efter en rydning, så det ikke gro til igen.');
INSERT INTO fkg.d_5106_pleje_type VALUES (16,'Vedligehold sti',1,'Vedligeholdelses kun af stier i området');
INSERT INTO fkg.d_5106_pleje_type VALUES (98,'Andet',1,'');
INSERT INTO fkg.d_5106_pleje_type VALUES (99,'Ukendt',1,'');
-- SELECT * FROM d_5106_pleje_type;


INSERT INTO fkg.d_5106_faciliteter VALUES (1,'Kortbord',1,'Skilt med kort over området');
INSERT INTO fkg.d_5106_faciliteter VALUES (2,'Bænk',1,'Bænk');
INSERT INTO fkg.d_5106_faciliteter VALUES (3,'Legeplads',1,'Legeplads med redskaber for børn');
INSERT INTO fkg.d_5106_faciliteter VALUES (4,'Tørkloset',1,'Tørkloset');
INSERT INTO fkg.d_5106_faciliteter VALUES (5,'Multtoilet',1,'Multtoilet, kompost - eller separationstoilet er toiletter uden afløb. Urin og fækalier, samt eventuelt lidt skyllevand opsamles og lagres i særlige tanke for at omdannes til gødning.');
INSERT INTO fkg.d_5106_faciliteter VALUES (6,'Fugletårn',1,'Fugletårn');
INSERT INTO fkg.d_5106_faciliteter VALUES (7,'Shelter',1,'En shelter er en fast bivuak. En lav træbarak, traditionelt åben på den ene langside, gulvet hævet ca. 0,5 m over jorden og stort tagudhæng, således at man er relativt beskyttet mod regn.');
INSERT INTO fkg.d_5106_faciliteter VALUES (8,'Bålplads',1,'Udendørs plads til brug for lejrbål');
INSERT INTO fkg.d_5106_faciliteter VALUES (9,'Vandpost',1,'Udendørs frostsikker vandpost, hvor der kan hentes rent drikkevand.');
INSERT INTO fkg.d_5106_faciliteter VALUES (10,'P-plads',1,'En parkeringsplads/et område,beregnet til at henstille (parkere) køretøjer på, når de ikke bruges.');
INSERT INTO fkg.d_5106_faciliteter VALUES (11,'Bord og bænk',1,'Bord med bænke til at raste/spise ved udendørs (afholde picnic )');
INSERT INTO fkg.d_5106_faciliteter VALUES (12,'Affaldsstativ',1,'Stativ til affald.');
INSERT INTO fkg.d_5106_faciliteter VALUES (13,'Kanorasteplads',1,'Dagrasteplads for kanofarer');
INSERT INTO fkg.d_5106_faciliteter VALUES (98,'Andet',1,'');
INSERT INTO fkg.d_5106_faciliteter VALUES (99,'Ukendt',1,'');
-- SELECT * FROM d_5106_faciliteter;


INSERT INTO fkg.d_5200_affald VALUES (1,'Spildevand',1,'Slam fra renseanlæg.');
INSERT INTO fkg.d_5200_affald VALUES (2,'Industri-/procesrestprodukt',1,'Div. rester fra industriproduktion, som med fordel må spredes på marker.');
INSERT INTO fkg.d_5200_affald VALUES (3,'Aske',1,'Aske hovedsagligt fra afbrænding af halm på fjernvarmeanlæg.');
INSERT INTO fkg.d_5200_affald VALUES (8,'Andet',1,'Andet');
-- SELECT * FROM d_5200_affald;


INSERT INTO fkg.d_5400_affalds_type VALUES (1,'Storskrald',1,'Storskrald hentet ved borgeren');
INSERT INTO fkg.d_5400_affalds_type VALUES (2,'Dagrenovation',1,'Dagrenovation');
INSERT INTO fkg.d_5400_affalds_type VALUES (3,'Haveaffald',1,'Grønt affald til kompost hentet ved borgeren. Ej fødevare.');
INSERT INTO fkg.d_5400_affalds_type VALUES (8,'Andet',1,'Andet');
INSERT INTO fkg.d_5400_affalds_type VALUES (9,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_5400_affalds_type;


INSERT INTO fkg.d_5401_gs_type VALUES (1,'Genbrugsstation',1,'Større indhegnet område hvor borgere aflevere affald sorteret efter type. Typiske direkte i container.');
INSERT INTO fkg.d_5401_gs_type VALUES (2,'Affaldsø',1,'Mindre område hvor borgere kan aflevere mindre mænge af sorteret affald - Glas, papir og evt. metal.');
INSERT INTO fkg.d_5401_gs_type VALUES (3,'Fyldplads',1,'Områder der fyldes op med begrænset former for affald f.eks. i gammel grusgrav eller ved havneudvidelser.');
INSERT INTO fkg.d_5401_gs_type VALUES (4,'Komposteringssplads',1,'Plads hvor haveaffald m.v. komposteres til jord.');
INSERT INTO fkg.d_5401_gs_type VALUES (8,'Andet',1,'Andet');
INSERT INTO fkg.d_5401_gs_type VALUES (9,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_5401_gs_type;


INSERT INTO fkg.d_5402_gc_type VALUES (1,'Glas',1,'Flasker og andre typer glas fra madlavning');
INSERT INTO fkg.d_5402_gc_type VALUES (2,'Papir',1,'Aviser, reklamer og andet rent papir');
INSERT INTO fkg.d_5402_gc_type VALUES (3,'Batterier',1,'Brugte batterier');
INSERT INTO fkg.d_5402_gc_type VALUES (4,'Dåser',1,'Dåser i metal');
INSERT INTO fkg.d_5402_gc_type VALUES (5,'Tøj',1,'Brugt tøj der kan genbruges som tøj');
INSERT INTO fkg.d_5402_gc_type VALUES (6,'Miljøstationer',1,'Modtager miljøfarligt affald som malingsrester, kemikaler m.v.');
INSERT INTO fkg.d_5402_gc_type VALUES (7,'Husholdningsaffald',1,'Blandet affald fra husholdning med madrester og meget mere.');
INSERT INTO fkg.d_5402_gc_type VALUES (8,'Pap',1,'Rent pap, papkasser, bølgepap');
INSERT INTO fkg.d_5402_gc_type VALUES (9,'Metal',1,'Metallåg o.lign.');
INSERT INTO fkg.d_5402_gc_type VALUES (10,'Plast',1,'Plastflasker, dunke m.v.');
INSERT INTO fkg.d_5402_gc_type VALUES (98,'Andet',1,'Hvor ovenstående ikke passer ind i genbrugsmaterialet');
INSERT INTO fkg.d_5402_gc_type VALUES (99,'Ukendt',1,'Hvor der mangler viden om typen.');
-- SELECT * FROM d_5402_gc_type;


INSERT INTO fkg.d_5506_anlaegtype VALUES (1,'Renseanlæg',1,'Anlæg som renser spildevand for dele af indholdet.');
INSERT INTO fkg.d_5506_anlaegtype VALUES (2,'Forsinkelsesbassin',1,'Bassinanlæg til ’parkering’ af spildevandet, når det regner voldsomt');
INSERT INTO fkg.d_5506_anlaegtype VALUES (3,'Sparebassin',1,'Et bassin som oplagrer spildevandet i ”regntiden” hvor pumperne ikke kan ikke kan følge med.');
INSERT INTO fkg.d_5506_anlaegtype VALUES (4,'Overløbsbygværk',1,'Bygværk som ved overbelastning sender spildevand til et bassin eller udløb.');
INSERT INTO fkg.d_5506_anlaegtype VALUES (5,'Pumpestation',1,'Pumpe der pumper spildevand væk via en trykledning.');
INSERT INTO fkg.d_5506_anlaegtype VALUES (6,'Udløb',1,'Punktet hvor ledningen slutter/ender i en ”naturlig” recipient.');
INSERT INTO fkg.d_5506_anlaegtype VALUES (7,'Nedsivning',1,'Ejendommen med punktet har anlagt nedsivning af regnvand');
INSERT INTO fkg.d_5506_anlaegtype VALUES (8,'Andet',1,'Andet');
-- SELECT * FROM d_5506_anlaegtype;


INSERT INTO fkg.d_5508_stoej VALUES (1,'44 dB(A) ved en vindhastighed på 8 m/s i det åbne land',1,'Måles ved 15 meter fra beboelse i det åbne land ved 8 m/s');
INSERT INTO fkg.d_5508_stoej VALUES (2,'42 dB(A) ved en vindhastighed på 6 m/s i det åbne land',1,'Måles ved 15 meter fra beboelse i det åbne land ved 6 m/s');
INSERT INTO fkg.d_5508_stoej VALUES (3,'39 dB(A) ved en vindhastighed på 8 m/s i støjfølsomt område',1,'støjfølsom arealanvendelse ved 8 m/s');
INSERT INTO fkg.d_5508_stoej VALUES (4,'37 dB(A) ved en vindhastighed på 6 m/s i støjfølsomt område',1,'støjfølsom arealanvendelse ved 6 m/s');
INSERT INTO fkg.d_5508_stoej VALUES (9,'Ukendt',1,'Mangler viden om typen');
-- SELECT * FROM d_5508_stoej;


INSERT INTO fkg.d_5600_rute VALUES (1,'Klasse I rute',1,'Veje som har afgørende betydning for fjerntrafikken.');
INSERT INTO fkg.d_5600_rute VALUES (2,'Klasse II rute',1,'Veje som har betydning for fjerntrafikken og/eller afgørende betydning for afvikling af den gennemkørende trafik.');
INSERT INTO fkg.d_5600_rute VALUES (3,'Klasse III rute',1,'Veje som har betydning for afvikling af den gennemkørende og/eller kollektive trafik, eller afgørende betydning for afvikling af den lokale nærtrafik.');
INSERT INTO fkg.d_5600_rute VALUES (4,'Klasse IV rute',1,'Veje som har betydning for afvikling af den lokale nærtrafik.');
INSERT INTO fkg.d_5600_rute VALUES (5,'Klasse V rute',1,'Veje som har mindre betydning for afvikling af trafikken.');
INSERT INTO fkg.d_5600_rute VALUES (6,'Klasse VI rute',1,'Veje som betjener enkeltbruger områder og mindre boligveje.');
-- SELECT * FROM d_5600_rute;
 

INSERT INTO fkg.d_5601_hasti_type VALUES (1,'Forvarsling',1,'Varsling typisk i form af skilte om der kommer en hastighedsdæmpende foranstaltning.');
INSERT INTO fkg.d_5601_hasti_type VALUES (2,'Port',1,'En visuel markering af en byport. Typisk med beplantning, belægningsskift, portaler, belysning og/eller indsnævring');
INSERT INTO fkg.d_5601_hasti_type VALUES (3,'2-sporet bump',1,'Bump der dækker 2 spor (typiske begge retninger).');
INSERT INTO fkg.d_5601_hasti_type VALUES (4,'2-sporet hævet flade',1,'Hævet vejflade der dækker 2 spor (typisk begge retninger) mindste længde 10 meter.');
INSERT INTO fkg.d_5601_hasti_type VALUES (5,'Forsætning',1,'Forskydning af vejen til siden (parallelt)');
INSERT INTO fkg.d_5601_hasti_type VALUES (6,'2-sporet indsnævring fra vejmidte',1,'Helle anlæg mellem kørselsretningerne, men uden at øge den samlet vejbredde tilsvarende, så det enkelte kørespor bliver smallere.');
INSERT INTO fkg.d_5601_hasti_type VALUES (7,'2-sporet indsnævring fra vejkant',1,'Over en kort strækning er vejbredden smallere, men der er stadigvæk to spor.');
INSERT INTO fkg.d_5601_hasti_type VALUES (8,'Indsnævring til 1 spor',1,'Det ene spor blokeres fysisk med blomsterkasse, helle med træ eller lign.');
INSERT INTO fkg.d_5601_hasti_type VALUES (9,'Indsnævring til 1 spor med bump',1,'Bump samtidigt med det ene spor blokeres fysisk med blomsterkasse, helle med træ eller lign.');
INSERT INTO fkg.d_5601_hasti_type VALUES (10,'Indsnævring til 1 spor med hævet flade',1,'Hævet flade samtidigt med det ene spor blokeres fysisk med blomsterkasse, helle med træ eller lign.');
INSERT INTO fkg.d_5601_hasti_type VALUES (11,'Forsætning med indsnævring til 1 spor',1,'Begge spor blokeres forskudt fysisk med blomsterkasse, helle med træ eller lign. Så der kun er et spor tilbage igennem slusen.');
INSERT INTO fkg.d_5601_hasti_type VALUES (12,'Forsætning med indsnævring til 1 spor og bump',1,'Hævet flade samtidig med at det ene spor blokeres fysisk med blomsterkasse, helle med træ eller lign.');
INSERT INTO fkg.d_5601_hasti_type VALUES (13,'Forsætning med indsnævring til 1 spor og hævet flade',1,'Begge spor blokeres forskudt fysisk med blomsterkasse, helle med træ eller lign. Så der kun er et spor tilbage igennem slusen. Udfor eller mellem hver blokering er der en hævet flade.');
INSERT INTO fkg.d_5601_hasti_type VALUES (14,'Rundkørsel',1,'Rundkørsel (ensrettet kørsel omkring en "ø")');
INSERT INTO fkg.d_5601_hasti_type VALUES (15,'Cirkelformet bump',1,'Bump der fra siden har form som en cirkelbue - en del af en cylinderflade.');
INSERT INTO fkg.d_5601_hasti_type VALUES (16,'Modificeret cirkelbump',1,'Bump der fra siden har form som en cirkelbue, men flader ud så den fanger vej i en blød overgang.');
INSERT INTO fkg.d_5601_hasti_type VALUES (17,'Modificeret sinusbump',1,'Bump der fra siden har form som en sinuskurve, men flader ud så den fanger vej i en blød overgang.');
INSERT INTO fkg.d_5601_hasti_type VALUES (18,'Kuppelformet bump',1,'Bump der har form som en kuppel - en del af en kugleflade.');
INSERT INTO fkg.d_5601_hasti_type VALUES (19,'Trapezformet bump',1,'En plan flade med ramper i en ret linje.');
INSERT INTO fkg.d_5601_hasti_type VALUES (20,'Trapezbump med modificeret rampe',1,'En plan flade med ramper i en blød kurve linje.');
INSERT INTO fkg.d_5601_hasti_type VALUES (21,'Kombibump',1,'2 forskellige bump typer inde i hinanden, hvor busser m.v. benytter den ene og biler benytter den anden. Normalt to sæt ramper med forskellige afstand.');
INSERT INTO fkg.d_5601_hasti_type VALUES (22,'Pudebump',1,'Et smalt bump, der tillader store køretøjer at skræve henover bumpet, således at kun mindre køretøjer mærker bumpet ved passage. Der er et pudebump i hvert kørespor.');
INSERT INTO fkg.d_5601_hasti_type VALUES (23,'Pukkelbump',1,'Flere mindre kuppelformede bump, der placeres forskudt i forhold til hinanden. Også kaldet mushrooms, paddehatte, mariehøns eller skildpadder.');
INSERT INTO fkg.d_5601_hasti_type VALUES (24,'Præfabrikeret permanent bumptype',1,'Bump der er fremstillet på en virksomhed og stillet færdige op.');
INSERT INTO fkg.d_5601_hasti_type VALUES (25,'Midlertidig bump',1,'Bump der opsættes til en særlig lejlighed/i kortere tidsrum.');
INSERT INTO fkg.d_5601_hasti_type VALUES (26,'Variabel bump',1,'Bump, der giver efter og jævnes ud, når det passeres af busser og andre store køretøjer.');
INSERT INTO fkg.d_5601_hasti_type VALUES (27,'Rumlefelt',1,'Felt med afvigende belægning eller tværgående smalle striber, der afgiver lyd og skaber opmærksomhed, når man kører henover det');
INSERT INTO fkg.d_5601_hasti_type VALUES (98,'Andet',1,'Hvor ovenstående ikke er dækkende.');
INSERT INTO fkg.d_5601_hasti_type VALUES (99,'Ukendt',1,'Hvor der mangler viden om typen');
-- SELECT * FROM d_5601_hasti_type;


INSERT INTO fkg.d_5602_p_tid VALUES (0,'Ingen tidsbegrænsning',1,'Ikke begrænsning i perioden køretøjet må parkere i.');
INSERT INTO fkg.d_5602_p_tid VALUES (1,'Max 1 time',1,'Parkering er tilladt i op til 1 time.');
INSERT INTO fkg.d_5602_p_tid VALUES (2,'Max 2 timer',1,'Parkering er tilladt i op til 2 timer.');
INSERT INTO fkg.d_5602_p_tid VALUES (3,'Max 3 timer',1,'Parkering er tilladt i op til 3 timer.');
INSERT INTO fkg.d_5602_p_tid VALUES (4,'Max 4 timer',1,'Parkering er tilladt i op til 4 timer.');
INSERT INTO fkg.d_5602_p_tid VALUES (5,'Max 5 timer',1,'Parkering er tilladt i op til 5 timer.');
INSERT INTO fkg.d_5602_p_tid VALUES (6,'Max 6 timer',1,'Parkering er tilladt i op til 6 timer.');
INSERT INTO fkg.d_5602_p_tid VALUES (7,'Max 7 timer',1,'Parkering er tilladt i op til 7 timer.');
INSERT INTO fkg.d_5602_p_tid VALUES (8,'Max 8 timer',1,'Parkering er tilladt i op til 8 timer.');
INSERT INTO fkg.d_5602_p_tid VALUES (9,'Max 9 timer',1,'Parkering er tilladt i op til 9 timer.');
INSERT INTO fkg.d_5602_p_tid VALUES (10,'Max 10 timer',1,'Parkering er tilladt i op til 10 timer.');
INSERT INTO fkg.d_5602_p_tid VALUES (11,'Max 11 timer',1,'Parkering er tilladt i op til 11 timer.');
INSERT INTO fkg.d_5602_p_tid VALUES (12,'Max 12 timer',1,'Parkering er tilladt i op til 12 timer.');
INSERT INTO fkg.d_5602_p_tid VALUES (15,'Max 15 minutter',1,'Parkering er tilladt i op til 15 minutter.');
INSERT INTO fkg.d_5602_p_tid VALUES (30,'Max 30 minutter',1,'Parkering er tilladt i op til 30 minutter.');
INSERT INTO fkg.d_5602_p_tid VALUES (45,'Max 45 minutter',1,'Parkering er tilladt i op til 45 minutter.');
INSERT INTO fkg.d_5602_p_tid VALUES (97,'Uden forbudsperiode',1,'Tidsrum hvor der ingen restriktioner er');
INSERT INTO fkg.d_5602_p_tid VALUES (98,'Andet',1,'Anden værdi end muligt at vælge i ovenstående liste.');
INSERT INTO fkg.d_5602_p_tid VALUES (99,'Ukendt',1,'Mangler viden om tidsbegrænsning.');
-- SELECT * FROM d_5602_p_tid;


INSERT INTO fkg.d_5602_p_type VALUES (1,'Betalingszone',1,'Parkering i zonen tilladt mod betaling');
INSERT INTO fkg.d_5602_p_type VALUES (2,'Betalingsfri zone',1,'Parkering i zonen tilladt uden betaling, men så typiske tidsbegrænset og/eller kun på afmærket pladser.');
INSERT INTO fkg.d_5602_p_type VALUES (3,'Beboerparkering',1,'Parkering i zonen på privat ejendom tiltænkt beboere m.v.');
INSERT INTO fkg.d_5602_p_type VALUES (4,'Erhvervsparkering',1,'Parkering i zonen på privat ejendom tiltænkt kontorfolk m.v.');
INSERT INTO fkg.d_5602_p_type VALUES (5,'P-licens',1,'Parkering i zonen med parkeringslicens. F.eks. Beboerlicens.');
INSERT INTO fkg.d_5602_p_type VALUES (8,'Andet',1,'Hvor ovenstående ikke dækker.');
INSERT INTO fkg.d_5602_p_type VALUES (9,'Ukendt',1,'Hvor der mangler viden om zonetype.');
-- SELECT * FROM d_5602_p_type;


INSERT INTO fkg.d_5604_begr_type VALUES (1,'Gågadekørsel',1,'Kørsel med bil og cykel er forbudt som hovedregl en, men tilladt i korte tidsrum af døgnet til f.eks. v arekørsel m.v. til områdets butikker.');
INSERT INTO fkg.d_5604_begr_type VALUES (2,'Varekørsel',1,'Kun varekørsel til området tilladt');
INSERT INTO fkg.d_5604_begr_type VALUES (3,'Sommerkørsel',1,'Kun kørsel i sommerperioden');
INSERT INTO fkg.d_5604_begr_type VALUES (4,'Lastbilkørsel',1,'Begrænset højde, bredde eller befæstelse der hindrer store/tunge køretøjers færdsel');
INSERT INTO fkg.d_5604_begr_type VALUES (5,'Tvangsrute',1,'Tvangsrute for farligt gods');
INSERT INTO fkg.d_5604_begr_type VALUES (6,'Lang transport',1,'Ruter for køretøjer der er > 25 meter lange');
INSERT INTO fkg.d_5604_begr_type VALUES (8,'Andet',1,'Hvor ovenstående ikke er dækkende');
INSERT INTO fkg.d_5604_begr_type VALUES (9,'Ukendt',1,'Mangler viden om begrænsningen');
-- SELECT * FROM d_5604_begr_type;


INSERT INTO fkg.d_5605_dekl_type VALUES (1,'Oversigt',1,'For at sikre oversigt - frit udsyn til trafikanter. Særligt ved vejkryds.');
INSERT INTO fkg.d_5605_dekl_type VALUES (2,'Vejbyggelinje_planlov',1,'Forbud mod alt byggeri efter planloven. Typiske i en bestemt afstand fra vejmidte.');
INSERT INTO fkg.d_5605_dekl_type VALUES (3,'Fjernelse',1,'Byggeri sket på trods af byggelinje, men med krav/de klaration så vejmyndigheden frit kan kræve byggeriet fjernet igen, hvis der skulle opstå behov for dette.');
INSERT INTO fkg.d_5605_dekl_type VALUES (4,'Dispensation_planlov',1,'Der er givet dispensation efter Planloven fra en planmæssig byggelinje.');
INSERT INTO fkg.d_5605_dekl_type VALUES (5,'§34',1,'Vejteknisk byggelinje langs eksisterende veje (Vejlovens §34)');
INSERT INTO fkg.d_5605_dekl_type VALUES (6,'§35',1,'Byggelinjer langs planlagte veje (Vejlovens §35)');
INSERT INTO fkg.d_5605_dekl_type VALUES (7,'Dispensation_vejlov',1,'Der er givet dispensation efter Vejloven fra en vejteknisk byggelinje.');
INSERT INTO fkg.d_5605_dekl_type VALUES (8,'Andet',1,'Andet');
INSERT INTO fkg.d_5605_dekl_type VALUES (9,'Ukendt',1,'Manglende viden');
-- SELECT * FROM d_5605_dekl_type;

INSERT INTO fkg.d_5606_inventar_type VALUES (1,'Pullert',1,'Pæl eller stolpe');
INSERT INTO fkg.d_5606_inventar_type VALUES (2,'Trafikskilte',1,'Trafikskilte med f.eks. vigepligt, parkeringsforbud m.v.');
INSERT INTO fkg.d_5606_inventar_type VALUES (3,'Rampe',1,'Skrående flade, der giver niveaufri passage');
INSERT INTO fkg.d_5606_inventar_type VALUES (4,'P-automater',1,'Automat til at købe parkeringsbillet i.');
INSERT INTO fkg.d_5606_inventar_type VALUES (5,'Signalanlæg (lyssignaler)',1,'Lysregulering typisk i vejkryds.');
INSERT INTO fkg.d_5606_inventar_type VALUES (6,'Vejnavneskilt',1,'Skiltet med vejens navn');
INSERT INTO fkg.d_5606_inventar_type VALUES (7,'Belysning',1,'Gadelys');
INSERT INTO fkg.d_5606_inventar_type VALUES (8,'Pumpestation',1,'Pumpestation for vejanlæg');
INSERT INTO fkg.d_5606_inventar_type VALUES (9,'El-skab',1,'Skab hver der elektriske installationer m.v.');
INSERT INTO fkg.d_5606_inventar_type VALUES (10,'Spærrebum',1,'Spærrebum til blokering af');
INSERT INTO fkg.d_5606_inventar_type VALUES (11,'Fartmåler',1,'Fast fartmåler');
INSERT INTO fkg.d_5606_inventar_type VALUES (12,'Tællerstation',1,'Installation der automatisk tæller biler m.v.');
INSERT INTO fkg.d_5606_inventar_type VALUES (98,'Andet',1,'Andet');
INSERT INTO fkg.d_5606_inventar_type VALUES (99,'Ukendt',1,'Manglende viden');
-- SELECT * FROM d_5606_inventar_type;


INSERT INTO fkg.d_5700_forening_type VALUES (1,'Andelsboligforening',1,'En forening, der er stiftet med det formål at erhverve, eje og drive den ejendom, som foreningens medlemmer bor i.');
INSERT INTO fkg.d_5700_forening_type VALUES (2,'Borgerforening',1,'Forening af borger/beboer indenfor et område. Dækker ofte mindre bysamfund/landsbyer.');
INSERT INTO fkg.d_5700_forening_type VALUES (3,'Grundejerforening',1,'En forening af grundejer i et område. Nogle gang tvunget medlemskab via lokalplan. Nogle gange kan ikke ejer men beboer i området også være med.');
INSERT INTO fkg.d_5700_forening_type VALUES (4,'Vejlav',1,'En frivillig forening af bruger/grundejer af et vejsystem/-strækning. Primære opgave er vedligeholdelse af en privatejet vejstrækning. Her under også snerydning.');
INSERT INTO fkg.d_5700_forening_type VALUES (5,'Facaderåd',1,'Facaderåd varetager opgaver for kommunen f.eks. i henhold til lokalplan om facader mv.');
INSERT INTO fkg.d_5700_forening_type VALUES (6,'Haveforening',1,'Kolonihaver m.m.');
INSERT INTO fkg.d_5700_forening_type VALUES (7,'Almennyttige boligforeninger',1,'almennyttige boliger, sociale boliger, lejeboliger opført som offentlig støttet boligbyggeri af et godkendt almennyttigt boligselskab; siden 1996 anvendes betegnelsen almene boliger.');
INSERT INTO fkg.d_5700_forening_type VALUES (8,'Andet',1,'Ingen af de andre passer entydigt på objektet.');
INSERT INTO fkg.d_5700_forening_type VALUES (9,'Uoplyst',1,'Mangler viden for at kunne udfylde feltet.');
-- SELECT * FROM d_5606_inventar_type;


INSERT INTO fkg.d_5700_adr_beskyt VALUES ('0','Ingen adressebeskyttelse',1,'Ingen adressebeskyttelse');
INSERT INTO fkg.d_5700_adr_beskyt VALUES ('A','Ejers navn og ejendomsoplysninger overføres til vejvisere',1,'Ejers navn og ejendomsoplysninger overføres til vejvisere');
INSERT INTO fkg.d_5700_adr_beskyt VALUES ('B','Adressen er beskyttet i CPR',1,'Adressen er beskyttet i CPR');
INSERT INTO fkg.d_5700_adr_beskyt VALUES ('E','Der overføres ikke oplysning fra ESR til vejvisere',1,'Der overføres ikke oplysning fra ESR til vejvisere');
INSERT INTO fkg.d_5700_adr_beskyt VALUES ('L','Adressen må ikke optages i vejvisere',1,'Adressen må ikke optages i vejvisere');
-- SELECT * FROM d_5700_adr_beskyt;


INSERT INTO fkg.d_5705_udlejning VALUES (1,'Udlejet',1,'Kommunen har udlejet arealet til privt person/virksomhed');
INSERT INTO fkg.d_5705_udlejning VALUES (2,'Vederlagsfrit',1,'udlejnings vilkår: arealet stilles vederlagsfrit til rådighed eller lejes af andre til brug for kommunen');
INSERT INTO fkg.d_5705_udlejning VALUES (3,'Lejet',1,'Kommunen er lejer af arealet');
INSERT INTO fkg.d_5705_udlejning VALUES (4,'Forpagtet',1,'Forpagtning er en aftale mellem to parter, der indebærer, at en person får rådighed over og pligt til at drive den virksomhed, der ejes af den, der bortforpagter.');
INSERT INTO fkg.d_5705_udlejning VALUES (8,'Andet',1,'Ingen af de andre passer entydigt på objektet.');
INSERT INTO fkg.d_5705_udlejning VALUES (9,'Uoplyst',1,'Mangler viden for at kunne udfylde feltet.');
-- SELECT * FROM d_5705_udlejning;


INSERT INTO fkg.d_5706_havn_type VALUES (1,'Erhvervshavn',1,'Havneareal for erhvervshavn med egen ejer/administrator');
INSERT INTO fkg.d_5706_havn_type VALUES (2,'Lystbådehavn',1,'Havneareal for lystbådehavn med egen ejer/administrator');
INSERT INTO fkg.d_5706_havn_type VALUES (3,'Erhvervs- og lystbådehavn',1,'Havneareal for både erhvervshavn og lystbådehavn som administreres samlet');
INSERT INTO fkg.d_5706_havn_type VALUES (8,'Andet',1,'Andet');
INSERT INTO fkg.d_5706_havn_type VALUES (9,'Ukendt',1,'Manglende viden');
-- SELECT * FROM d_5706_havn_type;


INSERT INTO fkg.d_5707_grund_type VALUES (1,'Byggegrund - parcelhus',1,'Grund med ret til at bygge en bolig – parcelhus');
INSERT INTO fkg.d_5707_grund_type VALUES (2,'Byggegrund – sommerhus',1,'Grund med ret til at bygge en fritidsbolig – sommerhus');
INSERT INTO fkg.d_5707_grund_type VALUES (3,'Byggegrund - storparcel',1,'Grund med ret til at bygge flere boligere – parcelhus, rækkehus, boligblok m.v.');
INSERT INTO fkg.d_5707_grund_type VALUES (4,'Byggegrund – Erhverv',1,'Grund med ret til at bygge erhvervsbyggeri');
INSERT INTO fkg.d_5707_grund_type VALUES (5,'Landbrugsjord/mark',1,'Mark/landbrugsjord med ret til at dyrke jorden');
INSERT INTO fkg.d_5707_grund_type VALUES (6,'Parcelhus på egen grund',1,'Eksisterende parcelhus bygget på egen grund');
INSERT INTO fkg.d_5707_grund_type VALUES (7,'Rækkehus på egen grund',1,'Eksisterende rækkehus bygget på egen grund');
INSERT INTO fkg.d_5707_grund_type VALUES (8,'Dobbelthus på egen grund',1,'Eksisterende dobbelthus bygget på egen grund – en bolig/½dobbelthus');
INSERT INTO fkg.d_5707_grund_type VALUES (9,'Ejerlejlighed',1,'Eksisterende lejlighed');
INSERT INTO fkg.d_5707_grund_type VALUES (10,'Erhvervsbyggeri på egen grund',1,'Eksisterende erhvervsbyggeri på egen grund');
INSERT INTO fkg.d_5707_grund_type VALUES (98,'Anden fast ejendom',1,'Hvor andre ejendomstype ikke er dækkende');
-- SELECT * FROM d_5707_grund_type;


INSERT INTO fkg.d_5707_salg_status VALUES (1,'Til salg',1,'Grund til salg');
INSERT INTO fkg.d_5707_salg_status VALUES (2,'Reserveret',1,'Grund reserveret');
INSERT INTO fkg.d_5707_salg_status VALUES (3,'Solgt',1,'Grund solgt');
INSERT INTO fkg.d_5707_salg_status VALUES (4,'Fremtidig',1,'Planlægges sat til salg');
INSERT INTO fkg.d_5707_salg_status VALUES (8,'Andet',1,'Hvor andre salgstyper ikke er dækkende');
INSERT INTO fkg.d_5707_salg_status VALUES (9,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_5707_salg_status;

-- Tema udgået v. 2.4
-- INSERT INTO fkg.d_5708_institution_type VALUES (1,'Vuggestue',1,'Pasningstilbud for børn 0-3 år.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (2,'Børnehave',1,'Pasningstilbud for børn 3-6 år.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (3,'Integreret Institution',1,'Pasningstilbud for børn 0-6 år.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (4,'SFO',1,'Pasnings-/fritidstilbud for skolebørn efter skoletid+ferier');
-- INSERT INTO fkg.d_5708_institution_type VALUES (5,'Fritidsklub',1,'Fritidstilbud for skolebørn 10-13 år.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (6,'Ungdomsklub',1,'Klub for store børn og unge, der er vokset fra pasningsordninger.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (7,'Folkeskole',1,'Den kommunale børneskole i Danmark, der kan består af en enårig børnehaveklasse, en niårig grundskole og en enårig tiendeklasse.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (8,'Privatskole',1,'Privatejet skole, der drives som en fri grundskole. Har gerne et religiøst, pædagogisk eller kulturelt særkende.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (9,'Friskole',1,'fri grundskole, der ud fra en særlig grundholdning, fx religiøs, giver undervisning svarende til folkeskolens krav. Friskoletanken stammer fra Grundtvig og Christen Kold.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (10,'Ungdomsskole',1,'Skoleform for unge mellem 14 og 18 år. Betegnelsen angiver nu sædvanligvis kommunale institutioner, som overvejende tilbyder undervisning i de unges fritid');
-- INSERT INTO fkg.d_5708_institution_type VALUES (11,'Efterskole',1,'speciel dansk skoleform for unge mellem 14 og 18 år');
-- INSERT INTO fkg.d_5708_institution_type VALUES (12,'Plejecentre',1,'');
-- INSERT INTO fkg.d_5708_institution_type VALUES (13,'Pleje- og ældreboliger',1,'Boliger for personer, oftest ældre, der ikke kan klare sig i eget hjem eller i en ældrebolig. Indtil 2005 betegnet plejehjem');
-- INSERT INTO fkg.d_5708_institution_type VALUES (14,'Handicaptilbud',1,'Boliger til handicappende personer der ikke kan bor alene.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (15,'Psykiatritilbud',1,'Boliger til psykiske syge personer, der ikke kan bor alene.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (16,'Handicap og psykiatri',1,'Boliger til psykiske syge og handicappende personer, der ikke kan bor alene.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (17,'Rådhus',1,'Et rådhus er en bygning for centraladministrationen i en kommune, hvor blandt andet kommunalbestyrelsen holder til');
-- INSERT INTO fkg.d_5708_institution_type VALUES (18,'Borgerservice',1,'Borgerens indgang til den offentlige sektor.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (19,'Bibliotek',1,'Bibliotek er en samling af bøger, håndskrifter og andet referencemateriale (kort, film, bånd, etc.) og stedet, hvor disse opbevares.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (20,'Tandpleje',1,'Tandpleje (gratis tandlægebesøg) for børn og unge under 18 år.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (21,'Medborgerhus',1,'Et medborgerhus er en betegnelse for en kulturinstitution, der står til rådighed for en by eller en egns befolkning i f.m. kultur-, forenings - og fritidstilbud. Begrebet Medborgerhus kan relateres til det mere historiske begreb forsamlingshuset, når vi skuer baggrund – og begrebet kulturhus, når vi ser fremefter. Hjemsted for en stor del af kommunens foreningsliv. Udlåner/udlejer lokaler til f.eks. møder, foredrag og kurser');
-- INSERT INTO fkg.d_5708_institution_type VALUES (22,'Kulturhus',1,'En samling af forskellige faciliteter under samme tag. F.eks. musiksteder, biografer, foreninger, idrætsfaciliteter, restaurenter, koncertsale, teater, børnekultur, danseforestillinger, møder, lokale foreninger, motionsfaciliteter, markeder, udstillingslokaler, kreative værksteder m.v.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (23,'Specialskole',1,'En specialskole er en skole for elever, som vurderes ikke at ville kunne følge den normale undervisning i folkeskolen. Eksempler på sådanne elever er døve eller blinde elever, samt elever med autisme, ADHD eller lignende handicaps.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (24,'Musikskole',1,'På en musikskole undervises elever i musikalsk teori (som fx noder og toner) og i at bruge et eller flere musikinstrumenter.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (25,'Højskole',1,'Folkehøjskoler var oprindeligt skoler for voksne mænd og kvinder, hvor der blev givet en undervisning, som tog sigte på at gøre dem til gode statsborgere. Med tiden er fokus blevet mere på personlig udvikling, og ofte specialiserer de enkelte skoler sig særligt i dele af dette.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (26,'Produktionsskole',1,'Produktionsskolen er et praktisk uddannelsestilbud, baseret på værkstedundervisning');
-- INSERT INTO fkg.d_5708_institution_type VALUES (27,'Naturskole',1,'En skole der supplere folkeskolens undervisning, så børn og unge gennem egne oplevelser får indblik i sammenhænge i naturen og dermed øget ansvarsbevi dsthed over for natur og miljø.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (28,'Gymnasium',1,'Gymnasium, almendannende og dermed studieforberedende ungdomsuddannelse. Siden 1903 har betegnelsen været brugt om de tre skoleår forud for studentereksamen.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (29,'Universitet',1,'Universitet, højeste læreanstalt for uddannelse og forskning. Et universitet defineres traditionelt som en institution, der har stor faglig bredde og rummer fag inden for de humanistiske, teologiske, juridiske, samfunds-, sundheds- og naturvidenskabelige discipliner.');
-- INSERT INTO fkg.d_5708_institution_type VALUES (98,'Øvrige institutioner og tilbud',1,'Andre typer institutioner.');
-- SELECT * FROM d_5708_institution_type;

-- Tema udgået v. 2.4
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (1,'Børne',1,'Børnedistrikter');
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (2,'Dagpleje',1,'Dagplejedistrikter');
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (3,'Klub',1,'Klubdistrikter');
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (4,'Plejegruppe',1,'Plejegruppedistrikter');
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (5,'Skole',1,'Skoledistrikter');
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (6,'Social',1,'Socialdistrikter');
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (7,'SSP',1,'SSP-distrikter');
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (8,'Sundhedsplejerske',1,'Sundhedsplejerskedistrikter');
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (9,'Ældre',1,'Ældredistrikter');
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (10,'Ejendomsdrift',1,'Ejendomsdriftsdistrikter');
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (11,'Basisdistrikt',1,'Basis- eller statistikdistrikter');
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (98,'Andet',1,'Andre distrikter');
-- INSERT INTO fkg.d_5709_distrikt_type VALUES (99,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_5709_distrikt_type;


INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (1,'Børne',1,'Børnedistrikter');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (2,'Dagpleje',1,'Dagplejedistrikter');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (3,'Klub',1,'Klubdistrikter');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (4,'-',0,'-');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (5,'Skole',1,'Skoledistrikter');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (6,'-',0,'-');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (7,'SSP',1,'SSP-distrikter');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (8,'-',0,'-');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (9,'-',0,'-');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (10,'-',0,'-');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (11,'-',0,'-');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (12,'SFO',1,'SFO-distrikter');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (98,'Andet',1,'Andre distrikter');
INSERT INTO fkg.d_5710_udd_distrikt_type VALUES (99,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_5710_udd_distrikt_type;


INSERT INTO fkg.d_5711_an_distrikt_type VALUES (1,'-',0,'-');
INSERT INTO fkg.d_5711_an_distrikt_type VALUES (2,'-',0,'-');
INSERT INTO fkg.d_5711_an_distrikt_type VALUES (3,'-',0,'-');
INSERT INTO fkg.d_5711_an_distrikt_type VALUES (4,'-',0,'-');
INSERT INTO fkg.d_5711_an_distrikt_type VALUES (5,'-',0,'-');
INSERT INTO fkg.d_5711_an_distrikt_type VALUES (6,'Social',1,'Socialdistrikter');
INSERT INTO fkg.d_5711_an_distrikt_type VALUES (7,'-',0,'-');
INSERT INTO fkg.d_5711_an_distrikt_type VALUES (8,'-',0,'-');
INSERT INTO fkg.d_5711_an_distrikt_type VALUES (9,'-',0,'-');
INSERT INTO fkg.d_5711_an_distrikt_type VALUES (10,'Ejendomsdrift',1,'Ejendomsdriftsdistrikter');
INSERT INTO fkg.d_5711_an_distrikt_type VALUES (11,'-',0,'-');
INSERT INTO fkg.d_5711_an_distrikt_type VALUES (98,'Andet',1,'Andre distrikter');
INSERT INTO fkg.d_5711_an_distrikt_type VALUES (99,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_5711_an_distrikt_type;


INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (1,'-',0,'-');
INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (2,'-',0,'-');
INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (3,'-',0,'-');
INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (4,'Plejegruppe',1,'Plejegruppedistrikter');
INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (5,'-',0,'-');
INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (6,'-',0,'-');
INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (7,'-',0,'-');
INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (8,'Sundhedsplejerske',1,'Sundhedsplejerskedistrikter');
INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (9,'Ældre',1,'Ældredistrikter');
INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (10,'-',0,'-');
INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (11,'-',0,'-');
INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (98,'Andet',1,'Andre distrikter');
INSERT INTO fkg.d_5712_plej_distrikt_type VALUES (99,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_5712_plej_distrikt_type;


INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (1,'-',0,'-');
INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (2,'-',0,'-');
INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (3,'-',0,'-');
INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (4,'-',0,'-');
INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (5,'-',0,'-');
INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (6,'-',0,'-');
INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (7,'-',0,'-');
INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (8,'-',0,'-');
INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (9,'-',0,'-');
INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (10,'-',0,'-');
INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (11,'Basisdistrikt',1,'Distrikt til beregning af befolkningsprognoser');
INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (98,'Andet',1,'Andre distrikter');
INSERT INTO fkg.d_5713_prog_distrikt_type VALUES (99,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_5713_prog_distrikt_type;


INSERT INTO fkg.d_5714_udd_institution_type VALUES (1,'Vuggestue',1,'Pasningstilbud for børn 0-3 år.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (2,'Børnehave',1,'Pasningstilbud for børn 3-6 år.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (3,'Integreret Institution',1,'Pasningstilbud for børn 0-6 år.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (4,'SFO',1,'Pasnings-/fritidstilbud for skolebørn efter skoletid+ferier');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (5,'Fritidsklub',1,'Fritidstilbud for skolebørn 10-13 år.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (6,'Ungdomsklub',1,'Klub for store børn og unge, der er vokset fra pasningsordninger.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (7,'Folkeskole',1,'Den kommunale børneskole i Danmark, der kan består af en enårig børnehaveklasse, en niårig grundskole og en enårig tiendeklasse.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (8,'Privatskole',1,'Privatejet skole, der drives som en fri grundskole. Har gerne et religiøst, pædagogisk eller kulturelt særkende.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (9,'Friskole',1,'fri grundskole, der ud fra en særlig grundholdning, fx religiøs, giver undervisning svarende til folkeskolens krav. Friskoletanken stammer fra Grundtvig og Christen Kold.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (10,'Ungdomsskole',1,'Skoleform for unge mellem 14 og 18 år. Betegnelsen angiver nu sædvanligvis kommunale institutioner, som overvejende tilbyder undervisning i de unges fritid');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (11,'Efterskole',1,'speciel dansk skoleform for unge mellem 14 og 18 år');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (12,'-',0,'-');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (13,'-',0,'-');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (14,'-',0,'-');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (15,'-',0,'-');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (16,'-',0,'-');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (17,'-',0,'-');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (18,'-',0,'-');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (19,'-',0,'-');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (20,'-',0,'-');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (21,'-',0,'-');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (22,'-',0,'-');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (23,'Specialskole',1,'En specialskole er en skole for elever, som vurderes ikke at ville kunne følge den normale undervisning i folkeskolen. Eksempler på sådanne elever er døve eller blinde elever, samt elever med autisme, ADHD eller lignende handicaps.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (24,'Musikskole',1,'På en musikskole undervises elever i musikalsk teori (som fx noder og toner) og i at bruge et eller flere musikinstrumenter.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (25,'Højskole',1,'Folkehøjskoler var oprindeligt skoler for voksne mænd og kvinder, hvor der blev givet en undervisning, som tog sigte på at gøre dem til gode statsborgere. Med tiden er fokus blevet mere på personlig udvikling, og ofte specialiserer de enkelte skoler sig særligt i dele af dette.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (26,'Produktionsskole',1,'Produktionsskolen er et praktisk uddannelsestilbud, baseret på værkstedundervisning');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (27,'Naturskole',1,'En skole der supplere folkeskolens undervisning, så børn og unge gennem egne oplevelser får indblik i sammenhænge i naturen og dermed øget ansvarsbevidsthed over for natur og miljø.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (28,'Gymnasium',1,'Gymnasium, almendannende og dermed studieforberedende ungdomsuddannelse. Siden 1903 har betegnelsen været brugt om de tre skoleår forud for studentereksamen.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (29,'Universitet',1,'Universitet, højeste læreanstalt for uddannelse og forskning. Et universitet defineres traditionelt som en institution, der har stor faglig bredde og rummer fag inden for de humanistiske, teologiske, juridiske, samfunds-, sundheds- og naturvidenskabelige discipliner.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (98,'Øvrige institutioner og tilbud',1,'Andre typer institutioner.');
INSERT INTO fkg.d_5714_udd_institution_type VALUES (99,'Ukendt',1,'Ukendt institutiostype.');
-- SELECT * FROM d_5714_udd_institution_type;


INSERT INTO fkg.d_5715_botilbud_type VALUES (1,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (2,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (3,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (4,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (5,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (6,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (7,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (8,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (9,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (10,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (11,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (12,'Plejecentre',1,'Botilbud for alment svækkede borgere');
INSERT INTO fkg.d_5715_botilbud_type VALUES (13,'Pleje- og ældreboliger',1,'Boliger for personer, oftest ældre, der ikke kan klare sig i eget hjem eller i en ældrebolig. Indtil 2005 betegnet plejehjem');
INSERT INTO fkg.d_5715_botilbud_type VALUES (14,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (15,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (16,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (17,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (18,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (19,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (20,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (21,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (22,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (23,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (24,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (25,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (26,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (27,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (28,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (29,'-',0,'-');
INSERT INTO fkg.d_5715_botilbud_type VALUES (30,'Børnehjem',1,'Botilbud for børn og unge (0 – 17 årige). Der bor flere beboere på botilbuddet');
INSERT INTO fkg.d_5715_botilbud_type VALUES (31,'Pleje familie',1,'Botilbud for børn og unge (0 – 17 årige). Der bor typisk 1 – 2 anbragt børn eller unge.');
INSERT INTO fkg.d_5715_botilbud_type VALUES (32,'Særligt botilbud',1,'Botilbud tilpasset borgere medsærligt behov. Botilbuddet kan f.eks. være rettet med autister, blinde, psykisk syge mv.');
INSERT INTO fkg.d_5715_botilbud_type VALUES (33,'Genoptræningscenter',1,'Botilbud rettet mod genoptræning til eget hjem. Beboer har typisk ikke CPR-adresse på tilbuddet.');
INSERT INTO fkg.d_5715_botilbud_type VALUES (34,'Hospital',1,'Botilbud rettet mod behandling af psykiske eller fysisk sygdom. Beboer har typisk ikke CPR-adresse på tilbuddet.');
INSERT INTO fkg.d_5715_botilbud_type VALUES (35,'Fængsel',1,'Botilbud oprettet i henhold til retsplejeloven Gruppen omfatter også sikringsanstalter.');
INSERT INTO fkg.d_5715_botilbud_type VALUES (36,'Hospice',1,'Botilbud rettet mod terminal behandling af døende borgere');
INSERT INTO fkg.d_5715_botilbud_type VALUES (37,'Herberg',1,'Botilbud rettet mod hjemløse');
INSERT INTO fkg.d_5715_botilbud_type VALUES (98,'Øvrige botilbud',1,'Andre botilbud');
INSERT INTO fkg.d_5715_botilbud_type VALUES (99,'Ukendt',1,'Ukendt botilbudstype');
-- SELECT * FROM d_5715_botilbud_type;


INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (1,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (2,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (3,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (4,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (5,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (6,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (7,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (8,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (9,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (10,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (11,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (12,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (13,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (14,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (15,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (16,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (17,'Rådhus',1,'Et rådhus er en bygning for centraladministrationen i en kommune, hvor blandt andet kommunalbestyrelsen holder til');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (18,'Borgerservice',1,'Borgerens indgang til den offentlige sektor.');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (19,'Bibliotek',1,'Bibliotek er en samling af bøger, håndskrifter og andet referencemateriale (kort, film, bånd, etc.) og stedet, hvor disse opbevares.');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (20,'Tandpleje',1,'Tandpleje (gratis tandlægebesøg) for børn og unge under 18 år');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (21,'Medborgerhus',1,'Et medborgerhus er en betegnelse for en kulturinstitution, der står til rådighed for en by eller en egns befolkning i f.m. kultur-, forenings- og fritidstilbud. Begrebet Medborgerhus kan relateres til det mere historiske begreb forsamlingshuset, når vi skuer baggrund – og begrebet kulturhus, når vi ser fremefter. Hjemsted for en stor del af kommunens foreningsliv. Udlåner/udlejer lokaler til f.eks. møder, foredrag og kurser');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (22,'Kulturhus',1,'En samling af forskellige faciliteter under samme tag. F.eks. musiksteder, biografer, foreninger, idrætsfaciliteter, restaurenter, koncertsale, teater, børnekultur, danseforestillinger, møder, lokale foreninger, motionsfaciliteter, markeder, udstillingslokaler, kreative værksteder m.v.');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (23,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (24,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (25,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (26,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (27,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (28,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (29,'-',0,'-');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (98,'Øvrige tilbud',1,'Andet');
INSERT INTO fkg.d_5716_Servicetilbud_type VALUES (99,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_5716_Servicetilbud_type;


INSERT INTO fkg.d_5800_facilitet VALUES (1,'Toilet',1,'WC i bygning, der er åbent for offentligheden.');
INSERT INTO fkg.d_5800_facilitet VALUES (2,'Bålplads',1,'Sted hvor der må/kan tændes bål. Typiske med en række mark sten rundt om til afgrænsning.');
INSERT INTO fkg.d_5800_facilitet VALUES (3,'Fugletårn',1,'Fugletårn er en indretning rejst ved en fuglelokalitet for at give offentligheden udsyn til områdets fugleliv samtidig som at observatørerne skjules således at fuglene ikke forstyrres.');
INSERT INTO fkg.d_5800_facilitet VALUES (4,'Shelter',1,'En lav træbarak, traditionelt åben på den ene langside, gulvet hævet ca. 0,5 m over jorden og stort tagudhæng, således at man er relativt beskyttet mod regn.');
INSERT INTO fkg.d_5800_facilitet VALUES (5,'Kanorasteplads',1,'Rasteplads til mennesker der sejler i kanoer.');
INSERT INTO fkg.d_5800_facilitet VALUES (6,'Udsigtspunkt',1,'Punkt med en god udsigt. Ofte på toppen af en høj eller skrænt. Kan også være fra en bygning.');
INSERT INTO fkg.d_5800_facilitet VALUES (7,'Kano overnatningsplads',1,'Kanorasteplads til kanofarer, med mulighed for overnatning.');
INSERT INTO fkg.d_5800_facilitet VALUES (8,'Bestig Bjerge',1,'Lokalitet der indgår i www.BestigBjerge.dk projektet. På www.bestigbjerge.dk kan man få information om de danske bjergtoppe og hvordan man bestiger dem. Bør i fremtiden erstattes af WFS fra Naturstyrelsens Udinaturen.dk');
INSERT INTO fkg.d_5800_facilitet VALUES (101,'Fiskesø',1,'Put&take sø. Sted hvor man kan købe dagskort til at fiske efter udsatte fisk. Mest ørred.');
INSERT INTO fkg.d_5800_facilitet VALUES (102,'Rekreativt naturområde',1,'Naturområde hvor borgere kan opholde sig og rekreere');
INSERT INTO fkg.d_5800_facilitet VALUES (103,'Park',1,'Grønt byområde anlagt med en blanding af buske, træer, blomster og græs.');
INSERT INTO fkg.d_5800_facilitet VALUES (104,'Boldbane',1,'Baner indrettet til boldspil');
INSERT INTO fkg.d_5800_facilitet VALUES (105,'Tennisanlæg',1,'Baner indrettet til at spille tennis på');
INSERT INTO fkg.d_5800_facilitet VALUES (106,'Idrætshal',1,'Kaldes også for sportshal. Stor hal hvor i der kan dyrkes en eller flere former for fysisk sport.');
INSERT INTO fkg.d_5800_facilitet VALUES (107,'Svømmehal',1,'Opvarmet svømmebassin inde i en bygning.');
INSERT INTO fkg.d_5800_facilitet VALUES (108,'Idrætsanlæg',1,'Bane hvor på der kan dyrkes en eller flere former for fysisk sport.');
INSERT INTO fkg.d_5800_facilitet VALUES (109,'Golfbane',1,'En golfbane er et idrætsanlæg, hvorpå man spiller golf. Den består af et antal huller, oftest 18, men for mindre baners vedkommende 9, mens store baner kan have 27 eller 36 huller.');
INSERT INTO fkg.d_5800_facilitet VALUES (110,'Cykelbane',1,'Bane indrettet til at cykle på.');
INSERT INTO fkg.d_5800_facilitet VALUES (111,'Agilitybane',1,'Agilitybane er en hundesport sbane, hvor hundene skal tage en række forhindringer korrekt og i den rette rækkefølge.');
INSERT INTO fkg.d_5800_facilitet VALUES (112,'Biograf',1,'En biograf er et sted, sædvanligvis en bygning, hvor man fremviser film. Filmen vises på et hvidt lærred ved hjælp af enprojektor. Filmen kan enten være som celluloidstrimmel ell er i digitalt format.');
INSERT INTO fkg.d_5800_facilitet VALUES (113,'Museum',1,'Museum er en permanent institution med almennyttigt formål (non-profit), der virker for samfundet og dets udvikling, er åben for offentligheden, og som forsker i, indsamler, bevarer, formidler og udstiller materielle vidnesbyrd om mennesket og dets omgivelser i studie-, uddannelses- og adspredelsesøjemed.');
INSERT INTO fkg.d_5800_facilitet VALUES (114,'Teater',1,'Skuespillerhus/bygning.');
INSERT INTO fkg.d_5800_facilitet VALUES (115,'Feriecenter',1,'Et feriecenter er et overnatningssted, der tilbyder en ferieform, der kombinerer elementer fra den traditionelle danske sommerhusferie med aktivitetsmuligheder for hele familien. Et typisk feriecenter består af en samling ferielejligheder, der danner rammen om familiens ophold på feriecenteret, samt en række fælles faciliteter, hvor der tilbydes en bred vifte af aktiviteter.');
INSERT INTO fkg.d_5800_facilitet VALUES (116,'Forlystelsesanlæg',1,'En park med flere aktivitetsmuligheder for hele familien.');
INSERT INTO fkg.d_5800_facilitet VALUES (117,'Legeplads',1,'En legeplads er et afgrænset sted udendørs, som er tilrettelagt for at børn kan lege der.');
INSERT INTO fkg.d_5800_facilitet VALUES (118,'Modelflyveplads',1,'”Lufthavn” for modelflyvere.');
INSERT INTO fkg.d_5800_facilitet VALUES (119,'Forsamlingshus',1,'Et forsamlingshus er byens kulturhus og mødested.');
INSERT INTO fkg.d_5800_facilitet VALUES (120,'Badestrand',1,'Sandbadestrand i saltvand');
INSERT INTO fkg.d_5800_facilitet VALUES (121,'Søbad',1,'Badested (bro/strand) i ferskvand/en sø.');
INSERT INTO fkg.d_5800_facilitet VALUES (122,'Naturlegeplads',1,'Legeplads ude i naturen typisk bygget med naturens egne matrialer. Træstammer og sten m.v.');
INSERT INTO fkg.d_5800_facilitet VALUES (123,'Bådplads',1,'Fortøjningssted til både/joller.');
INSERT INTO fkg.d_5800_facilitet VALUES (124,'Teltplads',1,'Sted til at slå telt op for overnatning.');
INSERT INTO fkg.d_5800_facilitet VALUES (125,'Campingplads',1,'Overnatningssted til campingvogne og telte.');
INSERT INTO fkg.d_5800_facilitet VALUES (126,'Skøjtebane',1,'Bane til skøjteløb om vinteren på søer eller kunstige isbaner i byer både indendørs og udendørs. Normalt i en tidsbegrænset periode.');
INSERT INTO fkg.d_5800_facilitet VALUES (127,'Friluftsbad',1,'Badebassin der ikke er overdækket/indendørs');
INSERT INTO fkg.d_5800_facilitet VALUES (128,'Hytter og Lejrskoler',1,'Udlejningshytter med plads til mange. Typiske med sovesale og storkøkken.');
INSERT INTO fkg.d_5800_facilitet VALUES (129,'Minigolfbane',1,'Anlæg til at spilde minigolf på, hvor banelængende normalt er under 10 m.');
INSERT INTO fkg.d_5800_facilitet VALUES (130,'Foreningshus',1,'Hus der huser en række forskellige foreninger.');
INSERT INTO fkg.d_5800_facilitet VALUES (131,'Flugtskydningsbane',1,'Lerdueskydningsbane');
INSERT INTO fkg.d_5800_facilitet VALUES (132,'Kort- eller langdistance bane',1,'Skydebaneanlæg med forskellige distancer. F.eks. 15 og 50 meter (kortbane), og 200 og 300 meter (Langdistance).');
INSERT INTO fkg.d_5800_facilitet VALUES (133,'Motorsportsbane',1,'Bane hvor der udøves motorsport');
INSERT INTO fkg.d_5800_facilitet VALUES (134,'Svømmebad',1,'Åbent eller overdækket svømmebassin, friluftsbad.');
INSERT INTO fkg.d_5800_facilitet VALUES (135,'Badeområde',1,'Det område der benyttes til badning bl.a. flade fra blåflag.');
INSERT INTO fkg.d_5800_facilitet VALUES (136,'Badefacilitet',1,'Faciliteter til blåflag badestrande');
INSERT INTO fkg.d_5800_facilitet VALUES (137,'Rostadion',1,'Område på sø til konkurrence roning.');
INSERT INTO fkg.d_5800_facilitet VALUES (138,'Kanosejlads tilladt',1,'');
INSERT INTO fkg.d_5800_facilitet VALUES (139,'Spejderhytte',1,'');
INSERT INTO fkg.d_5800_facilitet VALUES (140,'Skydeanlæg',1,'');
INSERT INTO fkg.d_5800_facilitet VALUES (141,'Pentanquebane',1,'');
INSERT INTO fkg.d_5800_facilitet VALUES (142,'Skaterbane',1,'');
INSERT INTO fkg.d_5800_facilitet VALUES (143,'Tennishal',1,'');
INSERT INTO fkg.d_5800_facilitet VALUES (144,'Rideanlæg',1,'');
INSERT INTO fkg.d_5800_facilitet VALUES (145,'Sejlsports- og roklub',1,'');
INSERT INTO fkg.d_5800_facilitet VALUES (198,'Andet',1,'Hvor andre facilitetsbetegnelser ikke er dækkende.');
INSERT INTO fkg.d_5800_facilitet VALUES (199,'Ukendt',1,'Mangler viden om typen.');
-- SELECT * FROM d_5800_facilitet;


INSERT INTO fkg.d_5802_facilitet VALUES (1,'skirute',1,'Skiløberute på uafmærkede ruter i naturen.');
INSERT INTO fkg.d_5802_facilitet VALUES (2,'løberute',1,'Løberute på uafmærkede ruter langs veje og i naturen.');
INSERT INTO fkg.d_5802_facilitet VALUES (98,'Andet',1,'Hvor andre facilitetsbetegnelser ikke er dækkende.');
INSERT INTO fkg.d_5802_facilitet VALUES (99,'Ukendt',1,'Mangler viden om typen.');
-- SELECT * FROM d_5802_facilitet;


INSERT INTO fkg.d_5901_gravestatus VALUES (1,'Gravearbejde søgt',1,'Ansøgt men ikke tilladelse.');
INSERT INTO fkg.d_5901_gravestatus VALUES (2,'Gravearbejde givet',1,'Tilladelse givet');
INSERT INTO fkg.d_5901_gravestatus VALUES (4,'Gravearbejde af sluttet - ikke reetableret',1,'Gravearbejdet afsluttet, men reetablering ikke færdig.');
INSERT INTO fkg.d_5901_gravestatus VALUES (5,'Reetableret',1,'Reetableret i sin endelige status/udformning');
INSERT INTO fkg.d_5901_gravestatus VALUES (8,'Andet',1,'Andet');
INSERT INTO fkg.d_5901_gravestatus VALUES (9,'Ukendt',1,'Mangler viden');
-- SELECT * FROM d_5901_gravestatus;


INSERT INTO fkg.d_5901_raastof_type VALUES (1,'Sand',1,'En jordtype, der består af partikler, som har en diameter mellem 0,002/0,06 og 2 mm.');
INSERT INTO fkg.d_5901_raastof_type VALUES (2,'Grus',1,'En blanding af sten og sand og kan bredt defineret dække jordpartikler med en diameter mellem 2 og 20mm.');
INSERT INTO fkg.d_5901_raastof_type VALUES (3,'Tørv',1,'Tørv fra moser er en særlig jordart, der er opstået ved, at nedbrydningen af plantemateriale er standset ved oversvømmelse/iltmangel.');
INSERT INTO fkg.d_5901_raastof_type VALUES (4,'Ler',1,'En finkornet jordtype, som vægtmæssigt består af mere end 15 procent partikler med en diameter på mindre end 0,002 mm.');
INSERT INTO fkg.d_5901_raastof_type VALUES (5,'Kridt',1,'En form for kalksten, som hovedsagelig er dannet ved hærdning af slam bestående af kokkolitter og i mindre grad foraminiferer.');
INSERT INTO fkg.d_5901_raastof_type VALUES (8,'Andet',1,'Andet');
INSERT INTO fkg.d_5901_raastof_type VALUES (9,'Ukendt',1,'Mangler viden');
-- SELECT * FROM d_5901_raastof_type;


INSERT INTO fkg.d_5902_vaeske_type VALUES (1,'Ethanol',1,'Ethylalkohol (alm. sprit som det findes i øl, vin, spiritus og husholdningssprit)');
INSERT INTO fkg.d_5902_vaeske_type VALUES (2,'IPA-sprit',1,'Blandingen ethanol + isopropanol i forholdet 90:10 (altså 90% ethanol og 10% isopropanol) kaldes IPA-sprit, og bruges af nogle som erstatning for ren isopropanol');
INSERT INTO fkg.d_5902_vaeske_type VALUES (3,'Ethylenglycol',1,'HOCH2CH2OH, 1-2-ethandiol, farveløs, giftig væske, kogepunkt 197,2°C. Ethylenglycol er blandbar med vand og anvendes bl.a. som antifrostvæske til biler (en 40% vandig opløsning fryser ved —24°C).');
INSERT INTO fkg.d_5902_vaeske_type VALUES (4,'Propylenglycol',1,'Kaldes også 1,2-propandiol eller propan-1,2-diol, er et organisk stof (en diol eller dobbeltalkohol) med bruttoformlen C3H8O2 or HO-CH2-CHOH-CH3. Det er en klar, farveløs og næsten lugtløs væske med en svag, sødlig smag. Stoffet er vandsugende og lader sig blande med vand.');
INSERT INTO fkg.d_5902_vaeske_type VALUES (8,'Andet',1,'Anden frostvæske');
INSERT INTO fkg.d_5902_vaeske_type VALUES (9,'Ukendt',1,'Mangler kendskab til frostvæske');
-- SELECT * FROM d_5902_vaeske_type;


INSERT INTO fkg.d_6000_kotesystem VALUES (1,'DNN',1,'Dansk normal nul, gammelt system. Indført omkring 1910. Udfaset i 2006.');
INSERT INTO fkg.d_6000_kotesystem VALUES (2,'DVR90',1,'Dansk Vertikal Reference 1990. Indført i 2002.');
INSERT INTO fkg.d_6000_kotesystem VALUES (8,'Andet',1,'Andet');
INSERT INTO fkg.d_6000_kotesystem VALUES (9,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_6000_kotesystem;


INSERT INTO fkg.d_6003_zone_type VALUES (300,'Drikkevandsboring (300m)',1,'Vandindvindings boring, der benyttes til helt eller delvis benyttes til drikkevand - eller til noget der skal have drikkevandskvalitet.');
INSERT INTO fkg.d_6003_zone_type VALUES (150,'Anden boring (150m)',1,'Vandindvindingsboring, der ikke benyttes til drikkevand eller til noget der skal have drikkevandskvalitet.');
INSERT INTO fkg.d_6003_zone_type VALUES (50,'Almen vandforsyningsboring (50m)',1,'50 m zoner om almen vandforsyningsboring.');
INSERT INTO fkg.d_6003_zone_type VALUES (25,'Almen vandforsyningsboring (25m)',1,'25 m zoner om almen vandforsyningsboring.');
INSERT INTO fkg.d_6003_zone_type VALUES (10,'Almen vandforsyningsboring (10m)',1,'10 m zoner');
INSERT INTO fkg.d_6003_zone_type VALUES (1,'Beregnet beskyttelseszone',1,'Beskyttelseszone der er beregnet');
-- SELECT * FROM d_6003_zone_type;


INSERT INTO fkg.d_6100_brandhane VALUES (1,'A',1,'A-brandhanen er beregnet til opstilling på vandværksledninger med en vandføring på over 1.500 liter/min.');
INSERT INTO fkg.d_6100_brandhane VALUES (2,'B',1,'B-brandhanen er beregnet til opstilling på vandværksledninger med en vandføring på 800-1.500 liter/min. Den kan i øvrigt anvendes på alle vandværksledninger.');
INSERT INTO fkg.d_6100_brandhane VALUES (3,'C',1,'C-brandhanen er beregnet til opstilling på vandværksledninger med en vandføring på indtil 800 liter/min.');
INSERT INTO fkg.d_6100_brandhane VALUES (4,'Branddam',1,'Vandhul/sø hvor der kan pumpes vand op til brandslukning.');
INSERT INTO fkg.d_6100_brandhane VALUES (8,'Andet',1,'Anden type end ovenstående.');
INSERT INTO fkg.d_6100_brandhane VALUES (9,'Ukendt',1,'Mangler viden');
INSERT INTO fkg.d_6100_brandhane VALUES (11,'I',1,'<500l/min');
INSERT INTO fkg.d_6100_brandhane VALUES (12,'II',1,'< 1000');
INSERT INTO fkg.d_6100_brandhane VALUES (13,'III',1,'< 1500');
INSERT INTO fkg.d_6100_brandhane VALUES (14,'IIII',1,'> 1500');
-- SELECT * FROM d_6100_brandhane;

INSERT INTO fkg.d_6100_placering VALUES (1,'Overjordisk',1,'Normal placering – den røde i gadebilledet.');
INSERT INTO fkg.d_6100_placering VALUES (2,'Underjordisk',1,'Brandhane placeret under jorden/under dæksel.');
INSERT INTO fkg.d_6100_placering VALUES (3,'I bygning',1,'Brandhane indvendig i bygning.');
INSERT INTO fkg.d_6100_placering VALUES (8,'Andet',1,'Anden placering end ovenstående muligheder.');
INSERT INTO fkg.d_6100_placering VALUES (9,'Ukendt',1,'Mangler vide');
-- SELECT * FROM d_6100_placering;


INSERT INTO fkg.d_6101_beskyt_rum VALUES (1,'Beskyttelsesrum',1,'Beskyttelsesrum” er en betegnelse, der dækker alle typer af forstærkede rum, hvis formål er at beskytte befolkningen mod luftangreb. Benyttes her om offentlige beskyttelsesrum');
INSERT INTO fkg.d_6101_beskyt_rum VALUES (2,'Sikringsrum',1,'Et sikringsrum er et ufærdigt beskyttelsesrum, beregnet til beboere, beskæftigede samt andre personer, som opholder sig i bygningen.  Benyttes her mest om private beskyttelsesrum');
INSERT INTO fkg.d_6101_beskyt_rum VALUES (3,'Betondækningsgrav',1,'En særlig delmængde af beskyttelsesrum');
INSERT INTO fkg.d_6101_beskyt_rum VALUES (8,'Andet',1,'Hvor ovenstående typer ikke er dækkende.');
INSERT INTO fkg.d_6101_beskyt_rum VALUES (9,'Ukendt',1,'Mangler viden om typen.');
-- SELECT * FROM d_6101_beskyt_rum;


INSERT INTO fkg.d_6102_redvej_type VALUES (1,'Brandvej',1,'Adgangsvej der skal være fri passage til brandbiler m.v.');
INSERT INTO fkg.d_6102_redvej_type VALUES (2,'Flugtvej',1,'Udgang fra bygninger, som er afmærket og skal være frie.');
INSERT INTO fkg.d_6102_redvej_type VALUES (3,'Redningsvej',1,'Adgangsvej til strande m.v.');
INSERT INTO fkg.d_6102_redvej_type VALUES (8,'Andet',1,'Hvor ovenstående ikke er dækkende.');
INSERT INTO fkg.d_6102_redvej_type VALUES (9,'Ukendt',1,'Mangler viden om typen af adgangsvej');
-- SELECT * FROM d_6102_redvej_type;


INSERT INTO fkg.d_6104_risikotype VALUES (1,'Kolonne 2 virksomhed',1,'virksomheder med lidt mindre oplag af farlige stoffer end kolonne 3 virksomheder');
INSERT INTO fkg.d_6104_risikotype VALUES (2,'Kolonne 3 virksomhed',1,'virksomheder med meget store oplag af farlige stoffer');
INSERT INTO fkg.d_6104_risikotype VALUES (3,'Brandsynspligtige virksomhed',1,'1) Brandfarlige virksomheder og oplag m.v., der er omfattet af § 34 i beredskabsloven.\n2) Bygninger, m.v., der er omfattet af § 35, stk. 1 og 3, i beredskabsloven.\n3) Fredede bygninger, bortset fra statuer, mindestøtter, springvand, hegnsmure og lignende.'); 
INSERT INTO fkg.d_6104_risikotype VALUES (8,'Andet',1,'Hvis ovenstående ikke dækker.'); 
INSERT INTO fkg.d_6104_risikotype VALUES (9,'Ukendt',1,'Hvis der mangler viden om hvilket anlæg der er tale om.');
-- SELECT * FROM d_6104_risikotype;


INSERT INTO fkg.d_6104_brandhaem VALUES (1,'Automatisk brandalarm',1,'Anlæg der automatiske opdager brand.');
INSERT INTO fkg.d_6104_brandhaem VALUES (2,'Brandhæmmende gas',1,'Gas der kvæler ilden ved at reducere iltindholdet i luften og nedkøle. Hvis denne indgår i en kombination vælges denne.');
INSERT INTO fkg.d_6104_brandhaem VALUES (3,'Sprinkleranlæg',1,'Anlæg der sprøjter ud over rummet/inde i bygningen det er opsat i. Hvis der også der automatisk brandalarm, så vælge denne.');
INSERT INTO fkg.d_6104_brandhaem VALUES (8,'Andet',1,'Hvis ovenstående ikke dækker.');
INSERT INTO fkg.d_6104_brandhaem VALUES (9,'Ukendt',1,'Hvis der mangler viden om hvilket anlæg der er tale om.');
-- SELECT * FROM d_6104_brandhaem;


INSERT INTO fkg.d_6111_tilladelse VALUES (1,'Salg',1,'Hvor der er givet tilladelse til salg af fyrværkeri til privat personer, men ikke oplag.');
INSERT INTO fkg.d_6111_tilladelse VALUES (2,'Oplag',1,'Hvor der er givet tilladelse til oplag af fyrværkeri, men ikke salg til privat personer.');
INSERT INTO fkg.d_6111_tilladelse VALUES (3,'Salg og oplag',1,'Hvor der både må sælges og have oplag af fyrværkeri.');
INSERT INTO fkg.d_6111_tilladelse VALUES (8,'Andet',1,'Hvor ovenstående ikke dækker, men der er behov for at kunne registrere noget.');
INSERT INTO fkg.d_6111_tilladelse VALUES (9,'Ukendt',1,'I tilfældet af det er ukendt/uklart hvad der er givet tilladelse til. Bør kun være historiske registreringer.');
-- SELECT * FROM d_6111_tilladelse;


INSERT INTO fkg.d_6112_depottype VALUES (1,'Forurenet jord',1,'Jord som er gravet op for at fjerne forurenet jord fra en grund.');
INSERT INTO fkg.d_6112_depottype VALUES (2,'Oprensningsjord mv. fra akut forurening',1,'Jord der er gravet for at begrænse skader virkningerne ved en akut forurening');
INSERT INTO fkg.d_6112_depottype VALUES (3,'Slam mv. til udbringning',1,'Spildevandsslam m.v. som opbevares alene med henblik på udbringning.');
INSERT INTO fkg.d_6112_depottype VALUES (8,'Andet',1,'Hvis ovenstående ikke er dækkende.');
INSERT INTO fkg.d_6112_depottype VALUES (9,'Ukendt',1,'Hvis det er uklart/ukendt hvad depotet er blevet brugt til.');
-- SELECT * FROM d_6112_depottype;


INSERT INTO fkg.d_6115_afbr_type VALUES (1,'Afbrænding forbudt',1,'Afbrænding forbudt');
INSERT INTO fkg.d_6115_afbr_type VALUES (2,'Afbrændingsforbud jf. afbrændingsbekendtgørelsen',1,'Afbrænding forbudt som følge af afbrændingsbekendtgørelsen (miljø)');
INSERT INTO fkg.d_6115_afbr_type VALUES (3,'Afbrænding tilladt',1,'Afbrænding tilladt');
-- SELECT * FROM d_6115_afbr_type;


INSERT INTO fkg.d_6116_strandtype VALUES (1,'Sandstrand',1,'Kyst med sandstrand');
INSERT INTO fkg.d_6116_strandtype VALUES (2,'Stenstrand',1,'Kyst med stenstrand');
INSERT INTO fkg.d_6116_strandtype VALUES (3,'Strandeng og Marsk',1,'Kyst med strandeng eller marsk');
INSERT INTO fkg.d_6116_strandtype VALUES (4,'Klippekyst, (høfte og mole)',1,'Kyst med klipper, høfter eller mole.');
INSERT INTO fkg.d_6116_strandtype VALUES (5,'Klint og skrænt',1,'Kyst med klint eller skrænt');
INSERT INTO fkg.d_6116_strandtype VALUES (6,'Ø og holm',1,'Lille ø eller holm');
INSERT INTO fkg.d_6116_strandtype VALUES (7,'Opsamlingsdepot',1,'Depot mulighed i forbindelse med opsamling af olieforurening.');
INSERT INTO fkg.d_6116_strandtype VALUES (8,'Andet',1,'Anden strandtype');
INSERT INTO fkg.d_6116_strandtype VALUES (9,'Ukendt',1,'Mangler kendskab til strandtype');
-- SELECT * FROM d_6116_strandtype;


INSERT INTO fkg.d_6116_esi_klasse VALUES (1,'Udsatte stejle klippekyster samt lodrette menneskeskabte konstruktioner',1,'');
INSERT INTO fkg.d_6116_esi_klasse VALUES (2,'Udsatte klippeskær og klippeflader',1,'');
INSERT INTO fkg.d_6116_esi_klasse VALUES (3,'Finkornet sandstrand',1,'');
INSERT INTO fkg.d_6116_esi_klasse VALUES (4,'Grovkornede sandstrande',1,'');
INSERT INTO fkg.d_6116_esi_klasse VALUES (5,'Blandede sand- og stenstrande',1,'');
INSERT INTO fkg.d_6116_esi_klasse VALUES (6,'Stenstrande og høfder, stenmoler og kystforstærkninger',1,'');
INSERT INTO fkg.d_6116_esi_klasse VALUES (7,'Udsatte tidevandsflader',1,'');
INSERT INTO fkg.d_6116_esi_klasse VALUES (8,'Beskyttede klippekyster, sten og uigennemtrængelige menneskeskabte konstruktioner(moler, kajer m.m.)',1,'');
INSERT INTO fkg.d_6116_esi_klasse VALUES (9,'Beskyttede tidevandsområder og strande med højt organisk indhold',1,'');
INSERT INTO fkg.d_6116_esi_klasse VALUES (10,'Strandengs- og marskområder',1,'');
INSERT INTO fkg.d_6116_esi_klasse VALUES (98,'Andet',1,'Anden strandtype');
INSERT INTO fkg.d_6116_esi_klasse VALUES (99,'Ukendt',1,'Mangler kendskab til strandtype');
-- SELECT * FROM d_6116_esi_klasse;


INSERT INTO fkg.d_6117_indsatstype VALUES (1,'Regnvandsbassin ej tildelt type',1,'Regnvandsbassin ikke typeopdelt');
INSERT INTO fkg.d_6117_indsatstype VALUES (2,'Regnvandsbassin afspærringspunkt type 1',1,'');
INSERT INTO fkg.d_6117_indsatstype VALUES (3,'Regnvandsbassin afspærringspunkt type 2',1,'');
INSERT INTO fkg.d_6117_indsatstype VALUES (4,'Regnvandsbassin afspærringspunkt type 3',1,'');
INSERT INTO fkg.d_6117_indsatstype VALUES (5,'Regnvandsudløb ej tildelt type',1,'Udløb af en regnvandsledning ikke typeopdelt');
INSERT INTO fkg.d_6117_indsatstype VALUES (6,'Regnvandsudløb uden forsinkelse type 1',1,'');
INSERT INTO fkg.d_6117_indsatstype VALUES (7,'Regnvandsudløb uden forsinkelse type 2',1,'');
INSERT INTO fkg.d_6117_indsatstype VALUES (8,'Vandløb afspærringspunkt ej tildelt type',1,'Godt punkt i vandløbet til oprensning af akut forurening ikke typeopdelt');
INSERT INTO fkg.d_6117_indsatstype VALUES (9,'Vandløb afspærringspunkt type 1',1,'');
INSERT INTO fkg.d_6117_indsatstype VALUES (10,'Vandløb afspærringspunkt type 2',1,'');
INSERT INTO fkg.d_6117_indsatstype VALUES (11,'Vandløb afspærringspunkt type 3',1,'');
INSERT INTO fkg.d_6117_indsatstype VALUES (12,'Vandløb afspærringspunkt type 4',1,'');
INSERT INTO fkg.d_6117_indsatstype VALUES (13,'Vej krydser vandløb, åbent',1,'Vejmidte og vandløbsmidte, åbent krydser hinanden eller er tættere end 5 meter');
INSERT INTO fkg.d_6117_indsatstype VALUES (14,'Vej krydser vandløb, rørlagt',1,'Vejmidte og vandløbsmidte, rørlagt krydser hinanden eller er tættere end 5 meter');
INSERT INTO fkg.d_6117_indsatstype VALUES (15,'Brønd rørlagt vandløb',1,'Fritliggende brønddæksel til et rørlagt vandløb');
INSERT INTO fkg.d_6117_indsatstype VALUES (16,'Stigerør',1,'Fast rør installation i eller ved en bygning/område, som gør det muligt hurtigt og sikkert at få bragt slukningsvand frem til faste aftapningssteder');
INSERT INTO fkg.d_6117_indsatstype VALUES (98,'Andet ',1,'Andet');
INSERT INTO fkg.d_6117_indsatstype VALUES (99,'Ukendt',1,'Manglende viden');
-- SELECT * FROM d_6117_indsatstype;


INSERT INTO fkg.d_6118_brand_redarea_type VALUES (1,'Brandvej',1,'Adgangsvej der skal være fri passage til brandbiler m.v.');
INSERT INTO fkg.d_6118_brand_redarea_type VALUES (2,'-',0,'-');
INSERT INTO fkg.d_6118_brand_redarea_type VALUES (3,'-',0,'-');
INSERT INTO fkg.d_6118_brand_redarea_type VALUES (4,'Redningsareal',1,'Krav i bygningsreglement (Energistyrelsen) areal hvor der kan sættes en 30 m drejestige op – det er krav hvor bygninger er mere en 9,6 m over terræn svarende til mere end tre etager.');
INSERT INTO fkg.d_6118_brand_redarea_type VALUES (8,'Andet',1,'Hvor ovenstående ikke er dækkende.');
INSERT INTO fkg.d_6118_brand_redarea_type VALUES (9,'Ukendt',1,'Mangler viden om typen af adgangsvej');
-- SELECT * FROM d_6118_brand_redarea_type;


INSERT INTO fkg.d_6200_geologi VALUES (1,'A Moræne',1,'Er jord og løse klippestykker, der er blevet efterladt af en gletsjer.');
INSERT INTO fkg.d_6200_geologi VALUES (2,'B Bakke ø',1,'En morænebakke som er dannet under næstsidste istid (Saale), og som rager op over det omgivende flade land.');
INSERT INTO fkg.d_6200_geologi VALUES (3,'C Randmoræne',1,'En endemoræne, er en voldformet moræne opstået foran en gletsjer.');
INSERT INTO fkg.d_6200_geologi VALUES (4,'D Dødis',1,'Ved tilbagerykning af en gletcher kan større isstykker brække af, som derved efterlades som dødis. Efterhånden som dødisen smelter sænkes den samlede landskabsoverflade i dødislandskabet. Aflejringerne er meget rodede på grund af, at frosne jordmasser smelter fri, brækker af og flyder mod lavere områder. Der efterlades et landskab med dødisrelief i form af vandfyldte dødishuller og afløbsløse lavninger. Disse fremstår i dag som områder præget af søer og moser.');
INSERT INTO fkg.d_6200_geologi VALUES (5,'E Tunneldal',1,'opstår når floder af smeltevand eroderer landskabet under en gletsjer eller under Istidens islag i Danmark.');
INSERT INTO fkg.d_6200_geologi VALUES (6,'F Ås',1,'Aflang bakke, typisk bestående af lagdelt sand og grus. En ås er oftest dannet ved, at meget af det materiale gletcherfloden normalt transporterer ud foran gletcheren i stedet aflejres inde under isen i smeltevandsfloden. I takt med ophobningen af aflejringer smelter floden sig længere op i isen, så sand- og grusaflejringerne efterhånden vokser sig større. Når isen er smeltet væk fremstår en afstøbning af den tidligere smeltevandsflod. Der findes omkring 20 åse i Danmark. Mange er præget af råstofindvinding.');
INSERT INTO fkg.d_6200_geologi VALUES (7,'G Hedeslette',1,'Hedesletter består af smeltevandsaflejringer afsat foran isfronten. Det er velsorterede aflejringer, der for det meste består af sand, men kan også være silt eller ler. En hedeslette er tilsyneladende flad, måske med enkelte enkelte erosionsdale, men i virkeligheden falder det topografiske niveau væk fra isranden.');
INSERT INTO fkg.d_6200_geologi VALUES (8,'H Smeltevandsdal',1,'http://www.naturstyrelsen.dk/Planlaegning/Planlaegning_i_det_aabne_land/GeologiskeInteresser/');
INSERT INTO fkg.d_6200_geologi VALUES (9,'I Smeltevandsterasse',1,'http://www.naturstyrelsen.dk/Planlaegning/Planlaegning_i_det_aabne_land/GeologiskeInteresser/');
INSERT INTO fkg.d_6200_geologi VALUES (10,'J Isøbakke',1,'http://www.naturstyrelsen.dk/Planlaegning/Planlaegning_i_det_aabne_land/GeologiskeInteresser/');
INSERT INTO fkg.d_6200_geologi VALUES (11,'K Issølavning',1,'http://www.naturstyrelsen.dk/Planlaegning/Planlaegning_i_det_aabne_land/GeologiskeInteresser/');
INSERT INTO fkg.d_6200_geologi VALUES (12,'L Yoldia',1,'Yoldiaflader er områder med hævet havbund. I denne forbindelse er der tale om senglaciale havaflejringer, der er hævet over havniveau som følge af jordskorpens relative opløft, efter den er blevet frigjort for den tunge iskappe. Yoldiafladerne ses i Vendsyssel.'); 
INSERT INTO fkg.d_6200_geologi VALUES (13,'M Marint forland',1,'Landområde, der ligger mellem den nuværende og en ældre kystlinje og er skabt af marine kræfter efter sidste istid.');
INSERT INTO fkg.d_6200_geologi VALUES (14,'N Inddæmmet areal',1,'Arealer inddæmmet ved diger og tørlagt ved afvanding. Arealerne bliver hovedsagelig brugt til landbrugsdrift. Det er områder, som tidligere har været lavbundede fjorde og vige.');
INSERT INTO fkg.d_6200_geologi VALUES (15,'O Marsk',1,'Marsk er aflejringer dannet ved sedimentation i tidevandszonen. Dette kan bl.a. iagttages ved vekslende lagtykkelser i jordprofilet.');
INSERT INTO fkg.d_6200_geologi VALUES (16,'P Vade',1,'http://www.naturstyrelsen.dk/Planlaegning/Planlaegning_i_det_aabne_land/GeologiskeInteresser/');
INSERT INTO fkg.d_6200_geologi VALUES (17,'Q Højsande',1,'http://www.naturstyrelsen.dk/Planlaegning/Planlaegning_i_det_aabne_land/GeologiskeInteresser/');
INSERT INTO fkg.d_6200_geologi VALUES (18,'R Klit',1,'Klitter består af meget velsorteret sand.');
INSERT INTO fkg.d_6200_geologi VALUES (19,'S Grundfjeld',1,'Krystalline bjergarter, som her i Danmark findes på Bornholm. Der kan over grundfjeld dannes jordbund, og alt efter bjergartens beskaffenhed kan jordbunden blive næringsrig eller -fattig.');
INSERT INTO fkg.d_6200_geologi VALUES (20,'T Sprækkedal',1,'En stor "spalte" ned i urfjeldet.');
INSERT INTO fkg.d_6200_geologi VALUES (21,'U Alluvial kegle',1,'Alluvium er løst, ucementeret materiale som efterlades af floder eller gletsjere.');
INSERT INTO fkg.d_6200_geologi VALUES (22,'V Mose',1,'Et vedvarende sumpet vådområde.');
INSERT INTO fkg.d_6200_geologi VALUES (98,'Andet',1,'Andet');
INSERT INTO fkg.d_6200_geologi VALUES (99,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_6200_geologi;


INSERT INTO fkg.d_6200_jordtype VALUES (1,'a Flyvesand',1,'Flyvesand er de sandmængder, der bliver flyttet ved vindens hjælp.');
INSERT INTO fkg.d_6200_jordtype VALUES (2,'b Ferskvandsdannelser',1,'Ferskvandsdannelser er både organiske (tørv og gytje) samt mineralske (ler og sand). Forekomsten af ferskvandsaflejringer er knyttet til nuværende og tidligere vandløbssystemer og søområder');
INSERT INTO fkg.d_6200_jordtype VALUES (3,'c Marint sand og ler',1,'http://www.geus.dk/');
INSERT INTO fkg.d_6200_jordtype VALUES (4,'d Strandvolde',1,'Strandvoldene består af grus og sten, og forekommer bl.a. som krumodder på det marine forland.');
INSERT INTO fkg.d_6200_jordtype VALUES (5,'e Morænesand og –grus',1,'et usorteret sediment afsat af isen. Morænesand (sandet til) består af en sandet, lidt lerholdig grundmasse med sten og blokke.');
INSERT INTO fkg.d_6200_jordtype VALUES (6,'f Moræneler',1,'Moræneler er moræneaflejringer fra istiden, der indeholder en større eller mindre grad af ler.');
INSERT INTO fkg.d_6200_jordtype VALUES (7,'g Smeltevandssand og – grus',1,'Disse sedimenter består af dårligt sorteret sand og grus afsat af smeltevandsfloder. Sandet er lagdelt og krydslejret, og kan stedvis være stærkt forstyrret af senere isoverskridelser.');
INSERT INTO fkg.d_6200_jordtype VALUES (8,'h Ekstramarginale aflejringer',1,'består både af sand og grus.');
INSERT INTO fkg.d_6200_jordtype VALUES (9,'i Ældre havaflejringer',1,'Marint ler, silt og finsand aflejret i det senglaciale arktiske Yoldiahav.');
INSERT INTO fkg.d_6200_jordtype VALUES (98,'Andet',1,'Andet');
INSERT INTO fkg.d_6200_jordtype VALUES (99,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_6200_jordtype;


INSERT INTO fkg.d_6200_terraen VALUES (1,'a Flade/plateau',1,'Kurver med lille tæthed');
INSERT INTO fkg.d_6200_terraen VALUES (2,'b Jævnt stigende/faldende terræn',1,'Lange parallelle kurver med orientering');
INSERT INTO fkg.d_6200_terraen VALUES (3,'c Ret stejlt stigende/faldende flade/plateau',1,'lange kurver med stor egentæthed og orientering');
INSERT INTO fkg.d_6200_terraen VALUES (4,'d Småbakket/Dødisrelief',1,'Korte kurver med stor egentæthed og uden orientering');
INSERT INTO fkg.d_6200_terraen VALUES (5,'e Storbakket',1,'Lange konforme kurver med orientering');
INSERT INTO fkg.d_6200_terraen VALUES (6,'f Bølget',1,'bløde bakker markeret i terrænet');
INSERT INTO fkg.d_6200_terraen VALUES (7,'g Skrænter',1,'ved hjælp af suffix a og b kan de inddeles i grader mellem 0-6 og 6-12 og >12');
INSERT INTO fkg.d_6200_terraen VALUES (8,'Andet',1,'Andet');
INSERT INTO fkg.d_6200_terraen VALUES (9,'Ukendt',1,'Ukendt');
-- SELECT * FROM d_6200_terraen;


INSERT INTO fkg.d_6200_kompleksitet VALUES (1,'Moderat',1,'områder hvor bakker med terrænhældninger mellem 6-12° er hyppige eller hvor op til 25% af jordbunden udgøres af andre jordtyper end den dominerende');
INSERT INTO fkg.d_6200_kompleksitet VALUES (2,'Kompleks',1,'områder hvor bakker med terrænhældninger er større end 12° er hyppige eller hvor mere end 25% af jordbunden udgøres af andre jordtyper end den dominerende.');
-- SELECT * FROM d_6200_kompleksitet;


INSERT INTO fkg.d_6202_skala VALUES (1,'Stor',1,'Link til PDF (MIM 2007, side 144-162)*');
INSERT INTO fkg.d_6202_skala VALUES (2,'Middel',1,'Link til PDF (MIM 2007, side 144-162)*');
INSERT INTO fkg.d_6202_skala VALUES (3,'Lille',1,'Link til PDF (MIM 2007, side 144-162)*');
-- SELECT * FROM d_6202_skala;


INSERT INTO fkg.d_6202_rumlig_afgraensning VALUES (1,'Åbent',1,'Link til PDF (MIM 2007, side 144-162)*');
INSERT INTO fkg.d_6202_rumlig_afgraensning VALUES (2,'Transparent',1,'Link til PDF (MIM 2007, side 144-162)*');
INSERT INTO fkg.d_6202_rumlig_afgraensning VALUES (3,'Lukket',1,'Link til PDF (MIM 2007, side 144-162)*');
-- SELECT * FROM d_6202_rumlig_afgraensning;


INSERT INTO fkg.d_6202_kompleksitet VALUES (1,'Meget sammensat',1,'områdets karakter er præget af mange forskellige elementer');
INSERT INTO fkg.d_6202_kompleksitet VALUES (2,'Sammensat',1,'Link tilPDF (MIM 2007, side 144-162)*');
INSERT INTO fkg.d_6202_kompleksitet VALUES (3,'Enkelt',1,'områdets karakter er præget af få karaktergivende elementer');
-- SELECT * FROM d_6202_kompleksitet;


INSERT INTO fkg.d_6202_struktur VALUES (1,'Dominerende',1,'Link til PDF (MIM 2007, side 144-162)*');
INSERT INTO fkg.d_6202_struktur VALUES (2,'Middel',1,'Link til PDF (MIM 2007, side 144-162)*');
INSERT INTO fkg.d_6202_struktur VALUES (3,'Svagt',1,'Link til PDF (MIM 2007, side 144-162)*');
-- SELECT * FROM d_6202_struktur;


INSERT INTO fkg.d_6202_visuel_uro VALUES (1,'Uroligt',1,'visuel uro er stor, eksempelvis i form af passerende biler eller roterende vindmøller');
INSERT INTO fkg.d_6202_visuel_uro VALUES (2,'Middel',1,'Link til PDF (MIM 2007, side 144-162)*');
INSERT INTO fkg.d_6202_visuel_uro VALUES (3,'Roligt',1,'Et område, der visuelt er uberørt af bevægelse.');
-- SELECT * FROM d_6202_visuel_uro;


INSERT INTO fkg.d_6202_tidsdybde VALUES (1,'Ca. 0-50 år',1,'Link til PDF (MIM 2007, side 144-162)*');
INSERT INTO fkg.d_6202_tidsdybde VALUES (2,'Ca. 0-200 år',1,'Link til PDF (MIM 2007, side 144-162)*');
INSERT INTO fkg.d_6202_tidsdybde VALUES (3,'> 200 år',1,'Link til PDF (MIM 2007, side 144-162)*');
-- SELECT * FROM d_6202_tidsdybde;


INSERT INTO fkg.d_6203_karakterstyrke VALUES (1,'Særligt karakterisktisk',1,'Link til PDF (MIM 2007, side 155)*');
INSERT INTO fkg.d_6203_karakterstyrke VALUES (2,'Karakteristisk',1,'Link til PDF (MIM 2007, side 155)*');
INSERT INTO fkg.d_6203_karakterstyrke VALUES (3,'Karaktersvagt',1,'Link til PDF (MIM 2007, side 155)*');
INSERT INTO fkg.d_6203_karakterstyrke VALUES (4,'Kontrasterende',1,'Link til PDF (MIM 2007, side 155)*');
-- SELECT * FROM d_6203_karakterstyrke;


INSERT INTO fkg.d_6203_saarbarhed VALUES (1,'Stor',1,'Link til PDF (MIM 2007, side 144-162)*');
INSERT INTO fkg.d_6203_saarbarhed VALUES (2,'Middel',1,'Link til PDF (MIM 2007, side 144-162)*');
INSERT INTO fkg.d_6203_saarbarhed VALUES (3,'Lille',1,'Link til PDF (MIM 2007, side 144-162)*');
-- SELECT * FROM d_6203_saarbarhed;


INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (101000,'Prydplæne',1,'GR01','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (102000,'Brugsplæne',1,'GR02','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (102010,'Brugsplæne med lund',1,'GR02a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (102020,'Brugsplæne med løgvækster',1,'GR02b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (102040,'Brugsplæne med armering',1,'GR02c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (103000,'Græsflade',1,'GR03','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (103020,'Græsflade med løgvækst',1,'GR03a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (103040,'Græsflade med armering',1,'GR03b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (104000,'Fælledgræs',1,'GR04','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (104010,'Fælledgræs med lund',1,'GR04a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (104020,'Fælledgræs med løgvækst',1,'GR04b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (104040,'Fælledgræs med armering',1,'GR04c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (105000,'Sportsplæne',1,'GR05','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (105010,'Sportsplæne – Opvisningsbane',1,'GR05a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (105020,'Sportsplæne – Kampbane',1,'GR05b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (105030,'Sportsplæne – Træningsbane',1,'GR05c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (105050,'Sportsplæne - Vinter',1,'GR05d','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (106000,'Rabatgræs',1,'GR06','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (106010,'Rabatgræs med lund',1,'GR06a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (106020,'Rabatgræs med løgvækst',1,'GR06b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (106030,'Rabatgræs med oversigtsareal',1,'GR06c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (106040,'Rabatgræs med armering',1,'GR06d','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (106050,'Rabatgræs med grøftekant',1,'GR06e','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (107000,'Naturgræs',1,'GR07','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (107010,'Naturgræs med lund',1,'GR07a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (107020,'Naturgræs med blomster',1,'GR07b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (107040,'Naturgræs med armering (p-pladser)',1,'GR07c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (121000,'Roser',1,'BL01','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (122000,'Prydstauder',1,'BL02','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (123000,'Staudebed',1,'BL03','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (124000,'Naturstauder',1,'BL04','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (124010,'Naturstauder – Grønt tag',1,'BL04a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (125000,'Udplantningsplanter',1,'BL05','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (125010,'Udplantningsplanter – Plates Bantes bed',1,'BL05a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (125020,'Udplantningsplanter – Forårsblomster',1,'BL05b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (125030,'Udplantningsplanter – Sommerblomster',1,'BL05c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (125040,'Udplantningsplanter – Vinterblomster',1,'BL05d','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (126000,'Løgvækster',1,'BL06','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (126010,'Løgtæppe',1,'BL06a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (126020,'Løgvækst i blomsterbed',1,'BL06b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (127010,'Surbundsbed',1,'BL07','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (127020,'Urtebed',1,'BL08','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (161000,'Prydbuske',1,'BU01','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (161010,'Prydbuske – Frugtbuske',1,'BU01a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (161020,'Prydbuske – Formklippede buske',1,'BU01b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (162000,'Bunddækkende buske',1,'BU01c','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (163000,'Busket',1,'BU02','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (181000,'Prydhæk - flade',1,'HA01','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse. NB findes også som linjeobjekt. Benyt ikke både som flade og linje. Skal vælge én og kun en geometritype.');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (182000,'Hæk - flade',1,'HA02','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse. NB findes også som linjeobjekt. Benyt ikke både som flade og linje. Skal vælge én og kun en geometritype.');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (183000,'Pur',1,'HA03','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (184000,'Fritvoksende Hæk - flade',1,'HA04','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse. NB findes også som linjeobjekt. Benyt ikke både som flade og linje. Skal vælge én og kun en geometritype.');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (222000,'Krat',1,'SK02','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (223000,'Lund',1,'SK03','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (224000,'Skov',1,'SK04','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (225000,'Levende hegn',1,'SK05','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (261000,'Gravsted Pleje',1,'GS01','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (261010,'Gravsted Pleje – Individuel',1,'GS01a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (261020,'Gravsted Pleje – ledig',1,'GS01b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (261030,'Gravsted Pleje – bevaringsværdig',1,'GS01c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (262000,'Gravsted Udvidet pleje',1,'GS02','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (262010,'Gravsted Udvidet pleje – Individuel',1,'GS02a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (262020,'Gravsted Udvidet pleje – ledig',1,'GS02b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (262030,'Gravsted Udvidet pleje – bevaringsværdig',1,'GS02c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (263000,'Gravsted Ydelse',1,'GS03','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (263010,'Gravsted Ydelse – Gran',1,'GS03a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (263020,'Gravsted Ydelse – Krans',1,'GS03b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (263030,'Gravsted Ydelse – Pyntning',1,'GS03c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (263040,'Gravsted Ydelse – Blomster',1,'GS03d','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (301000,'Bassin',1,'VA01','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (302000,'Sø',1,'VA02','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (302010,'Sø – vandhul',1,'VA02a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (302020,'Sø – dam',1,'VA02b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (302030,'Sø – parksø',1,'VA02c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (302040,'Sø – voldgrav',1,'VA02d','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (302050,'Sø – kanal',1,'VA02e','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (303010,'Vandløb',1,'VA03a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (304010,'Badestrand',1,'VA04a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (305010,'Regnvandsbassin',1,'VA05a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (401000,'Fast belægning',1,'FB01','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (401010,'Fast belægningr – Asfalt',1,'FB01a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (401020,'Fast belægning – Naturstensbelægning',1,'FB01b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (401030,'Fast belægning – Beton',1,'FB01c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (401040,'Fast belægning – Klinker',1,'FB01d','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (401050,'Fast belægning – Brolægning',1,'FB01e','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (401060,'Fast belægning – Belægningssten',1,'FB01f','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (401070,'Fast belægning - Sten glacis',1,'FB01g','Stenklædt skråning. Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (401080,'Fast belægning - Træ',1,'FB01h','F.eks. stier i sumpområder. Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (402010,'Fortov – renholdt driften',1,'FB02a','Fortov med grundejerforpligtigelsen. Lokal standard – skal beskrives i udbudsmaterialet eller lignende. ');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (412000,'Løs belægning',1,'LB02','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (412010,'Løs belægning – Perlesten',1,'LB02a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (412020,'Løs belægning – Parksti',1,'LB02b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (412030,'Løs belægning - Rekreative sti',1,'LB02c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (412040,'Løs belægning – Kunststofbelægning',1,'LB02d','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (412050,'Løs belægning – Flis',1,'LB02e','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (41000,'Natursti (bynær)',1,'LB03','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (413010,'Natursti bynær - Ridesti',1,'LB03a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (413020,'Natursti bynær - Muldjord',1,'LB03b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (413030,'Natursti bynær - Råjord',1,'LB03c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (413040,'Natursti bynær - Flis/bark',1,'LB03d','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (424000,'Sportsbelægning',1,'SB01','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (424010,'Sportsbelægning – Kunststof',1,'SB01a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (424020,'Sportsbelægning – Asfalt',1,'SB01b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (424030,'Sportsbelægning – Beton',1,'SB01c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (424040,'Sportsbelægning – Stenmel/grus',1,'SB01d','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (424050,'Sportsbelægning – Jord',1,'SB01e','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (424060,'Sportsbelægning - Kunstgræs',1,'SB01f','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (414000,'Faldunderlag',1,'LB04','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (414010,'Faldunderlag - Flis',1,'LB04a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (414040,'Sandkasse',1,'LB04d','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (431000,'Trappe og rampe',1,'BY01','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (432000,'Bro',1,'BY02','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (433000,'Både-/badebro - flade',1,'BY03','Div. broer ud i vandet, som der er driftforpligelse på. Typiske broer der ender blindt. Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (434010,'Bygning',1,'BY04a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (980000,'Andet',1,'AN01','Hvor andre facilitetsbetegnelser ikke er dækkende.');
INSERT INTO fkg.d_6800_vedlhold_f_type VALUES (990000,'Ukendt',1,'UK01','Mangler viden om typen.');
-- SELECT * FROM d_6800_vedlhold_f_type;


INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (141000,'Fladedækkende klatreplanter',1,'KL01','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (181100,'Prydhæk - linje',1,'HA11','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse. NB findes også som fladeobjekt. Benyt ikke både som flade og linje. Skal vælge én og kun en geometritype.');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (182100,'Hæk – linje',1,'HA21','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse. NB findes også som fladeobjekt. Benyt ikke både som flade og linje. Skal vælge én og kun en geometritype.');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (182110,'Stammehæk ',1,'HA02a','Træer med sammenvokset krone, der klippes som ”hæk”. Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (184100,'Fritvoksende Hæk – linje',1,'HA04','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse. NB findes også som fladeobjekt. Benyt ikke både som flade og linje. Skal vælge én og kun en geometritype.');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (303000,'Grøft',1,'VA03','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (422000,'Terrænmur',1,'BY05','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (424000,'Stendige',1,'BY06','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (425000,'Kampestensstøttemur',1,'BY07','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (427000,'Kirkegårdsdige',1,'BY08','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (443000,'Cykelstativ',1,'UD09','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (447000,'Trådflethegn',1,'UD08','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (447100,'Plankeværk / rækværk',1,'UD81','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (447200,'Fodhegn',1,'UD82','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (447310,'Metal gelænder',1,'UD83a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (447320,'Bom',1,'UD83b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (447410,'Saltværn1',1,'UD84a','Beskyttelse af planter mod vejsalt type 1. Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (447420,'Saltværn2',1,'UD84b','Beskyttelse af planter mod vejsalt type 2. Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (447430,'Saltværn3',1,'UD84c','Beskyttelse af planter mod vejsalt type 3. Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (801010,'Div. forhindring - ej pleje',1,'FO01a','Forhindringer (som ikke vedligeholdes) i f.eks. brugsplæne, kan vises i kort/liste. (Lokal standard – kan beskrives i udbudsmaterialet eller lignende)');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (980000,'Andet',1,'AN02','Hvor andre facilitetsbetegnelser ikke er dækkende.');
INSERT INTO fkg.d_6801_vedlhold_l_type VALUES (990000,'Ukendt',1,'UK02','Mangler viden om typen.');
-- SELECT * FROM d_6801_vedlhold_l_type;


INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (126000,'Baljeplante',1,'BL09','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (142000,'Solitære slyng - og klatreplante',1,'KL02','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (142010,'Plantestativ',1,'KL02a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (161000,'Prydbusk (solitær/fritstående)',1,'BU03','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (201000,'Fuldkronet træ',1,'TR01','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (202000,'Allé (træ)',1,'TR02','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (203000,'Frugttræ',1,'TR03','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (204000,'Formet træ',1,'TR04','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (426000,'Monument / mindesten / skulptur',1,'BY09','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (426010,'Pullert',1,'BY09a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (426020,'Stele',1,'BY09b','Stele er næsten det samme som en pullert - bare af sten. Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (426030,'Natursten',1,'BY09c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (426050,'Flagstang',1,'BY09e','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (441000,'Affaldsspand',1,'UD01','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (441100,'Affaldsbeholder til grønt affald',1,'UD11','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (441800,'Vandpost / drikkepost (Vandhane)',1,'UD18','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (441810,'Springvand',1,'UD18a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (441820,'Nedløbsrist/sandfang',1,'UD18b','Kun nedløbsriste, der skal plejes/tømmes. Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (441830,'Stophane',1,'UD18c','Kun stophaner der skal benyttes i plejen. Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (442000,'Bænk og bordbænkesæt',1,'UD02','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (442010,'Bænk',1,'UD02a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (442020,'Bordbænkesæt',1,'UD02b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (443000,'Fodboldmål',1,'UD03','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (443010,'Sportsudstyr',1,'UD03a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (443500,'Bålplads / grill',1,'UD35','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (444000,'Informationsskilte',1,'UD04','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (444010,'Pictogrampæl',1,'UD04a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (444020,'Skilt, anden',1,'UD04b','Ikke vejskilte. Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (444030,'Plakatsøjle',1,'UD4c','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (444500,'Hundeposeholdere',1,'UD45','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (445000,'Redningspost',1,'UD5','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (445100,'Badebro',1,'UD51','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (445500,'Shelter',1,'UD55','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (445510,'Toilet',1,'UD55a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (446000,'Legeudstyr',1,'UD06','Se den nye Branchestandard/landsdækkende kvalitetsbeskrivelse');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (447010,'Belysning',1,'UD07a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (447020,'Elboks',1,'UD07b','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (448010,'Låge',1,'UD08a','Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (448020,'Stente',1,'UD08b','Stente er en overgang over et hegn til mennesker. Lokal standard – skal beskrives i udbudsmaterialet eller lignende');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (801010,'Div. forhindring - ej pleje',1,'FO02a','Forhindringer (som ikke vedligeholdes) i f.eks. brugsplæne, kan vises i kort/liste. (Lokal standard – kan beskrives i udbudsmaterialet eller lignende)');
INSERT INTO fkg.d_6802_groenvedligh_punkt VALUES (980000,'Andet',1,'AN03','Hvor andre facilitetsbetegnelser ikke er dækkende.');
-- SELECT * FROM d_6802_groenvedligh_punkt;


INSERT INTO fkg.d_6803_pg_distrikt VALUES (1,'Udbudsområde',1,'Området der er udbudt');
INSERT INTO fkg.d_6803_pg_distrikt VALUES (2,'Fag - entreprise',1,'Entrepriseområdet, som kun dække et meget lille fagområde. F.eks. beskæring af træer.');
INSERT INTO fkg.d_6803_pg_distrikt VALUES (3,'Geografisk entreprise',1,'Entrepriseområdet, som dækker et stort fagområde, men hvor kommunen typiske er inddelt i flere områder/distrikter med forskellige entreprenører. Kan også benyttes til inddelingen efter hvor et område plejes fra (fx hvilken materielgård, når det er kommunens egne folk, der står for opgaven).');
INSERT INTO fkg.d_6803_pg_distrikt VALUES (4,'Arbejdssted',1,'Også kaldt arbejdsområde. Typisk et mindre område som en park eller en skole.');
INSERT INTO fkg.d_6803_pg_distrikt VALUES (8,'Andet',1,'Hvor andet ikke er dækkende.');
INSERT INTO fkg.d_6803_pg_distrikt VALUES (9,'Ukendt',1,'Mangler viden om typen.');
-- SELECT * FROM d_6803_pg_distrikt;
 DROP VIEW IF EXISTS fkg.t_5004_draenomr_vw;                                                                    
 CREATE VIEW fkg.t_5004_draenomr_vw AS                                                                          
 SELECT                                                                                                         
   5004::integer AS temakode,                                                                                   
   't_5004_draenomr'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.omr_navn,                                                                                                  
   t.omr_type_kode,                                                                                             
   k1.omr_type AS omr_type,                                                                                     
   t.anlaeg_aar,                                                                                                
   t.projnr,                                                                                                    
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5004_draenomr t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_5004_omr_type k1 ON (t.omr_type_kode = k1.omr_type_kode)                                               
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5009_pumpelag_vw;                                                                    
 CREATE VIEW fkg.t_5009_pumpelag_vw AS                                                                          
 SELECT                                                                                                         
   5009::integer AS temakode,                                                                                   
   't_5009_pumpelag'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.lag_navn,                                                                                                  
   t.lag_type_kode,                                                                                             
   k1.lag_type AS lag_type,                                                                                     
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.vandloebsystem,                                                                                            
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5009_pumpelag t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_5009_lag_type k1 ON (t.lag_type_kode = k1.lag_type_kode) LEFT JOIN                                     
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode)                                        
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5010_vandl_elm_vw;                                                                   
 CREATE VIEW fkg.t_5010_vandl_elm_vw AS                                                                         
 SELECT                                                                                                         
   5010::integer AS temakode,                                                                                   
   't_5010_vandl_elm'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.element_nr,                                                                                                
   t.element_kode,                                                                                              
   k1.element AS element,                                                                                       
   t.lokalitet,                                                                                                 
   t.vstation,                                                                                                  
   t.vandloebsystem,                                                                                            
   t.anlagt_aar,                                                                                                
   t.saneret_aar,                                                                                               
   t.tilstand_kode,                                                                                             
   k2.tilstand AS tilstand,                                                                                     
   t.broend_data,                                                                                               
   t.toemningsfrekvens,                                                                                         
   t.adgangsforhold,                                                                                            
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5010_vandl_elm t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5010_element_type k1 ON (t.element_kode = k1.element_kode) LEFT JOIN                                   
   fkg.d_basis_tilstand k2 ON (t.tilstand_kode = k2.tilstand_kode)                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5006_dybdekurv_vw;                                                                   
 CREATE VIEW fkg.t_5006_dybdekurv_vw AS                                                                         
 SELECT                                                                                                         
   5006::integer AS temakode,                                                                                   
   't_5006_dybdekurv'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.soe_navn,                                                                                                  
   t.dmu_ref,                                                                                                   
   t.soe_nr,                                                                                                    
   t.dybde,                                                                                                     
   t.lower,                                                                                                     
   t.upper,                                                                                                     
   t.maalt_aar,                                                                                                 
   t.opm_metode,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5006_dybdekurv t ON (g.versions_id = t.versions_id)                                                    
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5108_groent_part_vw;                                                                 
 CREATE VIEW fkg.t_5108_groent_part_vw AS                                                                       
 SELECT                                                                                                         
   5108::integer AS temakode,                                                                                   
   't_5108_groent_part'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.navn,                                                                                                      
   t.kontakt_navn,                                                                                              
   t.kontakt_opl,                                                                                               
   t.deltager,                                                                                                  
   t.formaal,                                                                                                   
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.sagsnr,                                                                                                    
   t.note,                                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5108_groent_part t ON (g.versions_id = t.versions_id)                                                  
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5300_genopd_ret_vw;                                                                  
 CREATE VIEW fkg.t_5300_genopd_ret_vw AS                                                                        
 SELECT                                                                                                         
   5300::integer AS temakode,                                                                                   
   't_5300_genopd_ret'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.funktion,                                                                                                  
   t.planlagt_aktivitet,                                                                                        
   t.genoptaget,                                                                                                
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5300_genopd_ret t ON (g.versions_id = t.versions_id)                                                   
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5508_husst_moel_vw;                                                                  
 CREATE VIEW fkg.t_5508_husst_moel_vw AS                                                                        
 SELECT                                                                                                         
   5508::integer AS temakode,                                                                                   
   't_5508_husst_moel'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.moelletype,                                                                                                
   t.hoejde,                                                                                                    
   t.kapacitet,                                                                                                 
   t.stoej_kode,                                                                                                
   k1.stoej AS stoej,                                                                                           
   t.konsekvenszone,                                                                                            
   t.sagnr,                                                                                                     
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.note,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5508_husst_moel t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_5508_stoej k1 ON (t.stoej_kode = k1.stoej_kode) LEFT JOIN                                              
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5900_jordfl_vw;                                                                      
 CREATE VIEW fkg.t_5900_jordfl_vw AS                                                                            
 SELECT                                                                                                         
   5900::integer AS temakode,                                                                                   
   't_5900_jordfl'::text AS temanavn,                                                                           
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.afs_vejkode,                                                                                               
   k1.vejnavn AS afs_vejnavn,                                                                                   
   t.afs_cvf_vejkode,                                                                                           
   t.afs_husnr,                                                                                                 
   t.afs_kommunekode,                                                                                           
   t.afs_postnr,                                                                                                
   k2.postnr_by AS afs_postnr_by,                                                                               
   t.jordflyt_dato_start,                                                                                       
   t.jordflyt_dato_slut,                                                                                        
   t.modt_vejkode,                                                                                              
   k3.vejnavn AS modt_vejnavn,                                                                                  
   t.modt_cvf_vejkode,                                                                                          
   t.modt_husnr,                                                                                                
   t.modt_kommunekode,                                                                                          
   t.modt_postnr,                                                                                               
   k4.postnr_by AS modt_postnr_by,                                                                              
   t.tillad_dato,                                                                                               
   t.jordmaengde_faktisk,                                                                                       
   t.jordmaengde_anmeldt,                                                                                       
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5900_jordfl t ON (g.versions_id = t.versions_id) LEFT JOIN                                             
   fkg.d_vejnavn k1 ON (t.afs_vejkode = k1.vejkode) LEFT JOIN                                                   
   fkg.d_basis_postnr k2 ON (t.afs_postnr = k2.postnr) LEFT JOIN                                                
   fkg.d_vejnavn k3 ON (t.modt_vejkode = k3.vejkode) LEFT JOIN                                                  
   fkg.d_basis_postnr k4 ON (t.modt_postnr = k4.postnr)                                                         
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5200_aff_prod_udbr_vw;                                                               
 CREATE VIEW fkg.t_5200_aff_prod_udbr_vw AS                                                                     
 SELECT                                                                                                         
   5200::integer AS temakode,                                                                                   
   't_5200_aff_prod_udbr'::text AS temanavn,                                                                    
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.affald_prod_kode,                                                                                          
   k1.affald_prod AS affald_prod,                                                                               
   t.navn,                                                                                                      
   t.ejd_nr,                                                                                                    
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.markblok,                                                                                                  
   t.dosering_toerstof,                                                                                         
   t.dosering_vaadvaegt,                                                                                        
   t.phosphor_indhold,                                                                                          
   t.udbringning_aar,                                                                                           
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5200_aff_prod_udbr t ON (g.versions_id = t.versions_id) LEFT JOIN                                      
   fkg.d_5200_affald k1 ON (t.affald_prod_kode = k1.affald_prod_kode) LEFT JOIN                                 
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5506_spildev_pl_pkt_vw;                                                              
 CREATE VIEW fkg.t_5506_spildev_pl_pkt_vw AS                                                                    
 SELECT                                                                                                         
   5506::integer AS temakode,                                                                                   
   't_5506_spildev_pl_pkt'::text AS temanavn,                                                                   
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.anlaeg_type_kode,                                                                                          
   k1.anlaeg_type AS anlaeg_type,                                                                               
   t.planstatus_kode,                                                                                           
   k2.planstatus AS planstatus,                                                                                 
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5506_spildev_pl_pkt t ON (g.versions_id = t.versions_id) LEFT JOIN                                     
   fkg.d_5506_anlaegtype k1 ON (t.anlaeg_type_kode = k1.anlaeg_type_kode) LEFT JOIN                             
   fkg.d_basis_planstatus k2 ON (t.planstatus_kode = k2.planstatus_kode)                                        
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5507_fiberkabel_vw;                                                                  
 CREATE VIEW fkg.t_5507_fiberkabel_vw AS                                                                        
 SELECT                                                                                                         
   5507::integer AS temakode,                                                                                   
   't_5507_fiberkabel'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.fs_cvr,                                                                                                    
   t.fs_navn,                                                                                                   
   t.dybde,                                                                                                     
   t.aar_i_jord,                                                                                                
   t.antal_kabler,                                                                                              
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5507_fiberkabel t ON (g.versions_id = t.versions_id)                                                   
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5800_fac_pkt_vw;                                                                     
 CREATE VIEW fkg.t_5800_fac_pkt_vw AS                                                                           
 SELECT                                                                                                         
   5800::integer AS temakode,                                                                                   
   't_5800_fac_pkt'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.facilitet_type_kode,                                                                                       
   k1.facilitet_type AS facilitet_type,                                                                         
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.navn,                                                                                                      
   t.noegle,                                                                                                    
   t.noter,                                                                                                     
   t.vejkode,                                                                                                   
   k3.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k4.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5800_fac_pkt t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5800_facilitet k1 ON (t.facilitet_type_kode = k1.facilitet_type_kode) LEFT JOIN                        
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode) LEFT JOIN                              
   fkg.d_vejnavn k3 ON (t.vejkode = k3.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k4 ON (t.postnr = k4.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5802_fac_li_vw;                                                                      
 CREATE VIEW fkg.t_5802_fac_li_vw AS                                                                            
 SELECT                                                                                                         
   5802::integer AS temakode,                                                                                   
   't_5802_fac_li'::text AS temanavn,                                                                           
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.facilitet_type_kode,                                                                                       
   k1.facilitet_type AS facilitet_type,                                                                         
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.navn,                                                                                                      
   t.noegle,                                                                                                    
   t.noter,                                                                                                     
   t.vejkode,                                                                                                   
   k3.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k4.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5802_fac_li t ON (g.versions_id = t.versions_id) LEFT JOIN                                             
   fkg.d_5802_facilitet k1 ON (t.facilitet_type_kode = k1.facilitet_type_kode) LEFT JOIN                        
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode) LEFT JOIN                              
   fkg.d_vejnavn k3 ON (t.vejkode = k3.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k4 ON (t.postnr = k4.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5901_raastof_till_vw;                                                                
 CREATE VIEW fkg.t_5901_raastof_till_vw AS                                                                      
 SELECT                                                                                                         
   5901::integer AS temakode,                                                                                   
   't_5901_raastof_till'::text AS temanavn,                                                                     
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.indv_navn,                                                                                                 
   t.indv_cvr,                                                                                                  
   t.raastof_type_kode,                                                                                         
   k1.raastof_type AS raastof_type,                                                                             
   t.tillad_dato,                                                                                               
   t.afslut_aar,                                                                                                
   t.gravstatus_kode,                                                                                           
   k2.gravstatus AS gravstatus,                                                                                 
   t.grusgrav_nr,                                                                                               
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5901_raastof_till t ON (g.versions_id = t.versions_id) LEFT JOIN                                       
   fkg.d_5901_raastof_type k1 ON (t.raastof_type_kode = k1.raastof_type_kode) LEFT JOIN                         
   fkg.d_5901_gravestatus k2 ON (t.gravstatus_kode = k2.gravstatus_kode)                                        
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5402_genbr_con_vw;                                                                   
 CREATE VIEW fkg.t_5402_genbr_con_vw AS                                                                         
 SELECT                                                                                                         
   5402::integer AS temakode,                                                                                   
   't_5402_genbr_con'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gc_type_kode,                                                                                              
   k1.gc_type AS gc_type,                                                                                       
   t.model,                                                                                                     
   t.t_frekvens,                                                                                                
   t.t_dato,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5402_genbr_con t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5402_gc_type k1 ON (t.gc_type_kode = k1.gc_type_kode)                                                  
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5902_jordv_anl_vw;                                                                   
 CREATE VIEW fkg.t_5902_jordv_anl_vw AS                                                                         
 SELECT                                                                                                         
   5902::integer AS temakode,                                                                                   
   't_5902_jordv_anl'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.brine,                                                                                                     
   t.strenge_antal,                                                                                             
   t.strenge_laengde_samlede,                                                                                   
   t.tilladelses_dato,                                                                                          
   t.faerdigmeldingsdato,                                                                                       
   t.vaesketype_kode,                                                                                           
   k1.vaesketype AS vaesketype,                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.sagsnr,                                                                                                    
   t.sag_status_kode,                                                                                           
   k2.sag_status AS sag_status,                                                                                 
   t.note,                                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5902_jordv_anl t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5902_vaeske_type k1 ON (t.vaesketype_kode = k1.vaesketype_kode) LEFT JOIN                              
   fkg.d_basis_sag_status k2 ON (t.sag_status_kode = k2.sag_status_kode)                                        
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5500_elfors_omr_vw;                                                                  
 CREATE VIEW fkg.t_5500_elfors_omr_vw AS                                                                        
 SELECT                                                                                                         
   5500::integer AS temakode,                                                                                   
   't_5500_elfors_omr'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.net_s_nr,                                                                                                  
   t.fs_cvr,                                                                                                    
   t.fs_navn,                                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5500_elfors_omr t ON (g.versions_id = t.versions_id)                                                   
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5401_genbr_st_vw;                                                                    
 CREATE VIEW fkg.t_5401_genbr_st_vw AS                                                                          
 SELECT                                                                                                         
   5401::integer AS temakode,                                                                                   
   't_5401_genbr_st'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gs_navn,                                                                                                   
   t.gs_type_kode,                                                                                              
   k1.gs_type AS gs_type,                                                                                       
   t.p_nr,                                                                                                      
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5401_genbr_st t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_5401_gs_type k1 ON (t.gs_type_kode = k1.gs_type_kode) LEFT JOIN                                        
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5601_hasti_daemp_vw;                                                                 
 CREATE VIEW fkg.t_5601_hasti_daemp_vw AS                                                                       
 SELECT                                                                                                         
   5601::integer AS temakode,                                                                                   
   't_5601_hasti_daemp'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.hasti_type_kode,                                                                                           
   k1.hasti_type AS hasti_type,                                                                                 
   t.hastighed_kode,                                                                                            
   k2.hastighed AS hastighed,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5601_hasti_daemp t ON (g.versions_id = t.versions_id) LEFT JOIN                                        
   fkg.d_5601_hasti_type k1 ON (t.hasti_type_kode = k1.hasti_type_kode) LEFT JOIN                               
   fkg.d_basis_hastighed k2 ON (t.hastighed_kode = k2.hastighed_kode)                                           
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5107_art_invas_p_vw;                                                                 
 CREATE VIEW fkg.t_5107_art_invas_p_vw AS                                                                       
 SELECT                                                                                                         
   5107::integer AS temakode,                                                                                   
   't_5107_art_invas_p'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.dnavn,                                                                                                     
   t.lnavn,                                                                                                     
   t.nobanis_invasiv_opt,                                                                                       
   t.rige_dk,                                                                                                   
   t.sortlistet_kode,                                                                                           
   k1.ja_nej AS sortlistet,                                                                                     
   t.nogle,                                                                                                     
   t.inventoer,                                                                                                 
   t.antal_kode,                                                                                                
   k2.antal AS antal,                                                                                           
   t.forekomst,                                                                                                 
   t.sagsnr,                                                                                                    
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5107_art_invas_p t ON (g.versions_id = t.versions_id) LEFT JOIN                                        
   fkg.d_basis_ja_nej k1 ON (t.sortlistet_kode = k1.ja_nej_kode) LEFT JOIN                                      
   fkg.d_basis_antal k2 ON (t.antal_kode = k2.antal_kode)                                                       
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5600_vintervedl_vw;                                                                  
 CREATE VIEW fkg.t_5600_vintervedl_vw AS                                                                        
 SELECT                                                                                                         
   5600::integer AS temakode,                                                                                   
   't_5600_vintervedl'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.rute_kode,                                                                                                 
   k1.rute AS rute,                                                                                             
   t.rute_entreprenoer_sne,                                                                                     
   t.rute_nr_sne,                                                                                               
   t.rute_entreprenoer_salt,                                                                                    
   t.rute_nr_salt,                                                                                              
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5600_vintervedl t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_5600_rute k1 ON (t.rute_kode = k1.rute_kode)                                                           
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5602_p_zoner_vw;                                                                     
 CREATE VIEW fkg.t_5602_p_zoner_vw AS                                                                           
 SELECT                                                                                                         
   5602::integer AS temakode,                                                                                   
   't_5602_p_zoner'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.p_type_kode,                                                                                               
   k1.p_type AS p_type,                                                                                         
   t.p_tid_kode,                                                                                                
   k2.p_tid AS p_tid,                                                                                           
   t.p_periode,                                                                                                 
   t.p_pladser_personbil,                                                                                       
   t.p_pris_time,                                                                                               
   t.p_pladser_handicap,                                                                                        
   t.p_pladser_lastbil,                                                                                         
   t.p_pladser_elbil,                                                                                           
   t.p_pladser_mc,                                                                                              
   t.p_pladser_cykel,                                                                                           
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5602_p_zoner t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5602_p_type k1 ON (t.p_type_kode = k1.p_type_kode) LEFT JOIN                                           
   fkg.d_5602_p_tid k2 ON (t.p_tid_kode = k2.p_tid_kode)                                                        
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5603_hasti_zone_vw;                                                                  
 CREATE VIEW fkg.t_5603_hasti_zone_vw AS                                                                        
 SELECT                                                                                                         
   5603::integer AS temakode,                                                                                   
   't_5603_hasti_zone'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.hastighed_kode,                                                                                            
   k1.hastighed AS hastighed,                                                                                   
   t.anbefalet_hastighed_kode,                                                                                  
   k2.hastighed AS anbefalet_hastighed,                                                                         
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5603_hasti_zone t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_basis_hastighed k1 ON (t.hastighed_kode = k1.hastighed_kode) LEFT JOIN                                 
   fkg.d_basis_hastighed k2 ON (t.anbefalet_hastighed_kode = k2.hastighed_kode)                                 
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5605_vejbyggel_vw;                                                                   
 CREATE VIEW fkg.t_5605_vejbyggel_vw AS                                                                         
 SELECT                                                                                                         
   5605::integer AS temakode,                                                                                   
   't_5605_vejbyggel'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.dekl_type_kode,                                                                                            
   k1.dekl_type AS dekl_type,                                                                                   
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.dekl_link,                                                                                                 
   t.bredde,                                                                                                    
   t.forskydning,                                                                                               
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5605_vejbyggel t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5605_dekl_type k1 ON (t.dekl_type_kode = k1.dekl_type_kode) LEFT JOIN                                  
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode)                                                                 
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5604_koer_begr_vw;                                                                   
 CREATE VIEW fkg.t_5604_koer_begr_vw AS                                                                         
 SELECT                                                                                                         
   5604::integer AS temakode,                                                                                   
   't_5604_koer_begr'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.begr_type_kode,                                                                                            
   k1.begr_type AS begr_type,                                                                                   
   t.periode,                                                                                                   
   t.vaegtbegr_akselt,                                                                                          
   t.vaegtbegr_totalv,                                                                                          
   t.fot_id,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5604_koer_begr t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5604_begr_type k1 ON (t.begr_type_kode = k1.begr_type_kode)                                            
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5606_vejinv_vw;                                                                      
 CREATE VIEW fkg.t_5606_vejinv_vw AS                                                                            
 SELECT                                                                                                         
   5606::integer AS temakode,                                                                                   
   't_5606_vejinv'::text AS temanavn,                                                                           
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.inventar_nr,                                                                                               
   t.inventar_type_kode,                                                                                        
   k1.inventar_type AS inventar_type,                                                                           
   t.model,                                                                                                     
   t.tilstand_kode,                                                                                             
   k2.tilstand AS tilstand,                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5606_vejinv t ON (g.versions_id = t.versions_id) LEFT JOIN                                             
   fkg.d_5606_inventar_type k1 ON (t.inventar_type_kode = k1.inventar_type_kode) LEFT JOIN                      
   fkg.d_basis_tilstand k2 ON (t.tilstand_kode = k2.tilstand_kode)                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5104_art_invas_vw;                                                                   
 CREATE VIEW fkg.t_5104_art_invas_vw AS                                                                         
 SELECT                                                                                                         
   5104::integer AS temakode,                                                                                   
   't_5104_art_invas'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.dnavn,                                                                                                     
   t.lnavn,                                                                                                     
   t.nobanis_invasiv_opt,                                                                                       
   t.rige_dk,                                                                                                   
   t.sortlistet_kode,                                                                                           
   k1.ja_nej AS sortlistet,                                                                                     
   t.noegle,                                                                                                    
   t.inventoer,                                                                                                 
   t.antal_kode,                                                                                                
   k2.antal AS antal,                                                                                           
   t.forekomst,                                                                                                 
   t.sagsnr,                                                                                                    
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5104_art_invas t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_basis_ja_nej k1 ON (t.sortlistet_kode = k1.ja_nej_kode) LEFT JOIN                                      
   fkg.d_basis_antal k2 ON (t.antal_kode = k2.antal_kode)                                                       
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5700_grundej_vw;                                                                     
 CREATE VIEW fkg.t_5700_grundej_vw AS                                                                           
 SELECT                                                                                                         
   5700::integer AS temakode,                                                                                   
   't_5700_grundej'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.forening_type_kode,                                                                                        
   k1.forening_type AS forening_type,                                                                           
   t.forening_navn,                                                                                             
   t.lokalpl_nr,                                                                                                
   t.formand,                                                                                                   
   t.gf_tlf,                                                                                                    
   t.gf_adresse,                                                                                                
   t.gf_mail,                                                                                                   
   t.gf_adr_beskyt_kode,                                                                                        
   k2.gf_adr_beskyt AS gf_adr_beskyt,                                                                           
   t.vedtaegt_kode,                                                                                             
   k3.ja_nej AS vedtaegt,                                                                                       
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5700_grundej t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5700_forening_type k1 ON (t.forening_type_kode = k1.forening_type_kode) LEFT JOIN                      
   fkg.d_5700_adr_beskyt k2 ON (t.gf_adr_beskyt_kode = k2.gf_adr_beskyt_kode) LEFT JOIN                         
   fkg.d_basis_ja_nej k3 ON (t.vedtaegt_kode = k3.ja_nej_kode)                                                  
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5705_forp_are_vw;                                                                    
 CREATE VIEW fkg.t_5705_forp_are_vw AS                                                                          
 SELECT                                                                                                         
   5705::integer AS temakode,                                                                                   
   't_5705_forp_are'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.forpagter_navn,                                                                                            
   t.forpagter_formaal,                                                                                         
   t.udlejning_kode,                                                                                            
   k1.udlejning AS udlejning,                                                                                   
   t.landbrug_kode,                                                                                             
   k2.ja_nej AS landbrug,                                                                                       
   t.noter,                                                                                                     
   t.sagsnr,                                                                                                    
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5705_forp_are t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_5705_udlejning k1 ON (t.udlejning_kode = k1.udlejning_kode) LEFT JOIN                                  
   fkg.d_basis_ja_nej k2 ON (t.landbrug_kode = k2.ja_nej_kode)                                                  
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5703_afstem_sted_vw;                                                                 
 CREATE VIEW fkg.t_5703_afstem_sted_vw AS                                                                       
 SELECT                                                                                                         
   5703::integer AS temakode,                                                                                   
   't_5703_afstem_sted'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.afstemningsomraade_nr,                                                                                     
   k1.afstemningsomraade_nr AS afstemningsomraade_navn,                                                         
   t.lokalitet,                                                                                                 
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5703_afstem_sted t ON (g.versions_id = t.versions_id) LEFT JOIN                                        
   fkg.d_basis_afstemningsomraade k1 ON (t.afstemningsomraade_nr = k1.afstemningsomraade_nr) LEFT JOIN          
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5704_afstem_omr_vw;                                                                  
 CREATE VIEW fkg.t_5704_afstem_omr_vw AS                                                                        
 SELECT                                                                                                         
   5704::integer AS temakode,                                                                                   
   't_5704_afstem_omr'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.afstemningsomraade_nr,                                                                                     
   k1.afstemningsomraade_nr AS afstemningsomraade_navn,                                                         
   t.opstillingskreds_nr,                                                                                       
   t.opstillingskreds_navn,                                                                                     
   t.storkreds_nr,                                                                                              
   t.storkreds_navn,                                                                                            
   t.ansvar_revision,                                                                                           
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5704_afstem_omr t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_basis_afstemningsomraade k1 ON (t.afstemningsomraade_nr = k1.afstemningsomraade_nr)                    
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5707_grunds_vw;                                                                      
 CREATE VIEW fkg.t_5707_grunds_vw AS                                                                            
 SELECT                                                                                                         
   5707::integer AS temakode,                                                                                   
   't_5707_grunds'::text AS temanavn,                                                                           
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.udstyk_navn,                                                                                               
   t.grund_type_kode,                                                                                           
   k1.grund_type AS grund_type,                                                                                 
   t.salg_status_kode,                                                                                          
   k2.salg_status AS salg_status,                                                                               
   t.pris,                                                                                                      
   t.mindste_pris,                                                                                              
   t.kvm_pris,                                                                                                  
   t.kontakt_oplys,                                                                                             
   t.grundareal,                                                                                                
   t.bygningareal,                                                                                              
   t.budfrist_slut,                                                                                             
   t.sagsnr,                                                                                                    
   t.vejkode,                                                                                                   
   k3.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k4.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5707_grunds t ON (g.versions_id = t.versions_id) LEFT JOIN                                             
   fkg.d_5707_grund_type k1 ON (t.grund_type_kode = k1.grund_type_kode) LEFT JOIN                               
   fkg.d_5707_salg_status k2 ON (t.salg_status_kode = k2.salg_status_kode) LEFT JOIN                            
   fkg.d_vejnavn k3 ON (t.vejkode = k3.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k4 ON (t.postnr = k4.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5712_plej_aeldr_dis_vw;                                                              
 CREATE VIEW fkg.t_5712_plej_aeldr_dis_vw AS                                                                    
 SELECT                                                                                                         
   5712::integer AS temakode,                                                                                   
   't_5712_plej_aeldr_dis'::text AS temanavn,                                                                   
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.plej_distrikt_nr,                                                                                          
   t.plej_distrikt_navn,                                                                                        
   t.plej_distrikt_type_kode,                                                                                   
   k1.plej_distrikt_type AS plej_distrikt_type,                                                                 
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5712_plej_aeldr_dis t ON (g.versions_id = t.versions_id) LEFT JOIN                                     
   fkg.d_5712_plej_distrikt_type k1 ON (t.plej_distrikt_type_kode = k1.plej_distrikt_type_kode)                 
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5706_havn_are_vw;                                                                    
 CREATE VIEW fkg.t_5706_havn_are_vw AS                                                                          
 SELECT                                                                                                         
   5706::integer AS temakode,                                                                                   
   't_5706_havn_are'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.havn_nr,                                                                                                   
   t.havn_navn,                                                                                                 
   t.havne_type_kode,                                                                                           
   k1.havn_type AS havne_type,                                                                                  
   t.cvr_havn,                                                                                                  
   t.ejer_admin,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5706_havn_are t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_5706_havn_type k1 ON (t.havne_type_kode = k1.havn_type_kode)                                           
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5710_born_skole_dis_vw;                                                              
 CREATE VIEW fkg.t_5710_born_skole_dis_vw AS                                                                    
 SELECT                                                                                                         
   5710::integer AS temakode,                                                                                   
   't_5710_born_skole_dis'::text AS temanavn,                                                                   
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.udd_distrikt_nr,                                                                                           
   t.udd_distrikt_navn,                                                                                         
   t.udd_distrikt_type_kode,                                                                                    
   k1.udd_distrikt_type AS udd_distrikt_type,                                                                   
   t.starttrin_kode,                                                                                            
   k2.trin AS starttrin,                                                                                        
   t.sluttrin_kode,                                                                                             
   k3.trin AS slutttrin,                                                                                        
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5710_born_skole_dis t ON (g.versions_id = t.versions_id) LEFT JOIN                                     
   fkg.d_5710_udd_distrikt_type k1 ON (t.udd_distrikt_type_kode = k1.udd_distrikt_type_kode) LEFT JOIN          
   fkg.d_basis_trin k2 ON (t.starttrin_kode = k2.trin_kode) LEFT JOIN                                           
   fkg.d_basis_trin k3 ON (t.sluttrin_kode = k3.trin_kode)                                                      
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5711_and_dis_vw;                                                                     
 CREATE VIEW fkg.t_5711_and_dis_vw AS                                                                           
 SELECT                                                                                                         
   5711::integer AS temakode,                                                                                   
   't_5711_and_dis'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.an_distrikt_nr,                                                                                            
   t.an_distrikt_navn,                                                                                          
   t.an_distrikt_type_kode,                                                                                     
   k1.an_distrikt_type AS an_distrikt_type,                                                                     
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5711_and_dis t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5711_an_distrikt_type k1 ON (t.an_distrikt_type_kode = k1.an_distrikt_type_kode)                       
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5713_prog_stat_dis_vw;                                                               
 CREATE VIEW fkg.t_5713_prog_stat_dis_vw AS                                                                     
 SELECT                                                                                                         
   5713::integer AS temakode,                                                                                   
   't_5713_prog_stat_dis'::text AS temanavn,                                                                    
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.prog_distrikt_nr,                                                                                          
   t.prog_distrikt_navn,                                                                                        
   t.prog_distrikt_type_kode,                                                                                   
   k1.prog_distrikt_type AS prog_distrikt_type,                                                                 
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5713_prog_stat_dis t ON (g.versions_id = t.versions_id) LEFT JOIN                                      
   fkg.d_5713_prog_distrikt_type k1 ON (t.prog_distrikt_type_kode = k1.prog_distrikt_type_kode)                 
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5702_skorst_fej_vw;                                                                  
 CREATE VIEW fkg.t_5702_skorst_fej_vw AS                                                                        
 SELECT                                                                                                         
   5702::integer AS temakode,                                                                                   
   't_5702_skorst_fej'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.skorstenf_distrikt_nr,                                                                                     
   t.skorstenf_distrikt_navn,                                                                                   
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.skorstensfejer,                                                                                            
   t.sf_tlf,                                                                                                    
   t.sf_adresse,                                                                                                
   t.sf_mail,                                                                                                   
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5702_skorst_fej t ON (g.versions_id = t.versions_id)                                                   
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5716_servicetilbud_vw;                                                               
 CREATE VIEW fkg.t_5716_servicetilbud_vw AS                                                                     
 SELECT                                                                                                         
   5716::integer AS temakode,                                                                                   
   't_5716_servicetilbud'::text AS temanavn,                                                                    
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.service_type_kode,                                                                                         
   k1.service_type AS service_type,                                                                             
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.servicetilbud_navn,                                                                                        
   t.nogle,                                                                                                     
   t.vejkode,                                                                                                   
   k3.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k4.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5716_servicetilbud t ON (g.versions_id = t.versions_id) LEFT JOIN                                      
   fkg.d_5716_servicetilbud_type k1 ON (t.service_type_kode = k1.service_type_kode) LEFT JOIN                   
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode) LEFT JOIN                              
   fkg.d_vejnavn k3 ON (t.vejkode = k3.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k4 ON (t.postnr = k4.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6000_pot_vw;                                                                         
 CREATE VIEW fkg.t_6000_pot_vw AS                                                                               
 SELECT                                                                                                         
   6000::integer AS temakode,                                                                                   
   't_6000_pot'::text AS temanavn,                                                                              
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.kote,                                                                                                      
   t.navn,                                                                                                      
   t.aekvidistance,                                                                                             
   t.magasin_kode,                                                                                              
   k1.magasin AS magasin,                                                                                       
   t.pejling,                                                                                                   
   t.oprind_kilde,                                                                                              
   t.metode,                                                                                                    
   t.reference,                                                                                                 
   t.kotesystem_kode,                                                                                           
   k2.kotesystem AS kotesystem,                                                                                 
   t.usikkerhed,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6000_pot t ON (g.versions_id = t.versions_id) LEFT JOIN                                                
   fkg.d_basis_magasin k1 ON (t.magasin_kode = k1.magasin_kode) LEFT JOIN                                       
   fkg.d_6000_kotesystem k2 ON (t.kotesystem_kode = k2.kotesystem_kode)                                         
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6101_beskyt_rum_vw;                                                                  
 CREATE VIEW fkg.t_6101_beskyt_rum_vw AS                                                                        
 SELECT                                                                                                         
   6101::integer AS temakode,                                                                                   
   't_6101_beskyt_rum'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.beskyt_rum_kode,                                                                                           
   k1.beskyt_rum AS beskyt_rum,                                                                                 
   t.klargjort_kode,                                                                                            
   k2.ja_nej AS klargjort,                                                                                      
   t.pladser,                                                                                                   
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6101_beskyt_rum t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_6101_beskyt_rum k1 ON (t.beskyt_rum_kode = k1.beskyt_rum_kode) LEFT JOIN                               
   fkg.d_basis_ja_nej k2 ON (t.klargjort_kode = k2.ja_nej_kode)                                                 
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6004_vandv_fs_vw;                                                                    
 CREATE VIEW fkg.t_6004_vandv_fs_vw AS                                                                          
 SELECT                                                                                                         
   6004::integer AS temakode,                                                                                   
   't_6004_vandv_fs'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vandv_nr,                                                                                                  
   k1.vandv AS vandv_navn,                                                                                      
   t.fors_omr_type_kode,                                                                                        
   k2.fors_omr_type AS fors_omr_type,                                                                           
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6004_vandv_fs t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_basis_vandv_nr k1 ON (t.vandv_nr = k1.vandv_nr) LEFT JOIN                                              
   fkg.d_basis_fors_omr_type k2 ON (t.fors_omr_type_kode = k2.fors_omr_type_kode)                               
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6007_inds_omr_vw;                                                                    
 CREATE VIEW fkg.t_6007_inds_omr_vw AS                                                                          
 SELECT                                                                                                         
   6007::integer AS temakode,                                                                                   
   't_6007_inds_omr'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.indsatsomr_navn,                                                                                           
   t.stoerrelse,                                                                                                
   t.ansvar_myndighed,                                                                                          
   t.vedtagelse,                                                                                                
   t.note,                                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6007_inds_omr t ON (g.versions_id = t.versions_id)                                                     
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6008_maks_bor_vw;                                                                    
 CREATE VIEW fkg.t_6008_maks_bor_vw AS                                                                          
 SELECT                                                                                                         
   6008::integer AS temakode,                                                                                   
   't_6008_maks_bor'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.boredybde,                                                                                                 
   t.note,                                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6008_maks_bor t ON (g.versions_id = t.versions_id)                                                     
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6009_indv_ovflv_vw;                                                                  
 CREATE VIEW fkg.t_6009_indv_ovflv_vw AS                                                                        
 SELECT                                                                                                         
   6009::integer AS temakode,                                                                                   
   't_6009_indv_ovflv'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.indv_maengde_aar,                                                                                          
   t.indv_kapacitet,                                                                                            
   t.indvinder_navn,                                                                                            
   t.indvinder_kontakt,                                                                                         
   t.note,                                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6009_indv_ovflv t ON (g.versions_id = t.versions_id)                                                   
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6103_bered_omr_vw;                                                                   
 CREATE VIEW fkg.t_6103_bered_omr_vw AS                                                                         
 SELECT                                                                                                         
   6103::integer AS temakode,                                                                                   
   't_6103_bered_omr'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.bereds_distrikt_nr,                                                                                        
   t.bereds_distrikt_navn,                                                                                      
   t.udrykker,                                                                                                  
   t.noegle,                                                                                                    
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6103_bered_omr t ON (g.versions_id = t.versions_id)                                                    
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6001_pot_m_vw;                                                                       
 CREATE VIEW fkg.t_6001_pot_m_vw AS                                                                             
 SELECT                                                                                                         
   6001::integer AS temakode,                                                                                   
   't_6001_pot_m'::text AS temanavn,                                                                            
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.potentialekort,                                                                                            
   t.stoettep_kode,                                                                                             
   k1.ja_nej AS stoettep,                                                                                       
   t.dgu_nr,                                                                                                    
   t.dybde,                                                                                                     
   t.aekvidistance,                                                                                             
   t.magasin_kode,                                                                                              
   k2.magasin AS magasin,                                                                                       
   t.pejling,                                                                                                   
   t.oprind_kilde,                                                                                              
   t.kotesystem_kode,                                                                                           
   k3.kotesystem AS kotesystem,                                                                                 
   t.usikkerhed,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6001_pot_m t ON (g.versions_id = t.versions_id) LEFT JOIN                                              
   fkg.d_basis_ja_nej k1 ON (t.stoettep_kode = k1.ja_nej_kode) LEFT JOIN                                        
   fkg.d_basis_magasin k2 ON (t.magasin_kode = k2.magasin_kode) LEFT JOIN                                       
   fkg.d_6000_kotesystem k3 ON (t.kotesystem_kode = k3.kotesystem_kode)                                         
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6006_grundv_opl_vw;                                                                  
 CREATE VIEW fkg.t_6006_grundv_opl_vw AS                                                                        
 SELECT                                                                                                         
   6006::integer AS temakode,                                                                                   
   't_6006_grundv_opl'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vandv_nr,                                                                                                  
   k1.vandv AS vandv_navn,                                                                                      
   t.oplandtype,                                                                                                
   t.indsatsomraade,                                                                                            
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6006_grundv_opl t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_basis_vandv_nr k1 ON (t.vandv_nr = k1.vandv_nr)                                                        
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6107_forholds_vw;                                                                    
 CREATE VIEW fkg.t_6107_forholds_vw AS                                                                          
 SELECT                                                                                                         
   6107::integer AS temakode,                                                                                   
   't_6107_forholds'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.bra_kode,                                                                                                  
   t.net_adr,                                                                                                   
   t.cvr_firma,                                                                                                 
   t.vejkode,                                                                                                   
   k1.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k2.postnr_by AS postnr_by,                                                                                   
   t.adr_i_tekst,                                                                                               
   t.tlf_arbejde,                                                                                               
   t.tlf_dag,                                                                                                   
   t.tlf_nat,                                                                                                   
   t.aba_kode,                                                                                                  
   k3.ja_nej AS aba,                                                                                            
   t.avs_kode,                                                                                                  
   k4.ja_nej AS avs,                                                                                            
   t.ars_kode,                                                                                                  
   k5.ja_nej AS ars,                                                                                            
   t.noegleboks_kode,                                                                                           
   k6.ja_nej AS noegleboks,                                                                                     
   t.noeglested,                                                                                                
   t.central_placering,                                                                                         
   t.opgave_ankomst,                                                                                            
   t.prs_1,                                                                                                     
   t.prs_2,                                                                                                     
   t.prs_3,                                                                                                     
   t.prs_4,                                                                                                     
   t.prs_5,                                                                                                     
   t.system_fkt,                                                                                                
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6107_forholds t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_vejnavn k1 ON (t.vejkode = k1.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k2 ON (t.postnr = k2.postnr) LEFT JOIN                                                    
   fkg.d_basis_ja_nej k3 ON (t.aba_kode = k3.ja_nej_kode) LEFT JOIN                                             
   fkg.d_basis_ja_nej k4 ON (t.avs_kode = k4.ja_nej_kode) LEFT JOIN                                             
   fkg.d_basis_ja_nej k5 ON (t.ars_kode = k5.ja_nej_kode) LEFT JOIN                                             
   fkg.d_basis_ja_nej k6 ON (t.noegleboks_kode = k6.ja_nej_kode)                                                
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6108_moedepl_vw;                                                                     
 CREATE VIEW fkg.t_6108_moedepl_vw AS                                                                           
 SELECT                                                                                                         
   6108::integer AS temakode,                                                                                   
   't_6108_moedepl'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.navn,                                                                                                      
   t.vejkode,                                                                                                   
   k1.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k2.postnr_by AS postnr_by,                                                                                   
   t.noter,                                                                                                     
   t.bemaerkning,                                                                                               
   t.link_tegn,                                                                                                 
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6108_moedepl t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_vejnavn k1 ON (t.vejkode = k1.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k2 ON (t.postnr = k2.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6113_besk_nat_b_vw;                                                                  
 CREATE VIEW fkg.t_6113_besk_nat_b_vw AS                                                                        
 SELECT                                                                                                         
   6113::integer AS temakode,                                                                                   
   't_6113_besk_nat_b'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6113_besk_nat_b t ON (g.versions_id = t.versions_id)                                                   
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6110_noegle_vw;                                                                      
 CREATE VIEW fkg.t_6110_noegle_vw AS                                                                            
 SELECT                                                                                                         
   6110::integer AS temakode,                                                                                   
   't_6110_noegle'::text AS temanavn,                                                                           
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.bra_kode,                                                                                                  
   t.tyv_alarm_kode,                                                                                            
   k1.ja_nej AS tyv_alarm,                                                                                      
   t.noegleboksnr,                                                                                              
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.bemaerkning,                                                                                               
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6110_noegle t ON (g.versions_id = t.versions_id) LEFT JOIN                                             
   fkg.d_basis_ja_nej k1 ON (t.tyv_alarm_kode = k1.ja_nej_kode) LEFT JOIN                                       
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6111_fyrv_till_vw;                                                                   
 CREATE VIEW fkg.t_6111_fyrv_till_vw AS                                                                         
 SELECT                                                                                                         
   6111::integer AS temakode,                                                                                   
   't_6111_fyrv_till'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.firma,                                                                                                     
   t.vejkode,                                                                                                   
   k1.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k2.postnr_by AS postnr_by,                                                                                   
   t.tilladelse_type_kode,                                                                                      
   k3.tilladelse_type AS tilladelse_type,                                                                       
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6111_fyrv_till t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_vejnavn k1 ON (t.vejkode = k1.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k2 ON (t.postnr = k2.postnr) LEFT JOIN                                                    
   fkg.d_6111_tilladelse k3 ON (t.tilladelse_type_kode = k3.tilladelse_type_kode)                               
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6112_midl_dep_vw;                                                                    
 CREATE VIEW fkg.t_6112_midl_dep_vw AS                                                                          
 SELECT                                                                                                         
   6112::integer AS temakode,                                                                                   
   't_6112_midl_dep'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.cvr,                                                                                                       
   t.virksomhed_navn,                                                                                           
   t.virksomhed_type,                                                                                           
   t.depottype_kode,                                                                                            
   k1.depottype AS depottype,                                                                                   
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6112_midl_dep t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_6112_depottype k1 ON (t.depottype_kode = k1.depottype_kode)                                            
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6114_midl_oph_vw;                                                                    
 CREATE VIEW fkg.t_6114_midl_oph_vw AS                                                                          
 SELECT                                                                                                         
   6114::integer AS temakode,                                                                                   
   't_6114_midl_oph'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.institution_navn,                                                                                          
   t.vejkode,                                                                                                   
   k1.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k2.postnr_by AS postnr_by,                                                                                   
   t.adr_i_tekst,                                                                                               
   t.suppl_sted_beskrivelse,                                                                                    
   t.kontaktperson,                                                                                             
   t.kontakttelefonnr,                                                                                          
   t.antal_personer,                                                                                            
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6114_midl_oph t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_vejnavn k1 ON (t.vejkode = k1.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k2 ON (t.postnr = k2.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6105_sbygn_omr_vw;                                                                   
 CREATE VIEW fkg.t_6105_sbygn_omr_vw AS                                                                         
 SELECT                                                                                                         
   6105::integer AS temakode,                                                                                   
   't_6105_sbygn_omr'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.saer_distrikt_nr,                                                                                          
   t.saer_distrikt_navn,                                                                                        
   t.navn,                                                                                                      
   t.kontakt_info,                                                                                              
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6105_sbygn_omr t ON (g.versions_id = t.versions_id)                                                    
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6115_afbr_omr_vw;                                                                    
 CREATE VIEW fkg.t_6115_afbr_omr_vw AS                                                                          
 SELECT                                                                                                         
   6115::integer AS temakode,                                                                                   
   't_6115_afbr_omr'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.afbr_nr,                                                                                                   
   t.afbr_navn,                                                                                                 
   t.afbr_type_kode,                                                                                            
   k1.afbr_type AS afbr_type,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6115_afbr_omr t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_6115_afbr_type k1 ON (t.afbr_type_kode = k1.afbr_type_kode)                                            
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6116_olie_ber_pl_vw;                                                                 
 CREATE VIEW fkg.t_6116_olie_ber_pl_vw AS                                                                       
 SELECT                                                                                                         
   6116::integer AS temakode,                                                                                   
   't_6116_olie_ber_pl'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.navn,                                                                                                      
   t.strandtype_kode,                                                                                           
   k1.strandtype AS strandtype,                                                                                 
   t.prioritet,                                                                                                 
   t.esi_klasse_kode,                                                                                           
   k2.esi_klasse AS esi_klasse,                                                                                 
   t.baad_kode,                                                                                                 
   k3.ja_nej AS baad,                                                                                           
   t.sagsnr,                                                                                                    
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6116_olie_ber_pl t ON (g.versions_id = t.versions_id) LEFT JOIN                                        
   fkg.d_6116_strandtype k1 ON (t.strandtype_kode = k1.strandtype_kode) LEFT JOIN                               
   fkg.d_6116_esi_klasse k2 ON (t.esi_klasse_kode = k2.esi_klasse_kode) LEFT JOIN                               
   fkg.d_basis_ja_nej k3 ON (t.baad_kode = k3.ja_nej_kode)                                                      
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6104_risiko_virk_vw;                                                                 
 CREATE VIEW fkg.t_6104_risiko_virk_vw AS                                                                       
 SELECT                                                                                                         
   6104::integer AS temakode,                                                                                   
   't_6104_risiko_virk'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.risikotype_kode,                                                                                           
   k1.risikotype AS risikotype,                                                                                 
   t.cvr_risi_virk,                                                                                             
   t.kontakt_tlf,                                                                                               
   t.brandhaem_kode,                                                                                            
   k2.brandhaem AS brandhaem,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6104_risiko_virk t ON (g.versions_id = t.versions_id) LEFT JOIN                                        
   fkg.d_6104_risikotype k1 ON (t.risikotype_kode = k1.risikotype_kode) LEFT JOIN                               
   fkg.d_6104_brandhaem k2 ON (t.brandhaem_kode = k2.brandhaem_kode)                                            
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6202_landk_omr_vw;                                                                   
 CREATE VIEW fkg.t_6202_landk_omr_vw AS                                                                         
 SELECT                                                                                                         
   6202::integer AS temakode,                                                                                   
   't_6202_landk_omr'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.omraade_nr,                                                                                                
   k1.omraade AS omraade,                                                                                       
   t.dato_besigtig,                                                                                             
   t.navn_besigtig,                                                                                             
   t.rev_dato,                                                                                                  
   t.landskabskarakteren,                                                                                       
   t.tidsdybde_kode,                                                                                            
   k2.tidsdybde AS tidsdybde,                                                                                   
   t.tidsdybde_beskr,                                                                                           
   t.intakthed_kode,                                                                                            
   k3.tilstand AS intakthed,                                                                                    
   t.intakthed_beskr,                                                                                           
   t.noeglefunktioner,                                                                                          
   t.afgr_naboomr,                                                                                              
   t.vejledn_afgr_naboomr,                                                                                      
   t.skala_kode,                                                                                                
   k4.skala AS skala,                                                                                           
   t.skala_beskrivelse,                                                                                         
   t.rumlig_afgraensning_kode,                                                                                  
   k5.rumlig_afgraensning AS rumlig_afgraensning,                                                               
   t.rumlig_beskrivelse,                                                                                        
   t.kompleksitet_kode,                                                                                         
   k6.kompleksitet AS kompleksitet,                                                                             
   t.kompleksitet_beskrivelse,                                                                                  
   t.struktur_kode,                                                                                             
   k7.struktur AS struktur,                                                                                     
   t.struktur_beskrivelse,                                                                                      
   t.visuel_uro_kode,                                                                                           
   k8.visuel_uro AS visuel_uro,                                                                                 
   t.visuel_uro_beskrivelse,                                                                                    
   t.kystforhold,                                                                                               
   t.oplevelser,                                                                                                
   t.analysekort,                                                                                               
   t.link_reg_skema,                                                                                            
   t.link_vejledning,                                                                                           
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6202_landk_omr t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_basis_omraade k1 ON (t.omraade_nr = k1.omraade_nr) LEFT JOIN                                           
   fkg.d_6202_tidsdybde k2 ON (t.tidsdybde_kode = k2.tidsdybde_kode) LEFT JOIN                                  
   fkg.d_basis_tilstand k3 ON (t.intakthed_kode = k3.tilstand_kode) LEFT JOIN                                   
   fkg.d_6202_skala k4 ON (t.skala_kode = k4.skala_kode) LEFT JOIN                                              
   fkg.d_6202_rumlig_afgraensning k5 ON (t.rumlig_afgraensning_kode = k5.rumlig_afgraensning_kode) LEFT JOIN    
   fkg.d_6202_kompleksitet k6 ON (t.kompleksitet_kode = k6.kompleksitet_kode) LEFT JOIN                         
   fkg.d_6202_struktur k7 ON (t.struktur_kode = k7.struktur_kode) LEFT JOIN                                     
   fkg.d_6202_visuel_uro k8 ON (t.visuel_uro_kode = k8.visuel_uro_kode)                                         
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6200_nat_geo_vw;                                                                     
 CREATE VIEW fkg.t_6200_nat_geo_vw AS                                                                           
 SELECT                                                                                                         
   6200::integer AS temakode,                                                                                   
   't_6200_nat_geo'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.data_oprindelse,                                                                                           
   t.omraade_nr,                                                                                                
   k1.omraade AS omraade,                                                                                       
   t.geologi_kode,                                                                                              
   k2.geologi AS geologi,                                                                                       
   t.geo_ref,                                                                                                   
   t.jordtype_kode,                                                                                             
   k3.jordtype AS jordtype,                                                                                     
   t.terraen_kode,                                                                                              
   k4.terraen AS terraen,                                                                                       
   t.terraen_ref,                                                                                               
   t.kompleksitet_kode,                                                                                         
   k5.kompleksitet AS kompleksitet,                                                                             
   t.vandelementer,                                                                                             
   t.farvandsomraade,                                                                                           
   t.strandbredden,                                                                                             
   t.begrund_afgraensning,                                                                                      
   t.omr_sammenhaeng,                                                                                           
   t.farvand_strand_ref,                                                                                        
   t.naturgeo_beskrivelse,                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6200_nat_geo t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_basis_omraade k1 ON (t.omraade_nr = k1.omraade_nr) LEFT JOIN                                           
   fkg.d_6200_geologi k2 ON (t.geologi_kode = k2.geologi_kode) LEFT JOIN                                        
   fkg.d_6200_jordtype k3 ON (t.jordtype_kode = k3.jordtype_kode) LEFT JOIN                                     
   fkg.d_6200_terraen k4 ON (t.terraen_kode = k4.terraen_kode) LEFT JOIN                                        
   fkg.d_6200_kompleksitet k5 ON (t.kompleksitet_kode = k5.kompleksitet_kode)                                   
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6201_kult_geo_vw;                                                                    
 CREATE VIEW fkg.t_6201_kult_geo_vw AS                                                                          
 SELECT                                                                                                         
   6201::integer AS temakode,                                                                                   
   't_6201_kult_geo'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.data_oprindelse,                                                                                           
   t.omraade_nr,                                                                                                
   k1.omraade AS omraade,                                                                                       
   t.begrund_afgraensning,                                                                                      
   t.link_litteratur,                                                                                           
   t.link_vejledning,                                                                                           
   t.link_reg_skema,                                                                                            
   t.kulturgeo_beskrivelse,                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6201_kult_geo t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_basis_omraade k1 ON (t.omraade_nr = k1.omraade_nr)                                                     
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6203_landk_vur_vw;                                                                   
 CREATE VIEW fkg.t_6203_landk_vur_vw AS                                                                         
 SELECT                                                                                                         
   6203::integer AS temakode,                                                                                   
   't_6203_landk_vur'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.omraade_nr,                                                                                                
   k1.omraade AS omraade,                                                                                       
   t.delomraade_nr,                                                                                             
   t.karakterstyrke_kode,                                                                                       
   k2.karakterstyrke AS karakterstyrke,                                                                         
   t.karakterstyrke_notat,                                                                                      
   t.visuel_notat,                                                                                              
   t.tilstand_kode,                                                                                             
   k3.tilstand AS tilstand,                                                                                     
   t.tilstand_notat,                                                                                            
   t.udvikling,                                                                                                 
   t.saarbarhed_kode,                                                                                           
   k4.saarbarhed AS saarbarhed,                                                                                 
   t.saarbarhed_notat,                                                                                          
   t.tiltag,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6203_landk_vur t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_basis_omraade k1 ON (t.omraade_nr = k1.omraade_nr) LEFT JOIN                                           
   fkg.d_6203_karakterstyrke k2 ON (t.karakterstyrke_kode = k2.karakterstyrke_kode) LEFT JOIN                   
   fkg.d_basis_tilstand k3 ON (t.tilstand_kode = k3.tilstand_kode) LEFT JOIN                                    
   fkg.d_6203_saarbarhed k4 ON (t.saarbarhed_kode = k4.saarbarhed_kode)                                         
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6801_parl_li_vw;                                                                     
 CREATE VIEW fkg.t_6801_parl_li_vw AS                                                                           
 SELECT                                                                                                         
   6801::integer AS temakode,                                                                                   
   't_6801_parl_li'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vedlhold_l_type_kode,                                                                                      
   k1.vedlhold_l_type AS vedlhold_l_type,                                                                       
   k1.vedlhold_l_type_lable AS vedlhold_l_type_lable,                                                           
   t.arbejdssted,                                                                                               
   t.konto_nr,                                                                                                  
   t.udfoerer_enterp,                                                                                           
   t.kommunal_kontakt,                                                                                          
   t.anlaegsaar,                                                                                                
   t.etabl_pleje_udloeb,                                                                                        
   t.udskiftningaar,                                                                                            
   t.klip_flade,                                                                                                
   t.klip_hoejde,                                                                                               
   t.klip_sider,                                                                                                
   t.klip_bredde,                                                                                               
   t.driftniv_kode,                                                                                             
   k2.driftniv AS driftniv,                                                                                     
   t.ukrudtsbek_kode,                                                                                           
   k3.ukrudtsbek AS ukrudtsbek,                                                                                 
   t.tilstand_kode,                                                                                             
   k4.tilstand AS tilstand,                                                                                     
   t.noegle,                                                                                                    
   t.noter,                                                                                                     
   t.vejkode,                                                                                                   
   k5.vejnavn AS vejnavn,                                                                                       
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6801_parl_li t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_6801_vedlhold_l_type k1 ON (t.vedlhold_l_type_kode = k1.vedlhold_l_type_kode) LEFT JOIN                
   fkg.d_basis_driftniv k2 ON (t.driftniv_kode = k2.driftniv_kode) LEFT JOIN                                    
   fkg.d_basis_ukrudtsbek k3 ON (t.ukrudtsbek_kode = k3.ukrudtsbek_kode) LEFT JOIN                              
   fkg.d_basis_tilstand k4 ON (t.tilstand_kode = k4.tilstand_kode) LEFT JOIN                                    
   fkg.d_vejnavn k5 ON (t.vejkode = k5.vejkode)                                                                 
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6800_parl_fl_vw;                                                                     
 CREATE VIEW fkg.t_6800_parl_fl_vw AS                                                                           
 SELECT                                                                                                         
   6800::integer AS temakode,                                                                                   
   't_6800_parl_fl'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vedlhold_f_type_kode,                                                                                      
   k1.vedlhold_f_type AS vedlhold_f_type,                                                                       
   k1.vedlhold_f_type_lable AS vedlhold_f_type_lable,                                                           
   t.arbejdssted,                                                                                               
   t.konto_nr,                                                                                                  
   t.udfoerer_enterp,                                                                                           
   t.kommunal_kontakt,                                                                                          
   t.anlaegsaar,                                                                                                
   t.etabl_pleje_udloeb,                                                                                        
   t.udskiftningaar,                                                                                            
   t.udtyndaar,                                                                                                 
   t.klip_hoejde,                                                                                               
   t.klip_sider,                                                                                                
   t.klip_flade,                                                                                                
   t.driftniv_kode,                                                                                             
   k2.driftniv AS driftniv,                                                                                     
   t.ukrudtsbek_kode,                                                                                           
   k3.ukrudtsbek AS ukrudtsbek,                                                                                 
   t.tilstand_kode,                                                                                             
   k4.tilstand AS tilstand,                                                                                     
   t.noegle,                                                                                                    
   t.noter,                                                                                                     
   t.vejkode,                                                                                                   
   k5.vejnavn AS vejnavn,                                                                                       
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6800_parl_fl t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_6800_vedlhold_f_type k1 ON (t.vedlhold_f_type_kode = k1.vedlhold_f_type_kode) LEFT JOIN                
   fkg.d_basis_driftniv k2 ON (t.driftniv_kode = k2.driftniv_kode) LEFT JOIN                                    
   fkg.d_basis_ukrudtsbek k3 ON (t.ukrudtsbek_kode = k3.ukrudtsbek_kode) LEFT JOIN                              
   fkg.d_basis_tilstand k4 ON (t.tilstand_kode = k4.tilstand_kode) LEFT JOIN                                    
   fkg.d_vejnavn k5 ON (t.vejkode = k5.vejkode)                                                                 
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6802_parl_pkt_vw;                                                                    
 CREATE VIEW fkg.t_6802_parl_pkt_vw AS                                                                          
 SELECT                                                                                                         
   6802::integer AS temakode,                                                                                   
   't_6802_parl_pkt'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vedlhold_p_type_kode,                                                                                      
   k1.vedlhold_p_type AS vedlhold_p_type,                                                                       
   k1.vedlhold_p_type_lable AS vedlhold_p_type_lable,                                                           
   t.arbejdssted,                                                                                               
   t.konto_nr,                                                                                                  
   t.udfoerer_enterp,                                                                                           
   t.kommunal_kontakt,                                                                                          
   t.anlaegsaar,                                                                                                
   t.etabl_pleje_udloeb,                                                                                        
   t.udskiftningaar,                                                                                            
   t.klip_flade,                                                                                                
   t.driftniv_kode,                                                                                             
   k2.driftniv AS driftniv,                                                                                     
   t.ukrudtsbek_kode,                                                                                           
   k3.ukrudtsbek AS ukrudtsbek,                                                                                 
   t.tilstand_kode,                                                                                             
   k4.tilstand AS tilstand,                                                                                     
   t.noegle,                                                                                                    
   t.noter,                                                                                                     
   t.vejkode,                                                                                                   
   k5.vejnavn AS vejnavn,                                                                                       
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6802_parl_pkt t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_6802_groenvedligh_punkt k1 ON (t.vedlhold_p_type_kode = k1.vedlhold_p_type_kode) LEFT JOIN             
   fkg.d_basis_driftniv k2 ON (t.driftniv_kode = k2.driftniv_kode) LEFT JOIN                                    
   fkg.d_basis_ukrudtsbek k3 ON (t.ukrudtsbek_kode = k3.ukrudtsbek_kode) LEFT JOIN                              
   fkg.d_basis_tilstand k4 ON (t.tilstand_kode = k4.tilstand_kode) LEFT JOIN                                    
   fkg.d_vejnavn k5 ON (t.vejkode = k5.vejkode)                                                                 
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6803_parl_omr_vw;                                                                    
 CREATE VIEW fkg.t_6803_parl_omr_vw AS                                                                          
 SELECT                                                                                                         
   6803::integer AS temakode,                                                                                   
   't_6803_parl_omr'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.pg_distrikt_kode,                                                                                          
   k1.pg_distrikt AS pg_distrikt,                                                                               
   t.pg_distrikt_nr,                                                                                            
   t.ansvarlig,                                                                                                 
   t.udfoerer,                                                                                                  
   t.udfoerer_kontakt1,                                                                                         
   t.udfoerer_kontakt2,                                                                                         
   t.kommunal_kontakt,                                                                                          
   t.note,                                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6803_parl_omr t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_6803_pg_distrikt k1 ON (t.pg_distrikt_kode = k1.pg_distrikt_kode)                                      
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6117_inds_pkt_vw;                                                                    
 CREATE VIEW fkg.t_6117_inds_pkt_vw AS                                                                          
 SELECT                                                                                                         
   6117::integer AS temakode,                                                                                   
   't_6117_inds_pkt'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.nr_navn,                                                                                                   
   t.beskrivelse,                                                                                               
   t.adgang,                                                                                                    
   t.vej_afstand,                                                                                               
   t.ansvar,                                                                                                    
   t.indsatstype_kode,                                                                                          
   k1.indsatstype AS indsatstype,                                                                               
   t.noter,                                                                                                     
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6117_inds_pkt t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_6117_indsatstype k1 ON (t.indsatstype_kode = k1.indsatstype_kode)                                      
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6100_brandhane_vw;                                                                   
 CREATE VIEW fkg.t_6100_brandhane_vw AS                                                                         
 SELECT                                                                                                         
   6100::integer AS temakode,                                                                                   
   't_6100_brandhane'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.brandhane_id,                                                                                              
   t.brandhane_type_kode,                                                                                       
   k1.brandhane_type AS brandhane_type,                                                                         
   t.modeltype,                                                                                                 
   t.ydelse,                                                                                                    
   t.senest_maalte_ydelse,                                                                                      
   t.placering_kode,                                                                                            
   k2.placering AS placering,                                                                                   
   t.lokalitet,                                                                                                 
   t.vejkode,                                                                                                   
   k3.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k4.postnr_by AS postnr_by,                                                                                   
   t.funktionsstatus_kode,                                                                                      
   k5.funktionsstatus AS funktionsstatus,                                                                       
   t.aktiv_kode,                                                                                                
   k6.ja_nej AS aktiv,                                                                                          
   t.senest_tilsyn,                                                                                             
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6100_brandhane t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_6100_brandhane k1 ON (t.brandhane_type_kode = k1.brandhane_type_kode) LEFT JOIN                        
   fkg.d_6100_placering k2 ON (t.placering_kode = k2.placering_kode) LEFT JOIN                                  
   fkg.d_vejnavn k3 ON (t.vejkode = k3.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k4 ON (t.postnr = k4.postnr) LEFT JOIN                                                    
   fkg.d_basis_funktionsstatus k5 ON (t.funktionsstatus_kode = k5.funktionsstatus_kode) LEFT JOIN               
   fkg.d_basis_ja_nej k6 ON (t.aktiv_kode = k6.ja_nej_kode)                                                     
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5715_botilbud_vw;                                                                    
 CREATE VIEW fkg.t_5715_botilbud_vw AS                                                                          
 SELECT                                                                                                         
   5715::integer AS temakode,                                                                                   
   't_5715_botilbud'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.botilbud_type_kode,                                                                                        
   k1.botilbud_type AS botilbud_type,                                                                           
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.botilbud_navn,                                                                                             
   t.noegle,                                                                                                    
   t.vejkode,                                                                                                   
   k3.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k4.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5715_botilbud t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_5715_botilbud_type k1 ON (t.botilbud_type_kode = k1.botilbud_type_kode) LEFT JOIN                      
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode) LEFT JOIN                              
   fkg.d_vejnavn k3 ON (t.vejkode = k3.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k4 ON (t.postnr = k4.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5106_nat_pl_vw;                                                                      
 CREATE VIEW fkg.t_5106_nat_pl_vw AS                                                                            
 SELECT                                                                                                         
   5106::integer AS temakode,                                                                                   
   't_5106_nat_pl'::text AS temanavn,                                                                           
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.pleje_type_kode,                                                                                           
   k1.pleje_type AS pleje_type,                                                                                 
   t.omr_nr,                                                                                                    
   t.omr_navn,                                                                                                  
   t.fortidsmindenr,                                                                                            
   t.faciliteter_kode,                                                                                          
   k2.faciliteter AS faciliteter,                                                                               
   t.aftale_type,                                                                                               
   t.aftale_nr,                                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.ejerstatus_kode,                                                                                           
   k3.ejerstatus AS ejerstatus,                                                                                 
   t.sagsnr,                                                                                                    
   t.projekt_type,                                                                                              
   t.dyrehold,                                                                                                  
   t.antal_moder,                                                                                               
   t.chr,                                                                                                       
   t.navn,                                                                                                      
   t.telefon,                                                                                                   
   t.mobil,                                                                                                     
   t.mail,                                                                                                      
   t.ajour,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5106_nat_pl t ON (g.versions_id = t.versions_id) LEFT JOIN                                             
   fkg.d_5106_pleje_type k1 ON (t.pleje_type_kode = k1.pleje_type_kode) LEFT JOIN                               
   fkg.d_5106_faciliteter k2 ON (t.faciliteter_kode = k2.faciliteter_kode) LEFT JOIN                            
   fkg.d_basis_ejerstatus k3 ON (t.ejerstatus_kode = k3.ejerstatus_kode)                                        
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6102_redn_vej_vw;                                                                    
 CREATE VIEW fkg.t_6102_redn_vej_vw AS                                                                          
 SELECT                                                                                                         
   6102::integer AS temakode,                                                                                   
   't_6102_redn_vej'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.redvej_type_kode,                                                                                          
   k1.redvej_type AS redvej_type,                                                                               
   t.redn_underomr,                                                                                             
   t.noter,                                                                                                     
   t.bygn_kompleks,                                                                                             
   t.byg_sag_nr,                                                                                                
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6102_redn_vej t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_6102_redvej_type k1 ON (t.redvej_type_kode = k1.redvej_type_kode) LEFT JOIN                            
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5005_soe_vw;                                                                         
 CREATE VIEW fkg.t_5005_soe_vw AS                                                                               
 SELECT                                                                                                         
   5005::integer AS temakode,                                                                                   
   't_5005_soe'::text AS temanavn,                                                                              
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.soe_navn,                                                                                                  
   t.dmu_ref,                                                                                                   
   t.soe_nr,                                                                                                    
   t.maalsaetning_kode,                                                                                         
   k1.maalsaetning AS maalsaetning,                                                                             
   t.soe_type_kode,                                                                                             
   k2.soe_type AS soe_type,                                                                                     
   t.habitat_type_kode,                                                                                         
   k3.habitat_type AS habitat_type,                                                                             
   t.trussel_vand_kode,                                                                                         
   k4.trussel_vand AS trussel_vand,                                                                             
   t.sejlads,                                                                                                   
   t.tilstand,                                                                                                  
   t.opholdstid,                                                                                                
   t.volumen,                                                                                                   
   t.fot_id,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5005_soe t ON (g.versions_id = t.versions_id) LEFT JOIN                                                
   fkg.d_5005_maalsaetning k1 ON (t.maalsaetning_kode = k1.maalsaetning_kode) LEFT JOIN                         
   fkg.d_5005_soe_type k2 ON (t.soe_type_kode = k2.soe_type_kode) LEFT JOIN                                     
   fkg.d_5005_habitat_type k3 ON (t.habitat_type_kode = k3.habitat_type_kode) LEFT JOIN                         
   fkg.d_basis_trussel_vand k4 ON (t.trussel_vand_kode = k4.trussel_vand_kode)                                  
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5701_lok_omr_vw;                                                                     
 CREATE VIEW fkg.t_5701_lok_omr_vw AS                                                                           
 SELECT                                                                                                         
   5701::integer AS temakode,                                                                                   
   't_5701_lok_omr'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.lokalraad_navn,                                                                                            
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5701_lok_omr t ON (g.versions_id = t.versions_id)                                                      
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5001_maalest_vw;                                                                     
 CREATE VIEW fkg.t_5001_maalest_vw AS                                                                           
 SELECT                                                                                                         
   5001::integer AS temakode,                                                                                   
   't_5001_maalest'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.stationsnr,                                                                                                
   t.lokalitet,                                                                                                 
   t.maalest_type_kode,                                                                                         
   k1.maalest_type AS maalest_type,                                                                             
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.dvfi_bedoemmelse_kode,                                                                                     
   k3.dvfi_bedoemmelse AS dvfi_bedoemmelse,                                                                     
   t.dmu_nr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5001_maalest t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5001_maalest_type k1 ON (t.maalest_type_kode = k1.maalest_type_kode) LEFT JOIN                         
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode) LEFT JOIN                              
   fkg.d_basis_dvfi_bedoemmelse k3 ON (t.dvfi_bedoemmelse_kode = k3.dvfi_bedoemmelse_kode)                      
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5400_affalds_dis_vw;                                                                 
 CREATE VIEW fkg.t_5400_affalds_dis_vw AS                                                                       
 SELECT                                                                                                         
   5400::integer AS temakode,                                                                                   
   't_5400_affalds_dis'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.affalddistrikt_nr,                                                                                         
   t.affalddistrikt_navn,                                                                                       
   t.affaldstype_kode,                                                                                          
   k1.affaldstype AS affaldstype,                                                                               
   t.afh_frekvens,                                                                                              
   t.afh_dag,                                                                                                   
   t.renovatoer_cvr,                                                                                            
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5400_affalds_dis t ON (g.versions_id = t.versions_id) LEFT JOIN                                        
   fkg.d_5400_affalds_type k1 ON (t.affaldstype_kode = k1.affaldstype_kode)                                     
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6118_bran_redn_vw;                                                                   
 CREATE VIEW fkg.t_6118_bran_redn_vw AS                                                                         
 SELECT                                                                                                         
   6118::integer AS temakode,                                                                                   
   't_6118_bran_redn'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.redarea_type_kode,                                                                                         
   k1.brand_redarea_type AS redarea_type,                                                                       
   t.rednarea_underomr,                                                                                         
   t.noter,                                                                                                     
   t.bygn_kompleks,                                                                                             
   t.byg_sag_nr,                                                                                                
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6118_bran_redn t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_6118_brand_redarea_type k1 ON (t.redarea_type_kode = k1.brand_redarea_type_kode) LEFT JOIN             
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5007_vandl_opl_vw;                                                                   
 CREATE VIEW fkg.t_5007_vandl_opl_vw AS                                                                         
 SELECT                                                                                                         
   5007::integer AS temakode,                                                                                   
   't_5007_vandl_opl'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vandloeb_nr,                                                                                               
   t.dmu_ref,                                                                                                   
   t.vandl_opl_nr,                                                                                              
   k1.opl_navn AS vandl_opl_navn,                                                                               
   t.opl_type_kode,                                                                                             
   k2.vandl_opl_type AS opl_type,                                                                               
   t.hydro_ref,                                                                                                 
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5007_vandl_opl t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5007_opl k1 ON (t.vandl_opl_nr = k1.opl_nr) LEFT JOIN                                                  
   fkg.d_5007_opl_type k2 ON (t.opl_type_kode = k2.vandl_opl_type_kode)                                         
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5000_vandl_vw;                                                                       
 CREATE VIEW fkg.t_5000_vandl_vw AS                                                                             
 SELECT                                                                                                         
   5000::integer AS temakode,                                                                                   
   't_5000_vandl'::text AS temanavn,                                                                            
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.navn,                                                                                                      
   t.dmu_ref,                                                                                                   
   t.vandloeb_nr,                                                                                               
   t.maalsaetning_kode,                                                                                         
   k1.maalsaetning AS maalsaetning,                                                                             
   t.vandl_type_kode,                                                                                           
   k2.vandl_type AS vandl_type,                                                                                 
   t.ejerstatus_kode,                                                                                           
   k3.ejerstatus AS ejerstatus,                                                                                 
   t.klasse_kode,                                                                                               
   k4.klasse AS klasse,                                                                                         
   t.tidl_amt_kode,                                                                                             
   k5.ja_nej AS tidl_amt,                                                                                       
   t.vedligehold,                                                                                               
   t.ansvar_vedligehold,                                                                                        
   t.p3vandloeb_kode,                                                                                           
   k6.ja_nej AS p3vandloeb,                                                                                     
   t.sejlads,                                                                                                   
   t.dvfi_bedoemmelse_kode,                                                                                     
   k7.dvfi_bedoemmelse AS dvfi_bedoemmelse,                                                                     
   t.station_fra,                                                                                               
   t.station_til,                                                                                               
   t.vandloebs_bredde,                                                                                          
   t.vandfoeringsforhold,                                                                                       
   t.maalsaetning_opfyldt_kode,                                                                                 
   k8.ja_nej AS maalsaetning_opfyldt,                                                                           
   t.fot_id,                                                                                                    
   t.trussel_vand_kode,                                                                                         
   k9.trussel_vand AS trussel_vand,                                                                             
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5000_vandl t ON (g.versions_id = t.versions_id) LEFT JOIN                                              
   fkg.d_5000_maalsaetning k1 ON (t.maalsaetning_kode = k1.maalsaetning_kode) LEFT JOIN                         
   fkg.d_5000_vandl_type k2 ON (t.vandl_type_kode = k2.vandl_type_kode) LEFT JOIN                               
   fkg.d_basis_ejerstatus k3 ON (t.ejerstatus_kode = k3.ejerstatus_kode) LEFT JOIN                              
   fkg.d_5000_klasse k4 ON (t.klasse_kode = k4.klasse_kode) LEFT JOIN                                           
   fkg.d_basis_ja_nej k5 ON (t.tidl_amt_kode = k5.ja_nej_kode) LEFT JOIN                                        
   fkg.d_basis_ja_nej k6 ON (t.p3vandloeb_kode = k6.ja_nej_kode) LEFT JOIN                                      
   fkg.d_basis_dvfi_bedoemmelse k7 ON (t.dvfi_bedoemmelse_kode = k7.dvfi_bedoemmelse_kode) LEFT JOIN            
   fkg.d_basis_ja_nej k8 ON (t.maalsaetning_opfyldt_kode = k8.ja_nej_kode) LEFT JOIN                            
   fkg.d_basis_trussel_vand k9 ON (t.trussel_vand_kode = k9.trussel_vand_kode)                                  
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5008_soe_opl_vw;                                                                     
 CREATE VIEW fkg.t_5008_soe_opl_vw AS                                                                           
 SELECT                                                                                                         
   5008::integer AS temakode,                                                                                   
   't_5008_soe_opl'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.dmu_ref,                                                                                                   
   t.soe_opl_nr,                                                                                                
   k1.soeopl_navn AS soe_opl_navn,                                                                              
   t.soe_nr,                                                                                                    
   t.hydro_ref,                                                                                                 
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5008_soe_opl t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5008_opl k1 ON (t.soe_opl_nr = k1.soe_opl_nr)                                                          
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5002_faunasp_vw;                                                                     
 CREATE VIEW fkg.t_5002_faunasp_vw AS                                                                           
 SELECT                                                                                                         
   5002::integer AS temakode,                                                                                   
   't_5002_faunasp'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.spaerring_nr,                                                                                              
   t.spaerring_type_kode,                                                                                       
   k1.spaerring_type AS spaerring_type,                                                                         
   t.passage_kode,                                                                                              
   k2.passage AS passage,                                                                                       
   t.lokalitet,                                                                                                 
   t.vandloebsystem,                                                                                            
   t.saneret_aar,                                                                                               
   t.prioritet,                                                                                                 
   t.passage_ansvarlig,                                                                                         
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5002_faunasp t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5002_spaerring k1 ON (t.spaerring_type_kode = k1.spaerring_type_kode) LEFT JOIN                        
   fkg.d_5002_passage k2 ON (t.passage_kode = k2.passage_kode)                                                  
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6002_indv_vw;                                                                        
 CREATE VIEW fkg.t_6002_indv_vw AS                                                                              
 SELECT                                                                                                         
   6002::integer AS temakode,                                                                                   
   't_6002_indv'::text AS temanavn,                                                                             
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vandv_nr,                                                                                                  
   k1.vandv AS vandv_navn,                                                                                      
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.indsatsomraade,                                                                                            
   t.indv_maengde_aar,                                                                                          
   t.kildeplads,                                                                                                
   t.reference,                                                                                                 
   t.metode,                                                                                                    
   t.dgu_nr,                                                                                                    
   t.indtag,                                                                                                    
   t.dato_beregn,                                                                                               
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6002_indv t ON (g.versions_id = t.versions_id) LEFT JOIN                                               
   fkg.d_basis_vandv_nr k1 ON (t.vandv_nr = k1.vandv_nr)                                                        
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5714_laering_udd_inst_vw;                                                            
 CREATE VIEW fkg.t_5714_laering_udd_inst_vw AS                                                                  
 SELECT                                                                                                         
   5714::integer AS temakode,                                                                                   
   't_5714_laering_udd_inst'::text AS temanavn,                                                                 
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.udd_institution_type_kode,                                                                                 
   k1.udd_institution_type AS udd_institution_type,                                                             
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.udd_institution_navn,                                                                                      
   t.starttrin_kode,                                                                                            
   k3.trin AS starttrin,                                                                                        
   t.sluttrin_kode,                                                                                             
   k4.trin AS slutttrin,                                                                                        
   t.noegle,                                                                                                    
   t.vejkode,                                                                                                   
   k5.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k6.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5714_laering_udd_inst t ON (g.versions_id = t.versions_id) LEFT JOIN                                   
   fkg.d_5714_udd_institution_type k1 ON (t.udd_institution_type_kode = k1.udd_institution_type_kode) LEFT JOIN 
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode) LEFT JOIN                              
   fkg.d_basis_trin k3 ON (t.starttrin_kode = k3.trin_kode) LEFT JOIN                                           
   fkg.d_basis_trin k4 ON (t.sluttrin_kode = k4.trin_kode) LEFT JOIN                                            
   fkg.d_vejnavn k5 ON (t.vejkode = k5.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k6 ON (t.postnr = k6.postnr)                                                              
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5003_draenledn_vw;                                                                   
 CREATE VIEW fkg.t_5003_draenledn_vw AS                                                                         
 SELECT                                                                                                         
   5003::integer AS temakode,                                                                                   
   't_5003_draenledn'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.ledn_nr,                                                                                                   
   t.ledn_type_kode,                                                                                            
   k1.ledn_type AS ledn_type,                                                                                   
   t.klasse_kode,                                                                                               
   k2.klasse AS klasse,                                                                                         
   t.noegle,                                                                                                    
   t.anlaeg_aar,                                                                                                
   t.dybde,                                                                                                     
   t.dimension,                                                                                                 
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5003_draenledn t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5003_ledn_type k1 ON (t.ledn_type_kode = k1.ledn_type_kode) LEFT JOIN                                  
   fkg.d_5003_klasse k2 ON (t.klasse_kode = k2.klasse_kode)                                                     
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_5105_rig_fattig_vw;                                                                  
 CREATE VIEW fkg.t_5105_rig_fattig_vw AS                                                                        
 SELECT                                                                                                         
   5105::integer AS temakode,                                                                                   
   't_5105_rig_fattig'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.stedid,                                                                                                    
   t.natura_2000,                                                                                               
   t.kaer_type_kode,                                                                                            
   k1.kaer_type AS kaer_type,                                                                                   
   t.noegle,                                                                                                    
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5105_rig_fattig t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_5105_kaer_type k1 ON (t.kaer_type_kode = k1.kaer_type_kode)                                            
 WHERE g.systid_til IS NULL;
 DROP VIEW IF EXISTS fkg.t_6003_besk_zone_vw;                                                                   
 CREATE VIEW fkg.t_6003_besk_zone_vw AS                                                                         
 SELECT                                                                                                         
   6003::integer AS temakode,                                                                                   
   't_6003_besk_zone'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.dgu_nr,                                                                                                    
   t.kildeplads,                                                                                                
   t.indsatsomraade,                                                                                            
   t.vandv_nr,                                                                                                  
   k1.vandv AS vandv_navn,                                                                                      
   t.jup_nr,                                                                                                    
   t.tilladelse,                                                                                                
   t.tilladelse_gyldig,                                                                                         
   t.beskyt_zone,                                                                                               
   t.beskyt_zone_gyldig,                                                                                        
   t.lokalitet,                                                                                                 
   t.zone_type_kode,                                                                                            
   k2.zone_type AS zone_type,                                                                                   
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6003_besk_zone t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_basis_vandv_nr k1 ON (t.vandv_nr = k1.vandv_nr) LEFT JOIN                                              
   fkg.d_6003_zone_type k2 ON (t.zone_type_kode = k2.zone_type_kode)                                            
 WHERE g.systid_til IS NULL;

 DROP VIEW IF EXISTS fkg.t_5004_draenomr_h_vw;                                                                  
 CREATE VIEW fkg.t_5004_draenomr_h_vw AS                                                                        
 SELECT                                                                                                         
   5004::integer AS temakode,                                                                                   
   't_5004_draenomr'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.omr_navn,                                                                                                  
   t.omr_type_kode,                                                                                             
   k1.omr_type AS omr_type,                                                                                     
   t.anlaeg_aar,                                                                                                
   t.projnr,                                                                                                    
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5004_draenomr t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_5004_omr_type k1 ON (t.omr_type_kode = k1.omr_type_kode);
 DROP VIEW IF EXISTS fkg.t_5009_pumpelag_h_vw;                                                                  
 CREATE VIEW fkg.t_5009_pumpelag_h_vw AS                                                                        
 SELECT                                                                                                         
   5009::integer AS temakode,                                                                                   
   't_5009_pumpelag'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.lag_navn,                                                                                                  
   t.lag_type_kode,                                                                                             
   k1.lag_type AS lag_type,                                                                                     
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.vandloebsystem,                                                                                            
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5009_pumpelag t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_5009_lag_type k1 ON (t.lag_type_kode = k1.lag_type_kode) LEFT JOIN                                     
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode);
 DROP VIEW IF EXISTS fkg.t_5010_vandl_elm_h_vw;                                                                 
 CREATE VIEW fkg.t_5010_vandl_elm_h_vw AS                                                                       
 SELECT                                                                                                         
   5010::integer AS temakode,                                                                                   
   't_5010_vandl_elm'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.element_nr,                                                                                                
   t.element_kode,                                                                                              
   k1.element AS element,                                                                                       
   t.lokalitet,                                                                                                 
   t.vstation,                                                                                                  
   t.vandloebsystem,                                                                                            
   t.anlagt_aar,                                                                                                
   t.saneret_aar,                                                                                               
   t.tilstand_kode,                                                                                             
   k2.tilstand AS tilstand,                                                                                     
   t.broend_data,                                                                                               
   t.toemningsfrekvens,                                                                                         
   t.adgangsforhold,                                                                                            
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5010_vandl_elm t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5010_element_type k1 ON (t.element_kode = k1.element_kode) LEFT JOIN                                   
   fkg.d_basis_tilstand k2 ON (t.tilstand_kode = k2.tilstand_kode);
 DROP VIEW IF EXISTS fkg.t_5006_dybdekurv_h_vw;                                                                 
 CREATE VIEW fkg.t_5006_dybdekurv_h_vw AS                                                                       
 SELECT                                                                                                         
   5006::integer AS temakode,                                                                                   
   't_5006_dybdekurv'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.soe_navn,                                                                                                  
   t.dmu_ref,                                                                                                   
   t.soe_nr,                                                                                                    
   t.dybde,                                                                                                     
   t.lower,                                                                                                     
   t.upper,                                                                                                     
   t.maalt_aar,                                                                                                 
   t.opm_metode,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5006_dybdekurv t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_5108_groent_part_h_vw;                                                               
 CREATE VIEW fkg.t_5108_groent_part_h_vw AS                                                                     
 SELECT                                                                                                         
   5108::integer AS temakode,                                                                                   
   't_5108_groent_part'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.navn,                                                                                                      
   t.kontakt_navn,                                                                                              
   t.kontakt_opl,                                                                                               
   t.deltager,                                                                                                  
   t.formaal,                                                                                                   
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.sagsnr,                                                                                                    
   t.note,                                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5108_groent_part t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_5300_genopd_ret_h_vw;                                                                
 CREATE VIEW fkg.t_5300_genopd_ret_h_vw AS                                                                      
 SELECT                                                                                                         
   5300::integer AS temakode,                                                                                   
   't_5300_genopd_ret'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.funktion,                                                                                                  
   t.planlagt_aktivitet,                                                                                        
   t.genoptaget,                                                                                                
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5300_genopd_ret t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_5508_husst_moel_h_vw;                                                                
 CREATE VIEW fkg.t_5508_husst_moel_h_vw AS                                                                      
 SELECT                                                                                                         
   5508::integer AS temakode,                                                                                   
   't_5508_husst_moel'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.moelletype,                                                                                                
   t.hoejde,                                                                                                    
   t.kapacitet,                                                                                                 
   t.stoej_kode,                                                                                                
   k1.stoej AS stoej,                                                                                           
   t.konsekvenszone,                                                                                            
   t.sagnr,                                                                                                     
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.note,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5508_husst_moel t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_5508_stoej k1 ON (t.stoej_kode = k1.stoej_kode) LEFT JOIN                                              
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr);
 DROP VIEW IF EXISTS fkg.t_5900_jordfl_h_vw;                                                                    
 CREATE VIEW fkg.t_5900_jordfl_h_vw AS                                                                          
 SELECT                                                                                                         
   5900::integer AS temakode,                                                                                   
   't_5900_jordfl'::text AS temanavn,                                                                           
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.afs_vejkode,                                                                                               
   k1.vejnavn AS afs_vejnavn,                                                                                   
   t.afs_cvf_vejkode,                                                                                           
   t.afs_husnr,                                                                                                 
   t.afs_kommunekode,                                                                                           
   t.afs_postnr,                                                                                                
   k2.postnr_by AS afs_postnr_by,                                                                               
   t.jordflyt_dato_start,                                                                                       
   t.jordflyt_dato_slut,                                                                                        
   t.modt_vejkode,                                                                                              
   k3.vejnavn AS modt_vejnavn,                                                                                  
   t.modt_cvf_vejkode,                                                                                          
   t.modt_husnr,                                                                                                
   t.modt_kommunekode,                                                                                          
   t.modt_postnr,                                                                                               
   k4.postnr_by AS modt_postnr_by,                                                                              
   t.tillad_dato,                                                                                               
   t.jordmaengde_faktisk,                                                                                       
   t.jordmaengde_anmeldt,                                                                                       
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5900_jordfl t ON (g.versions_id = t.versions_id) LEFT JOIN                                             
   fkg.d_vejnavn k1 ON (t.afs_vejkode = k1.vejkode) LEFT JOIN                                                   
   fkg.d_basis_postnr k2 ON (t.afs_postnr = k2.postnr) LEFT JOIN                                                
   fkg.d_vejnavn k3 ON (t.modt_vejkode = k3.vejkode) LEFT JOIN                                                  
   fkg.d_basis_postnr k4 ON (t.modt_postnr = k4.postnr);
 DROP VIEW IF EXISTS fkg.t_5200_aff_prod_udbr_h_vw;                                                             
 CREATE VIEW fkg.t_5200_aff_prod_udbr_h_vw AS                                                                   
 SELECT                                                                                                         
   5200::integer AS temakode,                                                                                   
   't_5200_aff_prod_udbr'::text AS temanavn,                                                                    
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.affald_prod_kode,                                                                                          
   k1.affald_prod AS affald_prod,                                                                               
   t.navn,                                                                                                      
   t.ejd_nr,                                                                                                    
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.markblok,                                                                                                  
   t.dosering_toerstof,                                                                                         
   t.dosering_vaadvaegt,                                                                                        
   t.phosphor_indhold,                                                                                          
   t.udbringning_aar,                                                                                           
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5200_aff_prod_udbr t ON (g.versions_id = t.versions_id) LEFT JOIN                                      
   fkg.d_5200_affald k1 ON (t.affald_prod_kode = k1.affald_prod_kode) LEFT JOIN                                 
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr);
 DROP VIEW IF EXISTS fkg.t_5506_spildev_pl_pkt_h_vw;                                                            
 CREATE VIEW fkg.t_5506_spildev_pl_pkt_h_vw AS                                                                  
 SELECT                                                                                                         
   5506::integer AS temakode,                                                                                   
   't_5506_spildev_pl_pkt'::text AS temanavn,                                                                   
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.anlaeg_type_kode,                                                                                          
   k1.anlaeg_type AS anlaeg_type,                                                                               
   t.planstatus_kode,                                                                                           
   k2.planstatus AS planstatus,                                                                                 
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5506_spildev_pl_pkt t ON (g.versions_id = t.versions_id) LEFT JOIN                                     
   fkg.d_5506_anlaegtype k1 ON (t.anlaeg_type_kode = k1.anlaeg_type_kode) LEFT JOIN                             
   fkg.d_basis_planstatus k2 ON (t.planstatus_kode = k2.planstatus_kode);
 DROP VIEW IF EXISTS fkg.t_5507_fiberkabel_h_vw;                                                                
 CREATE VIEW fkg.t_5507_fiberkabel_h_vw AS                                                                      
 SELECT                                                                                                         
   5507::integer AS temakode,                                                                                   
   't_5507_fiberkabel'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.fs_cvr,                                                                                                    
   t.fs_navn,                                                                                                   
   t.dybde,                                                                                                     
   t.aar_i_jord,                                                                                                
   t.antal_kabler,                                                                                              
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5507_fiberkabel t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_5800_fac_pkt_h_vw;                                                                   
 CREATE VIEW fkg.t_5800_fac_pkt_h_vw AS                                                                         
 SELECT                                                                                                         
   5800::integer AS temakode,                                                                                   
   't_5800_fac_pkt'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.facilitet_type_kode,                                                                                       
   k1.facilitet_type AS facilitet_type,                                                                         
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.navn,                                                                                                      
   t.noegle,                                                                                                    
   t.noter,                                                                                                     
   t.vejkode,                                                                                                   
   k3.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k4.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5800_fac_pkt t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5800_facilitet k1 ON (t.facilitet_type_kode = k1.facilitet_type_kode) LEFT JOIN                        
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode) LEFT JOIN                              
   fkg.d_vejnavn k3 ON (t.vejkode = k3.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k4 ON (t.postnr = k4.postnr);
 DROP VIEW IF EXISTS fkg.t_5802_fac_li_h_vw;                                                                    
 CREATE VIEW fkg.t_5802_fac_li_h_vw AS                                                                          
 SELECT                                                                                                         
   5802::integer AS temakode,                                                                                   
   't_5802_fac_li'::text AS temanavn,                                                                           
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.facilitet_type_kode,                                                                                       
   k1.facilitet_type AS facilitet_type,                                                                         
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.navn,                                                                                                      
   t.noegle,                                                                                                    
   t.noter,                                                                                                     
   t.vejkode,                                                                                                   
   k3.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k4.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5802_fac_li t ON (g.versions_id = t.versions_id) LEFT JOIN                                             
   fkg.d_5802_facilitet k1 ON (t.facilitet_type_kode = k1.facilitet_type_kode) LEFT JOIN                        
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode) LEFT JOIN                              
   fkg.d_vejnavn k3 ON (t.vejkode = k3.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k4 ON (t.postnr = k4.postnr);
 DROP VIEW IF EXISTS fkg.t_5901_raastof_till_h_vw;                                                              
 CREATE VIEW fkg.t_5901_raastof_till_h_vw AS                                                                    
 SELECT                                                                                                         
   5901::integer AS temakode,                                                                                   
   't_5901_raastof_till'::text AS temanavn,                                                                     
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.indv_navn,                                                                                                 
   t.indv_cvr,                                                                                                  
   t.raastof_type_kode,                                                                                         
   k1.raastof_type AS raastof_type,                                                                             
   t.tillad_dato,                                                                                               
   t.afslut_aar,                                                                                                
   t.gravstatus_kode,                                                                                           
   k2.gravstatus AS gravstatus,                                                                                 
   t.grusgrav_nr,                                                                                               
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5901_raastof_till t ON (g.versions_id = t.versions_id) LEFT JOIN                                       
   fkg.d_5901_raastof_type k1 ON (t.raastof_type_kode = k1.raastof_type_kode) LEFT JOIN                         
   fkg.d_5901_gravestatus k2 ON (t.gravstatus_kode = k2.gravstatus_kode);
 DROP VIEW IF EXISTS fkg.t_5402_genbr_con_h_vw;                                                                 
 CREATE VIEW fkg.t_5402_genbr_con_h_vw AS                                                                       
 SELECT                                                                                                         
   5402::integer AS temakode,                                                                                   
   't_5402_genbr_con'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gc_type_kode,                                                                                              
   k1.gc_type AS gc_type,                                                                                       
   t.model,                                                                                                     
   t.t_frekvens,                                                                                                
   t.t_dato,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5402_genbr_con t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5402_gc_type k1 ON (t.gc_type_kode = k1.gc_type_kode);
 DROP VIEW IF EXISTS fkg.t_5902_jordv_anl_h_vw;                                                                 
 CREATE VIEW fkg.t_5902_jordv_anl_h_vw AS                                                                       
 SELECT                                                                                                         
   5902::integer AS temakode,                                                                                   
   't_5902_jordv_anl'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.brine,                                                                                                     
   t.strenge_antal,                                                                                             
   t.strenge_laengde_samlede,                                                                                   
   t.tilladelses_dato,                                                                                          
   t.faerdigmeldingsdato,                                                                                       
   t.vaesketype_kode,                                                                                           
   k1.vaesketype AS vaesketype,                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.sagsnr,                                                                                                    
   t.sag_status_kode,                                                                                           
   k2.sag_status AS sag_status,                                                                                 
   t.note,                                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5902_jordv_anl t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5902_vaeske_type k1 ON (t.vaesketype_kode = k1.vaesketype_kode) LEFT JOIN                              
   fkg.d_basis_sag_status k2 ON (t.sag_status_kode = k2.sag_status_kode);
 DROP VIEW IF EXISTS fkg.t_5500_elfors_omr_h_vw;                                                                
 CREATE VIEW fkg.t_5500_elfors_omr_h_vw AS                                                                      
 SELECT                                                                                                         
   5500::integer AS temakode,                                                                                   
   't_5500_elfors_omr'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.net_s_nr,                                                                                                  
   t.fs_cvr,                                                                                                    
   t.fs_navn,                                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5500_elfors_omr t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_5401_genbr_st_h_vw;                                                                  
 CREATE VIEW fkg.t_5401_genbr_st_h_vw AS                                                                        
 SELECT                                                                                                         
   5401::integer AS temakode,                                                                                   
   't_5401_genbr_st'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gs_navn,                                                                                                   
   t.gs_type_kode,                                                                                              
   k1.gs_type AS gs_type,                                                                                       
   t.p_nr,                                                                                                      
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5401_genbr_st t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_5401_gs_type k1 ON (t.gs_type_kode = k1.gs_type_kode) LEFT JOIN                                        
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr);
 DROP VIEW IF EXISTS fkg.t_5601_hasti_daemp_h_vw;                                                               
 CREATE VIEW fkg.t_5601_hasti_daemp_h_vw AS                                                                     
 SELECT                                                                                                         
   5601::integer AS temakode,                                                                                   
   't_5601_hasti_daemp'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.hasti_type_kode,                                                                                           
   k1.hasti_type AS hasti_type,                                                                                 
   t.hastighed_kode,                                                                                            
   k2.hastighed AS hastighed,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5601_hasti_daemp t ON (g.versions_id = t.versions_id) LEFT JOIN                                        
   fkg.d_5601_hasti_type k1 ON (t.hasti_type_kode = k1.hasti_type_kode) LEFT JOIN                               
   fkg.d_basis_hastighed k2 ON (t.hastighed_kode = k2.hastighed_kode);
 DROP VIEW IF EXISTS fkg.t_5107_art_invas_p_h_vw;                                                               
 CREATE VIEW fkg.t_5107_art_invas_p_h_vw AS                                                                     
 SELECT                                                                                                         
   5107::integer AS temakode,                                                                                   
   't_5107_art_invas_p'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.dnavn,                                                                                                     
   t.lnavn,                                                                                                     
   t.nobanis_invasiv_opt,                                                                                       
   t.rige_dk,                                                                                                   
   t.sortlistet_kode,                                                                                           
   k1.ja_nej AS sortlistet,                                                                                     
   t.nogle,                                                                                                     
   t.inventoer,                                                                                                 
   t.antal_kode,                                                                                                
   k2.antal AS antal,                                                                                           
   t.forekomst,                                                                                                 
   t.sagsnr,                                                                                                    
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5107_art_invas_p t ON (g.versions_id = t.versions_id) LEFT JOIN                                        
   fkg.d_basis_ja_nej k1 ON (t.sortlistet_kode = k1.ja_nej_kode) LEFT JOIN                                      
   fkg.d_basis_antal k2 ON (t.antal_kode = k2.antal_kode);
 DROP VIEW IF EXISTS fkg.t_5600_vintervedl_h_vw;                                                                
 CREATE VIEW fkg.t_5600_vintervedl_h_vw AS                                                                      
 SELECT                                                                                                         
   5600::integer AS temakode,                                                                                   
   't_5600_vintervedl'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.rute_kode,                                                                                                 
   k1.rute AS rute,                                                                                             
   t.rute_entreprenoer_sne,                                                                                     
   t.rute_nr_sne,                                                                                               
   t.rute_entreprenoer_salt,                                                                                    
   t.rute_nr_salt,                                                                                              
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5600_vintervedl t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_5600_rute k1 ON (t.rute_kode = k1.rute_kode);
 DROP VIEW IF EXISTS fkg.t_5602_p_zoner_h_vw;                                                                   
 CREATE VIEW fkg.t_5602_p_zoner_h_vw AS                                                                         
 SELECT                                                                                                         
   5602::integer AS temakode,                                                                                   
   't_5602_p_zoner'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.p_type_kode,                                                                                               
   k1.p_type AS p_type,                                                                                         
   t.p_tid_kode,                                                                                                
   k2.p_tid AS p_tid,                                                                                           
   t.p_periode,                                                                                                 
   t.p_pladser_personbil,                                                                                       
   t.p_pris_time,                                                                                               
   t.p_pladser_handicap,                                                                                        
   t.p_pladser_lastbil,                                                                                         
   t.p_pladser_elbil,                                                                                           
   t.p_pladser_mc,                                                                                              
   t.p_pladser_cykel,                                                                                           
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5602_p_zoner t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5602_p_type k1 ON (t.p_type_kode = k1.p_type_kode) LEFT JOIN                                           
   fkg.d_5602_p_tid k2 ON (t.p_tid_kode = k2.p_tid_kode);
 DROP VIEW IF EXISTS fkg.t_5603_hasti_zone_h_vw;                                                                
 CREATE VIEW fkg.t_5603_hasti_zone_h_vw AS                                                                      
 SELECT                                                                                                         
   5603::integer AS temakode,                                                                                   
   't_5603_hasti_zone'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.hastighed_kode,                                                                                            
   k1.hastighed AS hastighed,                                                                                   
   t.anbefalet_hastighed_kode,                                                                                  
   k2.hastighed AS anbefalet_hastighed,                                                                         
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5603_hasti_zone t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_basis_hastighed k1 ON (t.hastighed_kode = k1.hastighed_kode) LEFT JOIN                                 
   fkg.d_basis_hastighed k2 ON (t.anbefalet_hastighed_kode = k2.hastighed_kode);
 DROP VIEW IF EXISTS fkg.t_5605_vejbyggel_h_vw;                                                                 
 CREATE VIEW fkg.t_5605_vejbyggel_h_vw AS                                                                       
 SELECT                                                                                                         
   5605::integer AS temakode,                                                                                   
   't_5605_vejbyggel'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.dekl_type_kode,                                                                                            
   k1.dekl_type AS dekl_type,                                                                                   
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.dekl_link,                                                                                                 
   t.bredde,                                                                                                    
   t.forskydning,                                                                                               
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5605_vejbyggel t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5605_dekl_type k1 ON (t.dekl_type_kode = k1.dekl_type_kode) LEFT JOIN                                  
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode);
 DROP VIEW IF EXISTS fkg.t_5604_koer_begr_h_vw;                                                                 
 CREATE VIEW fkg.t_5604_koer_begr_h_vw AS                                                                       
 SELECT                                                                                                         
   5604::integer AS temakode,                                                                                   
   't_5604_koer_begr'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.begr_type_kode,                                                                                            
   k1.begr_type AS begr_type,                                                                                   
   t.periode,                                                                                                   
   t.vaegtbegr_akselt,                                                                                          
   t.vaegtbegr_totalv,                                                                                          
   t.fot_id,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5604_koer_begr t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5604_begr_type k1 ON (t.begr_type_kode = k1.begr_type_kode);
 DROP VIEW IF EXISTS fkg.t_5606_vejinv_h_vw;                                                                    
 CREATE VIEW fkg.t_5606_vejinv_h_vw AS                                                                          
 SELECT                                                                                                         
   5606::integer AS temakode,                                                                                   
   't_5606_vejinv'::text AS temanavn,                                                                           
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.inventar_nr,                                                                                               
   t.inventar_type_kode,                                                                                        
   k1.inventar_type AS inventar_type,                                                                           
   t.model,                                                                                                     
   t.tilstand_kode,                                                                                             
   k2.tilstand AS tilstand,                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5606_vejinv t ON (g.versions_id = t.versions_id) LEFT JOIN                                             
   fkg.d_5606_inventar_type k1 ON (t.inventar_type_kode = k1.inventar_type_kode) LEFT JOIN                      
   fkg.d_basis_tilstand k2 ON (t.tilstand_kode = k2.tilstand_kode);
 DROP VIEW IF EXISTS fkg.t_5104_art_invas_h_vw;                                                                 
 CREATE VIEW fkg.t_5104_art_invas_h_vw AS                                                                       
 SELECT                                                                                                         
   5104::integer AS temakode,                                                                                   
   't_5104_art_invas'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.dnavn,                                                                                                     
   t.lnavn,                                                                                                     
   t.nobanis_invasiv_opt,                                                                                       
   t.rige_dk,                                                                                                   
   t.sortlistet_kode,                                                                                           
   k1.ja_nej AS sortlistet,                                                                                     
   t.noegle,                                                                                                    
   t.inventoer,                                                                                                 
   t.antal_kode,                                                                                                
   k2.antal AS antal,                                                                                           
   t.forekomst,                                                                                                 
   t.sagsnr,                                                                                                    
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5104_art_invas t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_basis_ja_nej k1 ON (t.sortlistet_kode = k1.ja_nej_kode) LEFT JOIN                                      
   fkg.d_basis_antal k2 ON (t.antal_kode = k2.antal_kode);
 DROP VIEW IF EXISTS fkg.t_5700_grundej_h_vw;                                                                   
 CREATE VIEW fkg.t_5700_grundej_h_vw AS                                                                         
 SELECT                                                                                                         
   5700::integer AS temakode,                                                                                   
   't_5700_grundej'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.forening_type_kode,                                                                                        
   k1.forening_type AS forening_type,                                                                           
   t.forening_navn,                                                                                             
   t.lokalpl_nr,                                                                                                
   t.formand,                                                                                                   
   t.gf_tlf,                                                                                                    
   t.gf_adresse,                                                                                                
   t.gf_mail,                                                                                                   
   t.gf_adr_beskyt_kode,                                                                                        
   k2.gf_adr_beskyt AS gf_adr_beskyt,                                                                           
   t.vedtaegt_kode,                                                                                             
   k3.ja_nej AS vedtaegt,                                                                                       
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5700_grundej t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5700_forening_type k1 ON (t.forening_type_kode = k1.forening_type_kode) LEFT JOIN                      
   fkg.d_5700_adr_beskyt k2 ON (t.gf_adr_beskyt_kode = k2.gf_adr_beskyt_kode) LEFT JOIN                         
   fkg.d_basis_ja_nej k3 ON (t.vedtaegt_kode = k3.ja_nej_kode);
 DROP VIEW IF EXISTS fkg.t_5705_forp_are_h_vw;                                                                  
 CREATE VIEW fkg.t_5705_forp_are_h_vw AS                                                                        
 SELECT                                                                                                         
   5705::integer AS temakode,                                                                                   
   't_5705_forp_are'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.forpagter_navn,                                                                                            
   t.forpagter_formaal,                                                                                         
   t.udlejning_kode,                                                                                            
   k1.udlejning AS udlejning,                                                                                   
   t.landbrug_kode,                                                                                             
   k2.ja_nej AS landbrug,                                                                                       
   t.noter,                                                                                                     
   t.sagsnr,                                                                                                    
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5705_forp_are t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_5705_udlejning k1 ON (t.udlejning_kode = k1.udlejning_kode) LEFT JOIN                                  
   fkg.d_basis_ja_nej k2 ON (t.landbrug_kode = k2.ja_nej_kode);
 DROP VIEW IF EXISTS fkg.t_5703_afstem_sted_h_vw;                                                               
 CREATE VIEW fkg.t_5703_afstem_sted_h_vw AS                                                                     
 SELECT                                                                                                         
   5703::integer AS temakode,                                                                                   
   't_5703_afstem_sted'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.afstemningsomraade_nr,                                                                                     
   k1.afstemningsomraade_nr AS afstemningsomraade_navn,                                                         
   t.lokalitet,                                                                                                 
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5703_afstem_sted t ON (g.versions_id = t.versions_id) LEFT JOIN                                        
   fkg.d_basis_afstemningsomraade k1 ON (t.afstemningsomraade_nr = k1.afstemningsomraade_nr) LEFT JOIN          
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr);
 DROP VIEW IF EXISTS fkg.t_5704_afstem_omr_h_vw;                                                                
 CREATE VIEW fkg.t_5704_afstem_omr_h_vw AS                                                                      
 SELECT                                                                                                         
   5704::integer AS temakode,                                                                                   
   't_5704_afstem_omr'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.afstemningsomraade_nr,                                                                                     
   k1.afstemningsomraade_nr AS afstemningsomraade_navn,                                                         
   t.opstillingskreds_nr,                                                                                       
   t.opstillingskreds_navn,                                                                                     
   t.storkreds_nr,                                                                                              
   t.storkreds_navn,                                                                                            
   t.ansvar_revision,                                                                                           
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5704_afstem_omr t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_basis_afstemningsomraade k1 ON (t.afstemningsomraade_nr = k1.afstemningsomraade_nr);
 DROP VIEW IF EXISTS fkg.t_5707_grunds_h_vw;                                                                    
 CREATE VIEW fkg.t_5707_grunds_h_vw AS                                                                          
 SELECT                                                                                                         
   5707::integer AS temakode,                                                                                   
   't_5707_grunds'::text AS temanavn,                                                                           
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.udstyk_navn,                                                                                               
   t.grund_type_kode,                                                                                           
   k1.grund_type AS grund_type,                                                                                 
   t.salg_status_kode,                                                                                          
   k2.salg_status AS salg_status,                                                                               
   t.pris,                                                                                                      
   t.mindste_pris,                                                                                              
   t.kvm_pris,                                                                                                  
   t.kontakt_oplys,                                                                                             
   t.grundareal,                                                                                                
   t.bygningareal,                                                                                              
   t.budfrist_slut,                                                                                             
   t.sagsnr,                                                                                                    
   t.vejkode,                                                                                                   
   k3.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k4.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5707_grunds t ON (g.versions_id = t.versions_id) LEFT JOIN                                             
   fkg.d_5707_grund_type k1 ON (t.grund_type_kode = k1.grund_type_kode) LEFT JOIN                               
   fkg.d_5707_salg_status k2 ON (t.salg_status_kode = k2.salg_status_kode) LEFT JOIN                            
   fkg.d_vejnavn k3 ON (t.vejkode = k3.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k4 ON (t.postnr = k4.postnr);
 DROP VIEW IF EXISTS fkg.t_5712_plej_aeldr_dis_h_vw;                                                            
 CREATE VIEW fkg.t_5712_plej_aeldr_dis_h_vw AS                                                                  
 SELECT                                                                                                         
   5712::integer AS temakode,                                                                                   
   't_5712_plej_aeldr_dis'::text AS temanavn,                                                                   
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.plej_distrikt_nr,                                                                                          
   t.plej_distrikt_navn,                                                                                        
   t.plej_distrikt_type_kode,                                                                                   
   k1.plej_distrikt_type AS plej_distrikt_type,                                                                 
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5712_plej_aeldr_dis t ON (g.versions_id = t.versions_id) LEFT JOIN                                     
   fkg.d_5712_plej_distrikt_type k1 ON (t.plej_distrikt_type_kode = k1.plej_distrikt_type_kode);
 DROP VIEW IF EXISTS fkg.t_5706_havn_are_h_vw;                                                                  
 CREATE VIEW fkg.t_5706_havn_are_h_vw AS                                                                        
 SELECT                                                                                                         
   5706::integer AS temakode,                                                                                   
   't_5706_havn_are'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.havn_nr,                                                                                                   
   t.havn_navn,                                                                                                 
   t.havne_type_kode,                                                                                           
   k1.havn_type AS havne_type,                                                                                  
   t.cvr_havn,                                                                                                  
   t.ejer_admin,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5706_havn_are t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_5706_havn_type k1 ON (t.havne_type_kode = k1.havn_type_kode);
 DROP VIEW IF EXISTS fkg.t_5710_born_skole_dis_h_vw;                                                            
 CREATE VIEW fkg.t_5710_born_skole_dis_h_vw AS                                                                  
 SELECT                                                                                                         
   5710::integer AS temakode,                                                                                   
   't_5710_born_skole_dis'::text AS temanavn,                                                                   
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.udd_distrikt_nr,                                                                                           
   t.udd_distrikt_navn,                                                                                         
   t.udd_distrikt_type_kode,                                                                                    
   k1.udd_distrikt_type AS udd_distrikt_type,                                                                   
   t.starttrin_kode,                                                                                            
   k2.trin AS starttrin,                                                                                        
   t.sluttrin_kode,                                                                                             
   k3.trin AS slutttrin,                                                                                        
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5710_born_skole_dis t ON (g.versions_id = t.versions_id) LEFT JOIN                                     
   fkg.d_5710_udd_distrikt_type k1 ON (t.udd_distrikt_type_kode = k1.udd_distrikt_type_kode) LEFT JOIN          
   fkg.d_basis_trin k2 ON (t.starttrin_kode = k2.trin_kode) LEFT JOIN                                           
   fkg.d_basis_trin k3 ON (t.sluttrin_kode = k3.trin_kode);
 DROP VIEW IF EXISTS fkg.t_5711_and_dis_h_vw;                                                                   
 CREATE VIEW fkg.t_5711_and_dis_h_vw AS                                                                         
 SELECT                                                                                                         
   5711::integer AS temakode,                                                                                   
   't_5711_and_dis'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.an_distrikt_nr,                                                                                            
   t.an_distrikt_navn,                                                                                          
   t.an_distrikt_type_kode,                                                                                     
   k1.an_distrikt_type AS an_distrikt_type,                                                                     
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5711_and_dis t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5711_an_distrikt_type k1 ON (t.an_distrikt_type_kode = k1.an_distrikt_type_kode);
 DROP VIEW IF EXISTS fkg.t_5713_prog_stat_dis_h_vw;                                                             
 CREATE VIEW fkg.t_5713_prog_stat_dis_h_vw AS                                                                   
 SELECT                                                                                                         
   5713::integer AS temakode,                                                                                   
   't_5713_prog_stat_dis'::text AS temanavn,                                                                    
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.prog_distrikt_nr,                                                                                          
   t.prog_distrikt_navn,                                                                                        
   t.prog_distrikt_type_kode,                                                                                   
   k1.prog_distrikt_type AS prog_distrikt_type,                                                                 
   t.noegle,                                                                                                    
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5713_prog_stat_dis t ON (g.versions_id = t.versions_id) LEFT JOIN                                      
   fkg.d_5713_prog_distrikt_type k1 ON (t.prog_distrikt_type_kode = k1.prog_distrikt_type_kode);
 DROP VIEW IF EXISTS fkg.t_5702_skorst_fej_h_vw;                                                                
 CREATE VIEW fkg.t_5702_skorst_fej_h_vw AS                                                                      
 SELECT                                                                                                         
   5702::integer AS temakode,                                                                                   
   't_5702_skorst_fej'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.skorstenf_distrikt_nr,                                                                                     
   t.skorstenf_distrikt_navn,                                                                                   
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.skorstensfejer,                                                                                            
   t.sf_tlf,                                                                                                    
   t.sf_adresse,                                                                                                
   t.sf_mail,                                                                                                   
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5702_skorst_fej t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_5716_servicetilbud_h_vw;                                                             
 CREATE VIEW fkg.t_5716_servicetilbud_h_vw AS                                                                   
 SELECT                                                                                                         
   5716::integer AS temakode,                                                                                   
   't_5716_servicetilbud'::text AS temanavn,                                                                    
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.service_type_kode,                                                                                         
   k1.service_type AS service_type,                                                                             
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.servicetilbud_navn,                                                                                        
   t.nogle,                                                                                                     
   t.vejkode,                                                                                                   
   k3.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k4.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5716_servicetilbud t ON (g.versions_id = t.versions_id) LEFT JOIN                                      
   fkg.d_5716_servicetilbud_type k1 ON (t.service_type_kode = k1.service_type_kode) LEFT JOIN                   
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode) LEFT JOIN                              
   fkg.d_vejnavn k3 ON (t.vejkode = k3.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k4 ON (t.postnr = k4.postnr);
 DROP VIEW IF EXISTS fkg.t_6000_pot_h_vw;                                                                       
 CREATE VIEW fkg.t_6000_pot_h_vw AS                                                                             
 SELECT                                                                                                         
   6000::integer AS temakode,                                                                                   
   't_6000_pot'::text AS temanavn,                                                                              
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.kote,                                                                                                      
   t.navn,                                                                                                      
   t.aekvidistance,                                                                                             
   t.magasin_kode,                                                                                              
   k1.magasin AS magasin,                                                                                       
   t.pejling,                                                                                                   
   t.oprind_kilde,                                                                                              
   t.metode,                                                                                                    
   t.reference,                                                                                                 
   t.kotesystem_kode,                                                                                           
   k2.kotesystem AS kotesystem,                                                                                 
   t.usikkerhed,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6000_pot t ON (g.versions_id = t.versions_id) LEFT JOIN                                                
   fkg.d_basis_magasin k1 ON (t.magasin_kode = k1.magasin_kode) LEFT JOIN                                       
   fkg.d_6000_kotesystem k2 ON (t.kotesystem_kode = k2.kotesystem_kode);
 DROP VIEW IF EXISTS fkg.t_6101_beskyt_rum_h_vw;                                                                
 CREATE VIEW fkg.t_6101_beskyt_rum_h_vw AS                                                                      
 SELECT                                                                                                         
   6101::integer AS temakode,                                                                                   
   't_6101_beskyt_rum'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.beskyt_rum_kode,                                                                                           
   k1.beskyt_rum AS beskyt_rum,                                                                                 
   t.klargjort_kode,                                                                                            
   k2.ja_nej AS klargjort,                                                                                      
   t.pladser,                                                                                                   
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6101_beskyt_rum t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_6101_beskyt_rum k1 ON (t.beskyt_rum_kode = k1.beskyt_rum_kode) LEFT JOIN                               
   fkg.d_basis_ja_nej k2 ON (t.klargjort_kode = k2.ja_nej_kode);
 DROP VIEW IF EXISTS fkg.t_6004_vandv_fs_h_vw;                                                                  
 CREATE VIEW fkg.t_6004_vandv_fs_h_vw AS                                                                        
 SELECT                                                                                                         
   6004::integer AS temakode,                                                                                   
   't_6004_vandv_fs'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vandv_nr,                                                                                                  
   k1.vandv AS vandv_navn,                                                                                      
   t.fors_omr_type_kode,                                                                                        
   k2.fors_omr_type AS fors_omr_type,                                                                           
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6004_vandv_fs t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_basis_vandv_nr k1 ON (t.vandv_nr = k1.vandv_nr) LEFT JOIN                                              
   fkg.d_basis_fors_omr_type k2 ON (t.fors_omr_type_kode = k2.fors_omr_type_kode);
 DROP VIEW IF EXISTS fkg.t_6007_inds_omr_h_vw;                                                                  
 CREATE VIEW fkg.t_6007_inds_omr_h_vw AS                                                                        
 SELECT                                                                                                         
   6007::integer AS temakode,                                                                                   
   't_6007_inds_omr'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.indsatsomr_navn,                                                                                           
   t.stoerrelse,                                                                                                
   t.ansvar_myndighed,                                                                                          
   t.vedtagelse,                                                                                                
   t.note,                                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6007_inds_omr t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_6008_maks_bor_h_vw;                                                                  
 CREATE VIEW fkg.t_6008_maks_bor_h_vw AS                                                                        
 SELECT                                                                                                         
   6008::integer AS temakode,                                                                                   
   't_6008_maks_bor'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.boredybde,                                                                                                 
   t.note,                                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6008_maks_bor t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_6009_indv_ovflv_h_vw;                                                                
 CREATE VIEW fkg.t_6009_indv_ovflv_h_vw AS                                                                      
 SELECT                                                                                                         
   6009::integer AS temakode,                                                                                   
   't_6009_indv_ovflv'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.indv_maengde_aar,                                                                                          
   t.indv_kapacitet,                                                                                            
   t.indvinder_navn,                                                                                            
   t.indvinder_kontakt,                                                                                         
   t.note,                                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6009_indv_ovflv t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_6103_bered_omr_h_vw;                                                                 
 CREATE VIEW fkg.t_6103_bered_omr_h_vw AS                                                                       
 SELECT                                                                                                         
   6103::integer AS temakode,                                                                                   
   't_6103_bered_omr'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.bereds_distrikt_nr,                                                                                        
   t.bereds_distrikt_navn,                                                                                      
   t.udrykker,                                                                                                  
   t.noegle,                                                                                                    
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6103_bered_omr t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_6001_pot_m_h_vw;                                                                     
 CREATE VIEW fkg.t_6001_pot_m_h_vw AS                                                                           
 SELECT                                                                                                         
   6001::integer AS temakode,                                                                                   
   't_6001_pot_m'::text AS temanavn,                                                                            
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.potentialekort,                                                                                            
   t.stoettep_kode,                                                                                             
   k1.ja_nej AS stoettep,                                                                                       
   t.dgu_nr,                                                                                                    
   t.dybde,                                                                                                     
   t.aekvidistance,                                                                                             
   t.magasin_kode,                                                                                              
   k2.magasin AS magasin,                                                                                       
   t.pejling,                                                                                                   
   t.oprind_kilde,                                                                                              
   t.kotesystem_kode,                                                                                           
   k3.kotesystem AS kotesystem,                                                                                 
   t.usikkerhed,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6001_pot_m t ON (g.versions_id = t.versions_id) LEFT JOIN                                              
   fkg.d_basis_ja_nej k1 ON (t.stoettep_kode = k1.ja_nej_kode) LEFT JOIN                                        
   fkg.d_basis_magasin k2 ON (t.magasin_kode = k2.magasin_kode) LEFT JOIN                                       
   fkg.d_6000_kotesystem k3 ON (t.kotesystem_kode = k3.kotesystem_kode);
 DROP VIEW IF EXISTS fkg.t_6006_grundv_opl_h_vw;                                                                
 CREATE VIEW fkg.t_6006_grundv_opl_h_vw AS                                                                      
 SELECT                                                                                                         
   6006::integer AS temakode,                                                                                   
   't_6006_grundv_opl'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vandv_nr,                                                                                                  
   k1.vandv AS vandv_navn,                                                                                      
   t.oplandtype,                                                                                                
   t.indsatsomraade,                                                                                            
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6006_grundv_opl t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_basis_vandv_nr k1 ON (t.vandv_nr = k1.vandv_nr);
 DROP VIEW IF EXISTS fkg.t_6107_forholds_h_vw;                                                                  
 CREATE VIEW fkg.t_6107_forholds_h_vw AS                                                                        
 SELECT                                                                                                         
   6107::integer AS temakode,                                                                                   
   't_6107_forholds'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.bra_kode,                                                                                                  
   t.net_adr,                                                                                                   
   t.cvr_firma,                                                                                                 
   t.vejkode,                                                                                                   
   k1.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k2.postnr_by AS postnr_by,                                                                                   
   t.adr_i_tekst,                                                                                               
   t.tlf_arbejde,                                                                                               
   t.tlf_dag,                                                                                                   
   t.tlf_nat,                                                                                                   
   t.aba_kode,                                                                                                  
   k3.ja_nej AS aba,                                                                                            
   t.avs_kode,                                                                                                  
   k4.ja_nej AS avs,                                                                                            
   t.ars_kode,                                                                                                  
   k5.ja_nej AS ars,                                                                                            
   t.noegleboks_kode,                                                                                           
   k6.ja_nej AS noegleboks,                                                                                     
   t.noeglested,                                                                                                
   t.central_placering,                                                                                         
   t.opgave_ankomst,                                                                                            
   t.prs_1,                                                                                                     
   t.prs_2,                                                                                                     
   t.prs_3,                                                                                                     
   t.prs_4,                                                                                                     
   t.prs_5,                                                                                                     
   t.system_fkt,                                                                                                
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6107_forholds t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_vejnavn k1 ON (t.vejkode = k1.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k2 ON (t.postnr = k2.postnr) LEFT JOIN                                                    
   fkg.d_basis_ja_nej k3 ON (t.aba_kode = k3.ja_nej_kode) LEFT JOIN                                             
   fkg.d_basis_ja_nej k4 ON (t.avs_kode = k4.ja_nej_kode) LEFT JOIN                                             
   fkg.d_basis_ja_nej k5 ON (t.ars_kode = k5.ja_nej_kode) LEFT JOIN                                             
   fkg.d_basis_ja_nej k6 ON (t.noegleboks_kode = k6.ja_nej_kode);
 DROP VIEW IF EXISTS fkg.t_6108_moedepl_h_vw;                                                                   
 CREATE VIEW fkg.t_6108_moedepl_h_vw AS                                                                         
 SELECT                                                                                                         
   6108::integer AS temakode,                                                                                   
   't_6108_moedepl'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.navn,                                                                                                      
   t.vejkode,                                                                                                   
   k1.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k2.postnr_by AS postnr_by,                                                                                   
   t.noter,                                                                                                     
   t.bemaerkning,                                                                                               
   t.link_tegn,                                                                                                 
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6108_moedepl t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_vejnavn k1 ON (t.vejkode = k1.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k2 ON (t.postnr = k2.postnr);
 DROP VIEW IF EXISTS fkg.t_6113_besk_nat_b_h_vw;                                                                
 CREATE VIEW fkg.t_6113_besk_nat_b_h_vw AS                                                                      
 SELECT                                                                                                         
   6113::integer AS temakode,                                                                                   
   't_6113_besk_nat_b'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6113_besk_nat_b t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_6110_noegle_h_vw;                                                                    
 CREATE VIEW fkg.t_6110_noegle_h_vw AS                                                                          
 SELECT                                                                                                         
   6110::integer AS temakode,                                                                                   
   't_6110_noegle'::text AS temanavn,                                                                           
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.bra_kode,                                                                                                  
   t.tyv_alarm_kode,                                                                                            
   k1.ja_nej AS tyv_alarm,                                                                                      
   t.noegleboksnr,                                                                                              
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.bemaerkning,                                                                                               
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6110_noegle t ON (g.versions_id = t.versions_id) LEFT JOIN                                             
   fkg.d_basis_ja_nej k1 ON (t.tyv_alarm_kode = k1.ja_nej_kode) LEFT JOIN                                       
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr);
 DROP VIEW IF EXISTS fkg.t_6111_fyrv_till_h_vw;                                                                 
 CREATE VIEW fkg.t_6111_fyrv_till_h_vw AS                                                                       
 SELECT                                                                                                         
   6111::integer AS temakode,                                                                                   
   't_6111_fyrv_till'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.firma,                                                                                                     
   t.vejkode,                                                                                                   
   k1.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k2.postnr_by AS postnr_by,                                                                                   
   t.tilladelse_type_kode,                                                                                      
   k3.tilladelse_type AS tilladelse_type,                                                                       
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6111_fyrv_till t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_vejnavn k1 ON (t.vejkode = k1.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k2 ON (t.postnr = k2.postnr) LEFT JOIN                                                    
   fkg.d_6111_tilladelse k3 ON (t.tilladelse_type_kode = k3.tilladelse_type_kode);
 DROP VIEW IF EXISTS fkg.t_6112_midl_dep_h_vw;                                                                  
 CREATE VIEW fkg.t_6112_midl_dep_h_vw AS                                                                        
 SELECT                                                                                                         
   6112::integer AS temakode,                                                                                   
   't_6112_midl_dep'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.cvr,                                                                                                       
   t.virksomhed_navn,                                                                                           
   t.virksomhed_type,                                                                                           
   t.depottype_kode,                                                                                            
   k1.depottype AS depottype,                                                                                   
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6112_midl_dep t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_6112_depottype k1 ON (t.depottype_kode = k1.depottype_kode);
 DROP VIEW IF EXISTS fkg.t_6114_midl_oph_h_vw;                                                                  
 CREATE VIEW fkg.t_6114_midl_oph_h_vw AS                                                                        
 SELECT                                                                                                         
   6114::integer AS temakode,                                                                                   
   't_6114_midl_oph'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.institution_navn,                                                                                          
   t.vejkode,                                                                                                   
   k1.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k2.postnr_by AS postnr_by,                                                                                   
   t.adr_i_tekst,                                                                                               
   t.suppl_sted_beskrivelse,                                                                                    
   t.kontaktperson,                                                                                             
   t.kontakttelefonnr,                                                                                          
   t.antal_personer,                                                                                            
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6114_midl_oph t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_vejnavn k1 ON (t.vejkode = k1.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k2 ON (t.postnr = k2.postnr);
 DROP VIEW IF EXISTS fkg.t_6105_sbygn_omr_h_vw;                                                                 
 CREATE VIEW fkg.t_6105_sbygn_omr_h_vw AS                                                                       
 SELECT                                                                                                         
   6105::integer AS temakode,                                                                                   
   't_6105_sbygn_omr'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.saer_distrikt_nr,                                                                                          
   t.saer_distrikt_navn,                                                                                        
   t.navn,                                                                                                      
   t.kontakt_info,                                                                                              
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6105_sbygn_omr t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_6115_afbr_omr_h_vw;                                                                  
 CREATE VIEW fkg.t_6115_afbr_omr_h_vw AS                                                                        
 SELECT                                                                                                         
   6115::integer AS temakode,                                                                                   
   't_6115_afbr_omr'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.afbr_nr,                                                                                                   
   t.afbr_navn,                                                                                                 
   t.afbr_type_kode,                                                                                            
   k1.afbr_type AS afbr_type,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6115_afbr_omr t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_6115_afbr_type k1 ON (t.afbr_type_kode = k1.afbr_type_kode);
 DROP VIEW IF EXISTS fkg.t_6116_olie_ber_pl_h_vw;                                                               
 CREATE VIEW fkg.t_6116_olie_ber_pl_h_vw AS                                                                     
 SELECT                                                                                                         
   6116::integer AS temakode,                                                                                   
   't_6116_olie_ber_pl'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.navn,                                                                                                      
   t.strandtype_kode,                                                                                           
   k1.strandtype AS strandtype,                                                                                 
   t.prioritet,                                                                                                 
   t.esi_klasse_kode,                                                                                           
   k2.esi_klasse AS esi_klasse,                                                                                 
   t.baad_kode,                                                                                                 
   k3.ja_nej AS baad,                                                                                           
   t.sagsnr,                                                                                                    
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6116_olie_ber_pl t ON (g.versions_id = t.versions_id) LEFT JOIN                                        
   fkg.d_6116_strandtype k1 ON (t.strandtype_kode = k1.strandtype_kode) LEFT JOIN                               
   fkg.d_6116_esi_klasse k2 ON (t.esi_klasse_kode = k2.esi_klasse_kode) LEFT JOIN                               
   fkg.d_basis_ja_nej k3 ON (t.baad_kode = k3.ja_nej_kode);
 DROP VIEW IF EXISTS fkg.t_6104_risiko_virk_h_vw;                                                               
 CREATE VIEW fkg.t_6104_risiko_virk_h_vw AS                                                                     
 SELECT                                                                                                         
   6104::integer AS temakode,                                                                                   
   't_6104_risiko_virk'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.risikotype_kode,                                                                                           
   k1.risikotype AS risikotype,                                                                                 
   t.cvr_risi_virk,                                                                                             
   t.kontakt_tlf,                                                                                               
   t.brandhaem_kode,                                                                                            
   k2.brandhaem AS brandhaem,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6104_risiko_virk t ON (g.versions_id = t.versions_id) LEFT JOIN                                        
   fkg.d_6104_risikotype k1 ON (t.risikotype_kode = k1.risikotype_kode) LEFT JOIN                               
   fkg.d_6104_brandhaem k2 ON (t.brandhaem_kode = k2.brandhaem_kode);
 DROP VIEW IF EXISTS fkg.t_6202_landk_omr_h_vw;                                                                 
 CREATE VIEW fkg.t_6202_landk_omr_h_vw AS                                                                       
 SELECT                                                                                                         
   6202::integer AS temakode,                                                                                   
   't_6202_landk_omr'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.omraade_nr,                                                                                                
   k1.omraade AS omraade,                                                                                       
   t.dato_besigtig,                                                                                             
   t.navn_besigtig,                                                                                             
   t.rev_dato,                                                                                                  
   t.landskabskarakteren,                                                                                       
   t.tidsdybde_kode,                                                                                            
   k2.tidsdybde AS tidsdybde,                                                                                   
   t.tidsdybde_beskr,                                                                                           
   t.intakthed_kode,                                                                                            
   k3.tilstand AS intakthed,                                                                                    
   t.intakthed_beskr,                                                                                           
   t.noeglefunktioner,                                                                                          
   t.afgr_naboomr,                                                                                              
   t.vejledn_afgr_naboomr,                                                                                      
   t.skala_kode,                                                                                                
   k4.skala AS skala,                                                                                           
   t.skala_beskrivelse,                                                                                         
   t.rumlig_afgraensning_kode,                                                                                  
   k5.rumlig_afgraensning AS rumlig_afgraensning,                                                               
   t.rumlig_beskrivelse,                                                                                        
   t.kompleksitet_kode,                                                                                         
   k6.kompleksitet AS kompleksitet,                                                                             
   t.kompleksitet_beskrivelse,                                                                                  
   t.struktur_kode,                                                                                             
   k7.struktur AS struktur,                                                                                     
   t.struktur_beskrivelse,                                                                                      
   t.visuel_uro_kode,                                                                                           
   k8.visuel_uro AS visuel_uro,                                                                                 
   t.visuel_uro_beskrivelse,                                                                                    
   t.kystforhold,                                                                                               
   t.oplevelser,                                                                                                
   t.analysekort,                                                                                               
   t.link_reg_skema,                                                                                            
   t.link_vejledning,                                                                                           
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6202_landk_omr t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_basis_omraade k1 ON (t.omraade_nr = k1.omraade_nr) LEFT JOIN                                           
   fkg.d_6202_tidsdybde k2 ON (t.tidsdybde_kode = k2.tidsdybde_kode) LEFT JOIN                                  
   fkg.d_basis_tilstand k3 ON (t.intakthed_kode = k3.tilstand_kode) LEFT JOIN                                   
   fkg.d_6202_skala k4 ON (t.skala_kode = k4.skala_kode) LEFT JOIN                                              
   fkg.d_6202_rumlig_afgraensning k5 ON (t.rumlig_afgraensning_kode = k5.rumlig_afgraensning_kode) LEFT JOIN    
   fkg.d_6202_kompleksitet k6 ON (t.kompleksitet_kode = k6.kompleksitet_kode) LEFT JOIN                         
   fkg.d_6202_struktur k7 ON (t.struktur_kode = k7.struktur_kode) LEFT JOIN                                     
   fkg.d_6202_visuel_uro k8 ON (t.visuel_uro_kode = k8.visuel_uro_kode);
 DROP VIEW IF EXISTS fkg.t_6200_nat_geo_h_vw;                                                                   
 CREATE VIEW fkg.t_6200_nat_geo_h_vw AS                                                                         
 SELECT                                                                                                         
   6200::integer AS temakode,                                                                                   
   't_6200_nat_geo'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.data_oprindelse,                                                                                           
   t.omraade_nr,                                                                                                
   k1.omraade AS omraade,                                                                                       
   t.geologi_kode,                                                                                              
   k2.geologi AS geologi,                                                                                       
   t.geo_ref,                                                                                                   
   t.jordtype_kode,                                                                                             
   k3.jordtype AS jordtype,                                                                                     
   t.terraen_kode,                                                                                              
   k4.terraen AS terraen,                                                                                       
   t.terraen_ref,                                                                                               
   t.kompleksitet_kode,                                                                                         
   k5.kompleksitet AS kompleksitet,                                                                             
   t.vandelementer,                                                                                             
   t.farvandsomraade,                                                                                           
   t.strandbredden,                                                                                             
   t.begrund_afgraensning,                                                                                      
   t.omr_sammenhaeng,                                                                                           
   t.farvand_strand_ref,                                                                                        
   t.naturgeo_beskrivelse,                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6200_nat_geo t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_basis_omraade k1 ON (t.omraade_nr = k1.omraade_nr) LEFT JOIN                                           
   fkg.d_6200_geologi k2 ON (t.geologi_kode = k2.geologi_kode) LEFT JOIN                                        
   fkg.d_6200_jordtype k3 ON (t.jordtype_kode = k3.jordtype_kode) LEFT JOIN                                     
   fkg.d_6200_terraen k4 ON (t.terraen_kode = k4.terraen_kode) LEFT JOIN                                        
   fkg.d_6200_kompleksitet k5 ON (t.kompleksitet_kode = k5.kompleksitet_kode);
 DROP VIEW IF EXISTS fkg.t_6201_kult_geo_h_vw;                                                                  
 CREATE VIEW fkg.t_6201_kult_geo_h_vw AS                                                                        
 SELECT                                                                                                         
   6201::integer AS temakode,                                                                                   
   't_6201_kult_geo'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.data_oprindelse,                                                                                           
   t.omraade_nr,                                                                                                
   k1.omraade AS omraade,                                                                                       
   t.begrund_afgraensning,                                                                                      
   t.link_litteratur,                                                                                           
   t.link_vejledning,                                                                                           
   t.link_reg_skema,                                                                                            
   t.kulturgeo_beskrivelse,                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6201_kult_geo t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_basis_omraade k1 ON (t.omraade_nr = k1.omraade_nr);
 DROP VIEW IF EXISTS fkg.t_6203_landk_vur_h_vw;                                                                 
 CREATE VIEW fkg.t_6203_landk_vur_h_vw AS                                                                       
 SELECT                                                                                                         
   6203::integer AS temakode,                                                                                   
   't_6203_landk_vur'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.omraade_nr,                                                                                                
   k1.omraade AS omraade,                                                                                       
   t.delomraade_nr,                                                                                             
   t.karakterstyrke_kode,                                                                                       
   k2.karakterstyrke AS karakterstyrke,                                                                         
   t.karakterstyrke_notat,                                                                                      
   t.visuel_notat,                                                                                              
   t.tilstand_kode,                                                                                             
   k3.tilstand AS tilstand,                                                                                     
   t.tilstand_notat,                                                                                            
   t.udvikling,                                                                                                 
   t.saarbarhed_kode,                                                                                           
   k4.saarbarhed AS saarbarhed,                                                                                 
   t.saarbarhed_notat,                                                                                          
   t.tiltag,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6203_landk_vur t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_basis_omraade k1 ON (t.omraade_nr = k1.omraade_nr) LEFT JOIN                                           
   fkg.d_6203_karakterstyrke k2 ON (t.karakterstyrke_kode = k2.karakterstyrke_kode) LEFT JOIN                   
   fkg.d_basis_tilstand k3 ON (t.tilstand_kode = k3.tilstand_kode) LEFT JOIN                                    
   fkg.d_6203_saarbarhed k4 ON (t.saarbarhed_kode = k4.saarbarhed_kode);
 DROP VIEW IF EXISTS fkg.t_6801_parl_li_h_vw;                                                                   
 CREATE VIEW fkg.t_6801_parl_li_h_vw AS                                                                         
 SELECT                                                                                                         
   6801::integer AS temakode,                                                                                   
   't_6801_parl_li'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vedlhold_l_type_kode,                                                                                      
   k1.vedlhold_l_type AS vedlhold_l_type,                                                                       
   k1.vedlhold_l_type_lable AS vedlhold_l_type_lable,                                                           
   t.arbejdssted,                                                                                               
   t.konto_nr,                                                                                                  
   t.udfoerer_enterp,                                                                                           
   t.kommunal_kontakt,                                                                                          
   t.anlaegsaar,                                                                                                
   t.etabl_pleje_udloeb,                                                                                        
   t.udskiftningaar,                                                                                            
   t.klip_flade,                                                                                                
   t.klip_hoejde,                                                                                               
   t.klip_sider,                                                                                                
   t.klip_bredde,                                                                                               
   t.driftniv_kode,                                                                                             
   k2.driftniv AS driftniv,                                                                                     
   t.ukrudtsbek_kode,                                                                                           
   k3.ukrudtsbek AS ukrudtsbek,                                                                                 
   t.tilstand_kode,                                                                                             
   k4.tilstand AS tilstand,                                                                                     
   t.noegle,                                                                                                    
   t.noter,                                                                                                     
   t.vejkode,                                                                                                   
   k5.vejnavn AS vejnavn,                                                                                       
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6801_parl_li t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_6801_vedlhold_l_type k1 ON (t.vedlhold_l_type_kode = k1.vedlhold_l_type_kode) LEFT JOIN                
   fkg.d_basis_driftniv k2 ON (t.driftniv_kode = k2.driftniv_kode) LEFT JOIN                                    
   fkg.d_basis_ukrudtsbek k3 ON (t.ukrudtsbek_kode = k3.ukrudtsbek_kode) LEFT JOIN                              
   fkg.d_basis_tilstand k4 ON (t.tilstand_kode = k4.tilstand_kode) LEFT JOIN                                    
   fkg.d_vejnavn k5 ON (t.vejkode = k5.vejkode);
 DROP VIEW IF EXISTS fkg.t_6800_parl_fl_h_vw;                                                                   
 CREATE VIEW fkg.t_6800_parl_fl_h_vw AS                                                                         
 SELECT                                                                                                         
   6800::integer AS temakode,                                                                                   
   't_6800_parl_fl'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vedlhold_f_type_kode,                                                                                      
   k1.vedlhold_f_type AS vedlhold_f_type,                                                                       
   k1.vedlhold_f_type_lable AS vedlhold_f_type_lable,                                                           
   t.arbejdssted,                                                                                               
   t.konto_nr,                                                                                                  
   t.udfoerer_enterp,                                                                                           
   t.kommunal_kontakt,                                                                                          
   t.anlaegsaar,                                                                                                
   t.etabl_pleje_udloeb,                                                                                        
   t.udskiftningaar,                                                                                            
   t.udtyndaar,                                                                                                 
   t.klip_hoejde,                                                                                               
   t.klip_sider,                                                                                                
   t.klip_flade,                                                                                                
   t.driftniv_kode,                                                                                             
   k2.driftniv AS driftniv,                                                                                     
   t.ukrudtsbek_kode,                                                                                           
   k3.ukrudtsbek AS ukrudtsbek,                                                                                 
   t.tilstand_kode,                                                                                             
   k4.tilstand AS tilstand,                                                                                     
   t.noegle,                                                                                                    
   t.noter,                                                                                                     
   t.vejkode,                                                                                                   
   k5.vejnavn AS vejnavn,                                                                                       
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6800_parl_fl t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_6800_vedlhold_f_type k1 ON (t.vedlhold_f_type_kode = k1.vedlhold_f_type_kode) LEFT JOIN                
   fkg.d_basis_driftniv k2 ON (t.driftniv_kode = k2.driftniv_kode) LEFT JOIN                                    
   fkg.d_basis_ukrudtsbek k3 ON (t.ukrudtsbek_kode = k3.ukrudtsbek_kode) LEFT JOIN                              
   fkg.d_basis_tilstand k4 ON (t.tilstand_kode = k4.tilstand_kode) LEFT JOIN                                    
   fkg.d_vejnavn k5 ON (t.vejkode = k5.vejkode);
 DROP VIEW IF EXISTS fkg.t_6802_parl_pkt_h_vw;                                                                  
 CREATE VIEW fkg.t_6802_parl_pkt_h_vw AS                                                                        
 SELECT                                                                                                         
   6802::integer AS temakode,                                                                                   
   't_6802_parl_pkt'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vedlhold_p_type_kode,                                                                                      
   k1.vedlhold_p_type AS vedlhold_p_type,                                                                       
   k1.vedlhold_p_type_lable AS vedlhold_p_type_lable,                                                           
   t.arbejdssted,                                                                                               
   t.konto_nr,                                                                                                  
   t.udfoerer_enterp,                                                                                           
   t.kommunal_kontakt,                                                                                          
   t.anlaegsaar,                                                                                                
   t.etabl_pleje_udloeb,                                                                                        
   t.udskiftningaar,                                                                                            
   t.klip_flade,                                                                                                
   t.driftniv_kode,                                                                                             
   k2.driftniv AS driftniv,                                                                                     
   t.ukrudtsbek_kode,                                                                                           
   k3.ukrudtsbek AS ukrudtsbek,                                                                                 
   t.tilstand_kode,                                                                                             
   k4.tilstand AS tilstand,                                                                                     
   t.noegle,                                                                                                    
   t.noter,                                                                                                     
   t.vejkode,                                                                                                   
   k5.vejnavn AS vejnavn,                                                                                       
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6802_parl_pkt t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_6802_groenvedligh_punkt k1 ON (t.vedlhold_p_type_kode = k1.vedlhold_p_type_kode) LEFT JOIN             
   fkg.d_basis_driftniv k2 ON (t.driftniv_kode = k2.driftniv_kode) LEFT JOIN                                    
   fkg.d_basis_ukrudtsbek k3 ON (t.ukrudtsbek_kode = k3.ukrudtsbek_kode) LEFT JOIN                              
   fkg.d_basis_tilstand k4 ON (t.tilstand_kode = k4.tilstand_kode) LEFT JOIN                                    
   fkg.d_vejnavn k5 ON (t.vejkode = k5.vejkode);
 DROP VIEW IF EXISTS fkg.t_6803_parl_omr_h_vw;                                                                  
 CREATE VIEW fkg.t_6803_parl_omr_h_vw AS                                                                        
 SELECT                                                                                                         
   6803::integer AS temakode,                                                                                   
   't_6803_parl_omr'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.pg_distrikt_kode,                                                                                          
   k1.pg_distrikt AS pg_distrikt,                                                                               
   t.pg_distrikt_nr,                                                                                            
   t.ansvarlig,                                                                                                 
   t.udfoerer,                                                                                                  
   t.udfoerer_kontakt1,                                                                                         
   t.udfoerer_kontakt2,                                                                                         
   t.kommunal_kontakt,                                                                                          
   t.note,                                                                                                      
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6803_parl_omr t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_6803_pg_distrikt k1 ON (t.pg_distrikt_kode = k1.pg_distrikt_kode);
 DROP VIEW IF EXISTS fkg.t_6117_inds_pkt_h_vw;                                                                  
 CREATE VIEW fkg.t_6117_inds_pkt_h_vw AS                                                                        
 SELECT                                                                                                         
   6117::integer AS temakode,                                                                                   
   't_6117_inds_pkt'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.nr_navn,                                                                                                   
   t.beskrivelse,                                                                                               
   t.adgang,                                                                                                    
   t.vej_afstand,                                                                                               
   t.ansvar,                                                                                                    
   t.indsatstype_kode,                                                                                          
   k1.indsatstype AS indsatstype,                                                                               
   t.noter,                                                                                                     
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6117_inds_pkt t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_6117_indsatstype k1 ON (t.indsatstype_kode = k1.indsatstype_kode);
 DROP VIEW IF EXISTS fkg.t_6100_brandhane_h_vw;                                                                 
 CREATE VIEW fkg.t_6100_brandhane_h_vw AS                                                                       
 SELECT                                                                                                         
   6100::integer AS temakode,                                                                                   
   't_6100_brandhane'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.brandhane_id,                                                                                              
   t.brandhane_type_kode,                                                                                       
   k1.brandhane_type AS brandhane_type,                                                                         
   t.modeltype,                                                                                                 
   t.ydelse,                                                                                                    
   t.senest_maalte_ydelse,                                                                                      
   t.placering_kode,                                                                                            
   k2.placering AS placering,                                                                                   
   t.lokalitet,                                                                                                 
   t.vejkode,                                                                                                   
   k3.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k4.postnr_by AS postnr_by,                                                                                   
   t.funktionsstatus_kode,                                                                                      
   k5.funktionsstatus AS funktionsstatus,                                                                       
   t.aktiv_kode,                                                                                                
   k6.ja_nej AS aktiv,                                                                                          
   t.senest_tilsyn,                                                                                             
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6100_brandhane t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_6100_brandhane k1 ON (t.brandhane_type_kode = k1.brandhane_type_kode) LEFT JOIN                        
   fkg.d_6100_placering k2 ON (t.placering_kode = k2.placering_kode) LEFT JOIN                                  
   fkg.d_vejnavn k3 ON (t.vejkode = k3.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k4 ON (t.postnr = k4.postnr) LEFT JOIN                                                    
   fkg.d_basis_funktionsstatus k5 ON (t.funktionsstatus_kode = k5.funktionsstatus_kode) LEFT JOIN               
   fkg.d_basis_ja_nej k6 ON (t.aktiv_kode = k6.ja_nej_kode);
 DROP VIEW IF EXISTS fkg.t_5715_botilbud_h_vw;                                                                  
 CREATE VIEW fkg.t_5715_botilbud_h_vw AS                                                                        
 SELECT                                                                                                         
   5715::integer AS temakode,                                                                                   
   't_5715_botilbud'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.botilbud_type_kode,                                                                                        
   k1.botilbud_type AS botilbud_type,                                                                           
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.botilbud_navn,                                                                                             
   t.noegle,                                                                                                    
   t.vejkode,                                                                                                   
   k3.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k4.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5715_botilbud t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_5715_botilbud_type k1 ON (t.botilbud_type_kode = k1.botilbud_type_kode) LEFT JOIN                      
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode) LEFT JOIN                              
   fkg.d_vejnavn k3 ON (t.vejkode = k3.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k4 ON (t.postnr = k4.postnr);
 DROP VIEW IF EXISTS fkg.t_5106_nat_pl_h_vw;                                                                    
 CREATE VIEW fkg.t_5106_nat_pl_h_vw AS                                                                          
 SELECT                                                                                                         
   5106::integer AS temakode,                                                                                   
   't_5106_nat_pl'::text AS temanavn,                                                                           
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.pleje_type_kode,                                                                                           
   k1.pleje_type AS pleje_type,                                                                                 
   t.omr_nr,                                                                                                    
   t.omr_navn,                                                                                                  
   t.fortidsmindenr,                                                                                            
   t.faciliteter_kode,                                                                                          
   k2.faciliteter AS faciliteter,                                                                               
   t.aftale_type,                                                                                               
   t.aftale_nr,                                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.ejerstatus_kode,                                                                                           
   k3.ejerstatus AS ejerstatus,                                                                                 
   t.sagsnr,                                                                                                    
   t.projekt_type,                                                                                              
   t.dyrehold,                                                                                                  
   t.antal_moder,                                                                                               
   t.chr,                                                                                                       
   t.navn,                                                                                                      
   t.telefon,                                                                                                   
   t.mobil,                                                                                                     
   t.mail,                                                                                                      
   t.ajour,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5106_nat_pl t ON (g.versions_id = t.versions_id) LEFT JOIN                                             
   fkg.d_5106_pleje_type k1 ON (t.pleje_type_kode = k1.pleje_type_kode) LEFT JOIN                               
   fkg.d_5106_faciliteter k2 ON (t.faciliteter_kode = k2.faciliteter_kode) LEFT JOIN                            
   fkg.d_basis_ejerstatus k3 ON (t.ejerstatus_kode = k3.ejerstatus_kode);
 DROP VIEW IF EXISTS fkg.t_6102_redn_vej_h_vw;                                                                  
 CREATE VIEW fkg.t_6102_redn_vej_h_vw AS                                                                        
 SELECT                                                                                                         
   6102::integer AS temakode,                                                                                   
   't_6102_redn_vej'::text AS temanavn,                                                                         
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.redvej_type_kode,                                                                                          
   k1.redvej_type AS redvej_type,                                                                               
   t.redn_underomr,                                                                                             
   t.noter,                                                                                                     
   t.bygn_kompleks,                                                                                             
   t.byg_sag_nr,                                                                                                
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6102_redn_vej t ON (g.versions_id = t.versions_id) LEFT JOIN                                           
   fkg.d_6102_redvej_type k1 ON (t.redvej_type_kode = k1.redvej_type_kode) LEFT JOIN                            
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr);
 DROP VIEW IF EXISTS fkg.t_5005_soe_h_vw;                                                                       
 CREATE VIEW fkg.t_5005_soe_h_vw AS                                                                             
 SELECT                                                                                                         
   5005::integer AS temakode,                                                                                   
   't_5005_soe'::text AS temanavn,                                                                              
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.soe_navn,                                                                                                  
   t.dmu_ref,                                                                                                   
   t.soe_nr,                                                                                                    
   t.maalsaetning_kode,                                                                                         
   k1.maalsaetning AS maalsaetning,                                                                             
   t.soe_type_kode,                                                                                             
   k2.soe_type AS soe_type,                                                                                     
   t.habitat_type_kode,                                                                                         
   k3.habitat_type AS habitat_type,                                                                             
   t.trussel_vand_kode,                                                                                         
   k4.trussel_vand AS trussel_vand,                                                                             
   t.sejlads,                                                                                                   
   t.tilstand,                                                                                                  
   t.opholdstid,                                                                                                
   t.volumen,                                                                                                   
   t.fot_id,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5005_soe t ON (g.versions_id = t.versions_id) LEFT JOIN                                                
   fkg.d_5005_maalsaetning k1 ON (t.maalsaetning_kode = k1.maalsaetning_kode) LEFT JOIN                         
   fkg.d_5005_soe_type k2 ON (t.soe_type_kode = k2.soe_type_kode) LEFT JOIN                                     
   fkg.d_5005_habitat_type k3 ON (t.habitat_type_kode = k3.habitat_type_kode) LEFT JOIN                         
   fkg.d_basis_trussel_vand k4 ON (t.trussel_vand_kode = k4.trussel_vand_kode);
 DROP VIEW IF EXISTS fkg.t_5701_lok_omr_h_vw;                                                                   
 CREATE VIEW fkg.t_5701_lok_omr_h_vw AS                                                                         
 SELECT                                                                                                         
   5701::integer AS temakode,                                                                                   
   't_5701_lok_omr'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.lokalraad_navn,                                                                                            
   t.noegle,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5701_lok_omr t ON (g.versions_id = t.versions_id);
 DROP VIEW IF EXISTS fkg.t_5001_maalest_h_vw;                                                                   
 CREATE VIEW fkg.t_5001_maalest_h_vw AS                                                                         
 SELECT                                                                                                         
   5001::integer AS temakode,                                                                                   
   't_5001_maalest'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.stationsnr,                                                                                                
   t.lokalitet,                                                                                                 
   t.maalest_type_kode,                                                                                         
   k1.maalest_type AS maalest_type,                                                                             
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.dvfi_bedoemmelse_kode,                                                                                     
   k3.dvfi_bedoemmelse AS dvfi_bedoemmelse,                                                                     
   t.dmu_nr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5001_maalest t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5001_maalest_type k1 ON (t.maalest_type_kode = k1.maalest_type_kode) LEFT JOIN                         
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode) LEFT JOIN                              
   fkg.d_basis_dvfi_bedoemmelse k3 ON (t.dvfi_bedoemmelse_kode = k3.dvfi_bedoemmelse_kode);
 DROP VIEW IF EXISTS fkg.t_5400_affalds_dis_h_vw;                                                               
 CREATE VIEW fkg.t_5400_affalds_dis_h_vw AS                                                                     
 SELECT                                                                                                         
   5400::integer AS temakode,                                                                                   
   't_5400_affalds_dis'::text AS temanavn,                                                                      
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.affalddistrikt_nr,                                                                                         
   t.affalddistrikt_navn,                                                                                       
   t.affaldstype_kode,                                                                                          
   k1.affaldstype AS affaldstype,                                                                               
   t.afh_frekvens,                                                                                              
   t.afh_dag,                                                                                                   
   t.renovatoer_cvr,                                                                                            
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5400_affalds_dis t ON (g.versions_id = t.versions_id) LEFT JOIN                                        
   fkg.d_5400_affalds_type k1 ON (t.affaldstype_kode = k1.affaldstype_kode);
 DROP VIEW IF EXISTS fkg.t_6118_bran_redn_h_vw;                                                                 
 CREATE VIEW fkg.t_6118_bran_redn_h_vw AS                                                                       
 SELECT                                                                                                         
   6118::integer AS temakode,                                                                                   
   't_6118_bran_redn'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.redarea_type_kode,                                                                                         
   k1.brand_redarea_type AS redarea_type,                                                                       
   t.rednarea_underomr,                                                                                         
   t.noter,                                                                                                     
   t.bygn_kompleks,                                                                                             
   t.byg_sag_nr,                                                                                                
   t.vejkode,                                                                                                   
   k2.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k3.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6118_bran_redn t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_6118_brand_redarea_type k1 ON (t.redarea_type_kode = k1.brand_redarea_type_kode) LEFT JOIN             
   fkg.d_vejnavn k2 ON (t.vejkode = k2.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k3 ON (t.postnr = k3.postnr);
 DROP VIEW IF EXISTS fkg.t_5007_vandl_opl_h_vw;                                                                 
 CREATE VIEW fkg.t_5007_vandl_opl_h_vw AS                                                                       
 SELECT                                                                                                         
   5007::integer AS temakode,                                                                                   
   't_5007_vandl_opl'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vandloeb_nr,                                                                                               
   t.dmu_ref,                                                                                                   
   t.vandl_opl_nr,                                                                                              
   k1.opl_navn AS vandl_opl_navn,                                                                               
   t.opl_type_kode,                                                                                             
   k2.vandl_opl_type AS opl_type,                                                                               
   t.hydro_ref,                                                                                                 
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5007_vandl_opl t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5007_opl k1 ON (t.vandl_opl_nr = k1.opl_nr) LEFT JOIN                                                  
   fkg.d_5007_opl_type k2 ON (t.opl_type_kode = k2.vandl_opl_type_kode);
 DROP VIEW IF EXISTS fkg.t_5000_vandl_h_vw;                                                                     
 CREATE VIEW fkg.t_5000_vandl_h_vw AS                                                                           
 SELECT                                                                                                         
   5000::integer AS temakode,                                                                                   
   't_5000_vandl'::text AS temanavn,                                                                            
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.navn,                                                                                                      
   t.dmu_ref,                                                                                                   
   t.vandloeb_nr,                                                                                               
   t.maalsaetning_kode,                                                                                         
   k1.maalsaetning AS maalsaetning,                                                                             
   t.vandl_type_kode,                                                                                           
   k2.vandl_type AS vandl_type,                                                                                 
   t.ejerstatus_kode,                                                                                           
   k3.ejerstatus AS ejerstatus,                                                                                 
   t.klasse_kode,                                                                                               
   k4.klasse AS klasse,                                                                                         
   t.tidl_amt_kode,                                                                                             
   k5.ja_nej AS tidl_amt,                                                                                       
   t.vedligehold,                                                                                               
   t.ansvar_vedligehold,                                                                                        
   t.p3vandloeb_kode,                                                                                           
   k6.ja_nej AS p3vandloeb,                                                                                     
   t.sejlads,                                                                                                   
   t.dvfi_bedoemmelse_kode,                                                                                     
   k7.dvfi_bedoemmelse AS dvfi_bedoemmelse,                                                                     
   t.station_fra,                                                                                               
   t.station_til,                                                                                               
   t.vandloebs_bredde,                                                                                          
   t.vandfoeringsforhold,                                                                                       
   t.maalsaetning_opfyldt_kode,                                                                                 
   k8.ja_nej AS maalsaetning_opfyldt,                                                                           
   t.fot_id,                                                                                                    
   t.trussel_vand_kode,                                                                                         
   k9.trussel_vand AS trussel_vand,                                                                             
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5000_vandl t ON (g.versions_id = t.versions_id) LEFT JOIN                                              
   fkg.d_5000_maalsaetning k1 ON (t.maalsaetning_kode = k1.maalsaetning_kode) LEFT JOIN                         
   fkg.d_5000_vandl_type k2 ON (t.vandl_type_kode = k2.vandl_type_kode) LEFT JOIN                               
   fkg.d_basis_ejerstatus k3 ON (t.ejerstatus_kode = k3.ejerstatus_kode) LEFT JOIN                              
   fkg.d_5000_klasse k4 ON (t.klasse_kode = k4.klasse_kode) LEFT JOIN                                           
   fkg.d_basis_ja_nej k5 ON (t.tidl_amt_kode = k5.ja_nej_kode) LEFT JOIN                                        
   fkg.d_basis_ja_nej k6 ON (t.p3vandloeb_kode = k6.ja_nej_kode) LEFT JOIN                                      
   fkg.d_basis_dvfi_bedoemmelse k7 ON (t.dvfi_bedoemmelse_kode = k7.dvfi_bedoemmelse_kode) LEFT JOIN            
   fkg.d_basis_ja_nej k8 ON (t.maalsaetning_opfyldt_kode = k8.ja_nej_kode) LEFT JOIN                            
   fkg.d_basis_trussel_vand k9 ON (t.trussel_vand_kode = k9.trussel_vand_kode);
 DROP VIEW IF EXISTS fkg.t_5008_soe_opl_h_vw;                                                                   
 CREATE VIEW fkg.t_5008_soe_opl_h_vw AS                                                                         
 SELECT                                                                                                         
   5008::integer AS temakode,                                                                                   
   't_5008_soe_opl'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.dmu_ref,                                                                                                   
   t.soe_opl_nr,                                                                                                
   k1.soeopl_navn AS soe_opl_navn,                                                                              
   t.soe_nr,                                                                                                    
   t.hydro_ref,                                                                                                 
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5008_soe_opl t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5008_opl k1 ON (t.soe_opl_nr = k1.soe_opl_nr);
 DROP VIEW IF EXISTS fkg.t_5002_faunasp_h_vw;                                                                   
 CREATE VIEW fkg.t_5002_faunasp_h_vw AS                                                                         
 SELECT                                                                                                         
   5002::integer AS temakode,                                                                                   
   't_5002_faunasp'::text AS temanavn,                                                                          
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.spaerring_nr,                                                                                              
   t.spaerring_type_kode,                                                                                       
   k1.spaerring_type AS spaerring_type,                                                                         
   t.passage_kode,                                                                                              
   k2.passage AS passage,                                                                                       
   t.lokalitet,                                                                                                 
   t.vandloebsystem,                                                                                            
   t.saneret_aar,                                                                                               
   t.prioritet,                                                                                                 
   t.passage_ansvarlig,                                                                                         
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5002_faunasp t ON (g.versions_id = t.versions_id) LEFT JOIN                                            
   fkg.d_5002_spaerring k1 ON (t.spaerring_type_kode = k1.spaerring_type_kode) LEFT JOIN                        
   fkg.d_5002_passage k2 ON (t.passage_kode = k2.passage_kode);
 DROP VIEW IF EXISTS fkg.t_6002_indv_h_vw;                                                                      
 CREATE VIEW fkg.t_6002_indv_h_vw AS                                                                            
 SELECT                                                                                                         
   6002::integer AS temakode,                                                                                   
   't_6002_indv'::text AS temanavn,                                                                             
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.vandv_nr,                                                                                                  
   k1.vandv AS vandv_navn,                                                                                      
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.indsatsomraade,                                                                                            
   t.indv_maengde_aar,                                                                                          
   t.kildeplads,                                                                                                
   t.reference,                                                                                                 
   t.metode,                                                                                                    
   t.dgu_nr,                                                                                                    
   t.indtag,                                                                                                    
   t.dato_beregn,                                                                                               
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6002_indv t ON (g.versions_id = t.versions_id) LEFT JOIN                                               
   fkg.d_basis_vandv_nr k1 ON (t.vandv_nr = k1.vandv_nr);
 DROP VIEW IF EXISTS fkg.t_5714_laering_udd_inst_h_vw;                                                          
 CREATE VIEW fkg.t_5714_laering_udd_inst_h_vw AS                                                                
 SELECT                                                                                                         
   5714::integer AS temakode,                                                                                   
   't_5714_laering_udd_inst'::text AS temanavn,                                                                 
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.udd_institution_type_kode,                                                                                 
   k1.udd_institution_type AS udd_institution_type,                                                             
   t.ejerstatus_kode,                                                                                           
   k2.ejerstatus AS ejerstatus,                                                                                 
   t.udd_institution_navn,                                                                                      
   t.starttrin_kode,                                                                                            
   k3.trin AS starttrin,                                                                                        
   t.sluttrin_kode,                                                                                             
   k4.trin AS slutttrin,                                                                                        
   t.noegle,                                                                                                    
   t.vejkode,                                                                                                   
   k5.vejnavn AS vejnavn,                                                                                       
   t.cvf_vejkode,                                                                                               
   t.husnr,                                                                                                     
   t.postnr,                                                                                                    
   k6.postnr_by AS postnr_by,                                                                                   
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5714_laering_udd_inst t ON (g.versions_id = t.versions_id) LEFT JOIN                                   
   fkg.d_5714_udd_institution_type k1 ON (t.udd_institution_type_kode = k1.udd_institution_type_kode) LEFT JOIN 
   fkg.d_basis_ejerstatus k2 ON (t.ejerstatus_kode = k2.ejerstatus_kode) LEFT JOIN                              
   fkg.d_basis_trin k3 ON (t.starttrin_kode = k3.trin_kode) LEFT JOIN                                           
   fkg.d_basis_trin k4 ON (t.sluttrin_kode = k4.trin_kode) LEFT JOIN                                            
   fkg.d_vejnavn k5 ON (t.vejkode = k5.vejkode) LEFT JOIN                                                       
   fkg.d_basis_postnr k6 ON (t.postnr = k6.postnr);
 DROP VIEW IF EXISTS fkg.t_5003_draenledn_h_vw;                                                                 
 CREATE VIEW fkg.t_5003_draenledn_h_vw AS                                                                       
 SELECT                                                                                                         
   5003::integer AS temakode,                                                                                   
   't_5003_draenledn'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.ledn_nr,                                                                                                   
   t.ledn_type_kode,                                                                                            
   k1.ledn_type AS ledn_type,                                                                                   
   t.klasse_kode,                                                                                               
   k2.klasse AS klasse,                                                                                         
   t.noegle,                                                                                                    
   t.anlaeg_aar,                                                                                                
   t.dybde,                                                                                                     
   t.dimension,                                                                                                 
   t.sagsnr,                                                                                                    
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5003_draenledn t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_5003_ledn_type k1 ON (t.ledn_type_kode = k1.ledn_type_kode) LEFT JOIN                                  
   fkg.d_5003_klasse k2 ON (t.klasse_kode = k2.klasse_kode);
 DROP VIEW IF EXISTS fkg.t_5105_rig_fattig_h_vw;                                                                
 CREATE VIEW fkg.t_5105_rig_fattig_h_vw AS                                                                      
 SELECT                                                                                                         
   5105::integer AS temakode,                                                                                   
   't_5105_rig_fattig'::text AS temanavn,                                                                       
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.stedid,                                                                                                    
   t.natura_2000,                                                                                               
   t.kaer_type_kode,                                                                                            
   k1.kaer_type AS kaer_type,                                                                                   
   t.noegle,                                                                                                    
   t.noter,                                                                                                     
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_5105_rig_fattig t ON (g.versions_id = t.versions_id) LEFT JOIN                                         
   fkg.d_5105_kaer_type k1 ON (t.kaer_type_kode = k1.kaer_type_kode);
 DROP VIEW IF EXISTS fkg.t_6003_besk_zone_h_vw;                                                                 
 CREATE VIEW fkg.t_6003_besk_zone_h_vw AS                                                                       
 SELECT                                                                                                         
   6003::integer AS temakode,                                                                                   
   't_6003_besk_zone'::text AS temanavn,                                                                        
   g.objekt_id,                                                                                                 
   g.versions_id,                                                                                               
   g.systid_fra,                                                                                                
   g.systid_til,                                                                                                
   g.oprettet,                                                                                                  
   g.cvr_kode,                                                                                                  
   m.cvr_navn,                                                                                                  
   m.kommunekode,                                                                                               
   g.bruger_id,                                                                                                 
   g.oprindkode,                                                                                                
   o.oprindelse,                                                                                                
   g.statuskode,                                                                                                
   s.status,                                                                                                    
   g.off_kode,                                                                                                  
   f.offentlig,                                                                                                 
   t.dgu_nr,                                                                                                    
   t.kildeplads,                                                                                                
   t.indsatsomraade,                                                                                            
   t.vandv_nr,                                                                                                  
   k1.vandv AS vandv_navn,                                                                                      
   t.jup_nr,                                                                                                    
   t.tilladelse,                                                                                                
   t.tilladelse_gyldig,                                                                                         
   t.beskyt_zone,                                                                                               
   t.beskyt_zone_gyldig,                                                                                        
   t.lokalitet,                                                                                                 
   t.zone_type_kode,                                                                                            
   k2.zone_type AS zone_type,                                                                                   
   t.gyldig_fra,                                                                                                
   t.gyldig_til,                                                                                                
   t.link,                                                                                                      
   t.geometri                                                                                                   
 FROM                                                                                                           
   fkg.generel g JOIN                                                                                           
   fkg.d_basis_ansvarlig_myndighed m ON (g.cvr_kode=m.cvr_kode) JOIN                                            
   fkg.d_basis_oprindelse o ON (g.oprindkode=o.oprindkode) JOIN                                                 
   fkg.d_basis_status s ON (g.statuskode=s.statuskode) JOIN                                                     
   fkg.d_basis_offentlig f ON (g.off_kode=f.off_kode) JOIN                                                      
   fkg.t_6003_besk_zone t ON (g.versions_id = t.versions_id) LEFT JOIN                                          
   fkg.d_basis_vandv_nr k1 ON (t.vandv_nr = k1.vandv_nr) LEFT JOIN                                              
   fkg.d_6003_zone_type k2 ON (t.zone_type_kode = k2.zone_type_kode);

 CREATE OR REPLACE FUNCTION fkg.t_5004_draenomr_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5004_draenomr (versions_id, omr_navn, omr_type_kode, anlaeg_aar, projnr, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.omr_navn, NEW.omr_type_kode, NEW.anlaeg_aar, NEW.projnr, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5004_draenomr                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_5004_draenomr (versions_id, omr_navn, omr_type_kode, anlaeg_aar, projnr, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.omr_navn, NEW.omr_type_kode, NEW.anlaeg_aar, NEW.projnr, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5004_draenomr_vw_trg_iud ON fkg.t_5004_draenomr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5004_draenomr_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5004_draenomr_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5004_draenomr_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5004_draenomr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5004_draenomr FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5009_pumpelag_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5009_pumpelag (versions_id, lag_navn, lag_type_kode, ejerstatus_kode, vandloebsystem, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.lag_navn, NEW.lag_type_kode, NEW.ejerstatus_kode, NEW.vandloebsystem, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5009_pumpelag                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_5009_pumpelag (versions_id, lag_navn, lag_type_kode, ejerstatus_kode, vandloebsystem, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.lag_navn, NEW.lag_type_kode, NEW.ejerstatus_kode, NEW.vandloebsystem, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5009_pumpelag_vw_trg_iud ON fkg.t_5009_pumpelag_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5009_pumpelag_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5009_pumpelag_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5009_pumpelag_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5009_pumpelag_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5009_pumpelag FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5010_vandl_elm_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5010_vandl_elm (versions_id, element_nr, element_kode, lokalitet, vstation, vandloebsystem, anlagt_aar, saneret_aar, tilstand_kode, broend_data, toemningsfrekvens, adgangsforhold, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                        
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.element_nr, NEW.element_kode, NEW.lokalitet, NEW.vstation, NEW.vandloebsystem, NEW.anlagt_aar, NEW.saneret_aar, NEW.tilstand_kode, NEW.broend_data, NEW.toemningsfrekvens, NEW.adgangsforhold, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                    
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5010_vandl_elm                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_5010_vandl_elm (versions_id, element_nr, element_kode, lokalitet, vstation, vandloebsystem, anlagt_aar, saneret_aar, tilstand_kode, broend_data, toemningsfrekvens, adgangsforhold, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                        
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.element_nr, NEW.element_kode, NEW.lokalitet, NEW.vstation, NEW.vandloebsystem, NEW.anlagt_aar, NEW.saneret_aar, NEW.tilstand_kode, NEW.broend_data, NEW.toemningsfrekvens, NEW.adgangsforhold, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                    
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5010_vandl_elm_vw_trg_iud ON fkg.t_5010_vandl_elm_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5010_vandl_elm_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5010_vandl_elm_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5010_vandl_elm_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5010_vandl_elm_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5010_vandl_elm FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5006_dybdekurv_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5006_dybdekurv (versions_id, soe_navn, dmu_ref, soe_nr, dybde, lower, upper, maalt_aar, opm_metode, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.soe_navn, NEW.dmu_ref, NEW.soe_nr, NEW.dybde, NEW.lower, NEW.upper, NEW.maalt_aar, NEW.opm_metode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5006_dybdekurv                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_5006_dybdekurv (versions_id, soe_navn, dmu_ref, soe_nr, dybde, lower, upper, maalt_aar, opm_metode, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.soe_navn, NEW.dmu_ref, NEW.soe_nr, NEW.dybde, NEW.lower, NEW.upper, NEW.maalt_aar, NEW.opm_metode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5006_dybdekurv_vw_trg_iud ON fkg.t_5006_dybdekurv_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5006_dybdekurv_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5006_dybdekurv_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5006_dybdekurv_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5006_dybdekurv_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5006_dybdekurv FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5108_groent_part_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5108_groent_part (versions_id, navn, kontakt_navn, kontakt_opl, deltager, formaal, gyldig_fra, gyldig_til, sagsnr, note, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.navn, NEW.kontakt_navn, NEW.kontakt_opl, NEW.deltager, NEW.formaal, NEW.gyldig_fra, NEW.gyldig_til, NEW.sagsnr, NEW.note, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5108_groent_part                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       INSERT INTO fkg.t_5108_groent_part (versions_id, navn, kontakt_navn, kontakt_opl, deltager, formaal, gyldig_fra, gyldig_til, sagsnr, note, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.navn, NEW.kontakt_navn, NEW.kontakt_opl, NEW.deltager, NEW.formaal, NEW.gyldig_fra, NEW.gyldig_til, NEW.sagsnr, NEW.note, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5108_groent_part_vw_trg_iud ON fkg.t_5108_groent_part_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5108_groent_part_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5108_groent_part_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5108_groent_part_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5108_groent_part_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5108_groent_part FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5300_genopd_ret_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5300_genopd_ret (versions_id, gyldig_fra, gyldig_til, funktion, planlagt_aktivitet, genoptaget, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gyldig_fra, NEW.gyldig_til, NEW.funktion, NEW.planlagt_aktivitet, NEW.genoptaget, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5300_genopd_ret                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_5300_genopd_ret (versions_id, gyldig_fra, gyldig_til, funktion, planlagt_aktivitet, genoptaget, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gyldig_fra, NEW.gyldig_til, NEW.funktion, NEW.planlagt_aktivitet, NEW.genoptaget, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5300_genopd_ret_vw_trg_iud ON fkg.t_5300_genopd_ret_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5300_genopd_ret_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5300_genopd_ret_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5300_genopd_ret_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5300_genopd_ret_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5300_genopd_ret FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5508_husst_moel_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5508_husst_moel (versions_id, moelletype, hoejde, kapacitet, stoej_kode, konsekvenszone, sagnr, vejkode, husnr, postnr, note, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.moelletype, NEW.hoejde, NEW.kapacitet, NEW.stoej_kode, NEW.konsekvenszone, NEW.sagnr, NEW.vejkode, NEW.husnr, NEW.postnr, NEW.note, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5508_husst_moel                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_5508_husst_moel (versions_id, moelletype, hoejde, kapacitet, stoej_kode, konsekvenszone, sagnr, vejkode, husnr, postnr, note, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.moelletype, NEW.hoejde, NEW.kapacitet, NEW.stoej_kode, NEW.konsekvenszone, NEW.sagnr, NEW.vejkode, NEW.husnr, NEW.postnr, NEW.note, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5508_husst_moel_vw_trg_iud ON fkg.t_5508_husst_moel_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5508_husst_moel_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5508_husst_moel_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5508_husst_moel_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5508_husst_moel_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5508_husst_moel FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5900_jordfl_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5900_jordfl (versions_id, afs_vejkode, afs_cvf_vejkode, afs_husnr, afs_kommunekode, afs_postnr, jordflyt_dato_start, jordflyt_dato_slut, modt_vejkode, modt_cvf_vejkode, modt_husnr, modt_kommunekode, modt_postnr, tillad_dato, jordmaengde_faktisk, jordmaengde_anmeldt, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.afs_vejkode, NEW.afs_cvf_vejkode, NEW.afs_husnr, NEW.afs_kommunekode, NEW.afs_postnr, NEW.jordflyt_dato_start, NEW.jordflyt_dato_slut, NEW.modt_vejkode, NEW.modt_cvf_vejkode, NEW.modt_husnr, NEW.modt_kommunekode, NEW.modt_postnr, NEW.tillad_dato, NEW.jordmaengde_faktisk, NEW.jordmaengde_anmeldt, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5900_jordfl                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       INSERT INTO fkg.t_5900_jordfl (versions_id, afs_vejkode, afs_cvf_vejkode, afs_husnr, afs_kommunekode, afs_postnr, jordflyt_dato_start, jordflyt_dato_slut, modt_vejkode, modt_cvf_vejkode, modt_husnr, modt_kommunekode, modt_postnr, tillad_dato, jordmaengde_faktisk, jordmaengde_anmeldt, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.afs_vejkode, NEW.afs_cvf_vejkode, NEW.afs_husnr, NEW.afs_kommunekode, NEW.afs_postnr, NEW.jordflyt_dato_start, NEW.jordflyt_dato_slut, NEW.modt_vejkode, NEW.modt_cvf_vejkode, NEW.modt_husnr, NEW.modt_kommunekode, NEW.modt_postnr, NEW.tillad_dato, NEW.jordmaengde_faktisk, NEW.jordmaengde_anmeldt, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                        
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5900_jordfl_vw_trg_iud ON fkg.t_5900_jordfl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5900_jordfl_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5900_jordfl_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5900_jordfl_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5900_jordfl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5900_jordfl FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5200_aff_prod_udbr_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5200_aff_prod_udbr (versions_id, affald_prod_kode, navn, ejd_nr, vejkode, cvf_vejkode, husnr, postnr, markblok, dosering_toerstof, dosering_vaadvaegt, phosphor_indhold, udbringning_aar, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                            
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.affald_prod_kode, NEW.navn, NEW.ejd_nr, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.markblok, NEW.dosering_toerstof, NEW.dosering_vaadvaegt, NEW.phosphor_indhold, NEW.udbringning_aar, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5200_aff_prod_udbr                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       INSERT INTO fkg.t_5200_aff_prod_udbr (versions_id, affald_prod_kode, navn, ejd_nr, vejkode, cvf_vejkode, husnr, postnr, markblok, dosering_toerstof, dosering_vaadvaegt, phosphor_indhold, udbringning_aar, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                            
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.affald_prod_kode, NEW.navn, NEW.ejd_nr, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.markblok, NEW.dosering_toerstof, NEW.dosering_vaadvaegt, NEW.phosphor_indhold, NEW.udbringning_aar, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                            
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5200_aff_prod_udbr_vw_trg_iud ON fkg.t_5200_aff_prod_udbr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5200_aff_prod_udbr_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5200_aff_prod_udbr_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5200_aff_prod_udbr_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5200_aff_prod_udbr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5200_aff_prod_udbr FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5506_spildev_pl_pkt_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5506_spildev_pl_pkt (versions_id, anlaeg_type_kode, planstatus_kode, noter, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.anlaeg_type_kode, NEW.planstatus_kode, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5506_spildev_pl_pkt                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5506_spildev_pl_pkt (versions_id, anlaeg_type_kode, planstatus_kode, noter, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.anlaeg_type_kode, NEW.planstatus_kode, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5506_spildev_pl_pkt_vw_trg_iud ON fkg.t_5506_spildev_pl_pkt_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5506_spildev_pl_pkt_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5506_spildev_pl_pkt_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5506_spildev_pl_pkt_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5506_spildev_pl_pkt_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5506_spildev_pl_pkt FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5507_fiberkabel_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5507_fiberkabel (versions_id, fs_cvr, fs_navn, dybde, aar_i_jord, antal_kabler, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.fs_cvr, NEW.fs_navn, NEW.dybde, NEW.aar_i_jord, NEW.antal_kabler, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5507_fiberkabel                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_5507_fiberkabel (versions_id, fs_cvr, fs_navn, dybde, aar_i_jord, antal_kabler, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.fs_cvr, NEW.fs_navn, NEW.dybde, NEW.aar_i_jord, NEW.antal_kabler, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5507_fiberkabel_vw_trg_iud ON fkg.t_5507_fiberkabel_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5507_fiberkabel_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5507_fiberkabel_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5507_fiberkabel_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5507_fiberkabel_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5507_fiberkabel FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5800_fac_pkt_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5800_fac_pkt (versions_id, facilitet_type_kode, ejerstatus_kode, navn, noegle, noter, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.facilitet_type_kode, NEW.ejerstatus_kode, NEW.navn, NEW.noegle, NEW.noter, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5800_fac_pkt                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       INSERT INTO fkg.t_5800_fac_pkt (versions_id, facilitet_type_kode, ejerstatus_kode, navn, noegle, noter, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.facilitet_type_kode, NEW.ejerstatus_kode, NEW.navn, NEW.noegle, NEW.noter, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5800_fac_pkt_vw_trg_iud ON fkg.t_5800_fac_pkt_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5800_fac_pkt_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5800_fac_pkt_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5800_fac_pkt_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5800_fac_pkt_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5800_fac_pkt FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5802_fac_li_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5802_fac_li (versions_id, facilitet_type_kode, ejerstatus_kode, navn, noegle, noter, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.facilitet_type_kode, NEW.ejerstatus_kode, NEW.navn, NEW.noegle, NEW.noter, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5802_fac_li                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       INSERT INTO fkg.t_5802_fac_li (versions_id, facilitet_type_kode, ejerstatus_kode, navn, noegle, noter, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.facilitet_type_kode, NEW.ejerstatus_kode, NEW.navn, NEW.noegle, NEW.noter, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5802_fac_li_vw_trg_iud ON fkg.t_5802_fac_li_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5802_fac_li_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5802_fac_li_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5802_fac_li_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5802_fac_li_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5802_fac_li FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5901_raastof_till_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5901_raastof_till (versions_id, indv_navn, indv_cvr, raastof_type_kode, tillad_dato, afslut_aar, gravstatus_kode, grusgrav_nr, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.indv_navn, NEW.indv_cvr, NEW.raastof_type_kode, NEW.tillad_dato, NEW.afslut_aar, NEW.gravstatus_kode, NEW.grusgrav_nr, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5901_raastof_till                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       INSERT INTO fkg.t_5901_raastof_till (versions_id, indv_navn, indv_cvr, raastof_type_kode, tillad_dato, afslut_aar, gravstatus_kode, grusgrav_nr, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.indv_navn, NEW.indv_cvr, NEW.raastof_type_kode, NEW.tillad_dato, NEW.afslut_aar, NEW.gravstatus_kode, NEW.grusgrav_nr, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5901_raastof_till_vw_trg_iud ON fkg.t_5901_raastof_till_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5901_raastof_till_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5901_raastof_till_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5901_raastof_till_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5901_raastof_till_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5901_raastof_till FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5402_genbr_con_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5402_genbr_con (versions_id, gc_type_kode, model, t_frekvens, t_dato, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gc_type_kode, NEW.model, NEW.t_frekvens, NEW.t_dato, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5402_genbr_con                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_5402_genbr_con (versions_id, gc_type_kode, model, t_frekvens, t_dato, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gc_type_kode, NEW.model, NEW.t_frekvens, NEW.t_dato, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5402_genbr_con_vw_trg_iud ON fkg.t_5402_genbr_con_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5402_genbr_con_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5402_genbr_con_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5402_genbr_con_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5402_genbr_con_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5402_genbr_con FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5902_jordv_anl_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5902_jordv_anl (versions_id, brine, strenge_antal, strenge_laengde_samlede, tilladelses_dato, faerdigmeldingsdato, vaesketype_kode, gyldig_fra, gyldig_til, sagsnr, sag_status_kode, note, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.brine, NEW.strenge_antal, NEW.strenge_laengde_samlede, NEW.tilladelses_dato, NEW.faerdigmeldingsdato, NEW.vaesketype_kode, NEW.gyldig_fra, NEW.gyldig_til, NEW.sagsnr, NEW.sag_status_kode, NEW.note, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5902_jordv_anl                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_5902_jordv_anl (versions_id, brine, strenge_antal, strenge_laengde_samlede, tilladelses_dato, faerdigmeldingsdato, vaesketype_kode, gyldig_fra, gyldig_til, sagsnr, sag_status_kode, note, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.brine, NEW.strenge_antal, NEW.strenge_laengde_samlede, NEW.tilladelses_dato, NEW.faerdigmeldingsdato, NEW.vaesketype_kode, NEW.gyldig_fra, NEW.gyldig_til, NEW.sagsnr, NEW.sag_status_kode, NEW.note, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                   
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5902_jordv_anl_vw_trg_iud ON fkg.t_5902_jordv_anl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5902_jordv_anl_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5902_jordv_anl_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5902_jordv_anl_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5902_jordv_anl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5902_jordv_anl FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5500_elfors_omr_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5500_elfors_omr (versions_id, net_s_nr, fs_cvr, fs_navn, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.net_s_nr, NEW.fs_cvr, NEW.fs_navn, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5500_elfors_omr                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_5500_elfors_omr (versions_id, net_s_nr, fs_cvr, fs_navn, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.net_s_nr, NEW.fs_cvr, NEW.fs_navn, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5500_elfors_omr_vw_trg_iud ON fkg.t_5500_elfors_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5500_elfors_omr_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5500_elfors_omr_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5500_elfors_omr_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5500_elfors_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5500_elfors_omr FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5401_genbr_st_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5401_genbr_st (versions_id, gs_navn, gs_type_kode, p_nr, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gs_navn, NEW.gs_type_kode, NEW.p_nr, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5401_genbr_st                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_5401_genbr_st (versions_id, gs_navn, gs_type_kode, p_nr, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gs_navn, NEW.gs_type_kode, NEW.p_nr, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5401_genbr_st_vw_trg_iud ON fkg.t_5401_genbr_st_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5401_genbr_st_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5401_genbr_st_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5401_genbr_st_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5401_genbr_st_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5401_genbr_st FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5601_hasti_daemp_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5601_hasti_daemp (versions_id, hasti_type_kode, hastighed_kode, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.hasti_type_kode, NEW.hastighed_kode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5601_hasti_daemp                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       INSERT INTO fkg.t_5601_hasti_daemp (versions_id, hasti_type_kode, hastighed_kode, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.hasti_type_kode, NEW.hastighed_kode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5601_hasti_daemp_vw_trg_iud ON fkg.t_5601_hasti_daemp_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5601_hasti_daemp_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5601_hasti_daemp_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5601_hasti_daemp_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5601_hasti_daemp_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5601_hasti_daemp FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5107_art_invas_p_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5107_art_invas_p (versions_id, dnavn, lnavn, nobanis_invasiv_opt, rige_dk, sortlistet_kode, nogle, inventoer, antal_kode, forekomst, sagsnr, noter, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.dnavn, NEW.lnavn, NEW.nobanis_invasiv_opt, NEW.rige_dk, NEW.sortlistet_kode, NEW.nogle, NEW.inventoer, NEW.antal_kode, NEW.forekomst, NEW.sagsnr, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5107_art_invas_p                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       INSERT INTO fkg.t_5107_art_invas_p (versions_id, dnavn, lnavn, nobanis_invasiv_opt, rige_dk, sortlistet_kode, nogle, inventoer, antal_kode, forekomst, sagsnr, noter, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.dnavn, NEW.lnavn, NEW.nobanis_invasiv_opt, NEW.rige_dk, NEW.sortlistet_kode, NEW.nogle, NEW.inventoer, NEW.antal_kode, NEW.forekomst, NEW.sagsnr, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                            
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5107_art_invas_p_vw_trg_iud ON fkg.t_5107_art_invas_p_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5107_art_invas_p_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5107_art_invas_p_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5107_art_invas_p_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5107_art_invas_p_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5107_art_invas_p FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5600_vintervedl_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5600_vintervedl (versions_id, rute_kode, rute_entreprenoer_sne, rute_nr_sne, rute_entreprenoer_salt, rute_nr_salt, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.rute_kode, NEW.rute_entreprenoer_sne, NEW.rute_nr_sne, NEW.rute_entreprenoer_salt, NEW.rute_nr_salt, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5600_vintervedl                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_5600_vintervedl (versions_id, rute_kode, rute_entreprenoer_sne, rute_nr_sne, rute_entreprenoer_salt, rute_nr_salt, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.rute_kode, NEW.rute_entreprenoer_sne, NEW.rute_nr_sne, NEW.rute_entreprenoer_salt, NEW.rute_nr_salt, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5600_vintervedl_vw_trg_iud ON fkg.t_5600_vintervedl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5600_vintervedl_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5600_vintervedl_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5600_vintervedl_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5600_vintervedl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5600_vintervedl FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5602_p_zoner_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5602_p_zoner (versions_id, p_type_kode, p_tid_kode, p_periode, p_pladser_personbil, p_pris_time, p_pladser_handicap, p_pladser_lastbil, p_pladser_elbil, p_pladser_mc, p_pladser_cykel, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.p_type_kode, NEW.p_tid_kode, NEW.p_periode, NEW.p_pladser_personbil, NEW.p_pris_time, NEW.p_pladser_handicap, NEW.p_pladser_lastbil, NEW.p_pladser_elbil, NEW.p_pladser_mc, NEW.p_pladser_cykel, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5602_p_zoner                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       INSERT INTO fkg.t_5602_p_zoner (versions_id, p_type_kode, p_tid_kode, p_periode, p_pladser_personbil, p_pris_time, p_pladser_handicap, p_pladser_lastbil, p_pladser_elbil, p_pladser_mc, p_pladser_cykel, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.p_type_kode, NEW.p_tid_kode, NEW.p_periode, NEW.p_pladser_personbil, NEW.p_pris_time, NEW.p_pladser_handicap, NEW.p_pladser_lastbil, NEW.p_pladser_elbil, NEW.p_pladser_mc, NEW.p_pladser_cykel, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                        
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5602_p_zoner_vw_trg_iud ON fkg.t_5602_p_zoner_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5602_p_zoner_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5602_p_zoner_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5602_p_zoner_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5602_p_zoner_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5602_p_zoner FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5603_hasti_zone_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5603_hasti_zone (versions_id, hastighed_kode, anbefalet_hastighed_kode, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.hastighed_kode, NEW.anbefalet_hastighed_kode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5603_hasti_zone                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_5603_hasti_zone (versions_id, hastighed_kode, anbefalet_hastighed_kode, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.hastighed_kode, NEW.anbefalet_hastighed_kode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5603_hasti_zone_vw_trg_iud ON fkg.t_5603_hasti_zone_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5603_hasti_zone_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5603_hasti_zone_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5603_hasti_zone_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5603_hasti_zone_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5603_hasti_zone FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5605_vejbyggel_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5605_vejbyggel (versions_id, dekl_type_kode, vejkode, cvf_vejkode, dekl_link, bredde, forskydning, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.dekl_type_kode, NEW.vejkode, NEW.cvf_vejkode, NEW.dekl_link, NEW.bredde, NEW.forskydning, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5605_vejbyggel                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_5605_vejbyggel (versions_id, dekl_type_kode, vejkode, cvf_vejkode, dekl_link, bredde, forskydning, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.dekl_type_kode, NEW.vejkode, NEW.cvf_vejkode, NEW.dekl_link, NEW.bredde, NEW.forskydning, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5605_vejbyggel_vw_trg_iud ON fkg.t_5605_vejbyggel_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5605_vejbyggel_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5605_vejbyggel_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5605_vejbyggel_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5605_vejbyggel_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5605_vejbyggel FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5604_koer_begr_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5604_koer_begr (versions_id, begr_type_kode, periode, vaegtbegr_akselt, vaegtbegr_totalv, fot_id, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.begr_type_kode, NEW.periode, NEW.vaegtbegr_akselt, NEW.vaegtbegr_totalv, NEW.fot_id, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5604_koer_begr                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_5604_koer_begr (versions_id, begr_type_kode, periode, vaegtbegr_akselt, vaegtbegr_totalv, fot_id, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.begr_type_kode, NEW.periode, NEW.vaegtbegr_akselt, NEW.vaegtbegr_totalv, NEW.fot_id, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5604_koer_begr_vw_trg_iud ON fkg.t_5604_koer_begr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5604_koer_begr_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5604_koer_begr_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5604_koer_begr_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5604_koer_begr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5604_koer_begr FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5606_vejinv_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5606_vejinv (versions_id, inventar_nr, inventar_type_kode, model, tilstand_kode, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.inventar_nr, NEW.inventar_type_kode, NEW.model, NEW.tilstand_kode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5606_vejinv                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       INSERT INTO fkg.t_5606_vejinv (versions_id, inventar_nr, inventar_type_kode, model, tilstand_kode, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.inventar_nr, NEW.inventar_type_kode, NEW.model, NEW.tilstand_kode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5606_vejinv_vw_trg_iud ON fkg.t_5606_vejinv_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5606_vejinv_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5606_vejinv_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5606_vejinv_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5606_vejinv_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5606_vejinv FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5104_art_invas_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5104_art_invas (versions_id, dnavn, lnavn, nobanis_invasiv_opt, rige_dk, sortlistet_kode, noegle, inventoer, antal_kode, forekomst, sagsnr, noter, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.dnavn, NEW.lnavn, NEW.nobanis_invasiv_opt, NEW.rige_dk, NEW.sortlistet_kode, NEW.noegle, NEW.inventoer, NEW.antal_kode, NEW.forekomst, NEW.sagsnr, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5104_art_invas                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_5104_art_invas (versions_id, dnavn, lnavn, nobanis_invasiv_opt, rige_dk, sortlistet_kode, noegle, inventoer, antal_kode, forekomst, sagsnr, noter, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.dnavn, NEW.lnavn, NEW.nobanis_invasiv_opt, NEW.rige_dk, NEW.sortlistet_kode, NEW.noegle, NEW.inventoer, NEW.antal_kode, NEW.forekomst, NEW.sagsnr, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                           
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5104_art_invas_vw_trg_iud ON fkg.t_5104_art_invas_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5104_art_invas_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5104_art_invas_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5104_art_invas_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5104_art_invas_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5104_art_invas FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5700_grundej_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5700_grundej (versions_id, forening_type_kode, forening_navn, lokalpl_nr, formand, gf_tlf, gf_adresse, gf_mail, gf_adr_beskyt_kode, vedtaegt_kode, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.forening_type_kode, NEW.forening_navn, NEW.lokalpl_nr, NEW.formand, NEW.gf_tlf, NEW.gf_adresse, NEW.gf_mail, NEW.gf_adr_beskyt_kode, NEW.vedtaegt_kode, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5700_grundej                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       INSERT INTO fkg.t_5700_grundej (versions_id, forening_type_kode, forening_navn, lokalpl_nr, formand, gf_tlf, gf_adresse, gf_mail, gf_adr_beskyt_kode, vedtaegt_kode, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.forening_type_kode, NEW.forening_navn, NEW.lokalpl_nr, NEW.formand, NEW.gf_tlf, NEW.gf_adresse, NEW.gf_mail, NEW.gf_adr_beskyt_kode, NEW.vedtaegt_kode, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                     
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5700_grundej_vw_trg_iud ON fkg.t_5700_grundej_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5700_grundej_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5700_grundej_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5700_grundej_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5700_grundej_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5700_grundej FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5705_forp_are_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5705_forp_are (versions_id, forpagter_navn, forpagter_formaal, udlejning_kode, landbrug_kode, noter, sagsnr, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.forpagter_navn, NEW.forpagter_formaal, NEW.udlejning_kode, NEW.landbrug_kode, NEW.noter, NEW.sagsnr, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                    
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5705_forp_are                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_5705_forp_are (versions_id, forpagter_navn, forpagter_formaal, udlejning_kode, landbrug_kode, noter, sagsnr, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.forpagter_navn, NEW.forpagter_formaal, NEW.udlejning_kode, NEW.landbrug_kode, NEW.noter, NEW.sagsnr, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5705_forp_are_vw_trg_iud ON fkg.t_5705_forp_are_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5705_forp_are_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5705_forp_are_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5705_forp_are_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5705_forp_are_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5705_forp_are FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5703_afstem_sted_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5703_afstem_sted (versions_id, afstemningsomraade_nr, lokalitet, vejkode, cvf_vejkode, husnr, postnr, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.afstemningsomraade_nr, NEW.lokalitet, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5703_afstem_sted                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       INSERT INTO fkg.t_5703_afstem_sted (versions_id, afstemningsomraade_nr, lokalitet, vejkode, cvf_vejkode, husnr, postnr, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.afstemningsomraade_nr, NEW.lokalitet, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5703_afstem_sted_vw_trg_iud ON fkg.t_5703_afstem_sted_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5703_afstem_sted_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5703_afstem_sted_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5703_afstem_sted_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5703_afstem_sted_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5703_afstem_sted FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5704_afstem_omr_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5704_afstem_omr (versions_id, afstemningsomraade_nr, opstillingskreds_nr, opstillingskreds_navn, storkreds_nr, storkreds_navn, ansvar_revision, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.afstemningsomraade_nr, NEW.opstillingskreds_nr, NEW.opstillingskreds_navn, NEW.storkreds_nr, NEW.storkreds_navn, NEW.ansvar_revision, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5704_afstem_omr                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_5704_afstem_omr (versions_id, afstemningsomraade_nr, opstillingskreds_nr, opstillingskreds_navn, storkreds_nr, storkreds_navn, ansvar_revision, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.afstemningsomraade_nr, NEW.opstillingskreds_nr, NEW.opstillingskreds_navn, NEW.storkreds_nr, NEW.storkreds_navn, NEW.ansvar_revision, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                   
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5704_afstem_omr_vw_trg_iud ON fkg.t_5704_afstem_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5704_afstem_omr_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5704_afstem_omr_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5704_afstem_omr_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5704_afstem_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5704_afstem_omr FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5707_grunds_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5707_grunds (versions_id, udstyk_navn, grund_type_kode, salg_status_kode, pris, mindste_pris, kvm_pris, kontakt_oplys, grundareal, bygningareal, budfrist_slut, sagsnr, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                         
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.udstyk_navn, NEW.grund_type_kode, NEW.salg_status_kode, NEW.pris, NEW.mindste_pris, NEW.kvm_pris, NEW.kontakt_oplys, NEW.grundareal, NEW.bygningareal, NEW.budfrist_slut, NEW.sagsnr, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5707_grunds                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       INSERT INTO fkg.t_5707_grunds (versions_id, udstyk_navn, grund_type_kode, salg_status_kode, pris, mindste_pris, kvm_pris, kontakt_oplys, grundareal, bygningareal, budfrist_slut, sagsnr, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                         
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.udstyk_navn, NEW.grund_type_kode, NEW.salg_status_kode, NEW.pris, NEW.mindste_pris, NEW.kvm_pris, NEW.kontakt_oplys, NEW.grundareal, NEW.bygningareal, NEW.budfrist_slut, NEW.sagsnr, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                              
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5707_grunds_vw_trg_iud ON fkg.t_5707_grunds_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5707_grunds_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5707_grunds_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5707_grunds_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5707_grunds_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5707_grunds FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5712_plej_aeldr_dis_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5712_plej_aeldr_dis (versions_id, plej_distrikt_nr, plej_distrikt_navn, plej_distrikt_type_kode, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.plej_distrikt_nr, NEW.plej_distrikt_navn, NEW.plej_distrikt_type_kode, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5712_plej_aeldr_dis                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5712_plej_aeldr_dis (versions_id, plej_distrikt_nr, plej_distrikt_navn, plej_distrikt_type_kode, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.plej_distrikt_nr, NEW.plej_distrikt_navn, NEW.plej_distrikt_type_kode, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5712_plej_aeldr_dis_vw_trg_iud ON fkg.t_5712_plej_aeldr_dis_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5712_plej_aeldr_dis_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5712_plej_aeldr_dis_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5712_plej_aeldr_dis_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5712_plej_aeldr_dis_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5712_plej_aeldr_dis FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5706_havn_are_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5706_havn_are (versions_id, havn_nr, havn_navn, havne_type_kode, cvr_havn, ejer_admin, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.havn_nr, NEW.havn_navn, NEW.havne_type_kode, NEW.cvr_havn, NEW.ejer_admin, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5706_havn_are                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_5706_havn_are (versions_id, havn_nr, havn_navn, havne_type_kode, cvr_havn, ejer_admin, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.havn_nr, NEW.havn_navn, NEW.havne_type_kode, NEW.cvr_havn, NEW.ejer_admin, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5706_havn_are_vw_trg_iud ON fkg.t_5706_havn_are_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5706_havn_are_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5706_havn_are_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5706_havn_are_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5706_havn_are_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5706_havn_are FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5710_born_skole_dis_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5710_born_skole_dis (versions_id, udd_distrikt_nr, udd_distrikt_navn, udd_distrikt_type_kode, starttrin_kode, sluttrin_kode, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.udd_distrikt_nr, NEW.udd_distrikt_navn, NEW.udd_distrikt_type_kode, NEW.starttrin_kode, NEW.sluttrin_kode, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5710_born_skole_dis                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5710_born_skole_dis (versions_id, udd_distrikt_nr, udd_distrikt_navn, udd_distrikt_type_kode, starttrin_kode, sluttrin_kode, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.udd_distrikt_nr, NEW.udd_distrikt_navn, NEW.udd_distrikt_type_kode, NEW.starttrin_kode, NEW.sluttrin_kode, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5710_born_skole_dis_vw_trg_iud ON fkg.t_5710_born_skole_dis_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5710_born_skole_dis_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5710_born_skole_dis_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5710_born_skole_dis_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5710_born_skole_dis_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5710_born_skole_dis FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5711_and_dis_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5711_and_dis (versions_id, an_distrikt_nr, an_distrikt_navn, an_distrikt_type_kode, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.an_distrikt_nr, NEW.an_distrikt_navn, NEW.an_distrikt_type_kode, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5711_and_dis                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       INSERT INTO fkg.t_5711_and_dis (versions_id, an_distrikt_nr, an_distrikt_navn, an_distrikt_type_kode, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.an_distrikt_nr, NEW.an_distrikt_navn, NEW.an_distrikt_type_kode, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5711_and_dis_vw_trg_iud ON fkg.t_5711_and_dis_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5711_and_dis_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5711_and_dis_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5711_and_dis_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5711_and_dis_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5711_and_dis FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5713_prog_stat_dis_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5713_prog_stat_dis (versions_id, prog_distrikt_nr, prog_distrikt_navn, prog_distrikt_type_kode, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.prog_distrikt_nr, NEW.prog_distrikt_navn, NEW.prog_distrikt_type_kode, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5713_prog_stat_dis                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       INSERT INTO fkg.t_5713_prog_stat_dis (versions_id, prog_distrikt_nr, prog_distrikt_navn, prog_distrikt_type_kode, noegle, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.prog_distrikt_nr, NEW.prog_distrikt_navn, NEW.prog_distrikt_type_kode, NEW.noegle, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5713_prog_stat_dis_vw_trg_iud ON fkg.t_5713_prog_stat_dis_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5713_prog_stat_dis_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5713_prog_stat_dis_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5713_prog_stat_dis_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5713_prog_stat_dis_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5713_prog_stat_dis FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5702_skorst_fej_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5702_skorst_fej (versions_id, skorstenf_distrikt_nr, skorstenf_distrikt_navn, gyldig_fra, gyldig_til, skorstensfejer, sf_tlf, sf_adresse, sf_mail, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.skorstenf_distrikt_nr, NEW.skorstenf_distrikt_navn, NEW.gyldig_fra, NEW.gyldig_til, NEW.skorstensfejer, NEW.sf_tlf, NEW.sf_adresse, NEW.sf_mail, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5702_skorst_fej                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_5702_skorst_fej (versions_id, skorstenf_distrikt_nr, skorstenf_distrikt_navn, gyldig_fra, gyldig_til, skorstensfejer, sf_tlf, sf_adresse, sf_mail, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.skorstenf_distrikt_nr, NEW.skorstenf_distrikt_navn, NEW.gyldig_fra, NEW.gyldig_til, NEW.skorstensfejer, NEW.sf_tlf, NEW.sf_adresse, NEW.sf_mail, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                            
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5702_skorst_fej_vw_trg_iud ON fkg.t_5702_skorst_fej_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5702_skorst_fej_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5702_skorst_fej_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5702_skorst_fej_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5702_skorst_fej_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5702_skorst_fej FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5716_servicetilbud_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5716_servicetilbud (versions_id, service_type_kode, ejerstatus_kode, servicetilbud_navn, nogle, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.service_type_kode, NEW.ejerstatus_kode, NEW.servicetilbud_navn, NEW.nogle, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5716_servicetilbud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       INSERT INTO fkg.t_5716_servicetilbud (versions_id, service_type_kode, ejerstatus_kode, servicetilbud_navn, nogle, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.service_type_kode, NEW.ejerstatus_kode, NEW.servicetilbud_navn, NEW.nogle, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5716_servicetilbud_vw_trg_iud ON fkg.t_5716_servicetilbud_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5716_servicetilbud_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5716_servicetilbud_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5716_servicetilbud_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5716_servicetilbud_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5716_servicetilbud FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6000_pot_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6000_pot (versions_id, gyldig_fra, gyldig_til, kote, navn, aekvidistance, magasin_kode, pejling, oprind_kilde, metode, reference, kotesystem_kode, usikkerhed, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                       
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gyldig_fra, NEW.gyldig_til, NEW.kote, NEW.navn, NEW.aekvidistance, NEW.magasin_kode, NEW.pejling, NEW.oprind_kilde, NEW.metode, NEW.reference, NEW.kotesystem_kode, NEW.usikkerhed, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6000_pot                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       INSERT INTO fkg.t_6000_pot (versions_id, gyldig_fra, gyldig_til, kote, navn, aekvidistance, magasin_kode, pejling, oprind_kilde, metode, reference, kotesystem_kode, usikkerhed, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                       
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gyldig_fra, NEW.gyldig_til, NEW.kote, NEW.navn, NEW.aekvidistance, NEW.magasin_kode, NEW.pejling, NEW.oprind_kilde, NEW.metode, NEW.reference, NEW.kotesystem_kode, NEW.usikkerhed, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                     
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6000_pot_vw_trg_iud ON fkg.t_6000_pot_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6000_pot_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6000_pot_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6000_pot_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6000_pot_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6000_pot FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6101_beskyt_rum_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6101_beskyt_rum (versions_id, beskyt_rum_kode, klargjort_kode, pladser, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.beskyt_rum_kode, NEW.klargjort_kode, NEW.pladser, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6101_beskyt_rum                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_6101_beskyt_rum (versions_id, beskyt_rum_kode, klargjort_kode, pladser, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.beskyt_rum_kode, NEW.klargjort_kode, NEW.pladser, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6101_beskyt_rum_vw_trg_iud ON fkg.t_6101_beskyt_rum_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6101_beskyt_rum_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6101_beskyt_rum_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6101_beskyt_rum_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6101_beskyt_rum_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6101_beskyt_rum FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6004_vandv_fs_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6004_vandv_fs (versions_id, vandv_nr, fors_omr_type_kode, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vandv_nr, NEW.fors_omr_type_kode, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6004_vandv_fs                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_6004_vandv_fs (versions_id, vandv_nr, fors_omr_type_kode, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vandv_nr, NEW.fors_omr_type_kode, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6004_vandv_fs_vw_trg_iud ON fkg.t_6004_vandv_fs_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6004_vandv_fs_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6004_vandv_fs_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6004_vandv_fs_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6004_vandv_fs_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6004_vandv_fs FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6007_inds_omr_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6007_inds_omr (versions_id, indsatsomr_navn, stoerrelse, ansvar_myndighed, vedtagelse, note, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.indsatsomr_navn, NEW.stoerrelse, NEW.ansvar_myndighed, NEW.vedtagelse, NEW.note, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6007_inds_omr                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_6007_inds_omr (versions_id, indsatsomr_navn, stoerrelse, ansvar_myndighed, vedtagelse, note, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.indsatsomr_navn, NEW.stoerrelse, NEW.ansvar_myndighed, NEW.vedtagelse, NEW.note, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6007_inds_omr_vw_trg_iud ON fkg.t_6007_inds_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6007_inds_omr_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6007_inds_omr_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6007_inds_omr_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6007_inds_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6007_inds_omr FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6008_maks_bor_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6008_maks_bor (versions_id, boredybde, note, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.boredybde, NEW.note, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6008_maks_bor                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_6008_maks_bor (versions_id, boredybde, note, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.boredybde, NEW.note, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6008_maks_bor_vw_trg_iud ON fkg.t_6008_maks_bor_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6008_maks_bor_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6008_maks_bor_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6008_maks_bor_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6008_maks_bor_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6008_maks_bor FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6009_indv_ovflv_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6009_indv_ovflv (versions_id, indv_maengde_aar, indv_kapacitet, indvinder_navn, indvinder_kontakt, note, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.indv_maengde_aar, NEW.indv_kapacitet, NEW.indvinder_navn, NEW.indvinder_kontakt, NEW.note, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6009_indv_ovflv                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_6009_indv_ovflv (versions_id, indv_maengde_aar, indv_kapacitet, indvinder_navn, indvinder_kontakt, note, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.indv_maengde_aar, NEW.indv_kapacitet, NEW.indvinder_navn, NEW.indvinder_kontakt, NEW.note, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6009_indv_ovflv_vw_trg_iud ON fkg.t_6009_indv_ovflv_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6009_indv_ovflv_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6009_indv_ovflv_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6009_indv_ovflv_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6009_indv_ovflv_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6009_indv_ovflv FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6103_bered_omr_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6103_bered_omr (versions_id, bereds_distrikt_nr, bereds_distrikt_navn, udrykker, noegle, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.bereds_distrikt_nr, NEW.bereds_distrikt_navn, NEW.udrykker, NEW.noegle, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6103_bered_omr                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_6103_bered_omr (versions_id, bereds_distrikt_nr, bereds_distrikt_navn, udrykker, noegle, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.bereds_distrikt_nr, NEW.bereds_distrikt_navn, NEW.udrykker, NEW.noegle, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6103_bered_omr_vw_trg_iud ON fkg.t_6103_bered_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6103_bered_omr_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6103_bered_omr_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6103_bered_omr_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6103_bered_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6103_bered_omr FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6001_pot_m_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6001_pot_m (versions_id, gyldig_fra, gyldig_til, potentialekort, stoettep_kode, dgu_nr, dybde, aekvidistance, magasin_kode, pejling, oprind_kilde, kotesystem_kode, usikkerhed, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gyldig_fra, NEW.gyldig_til, NEW.potentialekort, NEW.stoettep_kode, NEW.dgu_nr, NEW.dybde, NEW.aekvidistance, NEW.magasin_kode, NEW.pejling, NEW.oprind_kilde, NEW.kotesystem_kode, NEW.usikkerhed, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6001_pot_m                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       INSERT INTO fkg.t_6001_pot_m (versions_id, gyldig_fra, gyldig_til, potentialekort, stoettep_kode, dgu_nr, dybde, aekvidistance, magasin_kode, pejling, oprind_kilde, kotesystem_kode, usikkerhed, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gyldig_fra, NEW.gyldig_til, NEW.potentialekort, NEW.stoettep_kode, NEW.dgu_nr, NEW.dybde, NEW.aekvidistance, NEW.magasin_kode, NEW.pejling, NEW.oprind_kilde, NEW.kotesystem_kode, NEW.usikkerhed, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                      
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6001_pot_m_vw_trg_iud ON fkg.t_6001_pot_m_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6001_pot_m_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6001_pot_m_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6001_pot_m_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6001_pot_m_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6001_pot_m FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6006_grundv_opl_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6006_grundv_opl (versions_id, vandv_nr, oplandtype, indsatsomraade, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vandv_nr, NEW.oplandtype, NEW.indsatsomraade, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6006_grundv_opl                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_6006_grundv_opl (versions_id, vandv_nr, oplandtype, indsatsomraade, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vandv_nr, NEW.oplandtype, NEW.indsatsomraade, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6006_grundv_opl_vw_trg_iud ON fkg.t_6006_grundv_opl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6006_grundv_opl_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6006_grundv_opl_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6006_grundv_opl_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6006_grundv_opl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6006_grundv_opl FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6107_forholds_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6107_forholds (versions_id, gyldig_fra, gyldig_til, bra_kode, net_adr, cvr_firma, vejkode, cvf_vejkode, husnr, postnr, adr_i_tekst, tlf_arbejde, tlf_dag, tlf_nat, aba_kode, avs_kode, ars_kode, noegleboks_kode, noeglested, central_placering, opgave_ankomst, prs_1, prs_2, prs_3, prs_4, prs_5, system_fkt, noter, link, geometri)                                                                                                                                                                                                                                                                               
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gyldig_fra, NEW.gyldig_til, NEW.bra_kode, NEW.net_adr, NEW.cvr_firma, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.adr_i_tekst, NEW.tlf_arbejde, NEW.tlf_dag, NEW.tlf_nat, NEW.aba_kode, NEW.avs_kode, NEW.ars_kode, NEW.noegleboks_kode, NEW.noeglested, NEW.central_placering, NEW.opgave_ankomst, NEW.prs_1, NEW.prs_2, NEW.prs_3, NEW.prs_4, NEW.prs_5, NEW.system_fkt, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6107_forholds                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_6107_forholds (versions_id, gyldig_fra, gyldig_til, bra_kode, net_adr, cvr_firma, vejkode, cvf_vejkode, husnr, postnr, adr_i_tekst, tlf_arbejde, tlf_dag, tlf_nat, aba_kode, avs_kode, ars_kode, noegleboks_kode, noeglested, central_placering, opgave_ankomst, prs_1, prs_2, prs_3, prs_4, prs_5, system_fkt, noter, link, geometri)                                                                                                                                                                                                                                                                               
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gyldig_fra, NEW.gyldig_til, NEW.bra_kode, NEW.net_adr, NEW.cvr_firma, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.adr_i_tekst, NEW.tlf_arbejde, NEW.tlf_dag, NEW.tlf_nat, NEW.aba_kode, NEW.avs_kode, NEW.ars_kode, NEW.noegleboks_kode, NEW.noeglested, NEW.central_placering, NEW.opgave_ankomst, NEW.prs_1, NEW.prs_2, NEW.prs_3, NEW.prs_4, NEW.prs_5, NEW.system_fkt, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                      
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6107_forholds_vw_trg_iud ON fkg.t_6107_forholds_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6107_forholds_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6107_forholds_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6107_forholds_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6107_forholds_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6107_forholds FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6108_moedepl_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6108_moedepl (versions_id, navn, vejkode, cvf_vejkode, husnr, postnr, noter, bemaerkning, link_tegn, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.navn, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.noter, NEW.bemaerkning, NEW.link_tegn, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6108_moedepl                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       INSERT INTO fkg.t_6108_moedepl (versions_id, navn, vejkode, cvf_vejkode, husnr, postnr, noter, bemaerkning, link_tegn, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.navn, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.noter, NEW.bemaerkning, NEW.link_tegn, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6108_moedepl_vw_trg_iud ON fkg.t_6108_moedepl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6108_moedepl_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6108_moedepl_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6108_moedepl_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6108_moedepl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6108_moedepl FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6113_besk_nat_b_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6113_besk_nat_b (versions_id, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6113_besk_nat_b                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_6113_besk_nat_b (versions_id, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6113_besk_nat_b_vw_trg_iud ON fkg.t_6113_besk_nat_b_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6113_besk_nat_b_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6113_besk_nat_b_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6113_besk_nat_b_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6113_besk_nat_b_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6113_besk_nat_b FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6110_noegle_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6110_noegle (versions_id, bra_kode, tyv_alarm_kode, noegleboksnr, vejkode, cvf_vejkode, husnr, postnr, bemaerkning, noter, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.bra_kode, NEW.tyv_alarm_kode, NEW.noegleboksnr, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.bemaerkning, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6110_noegle                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       INSERT INTO fkg.t_6110_noegle (versions_id, bra_kode, tyv_alarm_kode, noegleboksnr, vejkode, cvf_vejkode, husnr, postnr, bemaerkning, noter, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.bra_kode, NEW.tyv_alarm_kode, NEW.noegleboksnr, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.bemaerkning, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6110_noegle_vw_trg_iud ON fkg.t_6110_noegle_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6110_noegle_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6110_noegle_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6110_noegle_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6110_noegle_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6110_noegle FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6111_fyrv_till_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6111_fyrv_till (versions_id, firma, vejkode, cvf_vejkode, husnr, postnr, tilladelse_type_kode, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.firma, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.tilladelse_type_kode, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6111_fyrv_till                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_6111_fyrv_till (versions_id, firma, vejkode, cvf_vejkode, husnr, postnr, tilladelse_type_kode, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.firma, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.tilladelse_type_kode, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6111_fyrv_till_vw_trg_iud ON fkg.t_6111_fyrv_till_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6111_fyrv_till_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6111_fyrv_till_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6111_fyrv_till_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6111_fyrv_till_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6111_fyrv_till FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6112_midl_dep_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6112_midl_dep (versions_id, cvr, virksomhed_navn, virksomhed_type, depottype_kode, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.cvr, NEW.virksomhed_navn, NEW.virksomhed_type, NEW.depottype_kode, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6112_midl_dep                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_6112_midl_dep (versions_id, cvr, virksomhed_navn, virksomhed_type, depottype_kode, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.cvr, NEW.virksomhed_navn, NEW.virksomhed_type, NEW.depottype_kode, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6112_midl_dep_vw_trg_iud ON fkg.t_6112_midl_dep_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6112_midl_dep_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6112_midl_dep_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6112_midl_dep_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6112_midl_dep_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6112_midl_dep FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6114_midl_oph_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6114_midl_oph (versions_id, institution_navn, vejkode, cvf_vejkode, husnr, postnr, adr_i_tekst, suppl_sted_beskrivelse, kontaktperson, kontakttelefonnr, antal_personer, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.institution_navn, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.adr_i_tekst, NEW.suppl_sted_beskrivelse, NEW.kontaktperson, NEW.kontakttelefonnr, NEW.antal_personer, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6114_midl_oph                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_6114_midl_oph (versions_id, institution_navn, vejkode, cvf_vejkode, husnr, postnr, adr_i_tekst, suppl_sted_beskrivelse, kontaktperson, kontakttelefonnr, antal_personer, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.institution_navn, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.adr_i_tekst, NEW.suppl_sted_beskrivelse, NEW.kontaktperson, NEW.kontakttelefonnr, NEW.antal_personer, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                        
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6114_midl_oph_vw_trg_iud ON fkg.t_6114_midl_oph_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6114_midl_oph_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6114_midl_oph_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6114_midl_oph_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6114_midl_oph_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6114_midl_oph FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6105_sbygn_omr_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6105_sbygn_omr (versions_id, saer_distrikt_nr, saer_distrikt_navn, navn, kontakt_info, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.saer_distrikt_nr, NEW.saer_distrikt_navn, NEW.navn, NEW.kontakt_info, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6105_sbygn_omr                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_6105_sbygn_omr (versions_id, saer_distrikt_nr, saer_distrikt_navn, navn, kontakt_info, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.saer_distrikt_nr, NEW.saer_distrikt_navn, NEW.navn, NEW.kontakt_info, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6105_sbygn_omr_vw_trg_iud ON fkg.t_6105_sbygn_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6105_sbygn_omr_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6105_sbygn_omr_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6105_sbygn_omr_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6105_sbygn_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6105_sbygn_omr FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6115_afbr_omr_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6115_afbr_omr (versions_id, afbr_nr, afbr_navn, afbr_type_kode, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.afbr_nr, NEW.afbr_navn, NEW.afbr_type_kode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6115_afbr_omr                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_6115_afbr_omr (versions_id, afbr_nr, afbr_navn, afbr_type_kode, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.afbr_nr, NEW.afbr_navn, NEW.afbr_type_kode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6115_afbr_omr_vw_trg_iud ON fkg.t_6115_afbr_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6115_afbr_omr_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6115_afbr_omr_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6115_afbr_omr_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6115_afbr_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6115_afbr_omr FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6116_olie_ber_pl_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6116_olie_ber_pl (versions_id, navn, strandtype_kode, prioritet, esi_klasse_kode, baad_kode, sagsnr, noter, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.navn, NEW.strandtype_kode, NEW.prioritet, NEW.esi_klasse_kode, NEW.baad_kode, NEW.sagsnr, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6116_olie_ber_pl                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       INSERT INTO fkg.t_6116_olie_ber_pl (versions_id, navn, strandtype_kode, prioritet, esi_klasse_kode, baad_kode, sagsnr, noter, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.navn, NEW.strandtype_kode, NEW.prioritet, NEW.esi_klasse_kode, NEW.baad_kode, NEW.sagsnr, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6116_olie_ber_pl_vw_trg_iud ON fkg.t_6116_olie_ber_pl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6116_olie_ber_pl_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6116_olie_ber_pl_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6116_olie_ber_pl_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6116_olie_ber_pl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6116_olie_ber_pl FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6104_risiko_virk_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6104_risiko_virk (versions_id, risikotype_kode, cvr_risi_virk, kontakt_tlf, brandhaem_kode, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.risikotype_kode, NEW.cvr_risi_virk, NEW.kontakt_tlf, NEW.brandhaem_kode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6104_risiko_virk                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       INSERT INTO fkg.t_6104_risiko_virk (versions_id, risikotype_kode, cvr_risi_virk, kontakt_tlf, brandhaem_kode, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.risikotype_kode, NEW.cvr_risi_virk, NEW.kontakt_tlf, NEW.brandhaem_kode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6104_risiko_virk_vw_trg_iud ON fkg.t_6104_risiko_virk_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6104_risiko_virk_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6104_risiko_virk_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6104_risiko_virk_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6104_risiko_virk_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6104_risiko_virk FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6202_landk_omr_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6202_landk_omr (versions_id, omraade_nr, dato_besigtig, navn_besigtig, rev_dato, landskabskarakteren, tidsdybde_kode, tidsdybde_beskr, intakthed_kode, intakthed_beskr, noeglefunktioner, afgr_naboomr, vejledn_afgr_naboomr, skala_kode, skala_beskrivelse, rumlig_afgraensning_kode, rumlig_beskrivelse, kompleksitet_kode, kompleksitet_beskrivelse, struktur_kode, struktur_beskrivelse, visuel_uro_kode, visuel_uro_beskrivelse, kystforhold, oplevelser, analysekort, link_reg_skema, link_vejledning, link, geometri)                                                                                         
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.omraade_nr, NEW.dato_besigtig, NEW.navn_besigtig, NEW.rev_dato, NEW.landskabskarakteren, NEW.tidsdybde_kode, NEW.tidsdybde_beskr, NEW.intakthed_kode, NEW.intakthed_beskr, NEW.noeglefunktioner, NEW.afgr_naboomr, NEW.vejledn_afgr_naboomr, NEW.skala_kode, NEW.skala_beskrivelse, NEW.rumlig_afgraensning_kode, NEW.rumlig_beskrivelse, NEW.kompleksitet_kode, NEW.kompleksitet_beskrivelse, NEW.struktur_kode, NEW.struktur_beskrivelse, NEW.visuel_uro_kode, NEW.visuel_uro_beskrivelse, NEW.kystforhold, NEW.oplevelser, NEW.analysekort, NEW.link_reg_skema, NEW.link_vejledning, NEW.link, NEW.geometri; 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6202_landk_omr                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_6202_landk_omr (versions_id, omraade_nr, dato_besigtig, navn_besigtig, rev_dato, landskabskarakteren, tidsdybde_kode, tidsdybde_beskr, intakthed_kode, intakthed_beskr, noeglefunktioner, afgr_naboomr, vejledn_afgr_naboomr, skala_kode, skala_beskrivelse, rumlig_afgraensning_kode, rumlig_beskrivelse, kompleksitet_kode, kompleksitet_beskrivelse, struktur_kode, struktur_beskrivelse, visuel_uro_kode, visuel_uro_beskrivelse, kystforhold, oplevelser, analysekort, link_reg_skema, link_vejledning, link, geometri)                                                                                         
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.omraade_nr, NEW.dato_besigtig, NEW.navn_besigtig, NEW.rev_dato, NEW.landskabskarakteren, NEW.tidsdybde_kode, NEW.tidsdybde_beskr, NEW.intakthed_kode, NEW.intakthed_beskr, NEW.noeglefunktioner, NEW.afgr_naboomr, NEW.vejledn_afgr_naboomr, NEW.skala_kode, NEW.skala_beskrivelse, NEW.rumlig_afgraensning_kode, NEW.rumlig_beskrivelse, NEW.kompleksitet_kode, NEW.kompleksitet_beskrivelse, NEW.struktur_kode, NEW.struktur_beskrivelse, NEW.visuel_uro_kode, NEW.visuel_uro_beskrivelse, NEW.kystforhold, NEW.oplevelser, NEW.analysekort, NEW.link_reg_skema, NEW.link_vejledning, NEW.link, NEW.geometri; 
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6202_landk_omr_vw_trg_iud ON fkg.t_6202_landk_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6202_landk_omr_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6202_landk_omr_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6202_landk_omr_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6202_landk_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6202_landk_omr FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6200_nat_geo_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6200_nat_geo (versions_id, data_oprindelse, omraade_nr, geologi_kode, geo_ref, jordtype_kode, terraen_kode, terraen_ref, kompleksitet_kode, vandelementer, farvandsomraade, strandbredden, begrund_afgraensning, omr_sammenhaeng, farvand_strand_ref, naturgeo_beskrivelse, link, geometri)                                                                                                                                                                                                                                                                                                                          
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.data_oprindelse, NEW.omraade_nr, NEW.geologi_kode, NEW.geo_ref, NEW.jordtype_kode, NEW.terraen_kode, NEW.terraen_ref, NEW.kompleksitet_kode, NEW.vandelementer, NEW.farvandsomraade, NEW.strandbredden, NEW.begrund_afgraensning, NEW.omr_sammenhaeng, NEW.farvand_strand_ref, NEW.naturgeo_beskrivelse, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6200_nat_geo                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       INSERT INTO fkg.t_6200_nat_geo (versions_id, data_oprindelse, omraade_nr, geologi_kode, geo_ref, jordtype_kode, terraen_kode, terraen_ref, kompleksitet_kode, vandelementer, farvandsomraade, strandbredden, begrund_afgraensning, omr_sammenhaeng, farvand_strand_ref, naturgeo_beskrivelse, link, geometri)                                                                                                                                                                                                                                                                                                                          
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.data_oprindelse, NEW.omraade_nr, NEW.geologi_kode, NEW.geo_ref, NEW.jordtype_kode, NEW.terraen_kode, NEW.terraen_ref, NEW.kompleksitet_kode, NEW.vandelementer, NEW.farvandsomraade, NEW.strandbredden, NEW.begrund_afgraensning, NEW.omr_sammenhaeng, NEW.farvand_strand_ref, NEW.naturgeo_beskrivelse, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6200_nat_geo_vw_trg_iud ON fkg.t_6200_nat_geo_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6200_nat_geo_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6200_nat_geo_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6200_nat_geo_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6200_nat_geo_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6200_nat_geo FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6201_kult_geo_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6201_kult_geo (versions_id, data_oprindelse, omraade_nr, begrund_afgraensning, link_litteratur, link_vejledning, link_reg_skema, kulturgeo_beskrivelse, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.data_oprindelse, NEW.omraade_nr, NEW.begrund_afgraensning, NEW.link_litteratur, NEW.link_vejledning, NEW.link_reg_skema, NEW.kulturgeo_beskrivelse, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6201_kult_geo                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_6201_kult_geo (versions_id, data_oprindelse, omraade_nr, begrund_afgraensning, link_litteratur, link_vejledning, link_reg_skema, kulturgeo_beskrivelse, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.data_oprindelse, NEW.omraade_nr, NEW.begrund_afgraensning, NEW.link_litteratur, NEW.link_vejledning, NEW.link_reg_skema, NEW.kulturgeo_beskrivelse, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                     
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6201_kult_geo_vw_trg_iud ON fkg.t_6201_kult_geo_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6201_kult_geo_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6201_kult_geo_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6201_kult_geo_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6201_kult_geo_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6201_kult_geo FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6203_landk_vur_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6203_landk_vur (versions_id, omraade_nr, delomraade_nr, karakterstyrke_kode, karakterstyrke_notat, visuel_notat, tilstand_kode, tilstand_notat, udvikling, saarbarhed_kode, saarbarhed_notat, tiltag, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.omraade_nr, NEW.delomraade_nr, NEW.karakterstyrke_kode, NEW.karakterstyrke_notat, NEW.visuel_notat, NEW.tilstand_kode, NEW.tilstand_notat, NEW.udvikling, NEW.saarbarhed_kode, NEW.saarbarhed_notat, NEW.tiltag, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6203_landk_vur                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_6203_landk_vur (versions_id, omraade_nr, delomraade_nr, karakterstyrke_kode, karakterstyrke_notat, visuel_notat, tilstand_kode, tilstand_notat, udvikling, saarbarhed_kode, saarbarhed_notat, tiltag, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.omraade_nr, NEW.delomraade_nr, NEW.karakterstyrke_kode, NEW.karakterstyrke_notat, NEW.visuel_notat, NEW.tilstand_kode, NEW.tilstand_notat, NEW.udvikling, NEW.saarbarhed_kode, NEW.saarbarhed_notat, NEW.tiltag, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                        
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6203_landk_vur_vw_trg_iud ON fkg.t_6203_landk_vur_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6203_landk_vur_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6203_landk_vur_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6203_landk_vur_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6203_landk_vur_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6203_landk_vur FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6801_parl_li_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6801_parl_li (versions_id, vedlhold_l_type_kode, arbejdssted, konto_nr, udfoerer_enterp, kommunal_kontakt, anlaegsaar, etabl_pleje_udloeb, udskiftningaar, klip_flade, klip_hoejde, klip_sider, klip_bredde, driftniv_kode, ukrudtsbek_kode, tilstand_kode, noegle, noter, vejkode, link, geometri)                                                                                                                                                                                                                                                                                                                  
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vedlhold_l_type_kode, NEW.arbejdssted, NEW.konto_nr, NEW.udfoerer_enterp, NEW.kommunal_kontakt, NEW.anlaegsaar, NEW.etabl_pleje_udloeb, NEW.udskiftningaar, NEW.klip_flade, NEW.klip_hoejde, NEW.klip_sider, NEW.klip_bredde, NEW.driftniv_kode, NEW.ukrudtsbek_kode, NEW.tilstand_kode, NEW.noegle, NEW.noter, NEW.vejkode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6801_parl_li                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       INSERT INTO fkg.t_6801_parl_li (versions_id, vedlhold_l_type_kode, arbejdssted, konto_nr, udfoerer_enterp, kommunal_kontakt, anlaegsaar, etabl_pleje_udloeb, udskiftningaar, klip_flade, klip_hoejde, klip_sider, klip_bredde, driftniv_kode, ukrudtsbek_kode, tilstand_kode, noegle, noter, vejkode, link, geometri)                                                                                                                                                                                                                                                                                                                  
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vedlhold_l_type_kode, NEW.arbejdssted, NEW.konto_nr, NEW.udfoerer_enterp, NEW.kommunal_kontakt, NEW.anlaegsaar, NEW.etabl_pleje_udloeb, NEW.udskiftningaar, NEW.klip_flade, NEW.klip_hoejde, NEW.klip_sider, NEW.klip_bredde, NEW.driftniv_kode, NEW.ukrudtsbek_kode, NEW.tilstand_kode, NEW.noegle, NEW.noter, NEW.vejkode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                            
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6801_parl_li_vw_trg_iud ON fkg.t_6801_parl_li_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6801_parl_li_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6801_parl_li_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6801_parl_li_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6801_parl_li_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6801_parl_li FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6800_parl_fl_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6800_parl_fl (versions_id, vedlhold_f_type_kode, arbejdssted, konto_nr, udfoerer_enterp, kommunal_kontakt, anlaegsaar, etabl_pleje_udloeb, udskiftningaar, udtyndaar, klip_hoejde, klip_sider, klip_flade, driftniv_kode, ukrudtsbek_kode, tilstand_kode, noegle, noter, vejkode, link, geometri)                                                                                                                                                                                                                                                                                                                    
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vedlhold_f_type_kode, NEW.arbejdssted, NEW.konto_nr, NEW.udfoerer_enterp, NEW.kommunal_kontakt, NEW.anlaegsaar, NEW.etabl_pleje_udloeb, NEW.udskiftningaar, NEW.udtyndaar, NEW.klip_hoejde, NEW.klip_sider, NEW.klip_flade, NEW.driftniv_kode, NEW.ukrudtsbek_kode, NEW.tilstand_kode, NEW.noegle, NEW.noter, NEW.vejkode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6800_parl_fl                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       INSERT INTO fkg.t_6800_parl_fl (versions_id, vedlhold_f_type_kode, arbejdssted, konto_nr, udfoerer_enterp, kommunal_kontakt, anlaegsaar, etabl_pleje_udloeb, udskiftningaar, udtyndaar, klip_hoejde, klip_sider, klip_flade, driftniv_kode, ukrudtsbek_kode, tilstand_kode, noegle, noter, vejkode, link, geometri)                                                                                                                                                                                                                                                                                                                    
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vedlhold_f_type_kode, NEW.arbejdssted, NEW.konto_nr, NEW.udfoerer_enterp, NEW.kommunal_kontakt, NEW.anlaegsaar, NEW.etabl_pleje_udloeb, NEW.udskiftningaar, NEW.udtyndaar, NEW.klip_hoejde, NEW.klip_sider, NEW.klip_flade, NEW.driftniv_kode, NEW.ukrudtsbek_kode, NEW.tilstand_kode, NEW.noegle, NEW.noter, NEW.vejkode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                              
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6800_parl_fl_vw_trg_iud ON fkg.t_6800_parl_fl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6800_parl_fl_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6800_parl_fl_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6800_parl_fl_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6800_parl_fl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6800_parl_fl FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6802_parl_pkt_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6802_parl_pkt (versions_id, vedlhold_p_type_kode, arbejdssted, konto_nr, udfoerer_enterp, kommunal_kontakt, anlaegsaar, etabl_pleje_udloeb, udskiftningaar, klip_flade, driftniv_kode, ukrudtsbek_kode, tilstand_kode, noegle, noter, vejkode, link, geometri)                                                                                                                                                                                                                                                                                                                                                       
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vedlhold_p_type_kode, NEW.arbejdssted, NEW.konto_nr, NEW.udfoerer_enterp, NEW.kommunal_kontakt, NEW.anlaegsaar, NEW.etabl_pleje_udloeb, NEW.udskiftningaar, NEW.klip_flade, NEW.driftniv_kode, NEW.ukrudtsbek_kode, NEW.tilstand_kode, NEW.noegle, NEW.noter, NEW.vejkode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6802_parl_pkt                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_6802_parl_pkt (versions_id, vedlhold_p_type_kode, arbejdssted, konto_nr, udfoerer_enterp, kommunal_kontakt, anlaegsaar, etabl_pleje_udloeb, udskiftningaar, klip_flade, driftniv_kode, ukrudtsbek_kode, tilstand_kode, noegle, noter, vejkode, link, geometri)                                                                                                                                                                                                                                                                                                                                                       
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vedlhold_p_type_kode, NEW.arbejdssted, NEW.konto_nr, NEW.udfoerer_enterp, NEW.kommunal_kontakt, NEW.anlaegsaar, NEW.etabl_pleje_udloeb, NEW.udskiftningaar, NEW.klip_flade, NEW.driftniv_kode, NEW.ukrudtsbek_kode, NEW.tilstand_kode, NEW.noegle, NEW.noter, NEW.vejkode, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                              
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6802_parl_pkt_vw_trg_iud ON fkg.t_6802_parl_pkt_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6802_parl_pkt_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6802_parl_pkt_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6802_parl_pkt_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6802_parl_pkt_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6802_parl_pkt FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6803_parl_omr_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6803_parl_omr (versions_id, pg_distrikt_kode, pg_distrikt_nr, ansvarlig, udfoerer, udfoerer_kontakt1, udfoerer_kontakt2, kommunal_kontakt, note, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.pg_distrikt_kode, NEW.pg_distrikt_nr, NEW.ansvarlig, NEW.udfoerer, NEW.udfoerer_kontakt1, NEW.udfoerer_kontakt2, NEW.kommunal_kontakt, NEW.note, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6803_parl_omr                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_6803_parl_omr (versions_id, pg_distrikt_kode, pg_distrikt_nr, ansvarlig, udfoerer, udfoerer_kontakt1, udfoerer_kontakt2, kommunal_kontakt, note, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.pg_distrikt_kode, NEW.pg_distrikt_nr, NEW.ansvarlig, NEW.udfoerer, NEW.udfoerer_kontakt1, NEW.udfoerer_kontakt2, NEW.kommunal_kontakt, NEW.note, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                        
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6803_parl_omr_vw_trg_iud ON fkg.t_6803_parl_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6803_parl_omr_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6803_parl_omr_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6803_parl_omr_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6803_parl_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6803_parl_omr FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6117_inds_pkt_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6117_inds_pkt (versions_id, nr_navn, beskrivelse, adgang, vej_afstand, ansvar, indsatstype_kode, noter, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.nr_navn, NEW.beskrivelse, NEW.adgang, NEW.vej_afstand, NEW.ansvar, NEW.indsatstype_kode, NEW.noter, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6117_inds_pkt                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_6117_inds_pkt (versions_id, nr_navn, beskrivelse, adgang, vej_afstand, ansvar, indsatstype_kode, noter, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.nr_navn, NEW.beskrivelse, NEW.adgang, NEW.vej_afstand, NEW.ansvar, NEW.indsatstype_kode, NEW.noter, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6117_inds_pkt_vw_trg_iud ON fkg.t_6117_inds_pkt_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6117_inds_pkt_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6117_inds_pkt_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6117_inds_pkt_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6117_inds_pkt_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6117_inds_pkt FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6100_brandhane_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6100_brandhane (versions_id, brandhane_id, brandhane_type_kode, modeltype, ydelse, senest_maalte_ydelse, placering_kode, lokalitet, vejkode, cvf_vejkode, husnr, postnr, funktionsstatus_kode, aktiv_kode, senest_tilsyn, link, geometri)                                                                                                                                                                                                                                                                                                                                                                            
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.brandhane_id, NEW.brandhane_type_kode, NEW.modeltype, NEW.ydelse, NEW.senest_maalte_ydelse, NEW.placering_kode, NEW.lokalitet, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.funktionsstatus_kode, NEW.aktiv_kode, NEW.senest_tilsyn, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                        
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6100_brandhane                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_6100_brandhane (versions_id, brandhane_id, brandhane_type_kode, modeltype, ydelse, senest_maalte_ydelse, placering_kode, lokalitet, vejkode, cvf_vejkode, husnr, postnr, funktionsstatus_kode, aktiv_kode, senest_tilsyn, link, geometri)                                                                                                                                                                                                                                                                                                                                                                            
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.brandhane_id, NEW.brandhane_type_kode, NEW.modeltype, NEW.ydelse, NEW.senest_maalte_ydelse, NEW.placering_kode, NEW.lokalitet, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.funktionsstatus_kode, NEW.aktiv_kode, NEW.senest_tilsyn, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                        
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6100_brandhane_vw_trg_iud ON fkg.t_6100_brandhane_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6100_brandhane_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6100_brandhane_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6100_brandhane_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6100_brandhane_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6100_brandhane FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5715_botilbud_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5715_botilbud (versions_id, botilbud_type_kode, ejerstatus_kode, botilbud_navn, noegle, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.botilbud_type_kode, NEW.ejerstatus_kode, NEW.botilbud_navn, NEW.noegle, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5715_botilbud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_5715_botilbud (versions_id, botilbud_type_kode, ejerstatus_kode, botilbud_navn, noegle, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.botilbud_type_kode, NEW.ejerstatus_kode, NEW.botilbud_navn, NEW.noegle, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5715_botilbud_vw_trg_iud ON fkg.t_5715_botilbud_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5715_botilbud_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5715_botilbud_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5715_botilbud_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5715_botilbud_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5715_botilbud FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5106_nat_pl_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5106_nat_pl (versions_id, pleje_type_kode, omr_nr, omr_navn, fortidsmindenr, faciliteter_kode, aftale_type, aftale_nr, gyldig_fra, gyldig_til, ejerstatus_kode, sagsnr, projekt_type, dyrehold, antal_moder, chr, navn, telefon, mobil, mail, ajour, link, geometri)                                                                                                                                                                                                                                                                                                                                                 
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.pleje_type_kode, NEW.omr_nr, NEW.omr_navn, NEW.fortidsmindenr, NEW.faciliteter_kode, NEW.aftale_type, NEW.aftale_nr, NEW.gyldig_fra, NEW.gyldig_til, NEW.ejerstatus_kode, NEW.sagsnr, NEW.projekt_type, NEW.dyrehold, NEW.antal_moder, NEW.chr, NEW.navn, NEW.telefon, NEW.mobil, NEW.mail, NEW.ajour, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5106_nat_pl                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       INSERT INTO fkg.t_5106_nat_pl (versions_id, pleje_type_kode, omr_nr, omr_navn, fortidsmindenr, faciliteter_kode, aftale_type, aftale_nr, gyldig_fra, gyldig_til, ejerstatus_kode, sagsnr, projekt_type, dyrehold, antal_moder, chr, navn, telefon, mobil, mail, ajour, link, geometri)                                                                                                                                                                                                                                                                                                                                                 
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.pleje_type_kode, NEW.omr_nr, NEW.omr_navn, NEW.fortidsmindenr, NEW.faciliteter_kode, NEW.aftale_type, NEW.aftale_nr, NEW.gyldig_fra, NEW.gyldig_til, NEW.ejerstatus_kode, NEW.sagsnr, NEW.projekt_type, NEW.dyrehold, NEW.antal_moder, NEW.chr, NEW.navn, NEW.telefon, NEW.mobil, NEW.mail, NEW.ajour, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                  
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5106_nat_pl_vw_trg_iud ON fkg.t_5106_nat_pl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5106_nat_pl_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5106_nat_pl_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5106_nat_pl_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5106_nat_pl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5106_nat_pl FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6102_redn_vej_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6102_redn_vej (versions_id, redvej_type_kode, redn_underomr, noter, bygn_kompleks, byg_sag_nr, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.redvej_type_kode, NEW.redn_underomr, NEW.noter, NEW.bygn_kompleks, NEW.byg_sag_nr, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6102_redn_vej                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       INSERT INTO fkg.t_6102_redn_vej (versions_id, redvej_type_kode, redn_underomr, noter, bygn_kompleks, byg_sag_nr, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.redvej_type_kode, NEW.redn_underomr, NEW.noter, NEW.bygn_kompleks, NEW.byg_sag_nr, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6102_redn_vej_vw_trg_iud ON fkg.t_6102_redn_vej_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6102_redn_vej_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6102_redn_vej_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6102_redn_vej_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6102_redn_vej_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6102_redn_vej FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5005_soe_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5005_soe (versions_id, soe_navn, dmu_ref, soe_nr, maalsaetning_kode, soe_type_kode, habitat_type_kode, trussel_vand_kode, sejlads, tilstand, opholdstid, volumen, fot_id, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                            
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.soe_navn, NEW.dmu_ref, NEW.soe_nr, NEW.maalsaetning_kode, NEW.soe_type_kode, NEW.habitat_type_kode, NEW.trussel_vand_kode, NEW.sejlads, NEW.tilstand, NEW.opholdstid, NEW.volumen, NEW.fot_id, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5005_soe                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       INSERT INTO fkg.t_5005_soe (versions_id, soe_navn, dmu_ref, soe_nr, maalsaetning_kode, soe_type_kode, habitat_type_kode, trussel_vand_kode, sejlads, tilstand, opholdstid, volumen, fot_id, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                            
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.soe_navn, NEW.dmu_ref, NEW.soe_nr, NEW.maalsaetning_kode, NEW.soe_type_kode, NEW.habitat_type_kode, NEW.trussel_vand_kode, NEW.sejlads, NEW.tilstand, NEW.opholdstid, NEW.volumen, NEW.fot_id, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                          
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5005_soe_vw_trg_iud ON fkg.t_5005_soe_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5005_soe_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5005_soe_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5005_soe_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5005_soe_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5005_soe FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5701_lok_omr_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5701_lok_omr (versions_id, lokalraad_navn, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.lokalraad_navn, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5701_lok_omr                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       INSERT INTO fkg.t_5701_lok_omr (versions_id, lokalraad_navn, noegle, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.lokalraad_navn, NEW.noegle, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5701_lok_omr_vw_trg_iud ON fkg.t_5701_lok_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5701_lok_omr_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5701_lok_omr_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5701_lok_omr_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5701_lok_omr_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5701_lok_omr FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5001_maalest_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5001_maalest (versions_id, stationsnr, lokalitet, maalest_type_kode, ejerstatus_kode, dvfi_bedoemmelse_kode, dmu_nr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.stationsnr, NEW.lokalitet, NEW.maalest_type_kode, NEW.ejerstatus_kode, NEW.dvfi_bedoemmelse_kode, NEW.dmu_nr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5001_maalest                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       INSERT INTO fkg.t_5001_maalest (versions_id, stationsnr, lokalitet, maalest_type_kode, ejerstatus_kode, dvfi_bedoemmelse_kode, dmu_nr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.stationsnr, NEW.lokalitet, NEW.maalest_type_kode, NEW.ejerstatus_kode, NEW.dvfi_bedoemmelse_kode, NEW.dmu_nr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5001_maalest_vw_trg_iud ON fkg.t_5001_maalest_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5001_maalest_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5001_maalest_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5001_maalest_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5001_maalest_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5001_maalest FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5400_affalds_dis_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5400_affalds_dis (versions_id, gyldig_fra, gyldig_til, affalddistrikt_nr, affalddistrikt_navn, affaldstype_kode, afh_frekvens, afh_dag, renovatoer_cvr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gyldig_fra, NEW.gyldig_til, NEW.affalddistrikt_nr, NEW.affalddistrikt_navn, NEW.affaldstype_kode, NEW.afh_frekvens, NEW.afh_dag, NEW.renovatoer_cvr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                    
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5400_affalds_dis                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       INSERT INTO fkg.t_5400_affalds_dis (versions_id, gyldig_fra, gyldig_til, affalddistrikt_nr, affalddistrikt_navn, affaldstype_kode, afh_frekvens, afh_dag, renovatoer_cvr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.gyldig_fra, NEW.gyldig_til, NEW.affalddistrikt_nr, NEW.affalddistrikt_navn, NEW.affaldstype_kode, NEW.afh_frekvens, NEW.afh_dag, NEW.renovatoer_cvr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                    
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5400_affalds_dis_vw_trg_iud ON fkg.t_5400_affalds_dis_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5400_affalds_dis_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5400_affalds_dis_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5400_affalds_dis_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5400_affalds_dis_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5400_affalds_dis FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6118_bran_redn_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6118_bran_redn (versions_id, redarea_type_kode, rednarea_underomr, noter, bygn_kompleks, byg_sag_nr, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.redarea_type_kode, NEW.rednarea_underomr, NEW.noter, NEW.bygn_kompleks, NEW.byg_sag_nr, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6118_bran_redn                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_6118_bran_redn (versions_id, redarea_type_kode, rednarea_underomr, noter, bygn_kompleks, byg_sag_nr, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.redarea_type_kode, NEW.rednarea_underomr, NEW.noter, NEW.bygn_kompleks, NEW.byg_sag_nr, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                            
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6118_bran_redn_vw_trg_iud ON fkg.t_6118_bran_redn_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6118_bran_redn_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6118_bran_redn_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6118_bran_redn_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6118_bran_redn_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6118_bran_redn FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5007_vandl_opl_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5007_vandl_opl (versions_id, vandloeb_nr, dmu_ref, vandl_opl_nr, opl_type_kode, hydro_ref, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vandloeb_nr, NEW.dmu_ref, NEW.vandl_opl_nr, NEW.opl_type_kode, NEW.hydro_ref, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5007_vandl_opl                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_5007_vandl_opl (versions_id, vandloeb_nr, dmu_ref, vandl_opl_nr, opl_type_kode, hydro_ref, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vandloeb_nr, NEW.dmu_ref, NEW.vandl_opl_nr, NEW.opl_type_kode, NEW.hydro_ref, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5007_vandl_opl_vw_trg_iud ON fkg.t_5007_vandl_opl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5007_vandl_opl_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5007_vandl_opl_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5007_vandl_opl_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5007_vandl_opl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5007_vandl_opl FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5000_vandl_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5000_vandl (versions_id, navn, dmu_ref, vandloeb_nr, maalsaetning_kode, vandl_type_kode, ejerstatus_kode, klasse_kode, tidl_amt_kode, vedligehold, ansvar_vedligehold, p3vandloeb_kode, sejlads, dvfi_bedoemmelse_kode, station_fra, station_til, vandloebs_bredde, vandfoeringsforhold, maalsaetning_opfyldt_kode, fot_id, trussel_vand_kode, link, geometri)                                                                                                                                                                                                                                                       
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.navn, NEW.dmu_ref, NEW.vandloeb_nr, NEW.maalsaetning_kode, NEW.vandl_type_kode, NEW.ejerstatus_kode, NEW.klasse_kode, NEW.tidl_amt_kode, NEW.vedligehold, NEW.ansvar_vedligehold, NEW.p3vandloeb_kode, NEW.sejlads, NEW.dvfi_bedoemmelse_kode, NEW.station_fra, NEW.station_til, NEW.vandloebs_bredde, NEW.vandfoeringsforhold, NEW.maalsaetning_opfyldt_kode, NEW.fot_id, NEW.trussel_vand_kode, NEW.link, NEW.geometri;                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5000_vandl                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       INSERT INTO fkg.t_5000_vandl (versions_id, navn, dmu_ref, vandloeb_nr, maalsaetning_kode, vandl_type_kode, ejerstatus_kode, klasse_kode, tidl_amt_kode, vedligehold, ansvar_vedligehold, p3vandloeb_kode, sejlads, dvfi_bedoemmelse_kode, station_fra, station_til, vandloebs_bredde, vandfoeringsforhold, maalsaetning_opfyldt_kode, fot_id, trussel_vand_kode, link, geometri)                                                                                                                                                                                                                                                       
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.navn, NEW.dmu_ref, NEW.vandloeb_nr, NEW.maalsaetning_kode, NEW.vandl_type_kode, NEW.ejerstatus_kode, NEW.klasse_kode, NEW.tidl_amt_kode, NEW.vedligehold, NEW.ansvar_vedligehold, NEW.p3vandloeb_kode, NEW.sejlads, NEW.dvfi_bedoemmelse_kode, NEW.station_fra, NEW.station_til, NEW.vandloebs_bredde, NEW.vandfoeringsforhold, NEW.maalsaetning_opfyldt_kode, NEW.fot_id, NEW.trussel_vand_kode, NEW.link, NEW.geometri;                                                                                                                                                                                       
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5000_vandl_vw_trg_iud ON fkg.t_5000_vandl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5000_vandl_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5000_vandl_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5000_vandl_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5000_vandl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5000_vandl FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5008_soe_opl_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5008_soe_opl (versions_id, dmu_ref, soe_opl_nr, soe_nr, hydro_ref, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.dmu_ref, NEW.soe_opl_nr, NEW.soe_nr, NEW.hydro_ref, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5008_soe_opl                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       INSERT INTO fkg.t_5008_soe_opl (versions_id, dmu_ref, soe_opl_nr, soe_nr, hydro_ref, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.dmu_ref, NEW.soe_opl_nr, NEW.soe_nr, NEW.hydro_ref, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5008_soe_opl_vw_trg_iud ON fkg.t_5008_soe_opl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5008_soe_opl_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5008_soe_opl_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5008_soe_opl_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5008_soe_opl_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5008_soe_opl FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5002_faunasp_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5002_faunasp (versions_id, spaerring_nr, spaerring_type_kode, passage_kode, lokalitet, vandloebsystem, saneret_aar, prioritet, passage_ansvarlig, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.spaerring_nr, NEW.spaerring_type_kode, NEW.passage_kode, NEW.lokalitet, NEW.vandloebsystem, NEW.saneret_aar, NEW.prioritet, NEW.passage_ansvarlig, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5002_faunasp                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       INSERT INTO fkg.t_5002_faunasp (versions_id, spaerring_nr, spaerring_type_kode, passage_kode, lokalitet, vandloebsystem, saneret_aar, prioritet, passage_ansvarlig, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.spaerring_nr, NEW.spaerring_type_kode, NEW.passage_kode, NEW.lokalitet, NEW.vandloebsystem, NEW.saneret_aar, NEW.prioritet, NEW.passage_ansvarlig, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                      
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5002_faunasp_vw_trg_iud ON fkg.t_5002_faunasp_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5002_faunasp_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5002_faunasp_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5002_faunasp_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5002_faunasp_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5002_faunasp FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6002_indv_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6002_indv (versions_id, vandv_nr, gyldig_fra, gyldig_til, indsatsomraade, indv_maengde_aar, kildeplads, reference, metode, dgu_nr, indtag, dato_beregn, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vandv_nr, NEW.gyldig_fra, NEW.gyldig_til, NEW.indsatsomraade, NEW.indv_maengde_aar, NEW.kildeplads, NEW.reference, NEW.metode, NEW.dgu_nr, NEW.indtag, NEW.dato_beregn, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6002_indv                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
       INSERT INTO fkg.t_6002_indv (versions_id, vandv_nr, gyldig_fra, gyldig_til, indsatsomraade, indv_maengde_aar, kildeplads, reference, metode, dgu_nr, indtag, dato_beregn, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.vandv_nr, NEW.gyldig_fra, NEW.gyldig_til, NEW.indsatsomraade, NEW.indv_maengde_aar, NEW.kildeplads, NEW.reference, NEW.metode, NEW.dgu_nr, NEW.indtag, NEW.dato_beregn, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                 
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6002_indv_vw_trg_iud ON fkg.t_6002_indv_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6002_indv_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6002_indv_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6002_indv_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6002_indv_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6002_indv FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5714_laering_udd_inst_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5714_laering_udd_inst (versions_id, udd_institution_type_kode, ejerstatus_kode, udd_institution_navn, starttrin_kode, sluttrin_kode, noegle, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                    
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.udd_institution_type_kode, NEW.ejerstatus_kode, NEW.udd_institution_navn, NEW.starttrin_kode, NEW.sluttrin_kode, NEW.noegle, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                       
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5714_laering_udd_inst                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.t_5714_laering_udd_inst (versions_id, udd_institution_type_kode, ejerstatus_kode, udd_institution_navn, starttrin_kode, sluttrin_kode, noegle, vejkode, cvf_vejkode, husnr, postnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                    
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.udd_institution_type_kode, NEW.ejerstatus_kode, NEW.udd_institution_navn, NEW.starttrin_kode, NEW.sluttrin_kode, NEW.noegle, NEW.vejkode, NEW.cvf_vejkode, NEW.husnr, NEW.postnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                       
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5714_laering_udd_inst_vw_trg_iud ON fkg.t_5714_laering_udd_inst_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5714_laering_udd_inst_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5714_laering_udd_inst_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5714_laering_udd_inst_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5714_laering_udd_inst_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5714_laering_udd_inst FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5003_draenledn_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5003_draenledn (versions_id, ledn_nr, ledn_type_kode, klasse_kode, noegle, anlaeg_aar, dybde, dimension, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.ledn_nr, NEW.ledn_type_kode, NEW.klasse_kode, NEW.noegle, NEW.anlaeg_aar, NEW.dybde, NEW.dimension, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5003_draenledn                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_5003_draenledn (versions_id, ledn_nr, ledn_type_kode, klasse_kode, noegle, anlaeg_aar, dybde, dimension, sagsnr, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.ledn_nr, NEW.ledn_type_kode, NEW.klasse_kode, NEW.noegle, NEW.anlaeg_aar, NEW.dybde, NEW.dimension, NEW.sagsnr, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5003_draenledn_vw_trg_iud ON fkg.t_5003_draenledn_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5003_draenledn_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5003_draenledn_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5003_draenledn_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5003_draenledn_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5003_draenledn FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_5105_rig_fattig_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_5105_rig_fattig (versions_id, stedid, natura_2000, kaer_type_kode, noegle, noter, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.stedid, NEW.natura_2000, NEW.kaer_type_kode, NEW.noegle, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_5105_rig_fattig                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
       INSERT INTO fkg.t_5105_rig_fattig (versions_id, stedid, natura_2000, kaer_type_kode, noegle, noter, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.stedid, NEW.natura_2000, NEW.kaer_type_kode, NEW.noegle, NEW.noter, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_5105_rig_fattig_vw_trg_iud ON fkg.t_5105_rig_fattig_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_5105_rig_fattig_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_5105_rig_fattig_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_5105_rig_fattig_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_5105_rig_fattig_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_5105_rig_fattig FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 
 CREATE OR REPLACE FUNCTION fkg.t_6003_besk_zone_trg() RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       -- Return "0 rows deleted" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'UPDATE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
       -- Error handling                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
       IF (NEW.objekt_id <> OLD.objekt_id) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
         RAISE EXCEPTION 'Update of objekt_id is not allowed';                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       IF NOT EXISTS (SELECT '1' FROM fkg.generel WHERE versions_id=OLD.versions_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         RETURN NULL; -- Return "0 rows updated" IF NOT EXISTS                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
         versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into theme                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       INSERT INTO fkg.t_6003_besk_zone (versions_id, dgu_nr, kildeplads, indsatsomraade, vandv_nr, jup_nr, tilladelse, tilladelse_gyldig, beskyt_zone, beskyt_zone_gyldig, lokalitet, zone_type_kode, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.dgu_nr, NEW.kildeplads, NEW.indsatsomraade, NEW.vandv_nr, NEW.jup_nr, NEW.tilladelse, NEW.tilladelse_gyldig, NEW.beskyt_zone, NEW.beskyt_zone_gyldig, NEW.lokalitet, NEW.zone_type_kode, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Close the old version                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       UPDATE fkg.generel SET systid_til = current_timestamp WHERE versions_id=OLD.versions_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
     ELSIF (TG_OP = 'INSERT') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
        -- Verify that the objekt doesn't exists as aktive                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       IF (NEW.objekt_id IS NOT NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
         IF EXISTS (SELECT '1' FROM fkg.generel WHERE objekt_id=NEW.objekt_id AND systid_til IS NULL) THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
           RAISE EXCEPTION 'Objekt with objekt_id="%" already exists', NEW.objekt_id;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
         END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Initialize                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
       NEW.versions_id = uuid_generate_v1();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
       NEW.objekt_id = COALESCE(NEW.objekt_id, uuid_generate_v1()); -- If NULL from client make one ourself                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
       NEW.systid_fra = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
       NEW.systid_til = NULL;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       NEW.oprettet = current_timestamp;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into general                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
       INSERT INTO fkg.generel (versions_id, objekt_id, systid_fra, systid_til, oprettet, cvr_kode, bruger_id, oprindkode, statuskode, off_kode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.objekt_id, NEW.systid_fra, NEW.systid_til, NEW.oprettet, NEW.cvr_kode, NEW.bruger_id, NEW.oprindkode, NEW.statuskode, NEW.off_kode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
       -- Insert into t_6003_besk_zone                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
       INSERT INTO fkg.t_6003_besk_zone (versions_id, dgu_nr, kildeplads, indsatsomraade, vandv_nr, jup_nr, tilladelse, tilladelse_gyldig, beskyt_zone, beskyt_zone_gyldig, lokalitet, zone_type_kode, gyldig_fra, gyldig_til, link, geometri)                                                                                                                                                                                                                                                                                                                                                                                                
       SELECT                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
         NEW.versions_id, NEW.dgu_nr, NEW.kildeplads, NEW.indsatsomraade, NEW.vandv_nr, NEW.jup_nr, NEW.tilladelse, NEW.tilladelse_gyldig, NEW.beskyt_zone, NEW.beskyt_zone_gyldig, NEW.lokalitet, NEW.zone_type_kode, NEW.gyldig_fra, NEW.gyldig_til, NEW.link, NEW.geometri;                                                                                                                                                                                                                                                                                                                                                                
       RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$ LANGUAGE plpgsql;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS t_6003_besk_zone_vw_trg_iud ON fkg.t_6003_besk_zone_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER t_6003_besk_zone_vw_trg_iud                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
     INSTEAD OF INSERT OR DELETE OR UPDATE ON fkg.t_6003_besk_zone_vw                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
     FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
     EXECUTE PROCEDURE fkg.t_6003_besk_zone_trg();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE OR REPLACE FUNCTION fkg.make_multi()                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   RETURNS trigger AS $$                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
   BEGIN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
     IF (TG_OP = 'DELETE') THEN                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
       RETURN OLD;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
     ELSE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
       NEW.geometri = ST_Multi(NEW.geometri);                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
     END IF;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
     RETURN NEW;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
   END;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 $$LANGUAGE plpgsql VOLATILE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
   COST 100;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 DROP TRIGGER IF EXISTS make_multi_trg ON fkg.t_6003_besk_zone_vw;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              
 CREATE TRIGGER make_multi_trg BEFORE INSERT OR UPDATE                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        
    ON fkg.t_6003_besk_zone FOR EACH ROW                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      
    EXECUTE PROCEDURE fkg.make_multi();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
 

